#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 924
#define LARGE_STATE_COUNT 234
#define SYMBOL_COUNT 267
#define ALIAS_COUNT 0
#define TOKEN_COUNT 142
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 35
#define MAX_ALIAS_SEQUENCE_LENGTH 14
#define PRODUCTION_ID_COUNT 89

enum ts_symbol_identifiers {
  sym_export = 1,
  anon_sym_LBRACE = 2,
  anon_sym_COMMA = 3,
  anon_sym_RBRACE = 4,
  anon_sym_import = 5,
  anon_sym_from = 6,
  anon_sym_SEMI = 7,
  anon_sym_as = 8,
  anon_sym_COLON_EQ = 9,
  anon_sym_component = 10,
  anon_sym_inherits = 11,
  anon_sym_LT = 12,
  anon_sym_GT = 13,
  anon_sym_return = 14,
  anon_sym_property = 15,
  anon_sym_COLON = 16,
  anon_sym_LT_EQ_GT = 17,
  anon_sym_global = 18,
  anon_sym_struct = 19,
  anon_sym_enum = 20,
  anon_sym_in = 21,
  anon_sym_out = 22,
  anon_sym_transitions = 23,
  anon_sym_LBRACK = 24,
  anon_sym_RBRACK = 25,
  anon_sym_states = 26,
  anon_sym_when = 27,
  anon_sym_animate = 28,
  anon_sym_delay = 29,
  anon_sym_duration = 30,
  anon_sym_iteration_DASHcount = 31,
  anon_sym_easing = 32,
  anon_sym_if = 33,
  anon_sym_else = 34,
  anon_sym_for = 35,
  anon_sym_LPAREN = 36,
  anon_sym_RPAREN = 37,
  anon_sym_ATtr = 38,
  anon_sym_EQ_GT = 39,
  anon_sym_PIPE = 40,
  anon_sym_PERCENT = 41,
  anon_sym_DOT = 42,
  sym_logical_and = 43,
  sym_logical_or = 44,
  anon_sym_QMARK = 45,
  anon_sym_callback = 46,
  anon_sym_DASH_GT = 47,
  anon_sym_pure = 48,
  anon_sym_public = 49,
  anon_sym_private = 50,
  anon_sym_function = 51,
  anon_sym_changed = 52,
  anon_sym_ATimage_DASHurl = 53,
  anon_sym_nine_DASHslice = 54,
  anon_sym_BANG = 55,
  anon_sym_DASH = 56,
  anon_sym_PLUS = 57,
  anon_sym_STAR = 58,
  anon_sym_SLASH = 59,
  anon_sym_GT_EQ = 60,
  anon_sym_LT_EQ = 61,
  anon_sym_EQ_EQ = 62,
  anon_sym_BANG_EQ = 63,
  anon_sym_EQ = 64,
  anon_sym_PLUS_EQ = 65,
  anon_sym_DASH_EQ = 66,
  anon_sym_STAR_EQ = 67,
  anon_sym_SLASH_EQ = 68,
  anon_sym_DQUOTE = 69,
  sym__unescaped_string_fragment = 70,
  anon_sym_BSLASH = 71,
  aux_sym_escape_sequence_token1 = 72,
  anon_sym_n = 73,
  anon_sym_in_DASHout = 74,
  sym__identifier = 75,
  anon_sym_int = 76,
  anon_sym_float = 77,
  anon_sym_bool = 78,
  anon_sym_string = 79,
  anon_sym_color = 80,
  anon_sym_brush = 81,
  anon_sym_physical_DASHlength = 82,
  anon_sym_length = 83,
  anon_sym_angle = 84,
  anon_sym_percent = 85,
  anon_sym_image = 86,
  anon_sym_relative_DASHfont_DASHsize = 87,
  anon_sym_linear = 88,
  anon_sym_ease_DASHin_DASHquad = 89,
  anon_sym_ease_DASHout_DASHquad = 90,
  anon_sym_ease_DASHin_DASHout_DASHquad = 91,
  anon_sym_ease = 92,
  anon_sym_ease_DASHin = 93,
  anon_sym_ease_DASHout = 94,
  anon_sym_ease_DASHin_DASHout = 95,
  anon_sym_ease_DASHin_DASHquart = 96,
  anon_sym_ease_DASHout_DASHquart = 97,
  anon_sym_ease_DASHin_DASHout_DASHquart = 98,
  anon_sym_ease_DASHin_DASHquint = 99,
  anon_sym_ease_DASHout_DASHquint = 100,
  anon_sym_ease_DASHin_DASHout_DASHquint = 101,
  anon_sym_ease_DASHin_DASHexpo = 102,
  anon_sym_ease_DASHout_DASHexpo = 103,
  anon_sym_ease_DASHin_DASHout_DASHexpo = 104,
  anon_sym_ease_DASHin_DASHsine = 105,
  anon_sym_ease_DASHout_DASHsine = 106,
  anon_sym_ease_DASHin_DASHout_DASHsine = 107,
  anon_sym_ease_DASHin_DASHback = 108,
  anon_sym_ease_DASHout_DASHback = 109,
  anon_sym_ease_DASHin_DASHout_DASHback = 110,
  anon_sym_ease_DASHin_DASHcirc = 111,
  anon_sym_ease_DASHout_DASHcirc = 112,
  anon_sym_ease_DASHin_DASHout_DASHcirc = 113,
  anon_sym_ease_DASHin_DASHelastic = 114,
  anon_sym_ease_DASHout_DASHelastic = 115,
  anon_sym_ease_DASHin_DASHout_DASHelastic = 116,
  anon_sym_ease_DASHin_DASHbounce = 117,
  anon_sym_ease_DASHout_DASHbounce = 118,
  anon_sym_ease_DASHin_DASHout_DASHbounce = 119,
  anon_sym_cubic_DASHbezier = 120,
  sym_children_identifier = 121,
  anon_sym_ATlinear_DASHgradient = 122,
  anon_sym_ATlinear_gradient = 123,
  anon_sym_ATradial_DASHgradient = 124,
  anon_sym_ATradial_gradient = 125,
  anon_sym_circle = 126,
  anon_sym_parent = 127,
  anon_sym_root = 128,
  anon_sym_self = 129,
  sym__int_number = 130,
  sym__float_number = 131,
  anon_sym_true = 132,
  anon_sym_false = 133,
  sym_color_value = 134,
  anon_sym_phx = 135,
  aux_sym_length_value_token1 = 136,
  aux_sym_duration_value_token1 = 137,
  aux_sym_angle_value_token1 = 138,
  anon_sym_PERCENT2 = 139,
  anon_sym_rem = 140,
  sym_comment = 141,
  sym_sourcefile = 142,
  sym__definition = 143,
  sym__local_type = 144,
  sym__exported_type = 145,
  sym_import_statement = 146,
  sym_export_type = 147,
  sym_import_type = 148,
  sym_component = 149,
  sym_component_definition = 150,
  sym__property_type = 151,
  sym_imperative_block = 152,
  sym__imperative_block_statement = 153,
  sym__binding = 154,
  sym_property = 155,
  sym_binding_alias = 156,
  sym_binding = 157,
  sym_global_block = 158,
  sym_global_definition = 159,
  sym_struct_block = 160,
  sym_struct_definition = 161,
  sym_enum_block = 162,
  sym_enum_definition = 163,
  sym_anon_struct_block = 164,
  sym_block = 165,
  sym__block_statement = 166,
  sym_property_assignment = 167,
  sym_in_out_transition = 168,
  sym_transitions_definition = 169,
  sym_states_definition = 170,
  sym_animate_statement = 171,
  sym_animate_option_identifier = 172,
  sym_animate_option = 173,
  sym_animate_body = 174,
  sym_if_expr = 175,
  sym_if_statement = 176,
  sym_for_loop = 177,
  sym_for_range = 178,
  sym_type_list = 179,
  sym_type = 180,
  sym__assignment_setup = 181,
  sym__assignment_value_block = 182,
  sym_assignment_block = 183,
  sym_assignment_expr = 184,
  sym_expression = 185,
  sym_parens_op = 186,
  sym_index_op = 187,
  sym_tr = 188,
  sym_member_access = 189,
  sym_unary_expression = 190,
  sym_binary_expression = 191,
  sym__add_binary_expression = 192,
  sym__comparison_binary_expression = 193,
  sym__logic_binary_expression = 194,
  sym__mult_binary_expression = 195,
  sym_ternary_expression = 196,
  sym_callback = 197,
  sym_purity = 198,
  sym_function_visibility = 199,
  sym_function_definition = 200,
  sym_callback_alias = 201,
  sym_callback_event = 202,
  sym_changed_callback = 203,
  sym_function_call = 204,
  sym_gradient_call = 205,
  sym_gradient_color = 206,
  sym_image_call = 207,
  sym_typed_identifier = 208,
  sym__function_signature = 209,
  sym__callback_signature = 210,
  sym_argument = 211,
  sym_arguments = 212,
  sym_unary_prec_operator = 213,
  sym_add_prec_operator = 214,
  sym_mult_prec_operator = 215,
  sym_comparison_operator = 216,
  sym_assignment_prec_operator = 217,
  sym__string = 218,
  sym_escape_sequence = 219,
  sym_property_visibility = 220,
  sym_simple_identifier = 221,
  sym_simple_indexed_identifier = 222,
  sym_builtin_type_identifier = 223,
  sym_easing_kind_identifier = 224,
  sym_user_type_identifier = 225,
  sym__type_identifier = 226,
  sym_value_list = 227,
  sym_value = 228,
  sym_linear_gradient_identifier = 229,
  sym_radial_gradient_identifier = 230,
  sym_radial_gradient_kind = 231,
  sym_reference_identifier = 232,
  sym__number = 233,
  sym_int_value = 234,
  sym_float_value = 235,
  sym_bool_value = 236,
  sym_string_value = 237,
  sym_physical_length_value = 238,
  sym_length_value = 239,
  sym_duration_value = 240,
  sym_angle_value = 241,
  sym_percent_value = 242,
  sym_relative_font_size_value = 243,
  sym__basic_value = 244,
  aux_sym_sourcefile_repeat1 = 245,
  aux_sym__exported_type_repeat1 = 246,
  aux_sym_import_statement_repeat1 = 247,
  aux_sym_imperative_block_repeat1 = 248,
  aux_sym_global_block_repeat1 = 249,
  aux_sym_struct_block_repeat1 = 250,
  aux_sym_enum_block_repeat1 = 251,
  aux_sym_anon_struct_block_repeat1 = 252,
  aux_sym_block_repeat1 = 253,
  aux_sym_in_out_transition_repeat1 = 254,
  aux_sym_transitions_definition_repeat1 = 255,
  aux_sym_states_definition_repeat1 = 256,
  aux_sym_states_definition_repeat2 = 257,
  aux_sym_animate_body_repeat1 = 258,
  aux_sym_type_list_repeat1 = 259,
  aux_sym_tr_repeat1 = 260,
  aux_sym_function_definition_repeat1 = 261,
  aux_sym_gradient_call_repeat1 = 262,
  aux_sym_image_call_repeat1 = 263,
  aux_sym__function_signature_repeat1 = 264,
  aux_sym_arguments_repeat1 = 265,
  aux_sym__string_repeat1 = 266,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_export] = "export",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_SEMI] = ";",
  [anon_sym_as] = "as",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_component] = "component",
  [anon_sym_inherits] = "inherits",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_return] = "return",
  [anon_sym_property] = "property",
  [anon_sym_COLON] = ":",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_global] = "global",
  [anon_sym_struct] = "struct",
  [anon_sym_enum] = "enum",
  [anon_sym_in] = "in",
  [anon_sym_out] = "out",
  [anon_sym_transitions] = "transitions",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_states] = "states",
  [anon_sym_when] = "when",
  [anon_sym_animate] = "animate",
  [anon_sym_delay] = "delay",
  [anon_sym_duration] = "duration",
  [anon_sym_iteration_DASHcount] = "iteration-count",
  [anon_sym_easing] = "easing",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_ATtr] = "@tr",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_PIPE] = "|",
  [anon_sym_PERCENT] = "%",
  [anon_sym_DOT] = ".",
  [sym_logical_and] = "logical_and",
  [sym_logical_or] = "logical_or",
  [anon_sym_QMARK] = "\?",
  [anon_sym_callback] = "callback",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_pure] = "pure",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_function] = "function",
  [anon_sym_changed] = "changed",
  [anon_sym_ATimage_DASHurl] = "@image-url",
  [anon_sym_nine_DASHslice] = "nine-slice",
  [anon_sym_BANG] = "!",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_DQUOTE] = "\"",
  [sym__unescaped_string_fragment] = "_unescaped_string_fragment",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_escape_sequence_token1] = "escape_sequence_token1",
  [anon_sym_n] = "n",
  [anon_sym_in_DASHout] = "in-out",
  [sym__identifier] = "_identifier",
  [anon_sym_int] = "int",
  [anon_sym_float] = "float",
  [anon_sym_bool] = "bool",
  [anon_sym_string] = "string",
  [anon_sym_color] = "color",
  [anon_sym_brush] = "brush",
  [anon_sym_physical_DASHlength] = "physical-length",
  [anon_sym_length] = "length",
  [anon_sym_angle] = "angle",
  [anon_sym_percent] = "percent",
  [anon_sym_image] = "image",
  [anon_sym_relative_DASHfont_DASHsize] = "relative-font-size",
  [anon_sym_linear] = "linear",
  [anon_sym_ease_DASHin_DASHquad] = "ease-in-quad",
  [anon_sym_ease_DASHout_DASHquad] = "ease-out-quad",
  [anon_sym_ease_DASHin_DASHout_DASHquad] = "ease-in-out-quad",
  [anon_sym_ease] = "ease",
  [anon_sym_ease_DASHin] = "ease-in",
  [anon_sym_ease_DASHout] = "ease-out",
  [anon_sym_ease_DASHin_DASHout] = "ease-in-out",
  [anon_sym_ease_DASHin_DASHquart] = "ease-in-quart",
  [anon_sym_ease_DASHout_DASHquart] = "ease-out-quart",
  [anon_sym_ease_DASHin_DASHout_DASHquart] = "ease-in-out-quart",
  [anon_sym_ease_DASHin_DASHquint] = "ease-in-quint",
  [anon_sym_ease_DASHout_DASHquint] = "ease-out-quint",
  [anon_sym_ease_DASHin_DASHout_DASHquint] = "ease-in-out-quint",
  [anon_sym_ease_DASHin_DASHexpo] = "ease-in-expo",
  [anon_sym_ease_DASHout_DASHexpo] = "ease-out-expo",
  [anon_sym_ease_DASHin_DASHout_DASHexpo] = "ease-in-out-expo",
  [anon_sym_ease_DASHin_DASHsine] = "ease-in-sine",
  [anon_sym_ease_DASHout_DASHsine] = "ease-out-sine",
  [anon_sym_ease_DASHin_DASHout_DASHsine] = "ease-in-out-sine",
  [anon_sym_ease_DASHin_DASHback] = "ease-in-back",
  [anon_sym_ease_DASHout_DASHback] = "ease-out-back",
  [anon_sym_ease_DASHin_DASHout_DASHback] = "ease-in-out-back",
  [anon_sym_ease_DASHin_DASHcirc] = "ease-in-circ",
  [anon_sym_ease_DASHout_DASHcirc] = "ease-out-circ",
  [anon_sym_ease_DASHin_DASHout_DASHcirc] = "ease-in-out-circ",
  [anon_sym_ease_DASHin_DASHelastic] = "ease-in-elastic",
  [anon_sym_ease_DASHout_DASHelastic] = "ease-out-elastic",
  [anon_sym_ease_DASHin_DASHout_DASHelastic] = "ease-in-out-elastic",
  [anon_sym_ease_DASHin_DASHbounce] = "ease-in-bounce",
  [anon_sym_ease_DASHout_DASHbounce] = "ease-out-bounce",
  [anon_sym_ease_DASHin_DASHout_DASHbounce] = "ease-in-out-bounce",
  [anon_sym_cubic_DASHbezier] = "cubic-bezier",
  [sym_children_identifier] = "children_identifier",
  [anon_sym_ATlinear_DASHgradient] = "@linear-gradient",
  [anon_sym_ATlinear_gradient] = "@linear_gradient",
  [anon_sym_ATradial_DASHgradient] = "@radial-gradient",
  [anon_sym_ATradial_gradient] = "@radial_gradient",
  [anon_sym_circle] = "circle",
  [anon_sym_parent] = "parent",
  [anon_sym_root] = "root",
  [anon_sym_self] = "self",
  [sym__int_number] = "_int_number",
  [sym__float_number] = "_float_number",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [sym_color_value] = "color_value",
  [anon_sym_phx] = "phx",
  [aux_sym_length_value_token1] = "length_value_token1",
  [aux_sym_duration_value_token1] = "duration_value_token1",
  [aux_sym_angle_value_token1] = "angle_value_token1",
  [anon_sym_PERCENT2] = "%",
  [anon_sym_rem] = "rem",
  [sym_comment] = "comment",
  [sym_sourcefile] = "sourcefile",
  [sym__definition] = "_definition",
  [sym__local_type] = "_local_type",
  [sym__exported_type] = "_exported_type",
  [sym_import_statement] = "import_statement",
  [sym_export_type] = "export_type",
  [sym_import_type] = "import_type",
  [sym_component] = "component",
  [sym_component_definition] = "component_definition",
  [sym__property_type] = "_property_type",
  [sym_imperative_block] = "imperative_block",
  [sym__imperative_block_statement] = "_imperative_block_statement",
  [sym__binding] = "_binding",
  [sym_property] = "property",
  [sym_binding_alias] = "binding_alias",
  [sym_binding] = "binding",
  [sym_global_block] = "global_block",
  [sym_global_definition] = "global_definition",
  [sym_struct_block] = "struct_block",
  [sym_struct_definition] = "struct_definition",
  [sym_enum_block] = "enum_block",
  [sym_enum_definition] = "enum_definition",
  [sym_anon_struct_block] = "anon_struct_block",
  [sym_block] = "block",
  [sym__block_statement] = "_block_statement",
  [sym_property_assignment] = "property_assignment",
  [sym_in_out_transition] = "in_out_transition",
  [sym_transitions_definition] = "transitions_definition",
  [sym_states_definition] = "states_definition",
  [sym_animate_statement] = "animate_statement",
  [sym_animate_option_identifier] = "animate_option_identifier",
  [sym_animate_option] = "animate_option",
  [sym_animate_body] = "animate_body",
  [sym_if_expr] = "if_expr",
  [sym_if_statement] = "if_statement",
  [sym_for_loop] = "for_loop",
  [sym_for_range] = "for_range",
  [sym_type_list] = "type_list",
  [sym_type] = "type",
  [sym__assignment_setup] = "_assignment_setup",
  [sym__assignment_value_block] = "_assignment_value_block",
  [sym_assignment_block] = "assignment_block",
  [sym_assignment_expr] = "assignment_expr",
  [sym_expression] = "expression",
  [sym_parens_op] = "parens_op",
  [sym_index_op] = "index_op",
  [sym_tr] = "tr",
  [sym_member_access] = "member_access",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym__add_binary_expression] = "_add_binary_expression",
  [sym__comparison_binary_expression] = "_comparison_binary_expression",
  [sym__logic_binary_expression] = "_logic_binary_expression",
  [sym__mult_binary_expression] = "_mult_binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_callback] = "callback",
  [sym_purity] = "purity",
  [sym_function_visibility] = "function_visibility",
  [sym_function_definition] = "function_definition",
  [sym_callback_alias] = "callback_alias",
  [sym_callback_event] = "callback_event",
  [sym_changed_callback] = "changed_callback",
  [sym_function_call] = "function_call",
  [sym_gradient_call] = "gradient_call",
  [sym_gradient_color] = "gradient_color",
  [sym_image_call] = "image_call",
  [sym_typed_identifier] = "typed_identifier",
  [sym__function_signature] = "_function_signature",
  [sym__callback_signature] = "_callback_signature",
  [sym_argument] = "argument",
  [sym_arguments] = "arguments",
  [sym_unary_prec_operator] = "unary_prec_operator",
  [sym_add_prec_operator] = "add_prec_operator",
  [sym_mult_prec_operator] = "mult_prec_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_assignment_prec_operator] = "assignment_prec_operator",
  [sym__string] = "_string",
  [sym_escape_sequence] = "escape_sequence",
  [sym_property_visibility] = "property_visibility",
  [sym_simple_identifier] = "simple_identifier",
  [sym_simple_indexed_identifier] = "simple_indexed_identifier",
  [sym_builtin_type_identifier] = "builtin_type_identifier",
  [sym_easing_kind_identifier] = "easing_kind_identifier",
  [sym_user_type_identifier] = "user_type_identifier",
  [sym__type_identifier] = "_type_identifier",
  [sym_value_list] = "value_list",
  [sym_value] = "value",
  [sym_linear_gradient_identifier] = "linear_gradient_identifier",
  [sym_radial_gradient_identifier] = "radial_gradient_identifier",
  [sym_radial_gradient_kind] = "radial_gradient_kind",
  [sym_reference_identifier] = "reference_identifier",
  [sym__number] = "_number",
  [sym_int_value] = "int_value",
  [sym_float_value] = "float_value",
  [sym_bool_value] = "bool_value",
  [sym_string_value] = "string_value",
  [sym_physical_length_value] = "physical_length_value",
  [sym_length_value] = "length_value",
  [sym_duration_value] = "duration_value",
  [sym_angle_value] = "angle_value",
  [sym_percent_value] = "percent_value",
  [sym_relative_font_size_value] = "relative_font_size_value",
  [sym__basic_value] = "_basic_value",
  [aux_sym_sourcefile_repeat1] = "sourcefile_repeat1",
  [aux_sym__exported_type_repeat1] = "_exported_type_repeat1",
  [aux_sym_import_statement_repeat1] = "import_statement_repeat1",
  [aux_sym_imperative_block_repeat1] = "imperative_block_repeat1",
  [aux_sym_global_block_repeat1] = "global_block_repeat1",
  [aux_sym_struct_block_repeat1] = "struct_block_repeat1",
  [aux_sym_enum_block_repeat1] = "enum_block_repeat1",
  [aux_sym_anon_struct_block_repeat1] = "anon_struct_block_repeat1",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym_in_out_transition_repeat1] = "in_out_transition_repeat1",
  [aux_sym_transitions_definition_repeat1] = "transitions_definition_repeat1",
  [aux_sym_states_definition_repeat1] = "states_definition_repeat1",
  [aux_sym_states_definition_repeat2] = "states_definition_repeat2",
  [aux_sym_animate_body_repeat1] = "animate_body_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_tr_repeat1] = "tr_repeat1",
  [aux_sym_function_definition_repeat1] = "function_definition_repeat1",
  [aux_sym_gradient_call_repeat1] = "gradient_call_repeat1",
  [aux_sym_image_call_repeat1] = "image_call_repeat1",
  [aux_sym__function_signature_repeat1] = "_function_signature_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym__string_repeat1] = "_string_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_export] = sym_export,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_component] = anon_sym_component,
  [anon_sym_inherits] = anon_sym_inherits,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_property] = anon_sym_property,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_out] = anon_sym_out,
  [anon_sym_transitions] = anon_sym_transitions,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_states] = anon_sym_states,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_animate] = anon_sym_animate,
  [anon_sym_delay] = anon_sym_delay,
  [anon_sym_duration] = anon_sym_duration,
  [anon_sym_iteration_DASHcount] = anon_sym_iteration_DASHcount,
  [anon_sym_easing] = anon_sym_easing,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_ATtr] = anon_sym_ATtr,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_DOT] = anon_sym_DOT,
  [sym_logical_and] = sym_logical_and,
  [sym_logical_or] = sym_logical_or,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_callback] = anon_sym_callback,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_pure] = anon_sym_pure,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_changed] = anon_sym_changed,
  [anon_sym_ATimage_DASHurl] = anon_sym_ATimage_DASHurl,
  [anon_sym_nine_DASHslice] = anon_sym_nine_DASHslice,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym__unescaped_string_fragment] = sym__unescaped_string_fragment,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_escape_sequence_token1] = aux_sym_escape_sequence_token1,
  [anon_sym_n] = anon_sym_n,
  [anon_sym_in_DASHout] = anon_sym_in_DASHout,
  [sym__identifier] = sym__identifier,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_color] = anon_sym_color,
  [anon_sym_brush] = anon_sym_brush,
  [anon_sym_physical_DASHlength] = anon_sym_physical_DASHlength,
  [anon_sym_length] = anon_sym_length,
  [anon_sym_angle] = anon_sym_angle,
  [anon_sym_percent] = anon_sym_percent,
  [anon_sym_image] = anon_sym_image,
  [anon_sym_relative_DASHfont_DASHsize] = anon_sym_relative_DASHfont_DASHsize,
  [anon_sym_linear] = anon_sym_linear,
  [anon_sym_ease_DASHin_DASHquad] = anon_sym_ease_DASHin_DASHquad,
  [anon_sym_ease_DASHout_DASHquad] = anon_sym_ease_DASHout_DASHquad,
  [anon_sym_ease_DASHin_DASHout_DASHquad] = anon_sym_ease_DASHin_DASHout_DASHquad,
  [anon_sym_ease] = anon_sym_ease,
  [anon_sym_ease_DASHin] = anon_sym_ease_DASHin,
  [anon_sym_ease_DASHout] = anon_sym_ease_DASHout,
  [anon_sym_ease_DASHin_DASHout] = anon_sym_ease_DASHin_DASHout,
  [anon_sym_ease_DASHin_DASHquart] = anon_sym_ease_DASHin_DASHquart,
  [anon_sym_ease_DASHout_DASHquart] = anon_sym_ease_DASHout_DASHquart,
  [anon_sym_ease_DASHin_DASHout_DASHquart] = anon_sym_ease_DASHin_DASHout_DASHquart,
  [anon_sym_ease_DASHin_DASHquint] = anon_sym_ease_DASHin_DASHquint,
  [anon_sym_ease_DASHout_DASHquint] = anon_sym_ease_DASHout_DASHquint,
  [anon_sym_ease_DASHin_DASHout_DASHquint] = anon_sym_ease_DASHin_DASHout_DASHquint,
  [anon_sym_ease_DASHin_DASHexpo] = anon_sym_ease_DASHin_DASHexpo,
  [anon_sym_ease_DASHout_DASHexpo] = anon_sym_ease_DASHout_DASHexpo,
  [anon_sym_ease_DASHin_DASHout_DASHexpo] = anon_sym_ease_DASHin_DASHout_DASHexpo,
  [anon_sym_ease_DASHin_DASHsine] = anon_sym_ease_DASHin_DASHsine,
  [anon_sym_ease_DASHout_DASHsine] = anon_sym_ease_DASHout_DASHsine,
  [anon_sym_ease_DASHin_DASHout_DASHsine] = anon_sym_ease_DASHin_DASHout_DASHsine,
  [anon_sym_ease_DASHin_DASHback] = anon_sym_ease_DASHin_DASHback,
  [anon_sym_ease_DASHout_DASHback] = anon_sym_ease_DASHout_DASHback,
  [anon_sym_ease_DASHin_DASHout_DASHback] = anon_sym_ease_DASHin_DASHout_DASHback,
  [anon_sym_ease_DASHin_DASHcirc] = anon_sym_ease_DASHin_DASHcirc,
  [anon_sym_ease_DASHout_DASHcirc] = anon_sym_ease_DASHout_DASHcirc,
  [anon_sym_ease_DASHin_DASHout_DASHcirc] = anon_sym_ease_DASHin_DASHout_DASHcirc,
  [anon_sym_ease_DASHin_DASHelastic] = anon_sym_ease_DASHin_DASHelastic,
  [anon_sym_ease_DASHout_DASHelastic] = anon_sym_ease_DASHout_DASHelastic,
  [anon_sym_ease_DASHin_DASHout_DASHelastic] = anon_sym_ease_DASHin_DASHout_DASHelastic,
  [anon_sym_ease_DASHin_DASHbounce] = anon_sym_ease_DASHin_DASHbounce,
  [anon_sym_ease_DASHout_DASHbounce] = anon_sym_ease_DASHout_DASHbounce,
  [anon_sym_ease_DASHin_DASHout_DASHbounce] = anon_sym_ease_DASHin_DASHout_DASHbounce,
  [anon_sym_cubic_DASHbezier] = anon_sym_cubic_DASHbezier,
  [sym_children_identifier] = sym_children_identifier,
  [anon_sym_ATlinear_DASHgradient] = anon_sym_ATlinear_DASHgradient,
  [anon_sym_ATlinear_gradient] = anon_sym_ATlinear_gradient,
  [anon_sym_ATradial_DASHgradient] = anon_sym_ATradial_DASHgradient,
  [anon_sym_ATradial_gradient] = anon_sym_ATradial_gradient,
  [anon_sym_circle] = anon_sym_circle,
  [anon_sym_parent] = anon_sym_parent,
  [anon_sym_root] = anon_sym_root,
  [anon_sym_self] = anon_sym_self,
  [sym__int_number] = sym__int_number,
  [sym__float_number] = sym__float_number,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [sym_color_value] = sym_color_value,
  [anon_sym_phx] = anon_sym_phx,
  [aux_sym_length_value_token1] = aux_sym_length_value_token1,
  [aux_sym_duration_value_token1] = aux_sym_duration_value_token1,
  [aux_sym_angle_value_token1] = aux_sym_angle_value_token1,
  [anon_sym_PERCENT2] = anon_sym_PERCENT,
  [anon_sym_rem] = anon_sym_rem,
  [sym_comment] = sym_comment,
  [sym_sourcefile] = sym_sourcefile,
  [sym__definition] = sym__definition,
  [sym__local_type] = sym__local_type,
  [sym__exported_type] = sym__exported_type,
  [sym_import_statement] = sym_import_statement,
  [sym_export_type] = sym_export_type,
  [sym_import_type] = sym_import_type,
  [sym_component] = sym_component,
  [sym_component_definition] = sym_component_definition,
  [sym__property_type] = sym__property_type,
  [sym_imperative_block] = sym_imperative_block,
  [sym__imperative_block_statement] = sym__imperative_block_statement,
  [sym__binding] = sym__binding,
  [sym_property] = sym_property,
  [sym_binding_alias] = sym_binding_alias,
  [sym_binding] = sym_binding,
  [sym_global_block] = sym_global_block,
  [sym_global_definition] = sym_global_definition,
  [sym_struct_block] = sym_struct_block,
  [sym_struct_definition] = sym_struct_definition,
  [sym_enum_block] = sym_enum_block,
  [sym_enum_definition] = sym_enum_definition,
  [sym_anon_struct_block] = sym_anon_struct_block,
  [sym_block] = sym_block,
  [sym__block_statement] = sym__block_statement,
  [sym_property_assignment] = sym_property_assignment,
  [sym_in_out_transition] = sym_in_out_transition,
  [sym_transitions_definition] = sym_transitions_definition,
  [sym_states_definition] = sym_states_definition,
  [sym_animate_statement] = sym_animate_statement,
  [sym_animate_option_identifier] = sym_animate_option_identifier,
  [sym_animate_option] = sym_animate_option,
  [sym_animate_body] = sym_animate_body,
  [sym_if_expr] = sym_if_expr,
  [sym_if_statement] = sym_if_statement,
  [sym_for_loop] = sym_for_loop,
  [sym_for_range] = sym_for_range,
  [sym_type_list] = sym_type_list,
  [sym_type] = sym_type,
  [sym__assignment_setup] = sym__assignment_setup,
  [sym__assignment_value_block] = sym__assignment_value_block,
  [sym_assignment_block] = sym_assignment_block,
  [sym_assignment_expr] = sym_assignment_expr,
  [sym_expression] = sym_expression,
  [sym_parens_op] = sym_parens_op,
  [sym_index_op] = sym_index_op,
  [sym_tr] = sym_tr,
  [sym_member_access] = sym_member_access,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym__add_binary_expression] = sym__add_binary_expression,
  [sym__comparison_binary_expression] = sym__comparison_binary_expression,
  [sym__logic_binary_expression] = sym__logic_binary_expression,
  [sym__mult_binary_expression] = sym__mult_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_callback] = sym_callback,
  [sym_purity] = sym_purity,
  [sym_function_visibility] = sym_function_visibility,
  [sym_function_definition] = sym_function_definition,
  [sym_callback_alias] = sym_callback_alias,
  [sym_callback_event] = sym_callback_event,
  [sym_changed_callback] = sym_changed_callback,
  [sym_function_call] = sym_function_call,
  [sym_gradient_call] = sym_gradient_call,
  [sym_gradient_color] = sym_gradient_color,
  [sym_image_call] = sym_image_call,
  [sym_typed_identifier] = sym_typed_identifier,
  [sym__function_signature] = sym__function_signature,
  [sym__callback_signature] = sym__callback_signature,
  [sym_argument] = sym_argument,
  [sym_arguments] = sym_arguments,
  [sym_unary_prec_operator] = sym_unary_prec_operator,
  [sym_add_prec_operator] = sym_add_prec_operator,
  [sym_mult_prec_operator] = sym_mult_prec_operator,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_assignment_prec_operator] = sym_assignment_prec_operator,
  [sym__string] = sym__string,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_property_visibility] = sym_property_visibility,
  [sym_simple_identifier] = sym_simple_identifier,
  [sym_simple_indexed_identifier] = sym_simple_indexed_identifier,
  [sym_builtin_type_identifier] = sym_builtin_type_identifier,
  [sym_easing_kind_identifier] = sym_easing_kind_identifier,
  [sym_user_type_identifier] = sym_user_type_identifier,
  [sym__type_identifier] = sym__type_identifier,
  [sym_value_list] = sym_value_list,
  [sym_value] = sym_value,
  [sym_linear_gradient_identifier] = sym_linear_gradient_identifier,
  [sym_radial_gradient_identifier] = sym_radial_gradient_identifier,
  [sym_radial_gradient_kind] = sym_radial_gradient_kind,
  [sym_reference_identifier] = sym_reference_identifier,
  [sym__number] = sym__number,
  [sym_int_value] = sym_int_value,
  [sym_float_value] = sym_float_value,
  [sym_bool_value] = sym_bool_value,
  [sym_string_value] = sym_string_value,
  [sym_physical_length_value] = sym_physical_length_value,
  [sym_length_value] = sym_length_value,
  [sym_duration_value] = sym_duration_value,
  [sym_angle_value] = sym_angle_value,
  [sym_percent_value] = sym_percent_value,
  [sym_relative_font_size_value] = sym_relative_font_size_value,
  [sym__basic_value] = sym__basic_value,
  [aux_sym_sourcefile_repeat1] = aux_sym_sourcefile_repeat1,
  [aux_sym__exported_type_repeat1] = aux_sym__exported_type_repeat1,
  [aux_sym_import_statement_repeat1] = aux_sym_import_statement_repeat1,
  [aux_sym_imperative_block_repeat1] = aux_sym_imperative_block_repeat1,
  [aux_sym_global_block_repeat1] = aux_sym_global_block_repeat1,
  [aux_sym_struct_block_repeat1] = aux_sym_struct_block_repeat1,
  [aux_sym_enum_block_repeat1] = aux_sym_enum_block_repeat1,
  [aux_sym_anon_struct_block_repeat1] = aux_sym_anon_struct_block_repeat1,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym_in_out_transition_repeat1] = aux_sym_in_out_transition_repeat1,
  [aux_sym_transitions_definition_repeat1] = aux_sym_transitions_definition_repeat1,
  [aux_sym_states_definition_repeat1] = aux_sym_states_definition_repeat1,
  [aux_sym_states_definition_repeat2] = aux_sym_states_definition_repeat2,
  [aux_sym_animate_body_repeat1] = aux_sym_animate_body_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_tr_repeat1] = aux_sym_tr_repeat1,
  [aux_sym_function_definition_repeat1] = aux_sym_function_definition_repeat1,
  [aux_sym_gradient_call_repeat1] = aux_sym_gradient_call_repeat1,
  [aux_sym_image_call_repeat1] = aux_sym_image_call_repeat1,
  [aux_sym__function_signature_repeat1] = aux_sym__function_signature_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym__string_repeat1] = aux_sym__string_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_export] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_component] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inherits] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_property] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_out] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transitions] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_states] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_animate] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delay] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_duration] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iteration_DASHcount] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_easing] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATtr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_logical_and] = {
    .visible = true,
    .named = true,
  },
  [sym_logical_or] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_callback] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pure] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_changed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATimage_DASHurl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nine_DASHslice] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__unescaped_string_fragment] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_n] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in_DASHout] = {
    .visible = true,
    .named = false,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_color] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_brush] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_physical_DASHlength] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_length] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_angle] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_percent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_image] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_relative_DASHfont_DASHsize] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_linear] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHquad] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout_DASHquad] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout_DASHquad] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHquart] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout_DASHquart] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout_DASHquart] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHquint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout_DASHquint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout_DASHquint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHexpo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout_DASHexpo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout_DASHexpo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHsine] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout_DASHsine] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout_DASHsine] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHback] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout_DASHback] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout_DASHback] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHcirc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout_DASHcirc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout_DASHcirc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHelastic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout_DASHelastic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout_DASHelastic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHbounce] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHout_DASHbounce] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ease_DASHin_DASHout_DASHbounce] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cubic_DASHbezier] = {
    .visible = true,
    .named = false,
  },
  [sym_children_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_ATlinear_DASHgradient] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATlinear_gradient] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATradial_DASHgradient] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATradial_gradient] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_circle] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_root] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [sym__int_number] = {
    .visible = false,
    .named = true,
  },
  [sym__float_number] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [sym_color_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_phx] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_length_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_duration_value_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_angle_value_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_PERCENT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rem] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_sourcefile] = {
    .visible = true,
    .named = true,
  },
  [sym__definition] = {
    .visible = false,
    .named = true,
  },
  [sym__local_type] = {
    .visible = false,
    .named = true,
  },
  [sym__exported_type] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_export_type] = {
    .visible = true,
    .named = true,
  },
  [sym_import_type] = {
    .visible = true,
    .named = true,
  },
  [sym_component] = {
    .visible = true,
    .named = true,
  },
  [sym_component_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__property_type] = {
    .visible = false,
    .named = true,
  },
  [sym_imperative_block] = {
    .visible = true,
    .named = true,
  },
  [sym__imperative_block_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__binding] = {
    .visible = false,
    .named = true,
  },
  [sym_property] = {
    .visible = true,
    .named = true,
  },
  [sym_binding_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_global_block] = {
    .visible = true,
    .named = true,
  },
  [sym_global_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_block] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_block] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_anon_struct_block] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__block_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_property_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_in_out_transition] = {
    .visible = true,
    .named = true,
  },
  [sym_transitions_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_states_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_animate_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_animate_option_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_animate_option] = {
    .visible = true,
    .named = true,
  },
  [sym_animate_body] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_loop] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_setup] = {
    .visible = false,
    .named = true,
  },
  [sym__assignment_value_block] = {
    .visible = false,
    .named = true,
  },
  [sym_assignment_block] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parens_op] = {
    .visible = true,
    .named = true,
  },
  [sym_index_op] = {
    .visible = true,
    .named = true,
  },
  [sym_tr] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__add_binary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__comparison_binary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__logic_binary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__mult_binary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_callback] = {
    .visible = true,
    .named = true,
  },
  [sym_purity] = {
    .visible = true,
    .named = true,
  },
  [sym_function_visibility] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_callback_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_callback_event] = {
    .visible = true,
    .named = true,
  },
  [sym_changed_callback] = {
    .visible = true,
    .named = true,
  },
  [sym_function_call] = {
    .visible = true,
    .named = true,
  },
  [sym_gradient_call] = {
    .visible = true,
    .named = true,
  },
  [sym_gradient_color] = {
    .visible = true,
    .named = true,
  },
  [sym_image_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__callback_signature] = {
    .visible = false,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_prec_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_add_prec_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_mult_prec_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_prec_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_property_visibility] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_indexed_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_builtin_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_easing_kind_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_user_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__type_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_value_list] = {
    .visible = true,
    .named = true,
  },
  [sym_value] = {
    .visible = true,
    .named = true,
  },
  [sym_linear_gradient_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_radial_gradient_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_radial_gradient_kind] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = false,
    .named = true,
  },
  [sym_int_value] = {
    .visible = true,
    .named = true,
  },
  [sym_float_value] = {
    .visible = true,
    .named = true,
  },
  [sym_bool_value] = {
    .visible = true,
    .named = true,
  },
  [sym_string_value] = {
    .visible = true,
    .named = true,
  },
  [sym_physical_length_value] = {
    .visible = true,
    .named = true,
  },
  [sym_length_value] = {
    .visible = true,
    .named = true,
  },
  [sym_duration_value] = {
    .visible = true,
    .named = true,
  },
  [sym_angle_value] = {
    .visible = true,
    .named = true,
  },
  [sym_percent_value] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_font_size_value] = {
    .visible = true,
    .named = true,
  },
  [sym__basic_value] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_sourcefile_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__exported_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_imperative_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anon_struct_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_in_out_transition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_transitions_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_states_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_states_definition_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_animate_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tr_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gradient_call_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_image_call_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_signature_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_action = 1,
  field_alias = 2,
  field_angle = 3,
  field_arguments = 4,
  field_base = 5,
  field_base_type = 6,
  field_binding = 7,
  field_binding_op = 8,
  field_colors = 9,
  field_condition = 10,
  field_context = 11,
  field_export_name = 12,
  field_expression = 13,
  field_id = 14,
  field_identifier = 15,
  field_image = 16,
  field_import_name = 17,
  field_index = 18,
  field_index_var = 19,
  field_left = 20,
  field_local_name = 21,
  field_member = 22,
  field_message = 23,
  field_name = 24,
  field_op = 25,
  field_option = 26,
  field_percent = 27,
  field_pipe = 28,
  field_property = 29,
  field_range = 30,
  field_return_type = 31,
  field_right = 32,
  field_type = 33,
  field_value = 34,
  field_visibility = 35,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_action] = "action",
  [field_alias] = "alias",
  [field_angle] = "angle",
  [field_arguments] = "arguments",
  [field_base] = "base",
  [field_base_type] = "base_type",
  [field_binding] = "binding",
  [field_binding_op] = "binding_op",
  [field_colors] = "colors",
  [field_condition] = "condition",
  [field_context] = "context",
  [field_export_name] = "export_name",
  [field_expression] = "expression",
  [field_id] = "id",
  [field_identifier] = "identifier",
  [field_image] = "image",
  [field_import_name] = "import_name",
  [field_index] = "index",
  [field_index_var] = "index_var",
  [field_left] = "left",
  [field_local_name] = "local_name",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_op] = "op",
  [field_option] = "option",
  [field_percent] = "percent",
  [field_pipe] = "pipe",
  [field_property] = "property",
  [field_range] = "range",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_type] = "type",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 2},
  [6] = {.index = 6, .length = 2},
  [7] = {.index = 8, .length = 2},
  [8] = {.index = 10, .length = 3},
  [9] = {.index = 13, .length = 1},
  [10] = {.index = 14, .length = 2},
  [11] = {.index = 16, .length = 1},
  [12] = {.index = 17, .length = 2},
  [13] = {.index = 19, .length = 2},
  [14] = {.index = 21, .length = 2},
  [15] = {.index = 23, .length = 2},
  [16] = {.index = 25, .length = 2},
  [17] = {.index = 27, .length = 2},
  [18] = {.index = 29, .length = 1},
  [19] = {.index = 30, .length = 2},
  [20] = {.index = 32, .length = 3},
  [21] = {.index = 35, .length = 1},
  [22] = {.index = 36, .length = 2},
  [23] = {.index = 38, .length = 1},
  [24] = {.index = 39, .length = 1},
  [25] = {.index = 40, .length = 2},
  [26] = {.index = 42, .length = 2},
  [27] = {.index = 44, .length = 1},
  [28] = {.index = 45, .length = 2},
  [29] = {.index = 47, .length = 3},
  [30] = {.index = 50, .length = 2},
  [31] = {.index = 52, .length = 2},
  [32] = {.index = 54, .length = 1},
  [33] = {.index = 55, .length = 2},
  [34] = {.index = 57, .length = 2},
  [35] = {.index = 59, .length = 1},
  [36] = {.index = 60, .length = 4},
  [37] = {.index = 64, .length = 2},
  [38] = {.index = 66, .length = 2},
  [39] = {.index = 68, .length = 1},
  [40] = {.index = 69, .length = 2},
  [41] = {.index = 71, .length = 3},
  [42] = {.index = 74, .length = 3},
  [43] = {.index = 77, .length = 2},
  [44] = {.index = 79, .length = 2},
  [45] = {.index = 81, .length = 3},
  [46] = {.index = 84, .length = 3},
  [47] = {.index = 87, .length = 4},
  [48] = {.index = 91, .length = 4},
  [49] = {.index = 95, .length = 3},
  [50] = {.index = 98, .length = 2},
  [51] = {.index = 100, .length = 3},
  [52] = {.index = 103, .length = 2},
  [53] = {.index = 105, .length = 2},
  [54] = {.index = 107, .length = 3},
  [55] = {.index = 110, .length = 2},
  [56] = {.index = 112, .length = 2},
  [57] = {.index = 114, .length = 2},
  [58] = {.index = 116, .length = 2},
  [59] = {.index = 118, .length = 2},
  [60] = {.index = 120, .length = 5},
  [61] = {.index = 125, .length = 3},
  [62] = {.index = 128, .length = 3},
  [63] = {.index = 131, .length = 3},
  [64] = {.index = 134, .length = 2},
  [65] = {.index = 136, .length = 3},
  [66] = {.index = 139, .length = 3},
  [67] = {.index = 142, .length = 4},
  [68] = {.index = 146, .length = 4},
  [69] = {.index = 150, .length = 5},
  [70] = {.index = 155, .length = 5},
  [71] = {.index = 160, .length = 3},
  [72] = {.index = 163, .length = 6},
  [73] = {.index = 169, .length = 6},
  [74] = {.index = 175, .length = 6},
  [75] = {.index = 181, .length = 7},
  [76] = {.index = 188, .length = 7},
  [77] = {.index = 195, .length = 7},
  [78] = {.index = 202, .length = 7},
  [79] = {.index = 209, .length = 7},
  [80] = {.index = 216, .length = 5},
  [81] = {.index = 221, .length = 5},
  [82] = {.index = 226, .length = 8},
  [83] = {.index = 234, .length = 8},
  [84] = {.index = 242, .length = 6},
  [85] = {.index = 248, .length = 7},
  [86] = {.index = 255, .length = 7},
  [87] = {.index = 262, .length = 8},
  [88] = {.index = 270, .length = 9},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_local_name, 0},
  [1] =
    {field_import_name, 0},
  [2] =
    {field_name, 1},
  [3] =
    {field_value, 0},
  [4] =
    {field_base_type, 2},
    {field_name, 0},
  [6] =
    {field_export_name, 2},
    {field_local_name, 0},
  [8] =
    {field_import_name, 0},
    {field_local_name, 2},
  [10] =
    {field_left, 0, .inherited = true},
    {field_op, 0, .inherited = true},
    {field_right, 0, .inherited = true},
  [13] =
    {field_name, 0},
  [14] =
    {field_arguments, 1},
    {field_name, 0},
  [16] =
    {field_type, 0},
  [17] =
    {field_base_type, 3},
    {field_name, 1},
  [19] =
    {field_left, 1},
    {field_op, 0},
  [21] =
    {field_action, 2},
    {field_name, 0},
  [23] =
    {field_property, 0},
    {field_value, 2},
  [25] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [27] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [29] =
    {field_left, 1},
  [30] =
    {field_base, 0},
    {field_member, 2},
  [32] =
    {field_left, 0},
    {field_op, 1},
    {field_right, 2},
  [35] =
    {field_type, 1},
  [36] =
    {field_name, 2},
    {field_type, 1, .inherited = true},
  [38] =
    {field_name, 2, .inherited = true},
  [39] =
    {field_condition, 1},
  [40] =
    {field_arguments, 2, .inherited = true},
    {field_name, 1},
  [42] =
    {field_action, 3},
    {field_name, 1},
  [44] =
    {field_name, 2},
  [45] =
    {field_id, 0},
    {field_type, 2},
  [47] =
    {field_property, 0},
    {field_value, 2},
    {field_value, 3},
  [50] =
    {field_alias, 2},
    {field_name, 0},
  [52] =
    {field_name, 1},
    {field_type, 3},
  [54] =
    {field_message, 2},
  [55] =
    {field_image, 2},
    {field_name, 0},
  [57] =
    {field_index, 2},
    {field_left, 0},
  [59] =
    {field_binding, 0},
  [60] =
    {field_binding, 4, .inherited = true},
    {field_binding_op, 3},
    {field_name, 2},
    {field_type, 1, .inherited = true},
  [64] =
    {field_alias, 3},
    {field_name, 1},
  [66] =
    {field_index_var, 2},
    {field_name, 0},
  [68] =
    {field_arguments, 1},
  [69] =
    {field_name, 1},
    {field_return_type, 3},
  [71] =
    {field_name, 0, .inherited = true},
    {field_op, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [74] =
    {field_name, 0, .inherited = true},
    {field_op, 0, .inherited = true},
    {field_value, 1},
  [77] =
    {field_name, 0},
    {field_op, 1},
  [79] =
    {field_arguments, 3, .inherited = true},
    {field_name, 2},
  [81] =
    {field_name, 3},
    {field_type, 2, .inherited = true},
    {field_visibility, 0},
  [84] =
    {field_alias, 3},
    {field_name, 1},
    {field_visibility, 0},
  [87] =
    {field_name, 1},
    {field_name, 4, .inherited = true},
    {field_type, 3},
    {field_type, 4, .inherited = true},
  [91] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [95] =
    {field_condition, 0},
    {field_left, 2},
    {field_right, 4},
  [98] =
    {field_binding, 0},
    {field_binding, 1},
  [100] =
    {field_binding_op, 3},
    {field_name, 2},
    {field_type, 1, .inherited = true},
  [103] =
    {field_identifier, 1},
    {field_range, 3},
  [105] =
    {field_arguments, 1},
    {field_arguments, 2},
  [107] =
    {field_arguments, 2, .inherited = true},
    {field_name, 1},
    {field_return_type, 4},
  [110] =
    {field_value, 0},
    {field_value, 1},
  [112] =
    {field_binding, 2, .inherited = true},
    {field_name, 0},
  [114] =
    {field_name, 0},
    {field_type, 2},
  [116] =
    {field_alias, 4},
    {field_name, 2},
  [118] =
    {field_name, 2},
    {field_return_type, 4},
  [120] =
    {field_binding, 5, .inherited = true},
    {field_binding_op, 4},
    {field_name, 3},
    {field_type, 2, .inherited = true},
    {field_visibility, 0},
  [125] =
    {field_alias, 4},
    {field_name, 2},
    {field_visibility, 0},
  [128] =
    {field_arguments, 3},
    {field_arguments, 4},
    {field_message, 2},
  [131] =
    {field_context, 2},
    {field_context, 3},
    {field_message, 4},
  [134] =
    {field_expression, 2},
    {field_option, 0},
  [136] =
    {field_arguments, 1},
    {field_arguments, 2},
    {field_arguments, 3},
  [139] =
    {field_arguments, 3, .inherited = true},
    {field_name, 2},
    {field_return_type, 5},
  [142] =
    {field_binding_op, 4},
    {field_name, 3},
    {field_type, 2, .inherited = true},
    {field_visibility, 0},
  [146] =
    {field_arguments, 3},
    {field_arguments, 4},
    {field_arguments, 5},
    {field_message, 2},
  [150] =
    {field_arguments, 3},
    {field_arguments, 4},
    {field_arguments, 5},
    {field_arguments, 6},
    {field_message, 2},
  [155] =
    {field_arguments, 5},
    {field_arguments, 6},
    {field_context, 2},
    {field_context, 3},
    {field_message, 4},
  [160] =
    {field_message, 2},
    {field_percent, 6},
    {field_pipe, 4},
  [163] =
    {field_angle, 2},
    {field_arguments, 3},
    {field_colors, 4},
    {field_colors, 5},
    {field_colors, 6},
    {field_name, 0},
  [169] =
    {field_arguments, 3},
    {field_colors, 4},
    {field_colors, 5},
    {field_colors, 6},
    {field_name, 0},
    {field_type, 2},
  [175] =
    {field_arguments, 5},
    {field_arguments, 6},
    {field_arguments, 7},
    {field_context, 2},
    {field_context, 3},
    {field_message, 4},
  [181] =
    {field_angle, 2},
    {field_arguments, 3},
    {field_arguments, 7},
    {field_colors, 4},
    {field_colors, 5},
    {field_colors, 6},
    {field_name, 0},
  [188] =
    {field_angle, 2},
    {field_arguments, 3},
    {field_colors, 4},
    {field_colors, 5},
    {field_colors, 6},
    {field_colors, 7},
    {field_name, 0},
  [195] =
    {field_arguments, 3},
    {field_arguments, 7},
    {field_colors, 4},
    {field_colors, 5},
    {field_colors, 6},
    {field_name, 0},
    {field_type, 2},
  [202] =
    {field_arguments, 3},
    {field_colors, 4},
    {field_colors, 5},
    {field_colors, 6},
    {field_colors, 7},
    {field_name, 0},
    {field_type, 2},
  [209] =
    {field_arguments, 5},
    {field_arguments, 6},
    {field_arguments, 7},
    {field_arguments, 8},
    {field_context, 2},
    {field_context, 3},
    {field_message, 4},
  [216] =
    {field_context, 2},
    {field_context, 3},
    {field_message, 4},
    {field_percent, 8},
    {field_pipe, 6},
  [221] =
    {field_arguments, 7},
    {field_arguments, 8},
    {field_message, 2},
    {field_percent, 6},
    {field_pipe, 4},
  [226] =
    {field_angle, 2},
    {field_arguments, 3},
    {field_arguments, 8},
    {field_colors, 4},
    {field_colors, 5},
    {field_colors, 6},
    {field_colors, 7},
    {field_name, 0},
  [234] =
    {field_arguments, 3},
    {field_arguments, 8},
    {field_colors, 4},
    {field_colors, 5},
    {field_colors, 6},
    {field_colors, 7},
    {field_name, 0},
    {field_type, 2},
  [242] =
    {field_arguments, 7},
    {field_arguments, 8},
    {field_arguments, 9},
    {field_message, 2},
    {field_percent, 6},
    {field_pipe, 4},
  [248] =
    {field_arguments, 9},
    {field_arguments, 10},
    {field_context, 2},
    {field_context, 3},
    {field_message, 4},
    {field_percent, 8},
    {field_pipe, 6},
  [255] =
    {field_arguments, 7},
    {field_arguments, 8},
    {field_arguments, 9},
    {field_arguments, 10},
    {field_message, 2},
    {field_percent, 6},
    {field_pipe, 4},
  [262] =
    {field_arguments, 9},
    {field_arguments, 10},
    {field_arguments, 11},
    {field_context, 2},
    {field_context, 3},
    {field_message, 4},
    {field_percent, 8},
    {field_pipe, 6},
  [270] =
    {field_arguments, 9},
    {field_arguments, 10},
    {field_arguments, 11},
    {field_arguments, 12},
    {field_context, 2},
    {field_context, 3},
    {field_message, 4},
    {field_percent, 8},
    {field_pipe, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 7,
  [11] = 8,
  [12] = 7,
  [13] = 8,
  [14] = 8,
  [15] = 7,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 19,
  [22] = 22,
  [23] = 22,
  [24] = 24,
  [25] = 20,
  [26] = 24,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 27,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 29,
  [40] = 40,
  [41] = 30,
  [42] = 42,
  [43] = 36,
  [44] = 37,
  [45] = 45,
  [46] = 45,
  [47] = 42,
  [48] = 42,
  [49] = 35,
  [50] = 34,
  [51] = 40,
  [52] = 32,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 53,
  [65] = 65,
  [66] = 66,
  [67] = 58,
  [68] = 62,
  [69] = 63,
  [70] = 70,
  [71] = 66,
  [72] = 65,
  [73] = 73,
  [74] = 61,
  [75] = 55,
  [76] = 54,
  [77] = 60,
  [78] = 59,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 90,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 95,
  [103] = 103,
  [104] = 98,
  [105] = 83,
  [106] = 96,
  [107] = 86,
  [108] = 108,
  [109] = 100,
  [110] = 110,
  [111] = 111,
  [112] = 90,
  [113] = 113,
  [114] = 88,
  [115] = 85,
  [116] = 116,
  [117] = 113,
  [118] = 80,
  [119] = 89,
  [120] = 87,
  [121] = 110,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 111,
  [126] = 126,
  [127] = 122,
  [128] = 81,
  [129] = 89,
  [130] = 82,
  [131] = 131,
  [132] = 132,
  [133] = 91,
  [134] = 92,
  [135] = 99,
  [136] = 93,
  [137] = 137,
  [138] = 110,
  [139] = 94,
  [140] = 131,
  [141] = 126,
  [142] = 108,
  [143] = 94,
  [144] = 126,
  [145] = 85,
  [146] = 92,
  [147] = 80,
  [148] = 131,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 229,
  [232] = 228,
  [233] = 229,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 234,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 241,
  [243] = 236,
  [244] = 244,
  [245] = 238,
  [246] = 246,
  [247] = 247,
  [248] = 240,
  [249] = 249,
  [250] = 246,
  [251] = 251,
  [252] = 252,
  [253] = 239,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 267,
  [269] = 267,
  [270] = 270,
  [271] = 270,
  [272] = 272,
  [273] = 272,
  [274] = 272,
  [275] = 272,
  [276] = 276,
  [277] = 228,
  [278] = 228,
  [279] = 158,
  [280] = 149,
  [281] = 150,
  [282] = 164,
  [283] = 152,
  [284] = 157,
  [285] = 215,
  [286] = 160,
  [287] = 154,
  [288] = 155,
  [289] = 224,
  [290] = 166,
  [291] = 161,
  [292] = 203,
  [293] = 162,
  [294] = 165,
  [295] = 163,
  [296] = 153,
  [297] = 159,
  [298] = 156,
  [299] = 214,
  [300] = 195,
  [301] = 181,
  [302] = 174,
  [303] = 179,
  [304] = 221,
  [305] = 178,
  [306] = 210,
  [307] = 176,
  [308] = 209,
  [309] = 216,
  [310] = 175,
  [311] = 192,
  [312] = 202,
  [313] = 217,
  [314] = 198,
  [315] = 211,
  [316] = 197,
  [317] = 183,
  [318] = 182,
  [319] = 206,
  [320] = 204,
  [321] = 185,
  [322] = 201,
  [323] = 167,
  [324] = 168,
  [325] = 191,
  [326] = 213,
  [327] = 207,
  [328] = 184,
  [329] = 177,
  [330] = 199,
  [331] = 169,
  [332] = 170,
  [333] = 180,
  [334] = 219,
  [335] = 208,
  [336] = 205,
  [337] = 173,
  [338] = 186,
  [339] = 223,
  [340] = 171,
  [341] = 187,
  [342] = 200,
  [343] = 172,
  [344] = 188,
  [345] = 220,
  [346] = 189,
  [347] = 222,
  [348] = 225,
  [349] = 218,
  [350] = 190,
  [351] = 228,
  [352] = 194,
  [353] = 193,
  [354] = 149,
  [355] = 150,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 365,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 369,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 370,
  [378] = 375,
  [379] = 152,
  [380] = 161,
  [381] = 154,
  [382] = 157,
  [383] = 383,
  [384] = 155,
  [385] = 385,
  [386] = 385,
  [387] = 164,
  [388] = 166,
  [389] = 160,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 392,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 395,
  [399] = 399,
  [400] = 397,
  [401] = 399,
  [402] = 393,
  [403] = 396,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 227,
  [408] = 408,
  [409] = 409,
  [410] = 405,
  [411] = 390,
  [412] = 404,
  [413] = 406,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 234,
  [427] = 427,
  [428] = 419,
  [429] = 429,
  [430] = 416,
  [431] = 431,
  [432] = 423,
  [433] = 420,
  [434] = 434,
  [435] = 415,
  [436] = 436,
  [437] = 437,
  [438] = 420,
  [439] = 230,
  [440] = 440,
  [441] = 440,
  [442] = 417,
  [443] = 425,
  [444] = 444,
  [445] = 431,
  [446] = 427,
  [447] = 447,
  [448] = 448,
  [449] = 419,
  [450] = 444,
  [451] = 451,
  [452] = 247,
  [453] = 260,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 256,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 240,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 236,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 490,
  [494] = 494,
  [495] = 495,
  [496] = 475,
  [497] = 497,
  [498] = 483,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 456,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 234,
  [519] = 247,
  [520] = 499,
  [521] = 467,
  [522] = 502,
  [523] = 481,
  [524] = 494,
  [525] = 480,
  [526] = 478,
  [527] = 486,
  [528] = 466,
  [529] = 491,
  [530] = 469,
  [531] = 461,
  [532] = 260,
  [533] = 460,
  [534] = 508,
  [535] = 482,
  [536] = 455,
  [537] = 506,
  [538] = 256,
  [539] = 236,
  [540] = 505,
  [541] = 473,
  [542] = 462,
  [543] = 487,
  [544] = 474,
  [545] = 484,
  [546] = 458,
  [547] = 509,
  [548] = 465,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 457,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 555,
  [558] = 558,
  [559] = 558,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 240,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 582,
  [586] = 583,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 592,
  [595] = 595,
  [596] = 596,
  [597] = 596,
  [598] = 598,
  [599] = 590,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 603,
  [614] = 614,
  [615] = 615,
  [616] = 608,
  [617] = 617,
  [618] = 618,
  [619] = 605,
  [620] = 602,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 623,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 622,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 638,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 644,
  [649] = 649,
  [650] = 647,
  [651] = 651,
  [652] = 626,
  [653] = 635,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 257,
  [676] = 676,
  [677] = 677,
  [678] = 667,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 255,
  [687] = 687,
  [688] = 688,
  [689] = 673,
  [690] = 657,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 659,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 660,
  [703] = 661,
  [704] = 251,
  [705] = 705,
  [706] = 668,
  [707] = 669,
  [708] = 672,
  [709] = 676,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 677,
  [716] = 691,
  [717] = 717,
  [718] = 693,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 710,
  [723] = 711,
  [724] = 724,
  [725] = 712,
  [726] = 726,
  [727] = 695,
  [728] = 728,
  [729] = 729,
  [730] = 658,
  [731] = 680,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 732,
  [736] = 736,
  [737] = 737,
  [738] = 736,
  [739] = 739,
  [740] = 737,
  [741] = 741,
  [742] = 742,
  [743] = 742,
  [744] = 744,
  [745] = 655,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 748,
  [751] = 739,
  [752] = 694,
  [753] = 753,
  [754] = 754,
  [755] = 753,
  [756] = 756,
  [757] = 757,
  [758] = 497,
  [759] = 759,
  [760] = 760,
  [761] = 492,
  [762] = 762,
  [763] = 754,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 772,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 783,
  [789] = 784,
  [790] = 790,
  [791] = 470,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 778,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 775,
  [808] = 808,
  [809] = 797,
  [810] = 808,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 811,
  [815] = 815,
  [816] = 816,
  [817] = 766,
  [818] = 818,
  [819] = 819,
  [820] = 802,
  [821] = 803,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 816,
  [831] = 831,
  [832] = 832,
  [833] = 766,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 860,
  [864] = 857,
  [865] = 836,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 862,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 870,
  [882] = 882,
  [883] = 883,
  [884] = 840,
  [885] = 885,
  [886] = 886,
  [887] = 859,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 854,
  [892] = 877,
  [893] = 872,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 838,
  [900] = 879,
  [901] = 847,
  [902] = 902,
  [903] = 861,
  [904] = 874,
  [905] = 885,
  [906] = 906,
  [907] = 855,
  [908] = 849,
  [909] = 848,
  [910] = 841,
  [911] = 896,
  [912] = 912,
  [913] = 913,
  [914] = 878,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 890,
  [919] = 895,
  [920] = 920,
  [921] = 921,
  [922] = 845,
  [923] = 837,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(438);
      ADVANCE_MAP(
        '!', 523,
        '"', 544,
        '#', 434,
        '%', 1005,
        '&', 18,
        '(', 495,
        ')', 496,
        '*', 530,
        '+', 528,
        ',', 442,
        '-', 526,
        '.', 503,
        '/', 532,
        ':', 463,
        ';', 447,
        '<', 454,
        '=', 539,
        '>', 457,
        '?', 506,
        '@', 101,
        '[', 477,
        '\\', 551,
        ']', 478,
        'a', 261,
        'b', 302,
        'c', 43,
        'd', 125,
        'e', 45,
        'f', 51,
        'g', 238,
        'i', 170,
        'l', 146,
        'm', 255,
        'n', 553,
        'o', 406,
        'p', 59,
        'r', 47,
        's', 1000,
        't', 328,
        'u', 430,
        'w', 191,
        '{', 441,
        '|', 500,
        '}', 443,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(436);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(987);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 523,
        '"', 544,
        '#', 434,
        '%', 1005,
        '&', 18,
        '(', 495,
        ')', 496,
        '*', 530,
        '+', 528,
        ',', 442,
        '-', 525,
        '.', 503,
        '/', 532,
        ':', 462,
        ';', 447,
        '<', 455,
        '=', 539,
        '>', 457,
        '?', 506,
        '@', 193,
        '[', 477,
        'c', 864,
        'e', 560,
        'f', 567,
        'i', 658,
        'l', 690,
        'p', 571,
        'r', 646,
        's', 644,
        't', 798,
        '{', 441,
        '|', 431,
        '}', 443,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(987);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 523,
        '"', 544,
        '#', 434,
        '%', 1005,
        '&', 18,
        '(', 495,
        '*', 530,
        '+', 528,
        '-', 525,
        '.', 503,
        '/', 532,
        ':', 462,
        ';', 447,
        '<', 455,
        '=', 538,
        '>', 457,
        '?', 506,
        '@', 193,
        '[', 477,
        'c', 720,
        'd', 633,
        'e', 560,
        'f', 567,
        'g', 800,
        'i', 656,
        'l', 690,
        'm', 719,
        'p', 570,
        'r', 562,
        's', 1001,
        't', 797,
        '{', 441,
        '|', 431,
        '}', 443,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(987);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 523,
        '"', 544,
        '#', 434,
        '&', 18,
        '(', 495,
        ')', 496,
        '*', 530,
        '+', 528,
        ',', 442,
        '-', 525,
        '.', 503,
        '/', 532,
        ':', 462,
        ';', 447,
        '<', 455,
        '=', 539,
        '>', 457,
        '?', 506,
        '@', 193,
        '[', 477,
        'c', 864,
        'e', 560,
        'f', 567,
        'i', 658,
        'l', 690,
        'p', 571,
        'r', 646,
        's', 644,
        't', 798,
        '{', 441,
        '|', 431,
        '}', 443,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(987);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 523,
        '"', 544,
        '#', 434,
        '&', 18,
        '(', 495,
        '*', 530,
        '+', 528,
        '-', 525,
        '.', 503,
        '/', 532,
        ':', 462,
        ';', 447,
        '<', 455,
        '=', 538,
        '>', 457,
        '?', 506,
        '@', 193,
        '[', 477,
        'c', 864,
        'e', 560,
        'f', 567,
        'i', 658,
        'l', 690,
        'p', 571,
        'r', 646,
        's', 644,
        't', 798,
        '{', 441,
        '|', 431,
        '}', 443,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(987);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 523,
        '"', 544,
        '#', 434,
        '&', 18,
        '(', 495,
        '*', 529,
        '+', 527,
        '-', 524,
        '.', 503,
        '/', 531,
        ':', 462,
        ';', 447,
        '<', 455,
        '=', 38,
        '>', 457,
        '?', 506,
        '@', 193,
        '[', 477,
        'c', 864,
        'e', 560,
        'f', 567,
        'i', 730,
        'l', 690,
        'o', 873,
        'p', 571,
        'r', 767,
        's', 644,
        't', 798,
        '{', 441,
        '|', 431,
        '}', 443,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(987);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 36,
        '%', 1005,
        '&', 18,
        ')', 496,
        '*', 530,
        '+', 528,
        ',', 442,
        '-', 525,
        '.', 502,
        '/', 532,
        ':', 462,
        ';', 447,
        '<', 455,
        '=', 538,
        '>', 457,
        '?', 506,
        '[', 477,
        ']', 478,
        'c', 254,
        'd', 151,
        'g', 348,
        'i', 262,
        'm', 255,
        'p', 189,
        'r', 48,
        's', 999,
        't', 410,
        '{', 441,
        '|', 431,
        '}', 443,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 36,
        '%', 1005,
        '&', 18,
        ')', 496,
        '*', 529,
        '+', 527,
        ',', 442,
        '-', 524,
        '.', 503,
        '/', 531,
        '<', 455,
        '=', 38,
        '>', 457,
        '?', 506,
        '[', 477,
        'c', 254,
        'd', 151,
        'g', 348,
        'i', 262,
        'm', 255,
        'p', 189,
        'r', 48,
        's', 999,
        't', 410,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(987);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 36,
        '%', 501,
        '&', 18,
        ')', 496,
        '*', 530,
        '+', 528,
        ',', 442,
        '-', 525,
        '.', 502,
        '/', 532,
        ':', 462,
        ';', 447,
        '<', 455,
        '=', 539,
        '>', 457,
        '?', 506,
        '[', 477,
        ']', 478,
        'a', 737,
        'b', 772,
        'c', 776,
        'd', 872,
        'e', 587,
        'f', 708,
        'i', 722,
        'l', 650,
        'p', 653,
        'r', 647,
        's', 853,
        '{', 441,
        '|', 500,
        '}', 443,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 36,
        '&', 18,
        '(', 495,
        ')', 496,
        '*', 530,
        '+', 528,
        ',', 442,
        '-', 526,
        '.', 502,
        '/', 532,
        ':', 462,
        ';', 447,
        '<', 454,
        '=', 539,
        '>', 457,
        '?', 506,
        '[', 477,
        ']', 478,
        'i', 263,
        'n', 218,
        'o', 406,
        'w', 191,
        '{', 441,
        '|', 431,
        '}', 443,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 36,
        '&', 18,
        ')', 496,
        '*', 530,
        '+', 528,
        ',', 442,
        '-', 525,
        '.', 502,
        '/', 532,
        ':', 462,
        ';', 447,
        '<', 455,
        '=', 538,
        '>', 457,
        '?', 506,
        '[', 477,
        ']', 478,
        '{', 441,
        '|', 431,
        '}', 443,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 36,
        '&', 18,
        ')', 496,
        '*', 529,
        '+', 527,
        ',', 442,
        '-', 524,
        '.', 503,
        '/', 531,
        '<', 455,
        '=', 38,
        '>', 457,
        '?', 506,
        '[', 477,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(987);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 36,
        '&', 18,
        '*', 529,
        '+', 527,
        ',', 442,
        '-', 524,
        '.', 502,
        '/', 531,
        ';', 447,
        '<', 455,
        '=', 38,
        '>', 457,
        '?', 506,
        '@', 100,
        '[', 477,
        'a', 744,
        'c', 572,
        'f', 773,
        'i', 657,
        'o', 873,
        'p', 794,
        's', 850,
        't', 807,
        '|', 431,
        '}', 443,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 36,
        '&', 18,
        '*', 529,
        '+', 527,
        '-', 524,
        '.', 502,
        '/', 531,
        ':', 462,
        '<', 455,
        '=', 38,
        '>', 457,
        '?', 506,
        '[', 477,
        ']', 478,
        'i', 263,
        'o', 406,
        '|', 431,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 36,
        '&', 18,
        '*', 529,
        '+', 527,
        '-', 524,
        '.', 502,
        '/', 531,
        ';', 447,
        '<', 455,
        '=', 38,
        '>', 457,
        '?', 506,
        '[', 477,
        'c', 573,
        'f', 870,
        'i', 732,
        'o', 873,
        'p', 794,
        '|', 431,
        '}', 443,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 522,
        '"', 544,
        '#', 434,
        '(', 495,
        ')', 496,
        '+', 527,
        ',', 442,
        '-', 524,
        '.', 433,
        '/', 21,
        ':', 463,
        ';', 447,
        '<', 39,
        '=', 41,
        '@', 193,
        '[', 477,
        ']', 478,
        'c', 864,
        'e', 560,
        'f', 567,
        'l', 690,
        'p', 571,
        'r', 767,
        's', 644,
        't', 798,
        '{', 441,
        '|', 499,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(987);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 522,
        '"', 544,
        '#', 434,
        '(', 495,
        '+', 527,
        '-', 524,
        '.', 433,
        '/', 21,
        ';', 447,
        '@', 193,
        '[', 477,
        'c', 864,
        'e', 559,
        'f', 567,
        'i', 658,
        'l', 690,
        'p', 571,
        'r', 646,
        's', 644,
        't', 798,
        '{', 441,
        '}', 443,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(987);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(544);
      if (lookahead == '/') ADVANCE(545);
      if (lookahead == '\\') ADVANCE(551);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(548);
      if (lookahead != 0) ADVANCE(550);
      END_STATE();
    case 18:
      if (lookahead == '&') ADVANCE(504);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '(', 495,
        ')', 496,
        ',', 442,
        '-', 40,
        '/', 21,
        ':', 37,
        ';', 447,
        '<', 39,
        '>', 456,
        ']', 478,
        'a', 356,
        'i', 295,
        '{', 441,
        '}', 443,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      END_STATE();
    case 20:
      if (lookahead == ')') ADVANCE(496);
      if (lookahead == ',') ADVANCE(442);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == '<') ADVANCE(453);
      if (lookahead == ']') ADVANCE(478);
      if (lookahead == '}') ADVANCE(443);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(1009);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(1008);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 23:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead != 0) ADVANCE(23);
      END_STATE();
    case 24:
      if (lookahead == ',') ADVANCE(442);
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == 'a') ADVANCE(744);
      if (lookahead == '}') ADVANCE(443);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 25:
      if (lookahead == '-') ADVANCE(172);
      END_STATE();
    case 26:
      if (lookahead == '-') ADVANCE(88);
      END_STATE();
    case 27:
      if (lookahead == '-') ADVANCE(181);
      if (lookahead == '_') ADVANCE(183);
      END_STATE();
    case 28:
      if (lookahead == '-') ADVANCE(367);
      END_STATE();
    case 29:
      if (lookahead == '-') ADVANCE(105);
      END_STATE();
    case 30:
      if (lookahead == '-') ADVANCE(414);
      END_STATE();
    case 31:
      if (lookahead == '-') ADVANCE(364);
      END_STATE();
    case 32:
      if (lookahead == '-') ADVANCE(244);
      END_STATE();
    case 33:
      if (lookahead == '-') ADVANCE(184);
      if (lookahead == '_') ADVANCE(185);
      END_STATE();
    case 34:
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == 'f') ADVANCE(870);
      if (lookahead == 'p') ADVANCE(794);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 35:
      if (lookahead == '/') ADVANCE(21);
      if (lookahead == 'p') ADVANCE(805);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 36:
      if (lookahead == '=') ADVANCE(537);
      END_STATE();
    case 37:
      if (lookahead == '=') ADVANCE(449);
      END_STATE();
    case 38:
      if (lookahead == '=') ADVANCE(536);
      END_STATE();
    case 39:
      if (lookahead == '=') ADVANCE(42);
      END_STATE();
    case 40:
      if (lookahead == '>') ADVANCE(509);
      END_STATE();
    case 41:
      if (lookahead == '>') ADVANCE(498);
      END_STATE();
    case 42:
      if (lookahead == '>') ADVANCE(464);
      END_STATE();
    case 43:
      if (lookahead == 'a') ADVANCE(240);
      if (lookahead == 'h') ADVANCE(57);
      if (lookahead == 'i') ADVANCE(330);
      if (lookahead == 'm') ADVANCE(997);
      if (lookahead == 'o') ADVANCE(239);
      if (lookahead == 'u') ADVANCE(84);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(240);
      if (lookahead == 'h') ADVANCE(57);
      if (lookahead == 'i') ADVANCE(330);
      if (lookahead == 'o') ADVANCE(239);
      if (lookahead == 'u') ADVANCE(84);
      END_STATE();
    case 45:
      if (lookahead == 'a') ADVANCE(359);
      if (lookahead == 'l') ADVANCE(361);
      if (lookahead == 'n') ADVANCE(408);
      if (lookahead == 'x') ADVANCE(326);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(114);
      END_STATE();
    case 47:
      if (lookahead == 'a') ADVANCE(114);
      if (lookahead == 'e') ADVANCE(247);
      if (lookahead == 'o') ADVANCE(307);
      END_STATE();
    case 48:
      if (lookahead == 'a') ADVANCE(114);
      if (lookahead == 'e') ADVANCE(256);
      END_STATE();
    case 49:
      if (lookahead == 'a') ADVANCE(178);
      if (lookahead == 'p') ADVANCE(315);
      END_STATE();
    case 50:
      if (lookahead == 'a') ADVANCE(116);
      if (lookahead == 'i') ADVANCE(282);
      END_STATE();
    case 51:
      if (lookahead == 'a') ADVANCE(246);
      if (lookahead == 'l') ADVANCE(309);
      if (lookahead == 'o') ADVANCE(331);
      if (lookahead == 'r') ADVANCE(308);
      if (lookahead == 'u') ADVANCE(271);
      END_STATE();
    case 52:
      if (lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 53:
      if (lookahead == 'a') ADVANCE(425);
      END_STATE();
    case 54:
      if (lookahead == 'a') ADVANCE(117);
      if (lookahead == 'i') ADVANCE(286);
      END_STATE();
    case 55:
      if (lookahead == 'a') ADVANCE(394);
      END_STATE();
    case 56:
      if (lookahead == 'a') ADVANCE(118);
      if (lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 57:
      if (lookahead == 'a') ADVANCE(298);
      END_STATE();
    case 58:
      if (lookahead == 'a') ADVANCE(372);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(349);
      if (lookahead == 'e') ADVANCE(336);
      if (lookahead == 'h') ADVANCE(424);
      if (lookahead == 'r') ADVANCE(194);
      if (lookahead == 'u') ADVANCE(86);
      if (lookahead == 't' ||
          lookahead == 'x') ADVANCE(997);
      END_STATE();
    case 60:
      if (lookahead == 'a') ADVANCE(349);
      if (lookahead == 'e') ADVANCE(336);
      if (lookahead == 'h') ADVANCE(427);
      if (lookahead == 'r') ADVANCE(194);
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 61:
      if (lookahead == 'a') ADVANCE(274);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 62:
      if (lookahead == 'a') ADVANCE(398);
      END_STATE();
    case 63:
      if (lookahead == 'a') ADVANCE(365);
      END_STATE();
    case 64:
      if (lookahead == 'a') ADVANCE(93);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(102);
      if (lookahead == 'o') ADVANCE(415);
      END_STATE();
    case 66:
      if (lookahead == 'a') ADVANCE(232);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(103);
      if (lookahead == 'o') ADVANCE(417);
      END_STATE();
    case 68:
      if (lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 69:
      if (lookahead == 'a') ADVANCE(333);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(235);
      END_STATE();
    case 71:
      if (lookahead == 'a') ADVANCE(334);
      END_STATE();
    case 72:
      if (lookahead == 'a') ADVANCE(104);
      if (lookahead == 'o') ADVANCE(419);
      END_STATE();
    case 73:
      if (lookahead == 'a') ADVANCE(179);
      END_STATE();
    case 74:
      if (lookahead == 'a') ADVANCE(120);
      END_STATE();
    case 75:
      if (lookahead == 'a') ADVANCE(395);
      END_STATE();
    case 76:
      if (lookahead == 'a') ADVANCE(399);
      END_STATE();
    case 77:
      if (lookahead == 'a') ADVANCE(368);
      END_STATE();
    case 78:
      if (lookahead == 'a') ADVANCE(122);
      END_STATE();
    case 79:
      if (lookahead == 'a') ADVANCE(404);
      END_STATE();
    case 80:
      if (lookahead == 'a') ADVANCE(369);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(123);
      END_STATE();
    case 82:
      if (lookahead == 'a') ADVANCE(124);
      END_STATE();
    case 83:
      if (lookahead == 'b') ADVANCE(65);
      if (lookahead == 'c') ADVANCE(204);
      if (lookahead == 'e') ADVANCE(242);
      if (lookahead == 'o') ADVANCE(413);
      if (lookahead == 'q') ADVANCE(407);
      if (lookahead == 's') ADVANCE(209);
      END_STATE();
    case 84:
      if (lookahead == 'b') ADVANCE(197);
      END_STATE();
    case 85:
      if (lookahead == 'b') ADVANCE(66);
      END_STATE();
    case 86:
      if (lookahead == 'b') ADVANCE(249);
      if (lookahead == 'r') ADVANCE(129);
      END_STATE();
    case 87:
      if (lookahead == 'b') ADVANCE(64);
      END_STATE();
    case 88:
      if (lookahead == 'b') ADVANCE(137);
      END_STATE();
    case 89:
      if (lookahead == 'b') ADVANCE(67);
      if (lookahead == 'c') ADVANCE(206);
      if (lookahead == 'e') ADVANCE(251);
      if (lookahead == 'q') ADVANCE(416);
      if (lookahead == 's') ADVANCE(213);
      END_STATE();
    case 90:
      if (lookahead == 'b') ADVANCE(72);
      if (lookahead == 'c') ADVANCE(207);
      if (lookahead == 'e') ADVANCE(252);
      if (lookahead == 'q') ADVANCE(418);
      if (lookahead == 's') ADVANCE(215);
      END_STATE();
    case 91:
      if (lookahead == 'c') ADVANCE(26);
      END_STATE();
    case 92:
      if (lookahead == 'c') ADVANCE(512);
      END_STATE();
    case 93:
      if (lookahead == 'c') ADVANCE(226);
      END_STATE();
    case 94:
      if (lookahead == 'c') ADVANCE(955);
      END_STATE();
    case 95:
      if (lookahead == 'c') ADVANCE(957);
      END_STATE();
    case 96:
      if (lookahead == 'c') ADVANCE(961);
      END_STATE();
    case 97:
      if (lookahead == 'c') ADVANCE(959);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(963);
      END_STATE();
    case 99:
      if (lookahead == 'c') ADVANCE(965);
      END_STATE();
    case 100:
      if (lookahead == 'c') ADVANCE(190);
      END_STATE();
    case 101:
      if (lookahead == 'c') ADVANCE(190);
      if (lookahead == 'i') ADVANCE(259);
      if (lookahead == 'l') ADVANCE(224);
      if (lookahead == 'r') ADVANCE(52);
      if (lookahead == 't') ADVANCE(329);
      END_STATE();
    case 102:
      if (lookahead == 'c') ADVANCE(227);
      END_STATE();
    case 103:
      if (lookahead == 'c') ADVANCE(228);
      END_STATE();
    case 104:
      if (lookahead == 'c') ADVANCE(229);
      END_STATE();
    case 105:
      if (lookahead == 'c') ADVANCE(311);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(140);
      END_STATE();
    case 107:
      if (lookahead == 'c') ADVANCE(141);
      END_STATE();
    case 108:
      if (lookahead == 'c') ADVANCE(143);
      END_STATE();
    case 109:
      if (lookahead == 'c') ADVANCE(145);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(243);
      END_STATE();
    case 111:
      if (lookahead == 'c') ADVANCE(161);
      END_STATE();
    case 112:
      if (lookahead == 'c') ADVANCE(70);
      END_STATE();
    case 113:
      if (lookahead == 'c') ADVANCE(403);
      END_STATE();
    case 114:
      if (lookahead == 'd') ADVANCE(1003);
      END_STATE();
    case 115:
      if (lookahead == 'd') ADVANCE(518);
      END_STATE();
    case 116:
      if (lookahead == 'd') ADVANCE(911);
      if (lookahead == 'r') ADVANCE(380);
      END_STATE();
    case 117:
      if (lookahead == 'd') ADVANCE(913);
      if (lookahead == 'r') ADVANCE(382);
      END_STATE();
    case 118:
      if (lookahead == 'd') ADVANCE(915);
      if (lookahead == 'r') ADVANCE(389);
      END_STATE();
    case 119:
      if (lookahead == 'd') ADVANCE(211);
      END_STATE();
    case 120:
      if (lookahead == 'd') ADVANCE(220);
      END_STATE();
    case 121:
      if (lookahead == 'd') ADVANCE(350);
      END_STATE();
    case 122:
      if (lookahead == 'd') ADVANCE(221);
      END_STATE();
    case 123:
      if (lookahead == 'd') ADVANCE(222);
      END_STATE();
    case 124:
      if (lookahead == 'd') ADVANCE(223);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(174);
      if (lookahead == 'u') ADVANCE(337);
      END_STATE();
    case 126:
      if (lookahead == 'e') ADVANCE(248);
      if (lookahead == 'o') ADVANCE(307);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(918);
      if (lookahead == 'i') ADVANCE(273);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(491);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(510);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(990);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(901);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(992);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(905);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(980);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(481);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(514);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(428);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(943);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(945);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(967);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(969);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(947);
      END_STATE();
    case 143:
      if (lookahead == 'e') ADVANCE(971);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(907);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(521);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(272);
      if (lookahead == 'i') ADVANCE(275);
      END_STATE();
    case 147:
      if (lookahead == 'e') ADVANCE(30);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(230);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(25);
      END_STATE();
    case 151:
      if (lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(265);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(28);
      END_STATE();
    case 154:
      if (lookahead == 'e') ADVANCE(278);
      END_STATE();
    case 155:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 156:
      if (lookahead == 'e') ADVANCE(236);
      if (lookahead == 'u') ADVANCE(337);
      END_STATE();
    case 157:
      if (lookahead == 'e') ADVANCE(343);
      END_STATE();
    case 158:
      if (lookahead == 'e') ADVANCE(270);
      END_STATE();
    case 159:
      if (lookahead == 'e') ADVANCE(335);
      END_STATE();
    case 160:
      if (lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(279);
      END_STATE();
    case 162:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(281);
      END_STATE();
    case 164:
      if (lookahead == 'e') ADVANCE(289);
      END_STATE();
    case 165:
      if (lookahead == 'e') ADVANCE(290);
      END_STATE();
    case 166:
      if (lookahead == 'e') ADVANCE(291);
      END_STATE();
    case 167:
      if (lookahead == 'e') ADVANCE(293);
      END_STATE();
    case 168:
      if (lookahead == 'e') ADVANCE(296);
      END_STATE();
    case 169:
      if (lookahead == 'e') ADVANCE(352);
      END_STATE();
    case 170:
      if (lookahead == 'f') ADVANCE(489);
      if (lookahead == 'm') ADVANCE(49);
      if (lookahead == 'n') ADVANCE(470);
      if (lookahead == 't') ADVANCE(169);
      END_STATE();
    case 171:
      if (lookahead == 'f') ADVANCE(985);
      END_STATE();
    case 172:
      if (lookahead == 'f') ADVANCE(320);
      END_STATE();
    case 173:
      if (lookahead == 'g') ADVANCE(1003);
      END_STATE();
    case 174:
      if (lookahead == 'g') ADVANCE(1003);
      if (lookahead == 'l') ADVANCE(53);
      END_STATE();
    case 175:
      if (lookahead == 'g') ADVANCE(487);
      END_STATE();
    case 176:
      if (lookahead == 'g') ADVANCE(241);
      if (lookahead == 'i') ADVANCE(260);
      END_STATE();
    case 177:
      if (lookahead == 'g') ADVANCE(392);
      END_STATE();
    case 178:
      if (lookahead == 'g') ADVANCE(133);
      END_STATE();
    case 179:
      if (lookahead == 'g') ADVANCE(147);
      END_STATE();
    case 180:
      if (lookahead == 'g') ADVANCE(149);
      END_STATE();
    case 181:
      if (lookahead == 'g') ADVANCE(351);
      END_STATE();
    case 182:
      if (lookahead == 'g') ADVANCE(393);
      END_STATE();
    case 183:
      if (lookahead == 'g') ADVANCE(353);
      END_STATE();
    case 184:
      if (lookahead == 'g') ADVANCE(354);
      END_STATE();
    case 185:
      if (lookahead == 'g') ADVANCE(355);
      END_STATE();
    case 186:
      if (lookahead == 'h') ADVANCE(895);
      END_STATE();
    case 187:
      if (lookahead == 'h') ADVANCE(899);
      END_STATE();
    case 188:
      if (lookahead == 'h') ADVANCE(897);
      END_STATE();
    case 189:
      if (lookahead == 'h') ADVANCE(423);
      if (lookahead == 't' ||
          lookahead == 'x') ADVANCE(997);
      END_STATE();
    case 190:
      if (lookahead == 'h') ADVANCE(200);
      END_STATE();
    case 191:
      if (lookahead == 'h') ADVANCE(152);
      END_STATE();
    case 192:
      if (lookahead == 'h') ADVANCE(160);
      END_STATE();
    case 193:
      if (lookahead == 'i') ADVANCE(259);
      if (lookahead == 'l') ADVANCE(224);
      if (lookahead == 'r') ADVANCE(52);
      if (lookahead == 't') ADVANCE(329);
      END_STATE();
    case 194:
      if (lookahead == 'i') ADVANCE(422);
      if (lookahead == 'o') ADVANCE(325);
      END_STATE();
    case 195:
      if (lookahead == 'i') ADVANCE(421);
      END_STATE();
    case 196:
      if (lookahead == 'i') ADVANCE(429);
      END_STATE();
    case 197:
      if (lookahead == 'i') ADVANCE(91);
      END_STATE();
    case 198:
      if (lookahead == 'i') ADVANCE(112);
      END_STATE();
    case 199:
      if (lookahead == 'i') ADVANCE(92);
      END_STATE();
    case 200:
      if (lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 201:
      if (lookahead == 'i') ADVANCE(267);
      if (lookahead == 'o') ADVANCE(412);
      END_STATE();
    case 202:
      if (lookahead == 'i') ADVANCE(96);
      END_STATE();
    case 203:
      if (lookahead == 'i') ADVANCE(98);
      END_STATE();
    case 204:
      if (lookahead == 'i') ADVANCE(342);
      END_STATE();
    case 205:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 206:
      if (lookahead == 'i') ADVANCE(345);
      END_STATE();
    case 207:
      if (lookahead == 'i') ADVANCE(347);
      END_STATE();
    case 208:
      if (lookahead == 'i') ADVANCE(397);
      END_STATE();
    case 209:
      if (lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 210:
      if (lookahead == 'i') ADVANCE(316);
      END_STATE();
    case 211:
      if (lookahead == 'i') ADVANCE(68);
      END_STATE();
    case 212:
      if (lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 213:
      if (lookahead == 'i') ADVANCE(285);
      END_STATE();
    case 214:
      if (lookahead == 'i') ADVANCE(317);
      END_STATE();
    case 215:
      if (lookahead == 'i') ADVANCE(288);
      END_STATE();
    case 216:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 217:
      if (lookahead == 'i') ADVANCE(109);
      END_STATE();
    case 218:
      if (lookahead == 'i') ADVANCE(292);
      END_STATE();
    case 219:
      if (lookahead == 'i') ADVANCE(319);
      END_STATE();
    case 220:
      if (lookahead == 'i') ADVANCE(164);
      END_STATE();
    case 221:
      if (lookahead == 'i') ADVANCE(165);
      END_STATE();
    case 222:
      if (lookahead == 'i') ADVANCE(166);
      END_STATE();
    case 223:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 224:
      if (lookahead == 'i') ADVANCE(301);
      END_STATE();
    case 225:
      if (lookahead == 'i') ADVANCE(405);
      END_STATE();
    case 226:
      if (lookahead == 'k') ADVANCE(507);
      END_STATE();
    case 227:
      if (lookahead == 'k') ADVANCE(949);
      END_STATE();
    case 228:
      if (lookahead == 'k') ADVANCE(951);
      END_STATE();
    case 229:
      if (lookahead == 'k') ADVANCE(953);
      END_STATE();
    case 230:
      if (lookahead == 'l') ADVANCE(171);
      END_STATE();
    case 231:
      if (lookahead == 'l') ADVANCE(890);
      END_STATE();
    case 232:
      if (lookahead == 'l') ADVANCE(465);
      END_STATE();
    case 233:
      if (lookahead == 'l') ADVANCE(520);
      END_STATE();
    case 234:
      if (lookahead == 'l') ADVANCE(121);
      END_STATE();
    case 235:
      if (lookahead == 'l') ADVANCE(32);
      END_STATE();
    case 236:
      if (lookahead == 'l') ADVANCE(53);
      END_STATE();
    case 237:
      if (lookahead == 'l') ADVANCE(306);
      END_STATE();
    case 238:
      if (lookahead == 'l') ADVANCE(306);
      if (lookahead == 'r') ADVANCE(46);
      END_STATE();
    case 239:
      if (lookahead == 'l') ADVANCE(312);
      if (lookahead == 'm') ADVANCE(321);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(245);
      END_STATE();
    case 241:
      if (lookahead == 'l') ADVANCE(131);
      END_STATE();
    case 242:
      if (lookahead == 'l') ADVANCE(63);
      if (lookahead == 'x') ADVANCE(322);
      END_STATE();
    case 243:
      if (lookahead == 'l') ADVANCE(134);
      END_STATE();
    case 244:
      if (lookahead == 'l') ADVANCE(168);
      END_STATE();
    case 245:
      if (lookahead == 'l') ADVANCE(87);
      END_STATE();
    case 246:
      if (lookahead == 'l') ADVANCE(363);
      END_STATE();
    case 247:
      if (lookahead == 'l') ADVANCE(75);
      if (lookahead == 'm') ADVANCE(1006);
      if (lookahead == 't') ADVANCE(411);
      END_STATE();
    case 248:
      if (lookahead == 'l') ADVANCE(75);
      if (lookahead == 't') ADVANCE(411);
      END_STATE();
    case 249:
      if (lookahead == 'l') ADVANCE(199);
      END_STATE();
    case 250:
      if (lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 251:
      if (lookahead == 'l') ADVANCE(77);
      if (lookahead == 'x') ADVANCE(323);
      END_STATE();
    case 252:
      if (lookahead == 'l') ADVANCE(80);
      if (lookahead == 'x') ADVANCE(324);
      END_STATE();
    case 253:
      if (lookahead == 'l') ADVANCE(33);
      END_STATE();
    case 254:
      if (lookahead == 'm') ADVANCE(997);
      END_STATE();
    case 255:
      if (lookahead == 'm') ADVANCE(997);
      if (lookahead == 's') ADVANCE(999);
      END_STATE();
    case 256:
      if (lookahead == 'm') ADVANCE(1006);
      END_STATE();
    case 257:
      if (lookahead == 'm') ADVANCE(468);
      END_STATE();
    case 258:
      if (lookahead == 'm') ADVANCE(446);
      END_STATE();
    case 259:
      if (lookahead == 'm') ADVANCE(73);
      END_STATE();
    case 260:
      if (lookahead == 'm') ADVANCE(62);
      END_STATE();
    case 261:
      if (lookahead == 'n') ADVANCE(176);
      if (lookahead == 's') ADVANCE(448);
      END_STATE();
    case 262:
      if (lookahead == 'n') ADVANCE(997);
      END_STATE();
    case 263:
      if (lookahead == 'n') ADVANCE(470);
      END_STATE();
    case 264:
      if (lookahead == 'n') ADVANCE(1003);
      END_STATE();
    case 265:
      if (lookahead == 'n') ADVANCE(480);
      END_STATE();
    case 266:
      if (lookahead == 'n') ADVANCE(458);
      END_STATE();
    case 267:
      if (lookahead == 'n') ADVANCE(919);
      END_STATE();
    case 268:
      if (lookahead == 'n') ADVANCE(484);
      END_STATE();
    case 269:
      if (lookahead == 'n') ADVANCE(516);
      END_STATE();
    case 270:
      if (lookahead == 'n') ADVANCE(975);
      END_STATE();
    case 271:
      if (lookahead == 'n') ADVANCE(113);
      END_STATE();
    case 272:
      if (lookahead == 'n') ADVANCE(177);
      END_STATE();
    case 273:
      if (lookahead == 'n') ADVANCE(175);
      END_STATE();
    case 274:
      if (lookahead == 'n') ADVANCE(362);
      END_STATE();
    case 275:
      if (lookahead == 'n') ADVANCE(155);
      END_STATE();
    case 276:
      if (lookahead == 'n') ADVANCE(29);
      END_STATE();
    case 277:
      if (lookahead == 'n') ADVANCE(357);
      END_STATE();
    case 278:
      if (lookahead == 'n') ADVANCE(375);
      END_STATE();
    case 279:
      if (lookahead == 'n') ADVANCE(376);
      END_STATE();
    case 280:
      if (lookahead == 'n') ADVANCE(106);
      END_STATE();
    case 281:
      if (lookahead == 'n') ADVANCE(378);
      END_STATE();
    case 282:
      if (lookahead == 'n') ADVANCE(381);
      END_STATE();
    case 283:
      if (lookahead == 'n') ADVANCE(396);
      END_STATE();
    case 284:
      if (lookahead == 'n') ADVANCE(138);
      END_STATE();
    case 285:
      if (lookahead == 'n') ADVANCE(139);
      END_STATE();
    case 286:
      if (lookahead == 'n') ADVANCE(383);
      END_STATE();
    case 287:
      if (lookahead == 'n') ADVANCE(384);
      END_STATE();
    case 288:
      if (lookahead == 'n') ADVANCE(142);
      END_STATE();
    case 289:
      if (lookahead == 'n') ADVANCE(385);
      END_STATE();
    case 290:
      if (lookahead == 'n') ADVANCE(386);
      END_STATE();
    case 291:
      if (lookahead == 'n') ADVANCE(387);
      END_STATE();
    case 292:
      if (lookahead == 'n') ADVANCE(153);
      END_STATE();
    case 293:
      if (lookahead == 'n') ADVANCE(388);
      END_STATE();
    case 294:
      if (lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 295:
      if (lookahead == 'n') ADVANCE(192);
      END_STATE();
    case 296:
      if (lookahead == 'n') ADVANCE(182);
      END_STATE();
    case 297:
      if (lookahead == 'n') ADVANCE(107);
      END_STATE();
    case 298:
      if (lookahead == 'n') ADVANCE(180);
      END_STATE();
    case 299:
      if (lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 300:
      if (lookahead == 'n') ADVANCE(163);
      END_STATE();
    case 301:
      if (lookahead == 'n') ADVANCE(162);
      END_STATE();
    case 302:
      if (lookahead == 'o') ADVANCE(310);
      if (lookahead == 'r') ADVANCE(409);
      END_STATE();
    case 303:
      if (lookahead == 'o') ADVANCE(937);
      END_STATE();
    case 304:
      if (lookahead == 'o') ADVANCE(939);
      END_STATE();
    case 305:
      if (lookahead == 'o') ADVANCE(941);
      END_STATE();
    case 306:
      if (lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 307:
      if (lookahead == 'o') ADVANCE(371);
      END_STATE();
    case 308:
      if (lookahead == 'o') ADVANCE(258);
      END_STATE();
    case 309:
      if (lookahead == 'o') ADVANCE(58);
      END_STATE();
    case 310:
      if (lookahead == 'o') ADVANCE(231);
      END_STATE();
    case 311:
      if (lookahead == 'o') ADVANCE(420);
      END_STATE();
    case 312:
      if (lookahead == 'o') ADVANCE(332);
      END_STATE();
    case 313:
      if (lookahead == 'o') ADVANCE(300);
      END_STATE();
    case 314:
      if (lookahead == 'o') ADVANCE(339);
      END_STATE();
    case 315:
      if (lookahead == 'o') ADVANCE(340);
      END_STATE();
    case 316:
      if (lookahead == 'o') ADVANCE(268);
      END_STATE();
    case 317:
      if (lookahead == 'o') ADVANCE(269);
      END_STATE();
    case 318:
      if (lookahead == 'o') ADVANCE(276);
      END_STATE();
    case 319:
      if (lookahead == 'o') ADVANCE(277);
      END_STATE();
    case 320:
      if (lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 321:
      if (lookahead == 'p') ADVANCE(313);
      END_STATE();
    case 322:
      if (lookahead == 'p') ADVANCE(303);
      END_STATE();
    case 323:
      if (lookahead == 'p') ADVANCE(304);
      END_STATE();
    case 324:
      if (lookahead == 'p') ADVANCE(305);
      END_STATE();
    case 325:
      if (lookahead == 'p') ADVANCE(157);
      END_STATE();
    case 326:
      if (lookahead == 'p') ADVANCE(314);
      END_STATE();
    case 327:
      if (lookahead == 'r') ADVANCE(61);
      END_STATE();
    case 328:
      if (lookahead == 'r') ADVANCE(61);
      if (lookahead == 'u') ADVANCE(338);
      END_STATE();
    case 329:
      if (lookahead == 'r') ADVANCE(497);
      END_STATE();
    case 330:
      if (lookahead == 'r') ADVANCE(110);
      END_STATE();
    case 331:
      if (lookahead == 'r') ADVANCE(493);
      END_STATE();
    case 332:
      if (lookahead == 'r') ADVANCE(893);
      END_STATE();
    case 333:
      if (lookahead == 'r') ADVANCE(909);
      END_STATE();
    case 334:
      if (lookahead == 'r') ADVANCE(27);
      END_STATE();
    case 335:
      if (lookahead == 'r') ADVANCE(973);
      END_STATE();
    case 336:
      if (lookahead == 'r') ADVANCE(111);
      END_STATE();
    case 337:
      if (lookahead == 'r') ADVANCE(55);
      END_STATE();
    case 338:
      if (lookahead == 'r') ADVANCE(264);
      END_STATE();
    case 339:
      if (lookahead == 'r') ADVANCE(373);
      END_STATE();
    case 340:
      if (lookahead == 'r') ADVANCE(374);
      END_STATE();
    case 341:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 342:
      if (lookahead == 'r') ADVANCE(94);
      END_STATE();
    case 343:
      if (lookahead == 'r') ADVANCE(391);
      END_STATE();
    case 344:
      if (lookahead == 'r') ADVANCE(208);
      END_STATE();
    case 345:
      if (lookahead == 'r') ADVANCE(95);
      END_STATE();
    case 346:
      if (lookahead == 'r') ADVANCE(233);
      END_STATE();
    case 347:
      if (lookahead == 'r') ADVANCE(97);
      END_STATE();
    case 348:
      if (lookahead == 'r') ADVANCE(46);
      END_STATE();
    case 349:
      if (lookahead == 'r') ADVANCE(154);
      END_STATE();
    case 350:
      if (lookahead == 'r') ADVANCE(158);
      END_STATE();
    case 351:
      if (lookahead == 'r') ADVANCE(74);
      END_STATE();
    case 352:
      if (lookahead == 'r') ADVANCE(79);
      END_STATE();
    case 353:
      if (lookahead == 'r') ADVANCE(78);
      END_STATE();
    case 354:
      if (lookahead == 'r') ADVANCE(81);
      END_STATE();
    case 355:
      if (lookahead == 'r') ADVANCE(82);
      END_STATE();
    case 356:
      if (lookahead == 's') ADVANCE(448);
      END_STATE();
    case 357:
      if (lookahead == 's') ADVANCE(475);
      END_STATE();
    case 358:
      if (lookahead == 's') ADVANCE(452);
      END_STATE();
    case 359:
      if (lookahead == 's') ADVANCE(127);
      END_STATE();
    case 360:
      if (lookahead == 's') ADVANCE(186);
      END_STATE();
    case 361:
      if (lookahead == 's') ADVANCE(128);
      END_STATE();
    case 362:
      if (lookahead == 's') ADVANCE(225);
      END_STATE();
    case 363:
      if (lookahead == 's') ADVANCE(132);
      END_STATE();
    case 364:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 365:
      if (lookahead == 's') ADVANCE(400);
      END_STATE();
    case 366:
      if (lookahead == 's') ADVANCE(198);
      END_STATE();
    case 367:
      if (lookahead == 's') ADVANCE(250);
      END_STATE();
    case 368:
      if (lookahead == 's') ADVANCE(401);
      END_STATE();
    case 369:
      if (lookahead == 's') ADVANCE(402);
      END_STATE();
    case 370:
      if (lookahead == 't') ADVANCE(473);
      END_STATE();
    case 371:
      if (lookahead == 't') ADVANCE(983);
      END_STATE();
    case 372:
      if (lookahead == 't') ADVANCE(888);
      END_STATE();
    case 373:
      if (lookahead == 't') ADVANCE(439);
      END_STATE();
    case 374:
      if (lookahead == 't') ADVANCE(444);
      END_STATE();
    case 375:
      if (lookahead == 't') ADVANCE(981);
      END_STATE();
    case 376:
      if (lookahead == 't') ADVANCE(903);
      END_STATE();
    case 377:
      if (lookahead == 't') ADVANCE(921);
      END_STATE();
    case 378:
      if (lookahead == 't') ADVANCE(450);
      END_STATE();
    case 379:
      if (lookahead == 't') ADVANCE(923);
      END_STATE();
    case 380:
      if (lookahead == 't') ADVANCE(925);
      END_STATE();
    case 381:
      if (lookahead == 't') ADVANCE(931);
      END_STATE();
    case 382:
      if (lookahead == 't') ADVANCE(927);
      END_STATE();
    case 383:
      if (lookahead == 't') ADVANCE(933);
      END_STATE();
    case 384:
      if (lookahead == 't') ADVANCE(486);
      END_STATE();
    case 385:
      if (lookahead == 't') ADVANCE(976);
      END_STATE();
    case 386:
      if (lookahead == 't') ADVANCE(977);
      END_STATE();
    case 387:
      if (lookahead == 't') ADVANCE(978);
      END_STATE();
    case 388:
      if (lookahead == 't') ADVANCE(979);
      END_STATE();
    case 389:
      if (lookahead == 't') ADVANCE(929);
      END_STATE();
    case 390:
      if (lookahead == 't') ADVANCE(935);
      END_STATE();
    case 391:
      if (lookahead == 't') ADVANCE(426);
      END_STATE();
    case 392:
      if (lookahead == 't') ADVANCE(187);
      END_STATE();
    case 393:
      if (lookahead == 't') ADVANCE(188);
      END_STATE();
    case 394:
      if (lookahead == 't') ADVANCE(210);
      END_STATE();
    case 395:
      if (lookahead == 't') ADVANCE(195);
      END_STATE();
    case 396:
      if (lookahead == 't') ADVANCE(31);
      END_STATE();
    case 397:
      if (lookahead == 't') ADVANCE(358);
      END_STATE();
    case 398:
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 399:
      if (lookahead == 't') ADVANCE(136);
      END_STATE();
    case 400:
      if (lookahead == 't') ADVANCE(202);
      END_STATE();
    case 401:
      if (lookahead == 't') ADVANCE(203);
      END_STATE();
    case 402:
      if (lookahead == 't') ADVANCE(205);
      END_STATE();
    case 403:
      if (lookahead == 't') ADVANCE(214);
      END_STATE();
    case 404:
      if (lookahead == 't') ADVANCE(216);
      END_STATE();
    case 405:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 406:
      if (lookahead == 'u') ADVANCE(370);
      END_STATE();
    case 407:
      if (lookahead == 'u') ADVANCE(50);
      END_STATE();
    case 408:
      if (lookahead == 'u') ADVANCE(257);
      END_STATE();
    case 409:
      if (lookahead == 'u') ADVANCE(360);
      END_STATE();
    case 410:
      if (lookahead == 'u') ADVANCE(338);
      END_STATE();
    case 411:
      if (lookahead == 'u') ADVANCE(341);
      END_STATE();
    case 412:
      if (lookahead == 'u') ADVANCE(377);
      END_STATE();
    case 413:
      if (lookahead == 'u') ADVANCE(379);
      END_STATE();
    case 414:
      if (lookahead == 'u') ADVANCE(346);
      END_STATE();
    case 415:
      if (lookahead == 'u') ADVANCE(280);
      END_STATE();
    case 416:
      if (lookahead == 'u') ADVANCE(54);
      END_STATE();
    case 417:
      if (lookahead == 'u') ADVANCE(297);
      END_STATE();
    case 418:
      if (lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 419:
      if (lookahead == 'u') ADVANCE(299);
      END_STATE();
    case 420:
      if (lookahead == 'u') ADVANCE(287);
      END_STATE();
    case 421:
      if (lookahead == 'v') ADVANCE(150);
      END_STATE();
    case 422:
      if (lookahead == 'v') ADVANCE(76);
      END_STATE();
    case 423:
      if (lookahead == 'x') ADVANCE(995);
      END_STATE();
    case 424:
      if (lookahead == 'x') ADVANCE(995);
      if (lookahead == 'y') ADVANCE(366);
      END_STATE();
    case 425:
      if (lookahead == 'y') ADVANCE(483);
      END_STATE();
    case 426:
      if (lookahead == 'y') ADVANCE(460);
      END_STATE();
    case 427:
      if (lookahead == 'y') ADVANCE(366);
      END_STATE();
    case 428:
      if (lookahead == 'z') ADVANCE(212);
      END_STATE();
    case 429:
      if (lookahead == 'z') ADVANCE(144);
      END_STATE();
    case 430:
      if (lookahead == '{') ADVANCE(435);
      END_STATE();
    case 431:
      if (lookahead == '|') ADVANCE(505);
      END_STATE();
    case 432:
      if (lookahead == '}') ADVANCE(552);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(432);
      END_STATE();
    case 433:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(989);
      END_STATE();
    case 434:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(994);
      END_STATE();
    case 435:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(432);
      END_STATE();
    case 436:
      if (eof) ADVANCE(438);
      ADVANCE_MAP(
        '!', 523,
        '"', 544,
        '#', 434,
        '%', 501,
        '&', 18,
        '(', 495,
        ')', 496,
        '*', 530,
        '+', 528,
        ',', 442,
        '-', 526,
        '.', 503,
        '/', 532,
        ':', 463,
        ';', 447,
        '<', 454,
        '=', 539,
        '>', 457,
        '?', 506,
        '@', 101,
        '[', 477,
        '\\', 551,
        ']', 478,
        'a', 261,
        'b', 302,
        'c', 44,
        'd', 156,
        'e', 45,
        'f', 51,
        'g', 237,
        'i', 170,
        'l', 146,
        'n', 553,
        'o', 406,
        'p', 60,
        'r', 126,
        's', 148,
        't', 327,
        'u', 430,
        'w', 191,
        '{', 441,
        '|', 500,
        '}', 443,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(436);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(987);
      END_STATE();
    case 437:
      if (eof) ADVANCE(438);
      ADVANCE_MAP(
        '!', 36,
        '%', 501,
        '&', 18,
        '(', 495,
        ')', 496,
        '*', 530,
        '+', 528,
        ',', 442,
        '-', 525,
        '.', 502,
        '/', 532,
        ':', 462,
        ';', 447,
        '<', 455,
        '=', 539,
        '>', 457,
        '?', 506,
        '[', 477,
        ']', 478,
        'c', 780,
        'e', 726,
        'g', 703,
        'i', 723,
        's', 824,
        '{', 441,
        '|', 431,
        '}', 443,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(437);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(988);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(sym_export);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_export);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_import);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_component);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_component);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_inherits);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(535);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(534);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(533);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_return);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_property);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_property);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(449);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_global);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_struct);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_enum);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '-') ADVANCE(777);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_out);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_out);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_transitions);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_transitions);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_states);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_animate);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_animate);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_delay);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_duration);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_duration);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_iteration_DASHcount);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_easing);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_easing);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_if);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_ATtr);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(505);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(989);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_logical_and);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_logical_or);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_callback);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_callback);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_pure);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_pure);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_public);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_private);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_function);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_changed);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_changed);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_ATimage_DASHurl);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_nine_DASHslice);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(537);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(541);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(541);
      if (lookahead == '>') ADVANCE(509);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(540);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(542);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(1009);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(1009);
      if (lookahead == '=') ADVANCE(543);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(464);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(536);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(536);
      if (lookahead == '>') ADVANCE(498);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym__unescaped_string_fragment);
      if (lookahead == '*') ADVANCE(547);
      if (lookahead == '/') ADVANCE(549);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(550);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym__unescaped_string_fragment);
      if (lookahead == '*') ADVANCE(546);
      if (lookahead == '/') ADVANCE(550);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(547);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym__unescaped_string_fragment);
      if (lookahead == '*') ADVANCE(546);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(547);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym__unescaped_string_fragment);
      if (lookahead == '/') ADVANCE(545);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(548);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(550);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym__unescaped_string_fragment);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(550);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(549);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym__unescaped_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(550);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token1);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_n);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_in_DASHout);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '-') ADVANCE(595);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '-') ADVANCE(660);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '-') ADVANCE(713);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '-') ADVANCE(819);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(814);
      if (lookahead == 'l') ADVANCE(820);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(814);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(618);
      if (lookahead == 'i') ADVANCE(749);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(621);
      if (lookahead == 'e') ADVANCE(721);
      if (lookahead == 'o') ADVANCE(768);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(621);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(701);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(818);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(619);
      if (lookahead == 'i') ADVANCE(751);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(712);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(600);
      if (lookahead == 'o') ADVANCE(866);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(620);
      if (lookahead == 'i') ADVANCE(752);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == 'h') ADVANCE(881);
      if (lookahead == 't' ||
          lookahead == 'x') ADVANCE(998);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(707);
      if (lookahead == 'h') ADVANCE(577);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(707);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(608);
      if (lookahead == 'o') ADVANCE(877);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(788);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(609);
      if (lookahead == 'o') ADVANCE(878);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(735);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(705);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(736);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(611);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(854);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(855);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(856);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(843);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(852);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(666);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(817);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(821);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(822);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(860);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'b') ADVANCE(564);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'b') ADVANCE(568);
      if (lookahead == 'c') ADVANCE(678);
      if (lookahead == 'e') ADVANCE(706);
      if (lookahead == 'o') ADVANCE(871);
      if (lookahead == 'q') ADVANCE(862);
      if (lookahead == 's') ADVANCE(692);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'b') ADVANCE(673);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'b') ADVANCE(714);
      if (lookahead == 'r') ADVANCE(635);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'b') ADVANCE(626);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'b') ADVANCE(580);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'b') ADVANCE(574);
      if (lookahead == 'c') ADVANCE(681);
      if (lookahead == 'e') ADVANCE(716);
      if (lookahead == 'q') ADVANCE(875);
      if (lookahead == 's') ADVANCE(694);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'b') ADVANCE(576);
      if (lookahead == 'c') ADVANCE(682);
      if (lookahead == 'e') ADVANCE(717);
      if (lookahead == 'q') ADVANCE(876);
      if (lookahead == 's') ADVANCE(695);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(555);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(697);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(956);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(958);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(962);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(960);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(964);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(966);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(513);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(698);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(699);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(827);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(700);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(629);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(630);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(632);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(851);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(578);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'c') ADVANCE(655);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(912);
      if (lookahead == 'r') ADVANCE(833);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(914);
      if (lookahead == 'r') ADVANCE(835);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(916);
      if (lookahead == 'r') ADVANCE(837);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(1004);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(519);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(917);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(991);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(993);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(884);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(944);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(946);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(968);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(970);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(948);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(972);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(661);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(492);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(511);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(482);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(515);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(902);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(906);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(908);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(740);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(622);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(556);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(704);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(811);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(848);
      if (lookahead == 'o') ADVANCE(768);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(715);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(789);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(806);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(739);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(746);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(575);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(804);
      if (lookahead == 'h') ADVANCE(883);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(756);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(753);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'f') ADVANCE(490);
      if (lookahead == 'n') ADVANCE(998);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'f') ADVANCE(490);
      if (lookahead == 'n') ADVANCE(471);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'f') ADVANCE(490);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'f') ADVANCE(986);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'f') ADVANCE(779);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'g') ADVANCE(1004);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'g') ADVANCE(488);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'g') ADVANCE(892);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'g') ADVANCE(710);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'g') ADVANCE(642);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'g') ADVANCE(639);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'g') ADVANCE(845);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'g') ADVANCE(846);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(896);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(900);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'h') ADVANCE(898);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(880);
      if (lookahead == 'o') ADVANCE(787);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(599);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(885);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(879);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(724);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(729);
      if (lookahead == 'o') ADVANCE(869);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(799);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(603);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(648);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(801);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(803);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(605);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(770);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(606);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(607);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(616);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(742);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(745);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(738);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(771);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(747);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(775);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(748);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(750);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'i') ADVANCE(859);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'k') ADVANCE(950);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'k') ADVANCE(952);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'k') ADVANCE(954);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'k') ADVANCE(508);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(466);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(891);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(759);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(659);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(557);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(565);
      if (lookahead == 'x') ADVANCE(784);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(711);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(778);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(774);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(638);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(596);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(815);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(654);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(686);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(585);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(588);
      if (lookahead == 'x') ADVANCE(785);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'l') ADVANCE(589);
      if (lookahead == 'x') ADVANCE(786);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(469);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(998);
      if (lookahead == 's') ADVANCE(1002);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(998);
      if (lookahead == 'u') ADVANCE(593);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(1007);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(586);
      if (lookahead == 'n') ADVANCE(842);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(782);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(582);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(783);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(863);
      if (lookahead == 'x') ADVANCE(781);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(641);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(459);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(920);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(472);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(1004);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(471);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(517);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(485);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(665);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(816);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(664);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(652);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(667);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(828);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(812);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(662);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(612);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(676);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(663);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(830);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(627);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(628);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(834);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(631);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(836);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(838);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(844);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(847);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(615);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(668);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(613);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(614);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(591);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(727);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(938);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(940);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(942);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(787);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(792);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(795);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(768);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(829);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(702);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(733);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(741);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(769);
      if (lookahead == 'r') ADVANCE(868);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(790);
      if (lookahead == 'u') ADVANCE(755);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(791);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(734);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(709);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(874);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(584);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(754);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(725);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(765);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(766);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(760);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(761);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(762);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(763);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(649);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(910);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(974);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(494);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(894);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(825);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(861);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(672);
      if (lookahead == 'u') ADVANCE(594);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(826);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(728);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(867);
      if (lookahead == 'u') ADVANCE(802);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(867);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(601);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(563);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(602);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(731);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(604);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(617);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(764);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(841);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(579);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(689);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(590);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(651);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(479);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(476);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(669);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(623);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(625);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(696);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(688);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(849);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(674);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(634);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(857);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(858);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(687);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(793);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(440);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(445);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(467);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(451);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(984);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(982);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(922);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(924);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(926);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(932);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(928);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(934);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(930);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(936);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(474);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(554);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(882);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(887);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(889);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(904);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(670);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(671);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(558);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(865);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(679);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(581);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(684);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(675);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(808);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(645);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(636);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(637);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(683);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(685);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(691);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 't') ADVANCE(693);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(610);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(561);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(718);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(593);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(796);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(743);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(624);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(813);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(831);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(755);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(832);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(809);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(839);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(840);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(566);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(569);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(757);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(758);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'v') ADVANCE(643);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'v') ADVANCE(583);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'x') ADVANCE(996);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'y') ADVANCE(461);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'y') ADVANCE(823);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'z') ADVANCE(680);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'y')) ADVANCE(886);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'z') ADVANCE(640);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'y')) ADVANCE(886);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(anon_sym_float);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(anon_sym_bool);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(anon_sym_string);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(anon_sym_color);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(anon_sym_color);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(anon_sym_brush);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(anon_sym_brush);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(anon_sym_physical_DASHlength);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(anon_sym_physical_DASHlength);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(anon_sym_length);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(anon_sym_length);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(anon_sym_angle);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(anon_sym_angle);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(anon_sym_percent);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(anon_sym_percent);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(anon_sym_image);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(anon_sym_image);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(anon_sym_relative_DASHfont_DASHsize);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(anon_sym_relative_DASHfont_DASHsize);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(anon_sym_linear);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(anon_sym_linear);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHquad);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHquad);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHquad);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHquad);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHquad);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHquad);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(anon_sym_ease);
      if (lookahead == '-') ADVANCE(677);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(anon_sym_ease);
      if (lookahead == '-') ADVANCE(201);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(anon_sym_ease_DASHin);
      if (lookahead == '-') ADVANCE(83);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(anon_sym_ease_DASHin);
      if (lookahead == '-') ADVANCE(592);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(anon_sym_ease_DASHout);
      if (lookahead == '-') ADVANCE(89);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(anon_sym_ease_DASHout);
      if (lookahead == '-') ADVANCE(597);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout);
      if (lookahead == '-') ADVANCE(90);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout);
      if (lookahead == '-') ADVANCE(598);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHquart);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHquart);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHquart);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHquart);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHquart);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHquart);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHquint);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHquint);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHquint);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHquint);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHquint);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHquint);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHexpo);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHexpo);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHexpo);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHexpo);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHexpo);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHexpo);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHsine);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHsine);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHsine);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHsine);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHsine);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHsine);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHback);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHback);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHback);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHback);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHback);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHback);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHcirc);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHcirc);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHcirc);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHcirc);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHcirc);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHcirc);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHelastic);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHelastic);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHelastic);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHelastic);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHelastic);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHelastic);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHbounce);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHbounce);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHbounce);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(anon_sym_ease_DASHout_DASHbounce);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHbounce);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(anon_sym_ease_DASHin_DASHout_DASHbounce);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(anon_sym_cubic_DASHbezier);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(anon_sym_cubic_DASHbezier);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(sym_children_identifier);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(anon_sym_ATlinear_DASHgradient);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(anon_sym_ATlinear_gradient);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(anon_sym_ATradial_DASHgradient);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(anon_sym_ATradial_gradient);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(anon_sym_circle);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(anon_sym_parent);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(anon_sym_root);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(anon_sym_root);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(anon_sym_self);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(sym__int_number);
      if (lookahead == '.') ADVANCE(989);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(987);
      END_STATE();
    case 988:
      ACCEPT_TOKEN(sym__int_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(988);
      END_STATE();
    case 989:
      ACCEPT_TOKEN(sym__float_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(989);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 991:
      ACCEPT_TOKEN(anon_sym_true);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 992:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 993:
      ACCEPT_TOKEN(anon_sym_false);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 994:
      ACCEPT_TOKEN(sym_color_value);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(994);
      END_STATE();
    case 995:
      ACCEPT_TOKEN(anon_sym_phx);
      END_STATE();
    case 996:
      ACCEPT_TOKEN(anon_sym_phx);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(aux_sym_length_value_token1);
      END_STATE();
    case 998:
      ACCEPT_TOKEN(aux_sym_length_value_token1);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 999:
      ACCEPT_TOKEN(aux_sym_duration_value_token1);
      END_STATE();
    case 1000:
      ACCEPT_TOKEN(aux_sym_duration_value_token1);
      if (lookahead == 'e') ADVANCE(230);
      END_STATE();
    case 1001:
      ACCEPT_TOKEN(aux_sym_duration_value_token1);
      if (lookahead == 'e') ADVANCE(704);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 1002:
      ACCEPT_TOKEN(aux_sym_duration_value_token1);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(aux_sym_angle_value_token1);
      END_STATE();
    case 1004:
      ACCEPT_TOKEN(aux_sym_angle_value_token1);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 1005:
      ACCEPT_TOKEN(anon_sym_PERCENT2);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(anon_sym_rem);
      END_STATE();
    case 1007:
      ACCEPT_TOKEN(anon_sym_rem);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(886);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 1009:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(1009);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 437},
  [2] = {.lex_state = 1},
  [3] = {.lex_state = 1},
  [4] = {.lex_state = 1},
  [5] = {.lex_state = 1},
  [6] = {.lex_state = 1},
  [7] = {.lex_state = 1},
  [8] = {.lex_state = 1},
  [9] = {.lex_state = 1},
  [10] = {.lex_state = 1},
  [11] = {.lex_state = 1},
  [12] = {.lex_state = 1},
  [13] = {.lex_state = 1},
  [14] = {.lex_state = 1},
  [15] = {.lex_state = 1},
  [16] = {.lex_state = 5},
  [17] = {.lex_state = 5},
  [18] = {.lex_state = 5},
  [19] = {.lex_state = 15},
  [20] = {.lex_state = 15},
  [21] = {.lex_state = 15},
  [22] = {.lex_state = 15},
  [23] = {.lex_state = 15},
  [24] = {.lex_state = 15},
  [25] = {.lex_state = 15},
  [26] = {.lex_state = 15},
  [27] = {.lex_state = 15},
  [28] = {.lex_state = 15},
  [29] = {.lex_state = 15},
  [30] = {.lex_state = 15},
  [31] = {.lex_state = 15},
  [32] = {.lex_state = 15},
  [33] = {.lex_state = 15},
  [34] = {.lex_state = 15},
  [35] = {.lex_state = 15},
  [36] = {.lex_state = 15},
  [37] = {.lex_state = 15},
  [38] = {.lex_state = 15},
  [39] = {.lex_state = 15},
  [40] = {.lex_state = 15},
  [41] = {.lex_state = 15},
  [42] = {.lex_state = 15},
  [43] = {.lex_state = 15},
  [44] = {.lex_state = 15},
  [45] = {.lex_state = 15},
  [46] = {.lex_state = 15},
  [47] = {.lex_state = 15},
  [48] = {.lex_state = 15},
  [49] = {.lex_state = 15},
  [50] = {.lex_state = 15},
  [51] = {.lex_state = 15},
  [52] = {.lex_state = 15},
  [53] = {.lex_state = 15},
  [54] = {.lex_state = 15},
  [55] = {.lex_state = 15},
  [56] = {.lex_state = 15},
  [57] = {.lex_state = 15},
  [58] = {.lex_state = 15},
  [59] = {.lex_state = 15},
  [60] = {.lex_state = 15},
  [61] = {.lex_state = 15},
  [62] = {.lex_state = 15},
  [63] = {.lex_state = 15},
  [64] = {.lex_state = 15},
  [65] = {.lex_state = 15},
  [66] = {.lex_state = 15},
  [67] = {.lex_state = 15},
  [68] = {.lex_state = 15},
  [69] = {.lex_state = 15},
  [70] = {.lex_state = 15},
  [71] = {.lex_state = 15},
  [72] = {.lex_state = 15},
  [73] = {.lex_state = 15},
  [74] = {.lex_state = 15},
  [75] = {.lex_state = 15},
  [76] = {.lex_state = 15},
  [77] = {.lex_state = 15},
  [78] = {.lex_state = 15},
  [79] = {.lex_state = 15},
  [80] = {.lex_state = 15},
  [81] = {.lex_state = 15},
  [82] = {.lex_state = 15},
  [83] = {.lex_state = 15},
  [84] = {.lex_state = 15},
  [85] = {.lex_state = 15},
  [86] = {.lex_state = 15},
  [87] = {.lex_state = 15},
  [88] = {.lex_state = 15},
  [89] = {.lex_state = 15},
  [90] = {.lex_state = 15},
  [91] = {.lex_state = 15},
  [92] = {.lex_state = 15},
  [93] = {.lex_state = 15},
  [94] = {.lex_state = 15},
  [95] = {.lex_state = 15},
  [96] = {.lex_state = 15},
  [97] = {.lex_state = 15},
  [98] = {.lex_state = 15},
  [99] = {.lex_state = 15},
  [100] = {.lex_state = 15},
  [101] = {.lex_state = 15},
  [102] = {.lex_state = 15},
  [103] = {.lex_state = 15},
  [104] = {.lex_state = 15},
  [105] = {.lex_state = 15},
  [106] = {.lex_state = 15},
  [107] = {.lex_state = 15},
  [108] = {.lex_state = 15},
  [109] = {.lex_state = 15},
  [110] = {.lex_state = 15},
  [111] = {.lex_state = 15},
  [112] = {.lex_state = 15},
  [113] = {.lex_state = 15},
  [114] = {.lex_state = 15},
  [115] = {.lex_state = 15},
  [116] = {.lex_state = 15},
  [117] = {.lex_state = 15},
  [118] = {.lex_state = 15},
  [119] = {.lex_state = 15},
  [120] = {.lex_state = 15},
  [121] = {.lex_state = 15},
  [122] = {.lex_state = 15},
  [123] = {.lex_state = 15},
  [124] = {.lex_state = 15},
  [125] = {.lex_state = 15},
  [126] = {.lex_state = 15},
  [127] = {.lex_state = 15},
  [128] = {.lex_state = 15},
  [129] = {.lex_state = 15},
  [130] = {.lex_state = 15},
  [131] = {.lex_state = 15},
  [132] = {.lex_state = 15},
  [133] = {.lex_state = 15},
  [134] = {.lex_state = 15},
  [135] = {.lex_state = 15},
  [136] = {.lex_state = 15},
  [137] = {.lex_state = 15},
  [138] = {.lex_state = 15},
  [139] = {.lex_state = 15},
  [140] = {.lex_state = 15},
  [141] = {.lex_state = 15},
  [142] = {.lex_state = 15},
  [143] = {.lex_state = 15},
  [144] = {.lex_state = 15},
  [145] = {.lex_state = 15},
  [146] = {.lex_state = 15},
  [147] = {.lex_state = 15},
  [148] = {.lex_state = 15},
  [149] = {.lex_state = 2},
  [150] = {.lex_state = 2},
  [151] = {.lex_state = 1},
  [152] = {.lex_state = 1},
  [153] = {.lex_state = 1},
  [154] = {.lex_state = 1},
  [155] = {.lex_state = 1},
  [156] = {.lex_state = 1},
  [157] = {.lex_state = 1},
  [158] = {.lex_state = 1},
  [159] = {.lex_state = 1},
  [160] = {.lex_state = 1},
  [161] = {.lex_state = 1},
  [162] = {.lex_state = 1},
  [163] = {.lex_state = 1},
  [164] = {.lex_state = 1},
  [165] = {.lex_state = 1},
  [166] = {.lex_state = 1},
  [167] = {.lex_state = 1},
  [168] = {.lex_state = 1},
  [169] = {.lex_state = 1},
  [170] = {.lex_state = 1},
  [171] = {.lex_state = 1},
  [172] = {.lex_state = 1},
  [173] = {.lex_state = 1},
  [174] = {.lex_state = 1},
  [175] = {.lex_state = 1},
  [176] = {.lex_state = 1},
  [177] = {.lex_state = 1},
  [178] = {.lex_state = 1},
  [179] = {.lex_state = 1},
  [180] = {.lex_state = 1},
  [181] = {.lex_state = 1},
  [182] = {.lex_state = 1},
  [183] = {.lex_state = 1},
  [184] = {.lex_state = 1},
  [185] = {.lex_state = 1},
  [186] = {.lex_state = 1},
  [187] = {.lex_state = 1},
  [188] = {.lex_state = 1},
  [189] = {.lex_state = 1},
  [190] = {.lex_state = 1},
  [191] = {.lex_state = 1},
  [192] = {.lex_state = 1},
  [193] = {.lex_state = 1},
  [194] = {.lex_state = 1},
  [195] = {.lex_state = 1},
  [196] = {.lex_state = 1},
  [197] = {.lex_state = 1},
  [198] = {.lex_state = 1},
  [199] = {.lex_state = 1},
  [200] = {.lex_state = 1},
  [201] = {.lex_state = 1},
  [202] = {.lex_state = 1},
  [203] = {.lex_state = 1},
  [204] = {.lex_state = 1},
  [205] = {.lex_state = 1},
  [206] = {.lex_state = 1},
  [207] = {.lex_state = 1},
  [208] = {.lex_state = 1},
  [209] = {.lex_state = 1},
  [210] = {.lex_state = 1},
  [211] = {.lex_state = 1},
  [212] = {.lex_state = 1},
  [213] = {.lex_state = 1},
  [214] = {.lex_state = 1},
  [215] = {.lex_state = 1},
  [216] = {.lex_state = 1},
  [217] = {.lex_state = 1},
  [218] = {.lex_state = 1},
  [219] = {.lex_state = 1},
  [220] = {.lex_state = 1},
  [221] = {.lex_state = 1},
  [222] = {.lex_state = 1},
  [223] = {.lex_state = 1},
  [224] = {.lex_state = 1},
  [225] = {.lex_state = 1},
  [226] = {.lex_state = 1},
  [227] = {.lex_state = 1},
  [228] = {.lex_state = 1},
  [229] = {.lex_state = 5},
  [230] = {.lex_state = 5},
  [231] = {.lex_state = 1},
  [232] = {.lex_state = 1},
  [233] = {.lex_state = 5},
  [234] = {.lex_state = 16},
  [235] = {.lex_state = 16},
  [236] = {.lex_state = 16},
  [237] = {.lex_state = 1},
  [238] = {.lex_state = 5},
  [239] = {.lex_state = 1},
  [240] = {.lex_state = 5},
  [241] = {.lex_state = 5},
  [242] = {.lex_state = 1},
  [243] = {.lex_state = 1},
  [244] = {.lex_state = 1},
  [245] = {.lex_state = 1},
  [246] = {.lex_state = 1},
  [247] = {.lex_state = 1},
  [248] = {.lex_state = 1},
  [249] = {.lex_state = 1},
  [250] = {.lex_state = 5},
  [251] = {.lex_state = 5},
  [252] = {.lex_state = 1},
  [253] = {.lex_state = 5},
  [254] = {.lex_state = 1},
  [255] = {.lex_state = 5},
  [256] = {.lex_state = 1},
  [257] = {.lex_state = 5},
  [258] = {.lex_state = 5},
  [259] = {.lex_state = 1},
  [260] = {.lex_state = 1},
  [261] = {.lex_state = 15},
  [262] = {.lex_state = 15},
  [263] = {.lex_state = 15},
  [264] = {.lex_state = 15},
  [265] = {.lex_state = 15},
  [266] = {.lex_state = 15},
  [267] = {.lex_state = 12},
  [268] = {.lex_state = 12},
  [269] = {.lex_state = 12},
  [270] = {.lex_state = 12},
  [271] = {.lex_state = 12},
  [272] = {.lex_state = 12},
  [273] = {.lex_state = 12},
  [274] = {.lex_state = 12},
  [275] = {.lex_state = 12},
  [276] = {.lex_state = 12},
  [277] = {.lex_state = 12},
  [278] = {.lex_state = 12},
  [279] = {.lex_state = 9},
  [280] = {.lex_state = 6},
  [281] = {.lex_state = 6},
  [282] = {.lex_state = 437},
  [283] = {.lex_state = 437},
  [284] = {.lex_state = 437},
  [285] = {.lex_state = 8},
  [286] = {.lex_state = 437},
  [287] = {.lex_state = 437},
  [288] = {.lex_state = 437},
  [289] = {.lex_state = 8},
  [290] = {.lex_state = 437},
  [291] = {.lex_state = 437},
  [292] = {.lex_state = 8},
  [293] = {.lex_state = 437},
  [294] = {.lex_state = 437},
  [295] = {.lex_state = 437},
  [296] = {.lex_state = 437},
  [297] = {.lex_state = 437},
  [298] = {.lex_state = 437},
  [299] = {.lex_state = 437},
  [300] = {.lex_state = 437},
  [301] = {.lex_state = 437},
  [302] = {.lex_state = 437},
  [303] = {.lex_state = 437},
  [304] = {.lex_state = 437},
  [305] = {.lex_state = 437},
  [306] = {.lex_state = 437},
  [307] = {.lex_state = 437},
  [308] = {.lex_state = 437},
  [309] = {.lex_state = 437},
  [310] = {.lex_state = 437},
  [311] = {.lex_state = 437},
  [312] = {.lex_state = 437},
  [313] = {.lex_state = 437},
  [314] = {.lex_state = 437},
  [315] = {.lex_state = 437},
  [316] = {.lex_state = 437},
  [317] = {.lex_state = 437},
  [318] = {.lex_state = 437},
  [319] = {.lex_state = 437},
  [320] = {.lex_state = 437},
  [321] = {.lex_state = 437},
  [322] = {.lex_state = 437},
  [323] = {.lex_state = 437},
  [324] = {.lex_state = 437},
  [325] = {.lex_state = 437},
  [326] = {.lex_state = 437},
  [327] = {.lex_state = 437},
  [328] = {.lex_state = 437},
  [329] = {.lex_state = 437},
  [330] = {.lex_state = 437},
  [331] = {.lex_state = 437},
  [332] = {.lex_state = 437},
  [333] = {.lex_state = 437},
  [334] = {.lex_state = 437},
  [335] = {.lex_state = 437},
  [336] = {.lex_state = 437},
  [337] = {.lex_state = 437},
  [338] = {.lex_state = 437},
  [339] = {.lex_state = 437},
  [340] = {.lex_state = 437},
  [341] = {.lex_state = 437},
  [342] = {.lex_state = 437},
  [343] = {.lex_state = 437},
  [344] = {.lex_state = 437},
  [345] = {.lex_state = 437},
  [346] = {.lex_state = 437},
  [347] = {.lex_state = 437},
  [348] = {.lex_state = 437},
  [349] = {.lex_state = 437},
  [350] = {.lex_state = 437},
  [351] = {.lex_state = 14},
  [352] = {.lex_state = 437},
  [353] = {.lex_state = 437},
  [354] = {.lex_state = 7},
  [355] = {.lex_state = 7},
  [356] = {.lex_state = 8},
  [357] = {.lex_state = 437},
  [358] = {.lex_state = 8},
  [359] = {.lex_state = 8},
  [360] = {.lex_state = 8},
  [361] = {.lex_state = 8},
  [362] = {.lex_state = 8},
  [363] = {.lex_state = 8},
  [364] = {.lex_state = 14},
  [365] = {.lex_state = 8},
  [366] = {.lex_state = 14},
  [367] = {.lex_state = 8},
  [368] = {.lex_state = 8},
  [369] = {.lex_state = 8},
  [370] = {.lex_state = 8},
  [371] = {.lex_state = 8},
  [372] = {.lex_state = 8},
  [373] = {.lex_state = 14},
  [374] = {.lex_state = 8},
  [375] = {.lex_state = 8},
  [376] = {.lex_state = 8},
  [377] = {.lex_state = 8},
  [378] = {.lex_state = 8},
  [379] = {.lex_state = 1},
  [380] = {.lex_state = 1},
  [381] = {.lex_state = 1},
  [382] = {.lex_state = 1},
  [383] = {.lex_state = 437},
  [384] = {.lex_state = 1},
  [385] = {.lex_state = 437},
  [386] = {.lex_state = 437},
  [387] = {.lex_state = 1},
  [388] = {.lex_state = 1},
  [389] = {.lex_state = 1},
  [390] = {.lex_state = 1},
  [391] = {.lex_state = 437},
  [392] = {.lex_state = 437},
  [393] = {.lex_state = 437},
  [394] = {.lex_state = 437},
  [395] = {.lex_state = 437},
  [396] = {.lex_state = 437},
  [397] = {.lex_state = 437},
  [398] = {.lex_state = 437},
  [399] = {.lex_state = 437},
  [400] = {.lex_state = 437},
  [401] = {.lex_state = 437},
  [402] = {.lex_state = 437},
  [403] = {.lex_state = 437},
  [404] = {.lex_state = 437},
  [405] = {.lex_state = 437},
  [406] = {.lex_state = 437},
  [407] = {.lex_state = 437},
  [408] = {.lex_state = 437},
  [409] = {.lex_state = 8},
  [410] = {.lex_state = 437},
  [411] = {.lex_state = 437},
  [412] = {.lex_state = 437},
  [413] = {.lex_state = 437},
  [414] = {.lex_state = 437},
  [415] = {.lex_state = 437},
  [416] = {.lex_state = 437},
  [417] = {.lex_state = 437},
  [418] = {.lex_state = 8},
  [419] = {.lex_state = 437},
  [420] = {.lex_state = 437},
  [421] = {.lex_state = 437},
  [422] = {.lex_state = 437},
  [423] = {.lex_state = 437},
  [424] = {.lex_state = 437},
  [425] = {.lex_state = 437},
  [426] = {.lex_state = 12},
  [427] = {.lex_state = 437},
  [428] = {.lex_state = 437},
  [429] = {.lex_state = 437},
  [430] = {.lex_state = 437},
  [431] = {.lex_state = 437},
  [432] = {.lex_state = 437},
  [433] = {.lex_state = 437},
  [434] = {.lex_state = 12},
  [435] = {.lex_state = 437},
  [436] = {.lex_state = 437},
  [437] = {.lex_state = 437},
  [438] = {.lex_state = 437},
  [439] = {.lex_state = 13},
  [440] = {.lex_state = 437},
  [441] = {.lex_state = 437},
  [442] = {.lex_state = 437},
  [443] = {.lex_state = 437},
  [444] = {.lex_state = 437},
  [445] = {.lex_state = 437},
  [446] = {.lex_state = 437},
  [447] = {.lex_state = 437},
  [448] = {.lex_state = 437},
  [449] = {.lex_state = 437},
  [450] = {.lex_state = 437},
  [451] = {.lex_state = 437},
  [452] = {.lex_state = 12},
  [453] = {.lex_state = 12},
  [454] = {.lex_state = 12},
  [455] = {.lex_state = 12},
  [456] = {.lex_state = 8},
  [457] = {.lex_state = 12},
  [458] = {.lex_state = 12},
  [459] = {.lex_state = 12},
  [460] = {.lex_state = 12},
  [461] = {.lex_state = 12},
  [462] = {.lex_state = 12},
  [463] = {.lex_state = 12},
  [464] = {.lex_state = 12},
  [465] = {.lex_state = 12},
  [466] = {.lex_state = 12},
  [467] = {.lex_state = 12},
  [468] = {.lex_state = 437},
  [469] = {.lex_state = 12},
  [470] = {.lex_state = 12},
  [471] = {.lex_state = 12},
  [472] = {.lex_state = 12},
  [473] = {.lex_state = 12},
  [474] = {.lex_state = 12},
  [475] = {.lex_state = 8},
  [476] = {.lex_state = 12},
  [477] = {.lex_state = 12},
  [478] = {.lex_state = 12},
  [479] = {.lex_state = 12},
  [480] = {.lex_state = 12},
  [481] = {.lex_state = 12},
  [482] = {.lex_state = 12},
  [483] = {.lex_state = 8},
  [484] = {.lex_state = 12},
  [485] = {.lex_state = 12},
  [486] = {.lex_state = 12},
  [487] = {.lex_state = 12},
  [488] = {.lex_state = 12},
  [489] = {.lex_state = 12},
  [490] = {.lex_state = 8},
  [491] = {.lex_state = 12},
  [492] = {.lex_state = 12},
  [493] = {.lex_state = 8},
  [494] = {.lex_state = 12},
  [495] = {.lex_state = 12},
  [496] = {.lex_state = 8},
  [497] = {.lex_state = 12},
  [498] = {.lex_state = 8},
  [499] = {.lex_state = 12},
  [500] = {.lex_state = 8},
  [501] = {.lex_state = 12},
  [502] = {.lex_state = 12},
  [503] = {.lex_state = 8},
  [504] = {.lex_state = 12},
  [505] = {.lex_state = 12},
  [506] = {.lex_state = 12},
  [507] = {.lex_state = 437},
  [508] = {.lex_state = 12},
  [509] = {.lex_state = 12},
  [510] = {.lex_state = 437},
  [511] = {.lex_state = 437},
  [512] = {.lex_state = 437},
  [513] = {.lex_state = 437},
  [514] = {.lex_state = 437},
  [515] = {.lex_state = 437},
  [516] = {.lex_state = 437},
  [517] = {.lex_state = 437},
  [518] = {.lex_state = 14},
  [519] = {.lex_state = 14},
  [520] = {.lex_state = 14},
  [521] = {.lex_state = 14},
  [522] = {.lex_state = 14},
  [523] = {.lex_state = 14},
  [524] = {.lex_state = 14},
  [525] = {.lex_state = 14},
  [526] = {.lex_state = 14},
  [527] = {.lex_state = 14},
  [528] = {.lex_state = 14},
  [529] = {.lex_state = 14},
  [530] = {.lex_state = 14},
  [531] = {.lex_state = 14},
  [532] = {.lex_state = 14},
  [533] = {.lex_state = 14},
  [534] = {.lex_state = 14},
  [535] = {.lex_state = 14},
  [536] = {.lex_state = 14},
  [537] = {.lex_state = 14},
  [538] = {.lex_state = 14},
  [539] = {.lex_state = 14},
  [540] = {.lex_state = 14},
  [541] = {.lex_state = 14},
  [542] = {.lex_state = 14},
  [543] = {.lex_state = 14},
  [544] = {.lex_state = 14},
  [545] = {.lex_state = 14},
  [546] = {.lex_state = 14},
  [547] = {.lex_state = 14},
  [548] = {.lex_state = 14},
  [549] = {.lex_state = 19},
  [550] = {.lex_state = 437},
  [551] = {.lex_state = 437},
  [552] = {.lex_state = 437},
  [553] = {.lex_state = 437},
  [554] = {.lex_state = 437},
  [555] = {.lex_state = 0},
  [556] = {.lex_state = 437},
  [557] = {.lex_state = 0},
  [558] = {.lex_state = 0},
  [559] = {.lex_state = 0},
  [560] = {.lex_state = 437},
  [561] = {.lex_state = 437},
  [562] = {.lex_state = 437},
  [563] = {.lex_state = 437},
  [564] = {.lex_state = 437},
  [565] = {.lex_state = 0},
  [566] = {.lex_state = 437},
  [567] = {.lex_state = 437},
  [568] = {.lex_state = 437},
  [569] = {.lex_state = 437},
  [570] = {.lex_state = 437},
  [571] = {.lex_state = 437},
  [572] = {.lex_state = 437},
  [573] = {.lex_state = 0},
  [574] = {.lex_state = 437},
  [575] = {.lex_state = 437},
  [576] = {.lex_state = 437},
  [577] = {.lex_state = 437},
  [578] = {.lex_state = 437},
  [579] = {.lex_state = 437},
  [580] = {.lex_state = 437},
  [581] = {.lex_state = 437},
  [582] = {.lex_state = 24},
  [583] = {.lex_state = 0},
  [584] = {.lex_state = 0},
  [585] = {.lex_state = 24},
  [586] = {.lex_state = 0},
  [587] = {.lex_state = 0},
  [588] = {.lex_state = 0},
  [589] = {.lex_state = 0},
  [590] = {.lex_state = 0},
  [591] = {.lex_state = 0},
  [592] = {.lex_state = 15},
  [593] = {.lex_state = 0},
  [594] = {.lex_state = 15},
  [595] = {.lex_state = 0},
  [596] = {.lex_state = 6},
  [597] = {.lex_state = 6},
  [598] = {.lex_state = 15},
  [599] = {.lex_state = 0},
  [600] = {.lex_state = 34},
  [601] = {.lex_state = 15},
  [602] = {.lex_state = 19},
  [603] = {.lex_state = 17},
  [604] = {.lex_state = 0},
  [605] = {.lex_state = 19},
  [606] = {.lex_state = 0},
  [607] = {.lex_state = 19},
  [608] = {.lex_state = 17},
  [609] = {.lex_state = 0},
  [610] = {.lex_state = 9},
  [611] = {.lex_state = 9},
  [612] = {.lex_state = 17},
  [613] = {.lex_state = 17},
  [614] = {.lex_state = 0},
  [615] = {.lex_state = 0},
  [616] = {.lex_state = 17},
  [617] = {.lex_state = 19},
  [618] = {.lex_state = 9},
  [619] = {.lex_state = 19},
  [620] = {.lex_state = 19},
  [621] = {.lex_state = 19},
  [622] = {.lex_state = 20},
  [623] = {.lex_state = 15},
  [624] = {.lex_state = 20},
  [625] = {.lex_state = 20},
  [626] = {.lex_state = 0},
  [627] = {.lex_state = 15},
  [628] = {.lex_state = 20},
  [629] = {.lex_state = 20},
  [630] = {.lex_state = 20},
  [631] = {.lex_state = 20},
  [632] = {.lex_state = 0},
  [633] = {.lex_state = 20},
  [634] = {.lex_state = 20},
  [635] = {.lex_state = 0},
  [636] = {.lex_state = 20},
  [637] = {.lex_state = 19},
  [638] = {.lex_state = 20},
  [639] = {.lex_state = 20},
  [640] = {.lex_state = 20},
  [641] = {.lex_state = 0},
  [642] = {.lex_state = 15},
  [643] = {.lex_state = 20},
  [644] = {.lex_state = 0},
  [645] = {.lex_state = 0},
  [646] = {.lex_state = 20},
  [647] = {.lex_state = 20},
  [648] = {.lex_state = 0},
  [649] = {.lex_state = 0},
  [650] = {.lex_state = 20},
  [651] = {.lex_state = 0},
  [652] = {.lex_state = 0},
  [653] = {.lex_state = 0},
  [654] = {.lex_state = 0},
  [655] = {.lex_state = 19},
  [656] = {.lex_state = 0},
  [657] = {.lex_state = 0},
  [658] = {.lex_state = 0},
  [659] = {.lex_state = 35},
  [660] = {.lex_state = 0},
  [661] = {.lex_state = 0},
  [662] = {.lex_state = 19},
  [663] = {.lex_state = 0},
  [664] = {.lex_state = 0},
  [665] = {.lex_state = 0},
  [666] = {.lex_state = 0},
  [667] = {.lex_state = 437},
  [668] = {.lex_state = 0},
  [669] = {.lex_state = 0},
  [670] = {.lex_state = 437},
  [671] = {.lex_state = 0},
  [672] = {.lex_state = 0},
  [673] = {.lex_state = 437},
  [674] = {.lex_state = 0},
  [675] = {.lex_state = 9},
  [676] = {.lex_state = 0},
  [677] = {.lex_state = 0},
  [678] = {.lex_state = 437},
  [679] = {.lex_state = 0},
  [680] = {.lex_state = 0},
  [681] = {.lex_state = 0},
  [682] = {.lex_state = 0},
  [683] = {.lex_state = 20},
  [684] = {.lex_state = 20},
  [685] = {.lex_state = 0},
  [686] = {.lex_state = 9},
  [687] = {.lex_state = 17},
  [688] = {.lex_state = 20},
  [689] = {.lex_state = 437},
  [690] = {.lex_state = 0},
  [691] = {.lex_state = 0},
  [692] = {.lex_state = 0},
  [693] = {.lex_state = 20},
  [694] = {.lex_state = 0},
  [695] = {.lex_state = 0},
  [696] = {.lex_state = 35},
  [697] = {.lex_state = 0},
  [698] = {.lex_state = 0},
  [699] = {.lex_state = 0},
  [700] = {.lex_state = 0},
  [701] = {.lex_state = 0},
  [702] = {.lex_state = 0},
  [703] = {.lex_state = 0},
  [704] = {.lex_state = 9},
  [705] = {.lex_state = 0},
  [706] = {.lex_state = 0},
  [707] = {.lex_state = 0},
  [708] = {.lex_state = 0},
  [709] = {.lex_state = 0},
  [710] = {.lex_state = 15},
  [711] = {.lex_state = 0},
  [712] = {.lex_state = 20},
  [713] = {.lex_state = 0},
  [714] = {.lex_state = 20},
  [715] = {.lex_state = 0},
  [716] = {.lex_state = 0},
  [717] = {.lex_state = 0},
  [718] = {.lex_state = 20},
  [719] = {.lex_state = 20},
  [720] = {.lex_state = 0},
  [721] = {.lex_state = 0},
  [722] = {.lex_state = 15},
  [723] = {.lex_state = 0},
  [724] = {.lex_state = 0},
  [725] = {.lex_state = 20},
  [726] = {.lex_state = 0},
  [727] = {.lex_state = 0},
  [728] = {.lex_state = 0},
  [729] = {.lex_state = 17},
  [730] = {.lex_state = 0},
  [731] = {.lex_state = 0},
  [732] = {.lex_state = 19},
  [733] = {.lex_state = 0},
  [734] = {.lex_state = 20},
  [735] = {.lex_state = 19},
  [736] = {.lex_state = 0},
  [737] = {.lex_state = 15},
  [738] = {.lex_state = 0},
  [739] = {.lex_state = 15},
  [740] = {.lex_state = 15},
  [741] = {.lex_state = 0},
  [742] = {.lex_state = 0},
  [743] = {.lex_state = 0},
  [744] = {.lex_state = 0},
  [745] = {.lex_state = 19},
  [746] = {.lex_state = 0},
  [747] = {.lex_state = 0},
  [748] = {.lex_state = 0},
  [749] = {.lex_state = 20},
  [750] = {.lex_state = 0},
  [751] = {.lex_state = 15},
  [752] = {.lex_state = 0},
  [753] = {.lex_state = 0},
  [754] = {.lex_state = 0},
  [755] = {.lex_state = 0},
  [756] = {.lex_state = 19},
  [757] = {.lex_state = 20},
  [758] = {.lex_state = 0},
  [759] = {.lex_state = 20},
  [760] = {.lex_state = 20},
  [761] = {.lex_state = 0},
  [762] = {.lex_state = 20},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 0},
  [765] = {.lex_state = 0},
  [766] = {.lex_state = 0},
  [767] = {.lex_state = 20},
  [768] = {.lex_state = 20},
  [769] = {.lex_state = 0},
  [770] = {.lex_state = 20},
  [771] = {.lex_state = 19},
  [772] = {.lex_state = 19},
  [773] = {.lex_state = 20},
  [774] = {.lex_state = 0},
  [775] = {.lex_state = 0},
  [776] = {.lex_state = 0},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 20},
  [779] = {.lex_state = 0},
  [780] = {.lex_state = 19},
  [781] = {.lex_state = 0},
  [782] = {.lex_state = 20},
  [783] = {.lex_state = 0},
  [784] = {.lex_state = 19},
  [785] = {.lex_state = 20},
  [786] = {.lex_state = 0},
  [787] = {.lex_state = 20},
  [788] = {.lex_state = 0},
  [789] = {.lex_state = 19},
  [790] = {.lex_state = 0},
  [791] = {.lex_state = 0},
  [792] = {.lex_state = 0},
  [793] = {.lex_state = 19},
  [794] = {.lex_state = 19},
  [795] = {.lex_state = 19},
  [796] = {.lex_state = 0},
  [797] = {.lex_state = 0},
  [798] = {.lex_state = 20},
  [799] = {.lex_state = 35},
  [800] = {.lex_state = 20},
  [801] = {.lex_state = 20},
  [802] = {.lex_state = 0},
  [803] = {.lex_state = 20},
  [804] = {.lex_state = 19},
  [805] = {.lex_state = 20},
  [806] = {.lex_state = 20},
  [807] = {.lex_state = 0},
  [808] = {.lex_state = 0},
  [809] = {.lex_state = 0},
  [810] = {.lex_state = 0},
  [811] = {.lex_state = 20},
  [812] = {.lex_state = 20},
  [813] = {.lex_state = 0},
  [814] = {.lex_state = 20},
  [815] = {.lex_state = 20},
  [816] = {.lex_state = 20},
  [817] = {.lex_state = 0},
  [818] = {.lex_state = 20},
  [819] = {.lex_state = 0},
  [820] = {.lex_state = 0},
  [821] = {.lex_state = 20},
  [822] = {.lex_state = 0},
  [823] = {.lex_state = 20},
  [824] = {.lex_state = 0},
  [825] = {.lex_state = 0},
  [826] = {.lex_state = 0},
  [827] = {.lex_state = 9},
  [828] = {.lex_state = 0},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 20},
  [831] = {.lex_state = 20},
  [832] = {.lex_state = 19},
  [833] = {.lex_state = 0},
  [834] = {.lex_state = 19},
  [835] = {.lex_state = 0},
  [836] = {.lex_state = 0},
  [837] = {.lex_state = 0},
  [838] = {.lex_state = 0},
  [839] = {.lex_state = 0},
  [840] = {.lex_state = 0},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 0},
  [844] = {.lex_state = 0},
  [845] = {.lex_state = 0},
  [846] = {.lex_state = 0},
  [847] = {.lex_state = 15},
  [848] = {.lex_state = 0},
  [849] = {.lex_state = 0},
  [850] = {.lex_state = 9},
  [851] = {.lex_state = 0},
  [852] = {.lex_state = 0},
  [853] = {.lex_state = 0},
  [854] = {.lex_state = 0},
  [855] = {.lex_state = 437},
  [856] = {.lex_state = 0},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 0},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 0},
  [861] = {.lex_state = 15},
  [862] = {.lex_state = 0},
  [863] = {.lex_state = 0},
  [864] = {.lex_state = 0},
  [865] = {.lex_state = 0},
  [866] = {.lex_state = 0},
  [867] = {.lex_state = 9},
  [868] = {.lex_state = 0},
  [869] = {.lex_state = 0},
  [870] = {.lex_state = 0},
  [871] = {.lex_state = 0},
  [872] = {.lex_state = 0},
  [873] = {.lex_state = 1},
  [874] = {.lex_state = 0},
  [875] = {.lex_state = 0},
  [876] = {.lex_state = 0},
  [877] = {.lex_state = 0},
  [878] = {.lex_state = 9},
  [879] = {.lex_state = 0},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 0},
  [882] = {.lex_state = 0},
  [883] = {.lex_state = 0},
  [884] = {.lex_state = 0},
  [885] = {.lex_state = 15},
  [886] = {.lex_state = 0},
  [887] = {.lex_state = 0},
  [888] = {.lex_state = 0},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 0},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 0},
  [895] = {.lex_state = 0},
  [896] = {.lex_state = 437},
  [897] = {.lex_state = 0},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 0},
  [900] = {.lex_state = 0},
  [901] = {.lex_state = 15},
  [902] = {.lex_state = 0},
  [903] = {.lex_state = 15},
  [904] = {.lex_state = 0},
  [905] = {.lex_state = 15},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 437},
  [908] = {.lex_state = 0},
  [909] = {.lex_state = 0},
  [910] = {.lex_state = 0},
  [911] = {.lex_state = 437},
  [912] = {.lex_state = 0},
  [913] = {.lex_state = 20},
  [914] = {.lex_state = 9},
  [915] = {.lex_state = 0},
  [916] = {.lex_state = 0},
  [917] = {.lex_state = 0},
  [918] = {.lex_state = 0},
  [919] = {.lex_state = 0},
  [920] = {.lex_state = 0},
  [921] = {.lex_state = 0},
  [922] = {.lex_state = 0},
  [923] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_export] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_component] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_property] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_out] = ACTIONS(1),
    [anon_sym_transitions] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_animate] = ACTIONS(1),
    [anon_sym_delay] = ACTIONS(1),
    [anon_sym_duration] = ACTIONS(1),
    [anon_sym_iteration_DASHcount] = ACTIONS(1),
    [anon_sym_easing] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_ATtr] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [sym_logical_and] = ACTIONS(1),
    [sym_logical_or] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_callback] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_pure] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_changed] = ACTIONS(1),
    [anon_sym_ATimage_DASHurl] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_escape_sequence_token1] = ACTIONS(1),
    [anon_sym_n] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_color] = ACTIONS(1),
    [anon_sym_brush] = ACTIONS(1),
    [anon_sym_physical_DASHlength] = ACTIONS(1),
    [anon_sym_length] = ACTIONS(1),
    [anon_sym_angle] = ACTIONS(1),
    [anon_sym_percent] = ACTIONS(1),
    [anon_sym_image] = ACTIONS(1),
    [anon_sym_relative_DASHfont_DASHsize] = ACTIONS(1),
    [anon_sym_linear] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(1),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(1),
    [anon_sym_ease] = ACTIONS(1),
    [anon_sym_ease_DASHin] = ACTIONS(1),
    [anon_sym_ease_DASHout] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(1),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(1),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(1),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(1),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(1),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(1),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(1),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(1),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(1),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(1),
    [anon_sym_cubic_DASHbezier] = ACTIONS(1),
    [sym_children_identifier] = ACTIONS(1),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(1),
    [anon_sym_ATlinear_gradient] = ACTIONS(1),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(1),
    [anon_sym_ATradial_gradient] = ACTIONS(1),
    [anon_sym_circle] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [anon_sym_root] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [sym__int_number] = ACTIONS(1),
    [sym__float_number] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [sym_color_value] = ACTIONS(1),
    [anon_sym_phx] = ACTIONS(1),
    [aux_sym_length_value_token1] = ACTIONS(1),
    [aux_sym_duration_value_token1] = ACTIONS(1),
    [aux_sym_angle_value_token1] = ACTIONS(1),
    [anon_sym_PERCENT2] = ACTIONS(1),
    [anon_sym_rem] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_sourcefile] = STATE(906),
    [sym__definition] = STATE(468),
    [sym__local_type] = STATE(468),
    [sym__exported_type] = STATE(468),
    [sym_import_statement] = STATE(468),
    [sym_component_definition] = STATE(468),
    [sym_global_definition] = STATE(468),
    [sym_struct_definition] = STATE(468),
    [sym_enum_definition] = STATE(468),
    [sym_user_type_identifier] = STATE(902),
    [aux_sym_sourcefile_repeat1] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_export] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_component] = ACTIONS(11),
    [anon_sym_global] = ACTIONS(13),
    [anon_sym_struct] = ACTIONS(15),
    [anon_sym_enum] = ACTIONS(17),
    [sym__identifier] = ACTIONS(19),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__imperative_block_statement] = STATE(11),
    [sym_binding] = STATE(11),
    [sym_anon_struct_block] = STATE(195),
    [sym_if_expr] = STATE(249),
    [sym__assignment_setup] = STATE(48),
    [sym_assignment_block] = STATE(249),
    [sym_assignment_expr] = STATE(249),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_callback_event] = STATE(11),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(196),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [aux_sym_imperative_block_repeat1] = STATE(11),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_COMMA] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(25),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__imperative_block_statement] = STATE(11),
    [sym_binding] = STATE(11),
    [sym_anon_struct_block] = STATE(195),
    [sym_if_expr] = STATE(249),
    [sym__assignment_setup] = STATE(48),
    [sym_assignment_block] = STATE(249),
    [sym_assignment_expr] = STATE(249),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_callback_event] = STATE(11),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(196),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [aux_sym_imperative_block_repeat1] = STATE(11),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_COMMA] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(63),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__imperative_block_statement] = STATE(14),
    [sym_binding] = STATE(14),
    [sym_anon_struct_block] = STATE(195),
    [sym_if_expr] = STATE(249),
    [sym__assignment_setup] = STATE(48),
    [sym_assignment_block] = STATE(249),
    [sym_assignment_expr] = STATE(249),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_callback_event] = STATE(14),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(196),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [aux_sym_imperative_block_repeat1] = STATE(14),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_COMMA] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(65),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__imperative_block_statement] = STATE(13),
    [sym_binding] = STATE(13),
    [sym_anon_struct_block] = STATE(195),
    [sym_if_expr] = STATE(249),
    [sym__assignment_setup] = STATE(48),
    [sym_assignment_block] = STATE(249),
    [sym_assignment_expr] = STATE(249),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_callback_event] = STATE(13),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(196),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [aux_sym_imperative_block_repeat1] = STATE(13),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_COMMA] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__imperative_block_statement] = STATE(13),
    [sym_binding] = STATE(13),
    [sym_anon_struct_block] = STATE(195),
    [sym_if_expr] = STATE(249),
    [sym__assignment_setup] = STATE(48),
    [sym_assignment_block] = STATE(249),
    [sym_assignment_expr] = STATE(249),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_callback_event] = STATE(13),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(196),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [aux_sym_imperative_block_repeat1] = STATE(13),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_COMMA] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__imperative_block_statement] = STATE(11),
    [sym_binding] = STATE(11),
    [sym_anon_struct_block] = STATE(195),
    [sym_if_expr] = STATE(249),
    [sym__assignment_setup] = STATE(48),
    [sym_assignment_block] = STATE(249),
    [sym_assignment_expr] = STATE(249),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_callback_event] = STATE(11),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(212),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [aux_sym_imperative_block_repeat1] = STATE(11),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(71),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__imperative_block_statement] = STATE(9),
    [sym_binding] = STATE(9),
    [sym_anon_struct_block] = STATE(195),
    [sym_if_expr] = STATE(249),
    [sym__assignment_setup] = STATE(48),
    [sym_assignment_block] = STATE(249),
    [sym_assignment_expr] = STATE(249),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_callback_event] = STATE(9),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(212),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [aux_sym_imperative_block_repeat1] = STATE(9),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__imperative_block_statement] = STATE(9),
    [sym_binding] = STATE(9),
    [sym_anon_struct_block] = STATE(195),
    [sym_if_expr] = STATE(249),
    [sym__assignment_setup] = STATE(48),
    [sym_assignment_block] = STATE(249),
    [sym_assignment_expr] = STATE(249),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_callback_event] = STATE(9),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(212),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [aux_sym_imperative_block_repeat1] = STATE(9),
    [anon_sym_LBRACE] = ACTIONS(75),
    [anon_sym_RBRACE] = ACTIONS(78),
    [anon_sym_return] = ACTIONS(80),
    [anon_sym_LBRACK] = ACTIONS(83),
    [anon_sym_if] = ACTIONS(86),
    [anon_sym_LPAREN] = ACTIONS(89),
    [anon_sym_ATtr] = ACTIONS(92),
    [anon_sym_ATimage_DASHurl] = ACTIONS(95),
    [anon_sym_BANG] = ACTIONS(98),
    [anon_sym_DASH] = ACTIONS(98),
    [anon_sym_PLUS] = ACTIONS(98),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym__identifier] = ACTIONS(104),
    [anon_sym_linear] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(107),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(107),
    [anon_sym_ease] = ACTIONS(107),
    [anon_sym_ease_DASHin] = ACTIONS(107),
    [anon_sym_ease_DASHout] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(107),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(107),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(107),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(107),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(107),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(107),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(107),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(107),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(107),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(107),
    [anon_sym_cubic_DASHbezier] = ACTIONS(110),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(113),
    [anon_sym_ATlinear_gradient] = ACTIONS(113),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(116),
    [anon_sym_ATradial_gradient] = ACTIONS(116),
    [anon_sym_parent] = ACTIONS(119),
    [anon_sym_root] = ACTIONS(119),
    [anon_sym_self] = ACTIONS(119),
    [sym__int_number] = ACTIONS(122),
    [sym__float_number] = ACTIONS(125),
    [anon_sym_true] = ACTIONS(128),
    [anon_sym_false] = ACTIONS(128),
    [sym_color_value] = ACTIONS(131),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__imperative_block_statement] = STATE(14),
    [sym_binding] = STATE(14),
    [sym_anon_struct_block] = STATE(195),
    [sym_if_expr] = STATE(249),
    [sym__assignment_setup] = STATE(48),
    [sym_assignment_block] = STATE(249),
    [sym_assignment_expr] = STATE(249),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_callback_event] = STATE(14),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(212),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [aux_sym_imperative_block_repeat1] = STATE(14),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(134),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__imperative_block_statement] = STATE(9),
    [sym_binding] = STATE(9),
    [sym_anon_struct_block] = STATE(195),
    [sym_if_expr] = STATE(249),
    [sym__assignment_setup] = STATE(48),
    [sym_assignment_block] = STATE(249),
    [sym_assignment_expr] = STATE(249),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_callback_event] = STATE(9),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(212),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [aux_sym_imperative_block_repeat1] = STATE(9),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(136),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__imperative_block_statement] = STATE(13),
    [sym_binding] = STATE(13),
    [sym_anon_struct_block] = STATE(195),
    [sym_if_expr] = STATE(249),
    [sym__assignment_setup] = STATE(48),
    [sym_assignment_block] = STATE(249),
    [sym_assignment_expr] = STATE(249),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_callback_event] = STATE(13),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(212),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [aux_sym_imperative_block_repeat1] = STATE(13),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(138),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__imperative_block_statement] = STATE(9),
    [sym_binding] = STATE(9),
    [sym_anon_struct_block] = STATE(195),
    [sym_if_expr] = STATE(249),
    [sym__assignment_setup] = STATE(48),
    [sym_assignment_block] = STATE(249),
    [sym_assignment_expr] = STATE(249),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_callback_event] = STATE(9),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(212),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [aux_sym_imperative_block_repeat1] = STATE(9),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(140),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__imperative_block_statement] = STATE(9),
    [sym_binding] = STATE(9),
    [sym_anon_struct_block] = STATE(195),
    [sym_if_expr] = STATE(249),
    [sym__assignment_setup] = STATE(48),
    [sym_assignment_block] = STATE(249),
    [sym_assignment_expr] = STATE(249),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_callback_event] = STATE(9),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(212),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [aux_sym_imperative_block_repeat1] = STATE(9),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(142),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__imperative_block_statement] = STATE(8),
    [sym_binding] = STATE(8),
    [sym_anon_struct_block] = STATE(195),
    [sym_if_expr] = STATE(249),
    [sym__assignment_setup] = STATE(48),
    [sym_assignment_block] = STATE(249),
    [sym_assignment_expr] = STATE(249),
    [sym_expression] = STATE(151),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_callback_event] = STATE(8),
    [sym_function_call] = STATE(226),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(212),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [aux_sym_imperative_block_repeat1] = STATE(8),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_RBRACE] = ACTIONS(144),
    [anon_sym_return] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_in_out_transition] = STATE(18),
    [sym__assignment_setup] = STATE(47),
    [sym_assignment_block] = STATE(18),
    [sym_assignment_expr] = STATE(764),
    [sym_expression] = STATE(357),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [aux_sym_states_definition_repeat1] = STATE(18),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_RBRACE] = ACTIONS(148),
    [anon_sym_in] = ACTIONS(150),
    [anon_sym_out] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_in_out_transition] = STATE(16),
    [sym__assignment_setup] = STATE(47),
    [sym_assignment_block] = STATE(16),
    [sym_assignment_expr] = STATE(769),
    [sym_expression] = STATE(357),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [aux_sym_states_definition_repeat1] = STATE(16),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_RBRACE] = ACTIONS(178),
    [anon_sym_in] = ACTIONS(150),
    [anon_sym_out] = ACTIONS(150),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_in_out_transition] = STATE(18),
    [sym__assignment_setup] = STATE(42),
    [sym_assignment_block] = STATE(18),
    [sym_assignment_expr] = STATE(912),
    [sym_expression] = STATE(357),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [aux_sym_states_definition_repeat1] = STATE(18),
    [anon_sym_LBRACE] = ACTIONS(180),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_in] = ACTIONS(185),
    [anon_sym_out] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(188),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_ATtr] = ACTIONS(194),
    [anon_sym_ATimage_DASHurl] = ACTIONS(197),
    [anon_sym_BANG] = ACTIONS(200),
    [anon_sym_DASH] = ACTIONS(200),
    [anon_sym_PLUS] = ACTIONS(200),
    [anon_sym_DQUOTE] = ACTIONS(203),
    [sym__identifier] = ACTIONS(206),
    [anon_sym_linear] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(209),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(209),
    [anon_sym_ease] = ACTIONS(209),
    [anon_sym_ease_DASHin] = ACTIONS(209),
    [anon_sym_ease_DASHout] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(209),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(209),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(209),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(209),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(209),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(209),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(209),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(209),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(209),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(209),
    [anon_sym_cubic_DASHbezier] = ACTIONS(212),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(215),
    [anon_sym_ATlinear_gradient] = ACTIONS(215),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(218),
    [anon_sym_ATradial_gradient] = ACTIONS(218),
    [anon_sym_parent] = ACTIONS(221),
    [anon_sym_root] = ACTIONS(221),
    [anon_sym_self] = ACTIONS(221),
    [sym__int_number] = ACTIONS(224),
    [sym__float_number] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(230),
    [anon_sym_false] = ACTIONS(230),
    [sym_color_value] = ACTIONS(233),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_gradient_color] = STATE(792),
    [sym_image_call] = STATE(191),
    [sym_argument] = STATE(588),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_RPAREN] = ACTIONS(236),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_gradient_color] = STATE(792),
    [sym_image_call] = STATE(191),
    [sym_argument] = STATE(588),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_RPAREN] = ACTIONS(242),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_gradient_color] = STATE(792),
    [sym_image_call] = STATE(191),
    [sym_argument] = STATE(588),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_RPAREN] = ACTIONS(244),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_gradient_color] = STATE(792),
    [sym_image_call] = STATE(191),
    [sym_argument] = STATE(588),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_RPAREN] = ACTIONS(246),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_gradient_color] = STATE(792),
    [sym_image_call] = STATE(191),
    [sym_argument] = STATE(588),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_RPAREN] = ACTIONS(248),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_gradient_color] = STATE(792),
    [sym_image_call] = STATE(191),
    [sym_argument] = STATE(588),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_RPAREN] = ACTIONS(250),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_gradient_color] = STATE(792),
    [sym_image_call] = STATE(191),
    [sym_argument] = STATE(588),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_RPAREN] = ACTIONS(252),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_gradient_color] = STATE(792),
    [sym_image_call] = STATE(191),
    [sym_argument] = STATE(588),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_RPAREN] = ACTIONS(254),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_gradient_color] = STATE(677),
    [sym_image_call] = STATE(191),
    [sym_argument] = STATE(588),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_gradient_color] = STATE(792),
    [sym_image_call] = STATE(191),
    [sym_argument] = STATE(588),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_imperative_block] = STATE(452),
    [sym__binding] = STATE(465),
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(449),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(256),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(401),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_COMMA] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_RBRACK] = ACTIONS(260),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_imperative_block] = STATE(247),
    [sym__binding] = STATE(254),
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(383),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(262),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_gradient_color] = STATE(709),
    [sym_image_call] = STATE(191),
    [sym_argument] = STATE(588),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_gradient_color] = STATE(715),
    [sym_image_call] = STATE(191),
    [sym_argument] = STATE(588),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(411),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_argument] = STATE(748),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(264),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_imperative_block] = STATE(452),
    [sym__binding] = STATE(481),
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(449),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(256),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_gradient_color] = STATE(910),
    [sym_image_call] = STATE(191),
    [sym_argument] = STATE(588),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_gradient_color] = STATE(909),
    [sym_image_call] = STATE(191),
    [sym_argument] = STATE(588),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_imperative_block] = STATE(247),
    [sym__binding] = STATE(254),
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(419),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(266),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_imperative_block] = STATE(519),
    [sym__binding] = STATE(548),
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(428),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(268),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(411),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_argument] = STATE(813),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(270),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(399),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_COMMA] = ACTIONS(272),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_RBRACK] = ACTIONS(274),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_block] = STATE(238),
    [sym__assignment_value_block] = STATE(241),
    [sym_expression] = STATE(407),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(276),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_gradient_color] = STATE(841),
    [sym_image_call] = STATE(191),
    [sym_argument] = STATE(588),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_gradient_color] = STATE(848),
    [sym_image_call] = STATE(191),
    [sym_argument] = STATE(588),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(411),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_argument] = STATE(813),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(278),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(411),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_argument] = STATE(813),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(280),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_block] = STATE(238),
    [sym__assignment_value_block] = STATE(241),
    [sym_expression] = STATE(407),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_block] = STATE(245),
    [sym__assignment_value_block] = STATE(242),
    [sym_expression] = STATE(227),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_imperative_block] = STATE(519),
    [sym__binding] = STATE(523),
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(428),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(268),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(411),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_argument] = STATE(750),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(286),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(411),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_argument] = STATE(813),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(288),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(390),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_gradient_color] = STATE(676),
    [sym_image_call] = STATE(191),
    [sym_argument] = STATE(588),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(290),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_RBRACK] = ACTIONS(292),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(294),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(411),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_argument] = STATE(813),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_imperative_block] = STATE(434),
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(448),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(256),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(296),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_imperative_block] = STATE(434),
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(385),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(298),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(300),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(302),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_RBRACK] = ACTIONS(304),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(306),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(308),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(310),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(312),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(314),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_RBRACK] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(318),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(429),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_SEMI] = ACTIONS(320),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(322),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(324),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_for_range] = STATE(921),
    [sym_expression] = STATE(437),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(510),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(326),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(328),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_RBRACK] = ACTIONS(330),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_RPAREN] = ACTIONS(332),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_imperative_block] = STATE(434),
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(386),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(298),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(414),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(380),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(417),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(334),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(431),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(446),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(408),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(433),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(440),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(450),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(443),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(164),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(284),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(423),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(152),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(413),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(154),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(404),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(402),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(382),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(395),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(397),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(410),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(436),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(412),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(422),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(398),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(427),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(393),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(441),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(416),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(405),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(286),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(403),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(157),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(415),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(425),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(420),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(421),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(435),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(291),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(387),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(444),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(389),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(392),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(447),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(451),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(396),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(155),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(394),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(442),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(282),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(445),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(166),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(424),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(432),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(283),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(400),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(406),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(391),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(160),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(287),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(388),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(384),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(430),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(381),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(288),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(438),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(379),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(119),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(238),
    [sym__float_number] = ACTIONS(240),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_anon_struct_block] = STATE(195),
    [sym_expression] = STATE(161),
    [sym_parens_op] = STATE(191),
    [sym_index_op] = STATE(191),
    [sym_tr] = STATE(191),
    [sym_member_access] = STATE(191),
    [sym_unary_expression] = STATE(191),
    [sym_binary_expression] = STATE(191),
    [sym__add_binary_expression] = STATE(181),
    [sym__comparison_binary_expression] = STATE(179),
    [sym__logic_binary_expression] = STATE(176),
    [sym__mult_binary_expression] = STATE(175),
    [sym_ternary_expression] = STATE(191),
    [sym_function_call] = STATE(191),
    [sym_gradient_call] = STATE(191),
    [sym_image_call] = STATE(191),
    [sym_unary_prec_operator] = STATE(89),
    [sym__string] = STATE(203),
    [sym_simple_identifier] = STATE(162),
    [sym_easing_kind_identifier] = STATE(195),
    [sym_value_list] = STATE(195),
    [sym_value] = STATE(191),
    [sym_linear_gradient_identifier] = STATE(922),
    [sym_radial_gradient_identifier] = STATE(923),
    [sym_reference_identifier] = STATE(191),
    [sym__number] = STATE(596),
    [sym_int_value] = STATE(195),
    [sym_float_value] = STATE(195),
    [sym_bool_value] = STATE(195),
    [sym_string_value] = STATE(195),
    [sym_physical_length_value] = STATE(195),
    [sym_length_value] = STATE(195),
    [sym_duration_value] = STATE(195),
    [sym_angle_value] = STATE(195),
    [sym_percent_value] = STATE(195),
    [sym_relative_font_size_value] = STATE(195),
    [sym__basic_value] = STATE(195),
    [anon_sym_LBRACE] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_ATtr] = ACTIONS(35),
    [anon_sym_ATimage_DASHurl] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(41),
    [sym__identifier] = ACTIONS(43),
    [anon_sym_linear] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(45),
    [anon_sym_ease] = ACTIONS(45),
    [anon_sym_ease_DASHin] = ACTIONS(45),
    [anon_sym_ease_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(45),
    [anon_sym_cubic_DASHbezier] = ACTIONS(47),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(53),
    [anon_sym_root] = ACTIONS(53),
    [anon_sym_self] = ACTIONS(53),
    [sym__int_number] = ACTIONS(55),
    [sym__float_number] = ACTIONS(57),
    [anon_sym_true] = ACTIONS(59),
    [anon_sym_false] = ACTIONS(59),
    [sym_color_value] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_anon_struct_block] = STATE(300),
    [sym_expression] = STATE(290),
    [sym_parens_op] = STATE(325),
    [sym_index_op] = STATE(325),
    [sym_tr] = STATE(325),
    [sym_member_access] = STATE(325),
    [sym_unary_expression] = STATE(325),
    [sym_binary_expression] = STATE(325),
    [sym__add_binary_expression] = STATE(301),
    [sym__comparison_binary_expression] = STATE(303),
    [sym__logic_binary_expression] = STATE(307),
    [sym__mult_binary_expression] = STATE(310),
    [sym_ternary_expression] = STATE(325),
    [sym_function_call] = STATE(325),
    [sym_gradient_call] = STATE(325),
    [sym_image_call] = STATE(325),
    [sym_unary_prec_operator] = STATE(129),
    [sym__string] = STATE(292),
    [sym_simple_identifier] = STATE(293),
    [sym_easing_kind_identifier] = STATE(300),
    [sym_value_list] = STATE(300),
    [sym_value] = STATE(325),
    [sym_linear_gradient_identifier] = STATE(845),
    [sym_radial_gradient_identifier] = STATE(837),
    [sym_reference_identifier] = STATE(325),
    [sym__number] = STATE(597),
    [sym_int_value] = STATE(300),
    [sym_float_value] = STATE(300),
    [sym_bool_value] = STATE(300),
    [sym_string_value] = STATE(300),
    [sym_physical_length_value] = STATE(300),
    [sym_length_value] = STATE(300),
    [sym_duration_value] = STATE(300),
    [sym_angle_value] = STATE(300),
    [sym_percent_value] = STATE(300),
    [sym_relative_font_size_value] = STATE(300),
    [sym__basic_value] = STATE(300),
    [anon_sym_LBRACE] = ACTIONS(146),
    [anon_sym_LBRACK] = ACTIONS(152),
    [anon_sym_LPAREN] = ACTIONS(154),
    [anon_sym_ATtr] = ACTIONS(156),
    [anon_sym_ATimage_DASHurl] = ACTIONS(158),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DQUOTE] = ACTIONS(160),
    [sym__identifier] = ACTIONS(162),
    [anon_sym_linear] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(164),
    [anon_sym_ease] = ACTIONS(164),
    [anon_sym_ease_DASHin] = ACTIONS(164),
    [anon_sym_ease_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(164),
    [anon_sym_cubic_DASHbezier] = ACTIONS(166),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(49),
    [anon_sym_ATlinear_gradient] = ACTIONS(49),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(51),
    [anon_sym_ATradial_gradient] = ACTIONS(51),
    [anon_sym_parent] = ACTIONS(168),
    [anon_sym_root] = ACTIONS(168),
    [anon_sym_self] = ACTIONS(168),
    [sym__int_number] = ACTIONS(170),
    [sym__float_number] = ACTIONS(172),
    [anon_sym_true] = ACTIONS(174),
    [anon_sym_false] = ACTIONS(174),
    [sym_color_value] = ACTIONS(176),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_RBRACE] = ACTIONS(338),
    [anon_sym_SEMI] = ACTIONS(338),
    [anon_sym_LT] = ACTIONS(340),
    [anon_sym_GT] = ACTIONS(340),
    [anon_sym_return] = ACTIONS(340),
    [anon_sym_COLON] = ACTIONS(338),
    [anon_sym_LBRACK] = ACTIONS(338),
    [anon_sym_if] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(338),
    [anon_sym_ATtr] = ACTIONS(338),
    [anon_sym_DOT] = ACTIONS(340),
    [sym_logical_and] = ACTIONS(338),
    [sym_logical_or] = ACTIONS(338),
    [anon_sym_QMARK] = ACTIONS(338),
    [anon_sym_ATimage_DASHurl] = ACTIONS(338),
    [anon_sym_BANG] = ACTIONS(340),
    [anon_sym_DASH] = ACTIONS(340),
    [anon_sym_PLUS] = ACTIONS(340),
    [anon_sym_STAR] = ACTIONS(340),
    [anon_sym_SLASH] = ACTIONS(340),
    [anon_sym_GT_EQ] = ACTIONS(338),
    [anon_sym_LT_EQ] = ACTIONS(338),
    [anon_sym_EQ_EQ] = ACTIONS(338),
    [anon_sym_BANG_EQ] = ACTIONS(338),
    [anon_sym_EQ] = ACTIONS(340),
    [anon_sym_PLUS_EQ] = ACTIONS(338),
    [anon_sym_DASH_EQ] = ACTIONS(338),
    [anon_sym_STAR_EQ] = ACTIONS(338),
    [anon_sym_SLASH_EQ] = ACTIONS(338),
    [anon_sym_DQUOTE] = ACTIONS(338),
    [sym__identifier] = ACTIONS(340),
    [anon_sym_linear] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(340),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(340),
    [anon_sym_ease] = ACTIONS(340),
    [anon_sym_ease_DASHin] = ACTIONS(340),
    [anon_sym_ease_DASHout] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(340),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(340),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(340),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(340),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(340),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(340),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(340),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(340),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(340),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(340),
    [anon_sym_cubic_DASHbezier] = ACTIONS(340),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(338),
    [anon_sym_ATlinear_gradient] = ACTIONS(338),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(338),
    [anon_sym_ATradial_gradient] = ACTIONS(338),
    [anon_sym_parent] = ACTIONS(340),
    [anon_sym_root] = ACTIONS(340),
    [anon_sym_self] = ACTIONS(340),
    [sym__int_number] = ACTIONS(340),
    [sym__float_number] = ACTIONS(338),
    [anon_sym_true] = ACTIONS(340),
    [anon_sym_false] = ACTIONS(340),
    [sym_color_value] = ACTIONS(338),
    [anon_sym_phx] = ACTIONS(342),
    [aux_sym_length_value_token1] = ACTIONS(342),
    [aux_sym_duration_value_token1] = ACTIONS(342),
    [aux_sym_angle_value_token1] = ACTIONS(342),
    [anon_sym_PERCENT2] = ACTIONS(344),
    [anon_sym_rem] = ACTIONS(342),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [anon_sym_LBRACE] = ACTIONS(346),
    [anon_sym_RBRACE] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(346),
    [anon_sym_LT] = ACTIONS(348),
    [anon_sym_GT] = ACTIONS(348),
    [anon_sym_return] = ACTIONS(348),
    [anon_sym_COLON] = ACTIONS(346),
    [anon_sym_LBRACK] = ACTIONS(346),
    [anon_sym_if] = ACTIONS(348),
    [anon_sym_LPAREN] = ACTIONS(346),
    [anon_sym_ATtr] = ACTIONS(346),
    [anon_sym_DOT] = ACTIONS(348),
    [sym_logical_and] = ACTIONS(346),
    [sym_logical_or] = ACTIONS(346),
    [anon_sym_QMARK] = ACTIONS(346),
    [anon_sym_ATimage_DASHurl] = ACTIONS(346),
    [anon_sym_BANG] = ACTIONS(348),
    [anon_sym_DASH] = ACTIONS(348),
    [anon_sym_PLUS] = ACTIONS(348),
    [anon_sym_STAR] = ACTIONS(348),
    [anon_sym_SLASH] = ACTIONS(348),
    [anon_sym_GT_EQ] = ACTIONS(346),
    [anon_sym_LT_EQ] = ACTIONS(346),
    [anon_sym_EQ_EQ] = ACTIONS(346),
    [anon_sym_BANG_EQ] = ACTIONS(346),
    [anon_sym_EQ] = ACTIONS(348),
    [anon_sym_PLUS_EQ] = ACTIONS(346),
    [anon_sym_DASH_EQ] = ACTIONS(346),
    [anon_sym_STAR_EQ] = ACTIONS(346),
    [anon_sym_SLASH_EQ] = ACTIONS(346),
    [anon_sym_DQUOTE] = ACTIONS(346),
    [sym__identifier] = ACTIONS(348),
    [anon_sym_linear] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(348),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(348),
    [anon_sym_ease] = ACTIONS(348),
    [anon_sym_ease_DASHin] = ACTIONS(348),
    [anon_sym_ease_DASHout] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(348),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(348),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(348),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(348),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(348),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(348),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(348),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(348),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(348),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(348),
    [anon_sym_cubic_DASHbezier] = ACTIONS(348),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(346),
    [anon_sym_ATlinear_gradient] = ACTIONS(346),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(346),
    [anon_sym_ATradial_gradient] = ACTIONS(346),
    [anon_sym_parent] = ACTIONS(348),
    [anon_sym_root] = ACTIONS(348),
    [anon_sym_self] = ACTIONS(348),
    [sym__int_number] = ACTIONS(348),
    [sym__float_number] = ACTIONS(346),
    [anon_sym_true] = ACTIONS(348),
    [anon_sym_false] = ACTIONS(348),
    [sym_color_value] = ACTIONS(346),
    [anon_sym_phx] = ACTIONS(342),
    [aux_sym_length_value_token1] = ACTIONS(342),
    [aux_sym_duration_value_token1] = ACTIONS(342),
    [aux_sym_angle_value_token1] = ACTIONS(342),
    [anon_sym_PERCENT2] = ACTIONS(344),
    [anon_sym_rem] = ACTIONS(342),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_add_prec_operator] = STATE(126),
    [sym_mult_prec_operator] = STATE(94),
    [sym_comparison_operator] = STATE(92),
    [sym_assignment_prec_operator] = STATE(266),
    [anon_sym_LBRACE] = ACTIONS(350),
    [anon_sym_RBRACE] = ACTIONS(350),
    [anon_sym_SEMI] = ACTIONS(320),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_GT] = ACTIONS(352),
    [anon_sym_return] = ACTIONS(354),
    [anon_sym_COLON] = ACTIONS(356),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_LPAREN] = ACTIONS(350),
    [anon_sym_ATtr] = ACTIONS(350),
    [anon_sym_DOT] = ACTIONS(360),
    [sym_logical_and] = ACTIONS(362),
    [sym_logical_or] = ACTIONS(364),
    [anon_sym_QMARK] = ACTIONS(366),
    [anon_sym_ATimage_DASHurl] = ACTIONS(350),
    [anon_sym_BANG] = ACTIONS(354),
    [anon_sym_DASH] = ACTIONS(368),
    [anon_sym_PLUS] = ACTIONS(368),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(372),
    [anon_sym_LT_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_EQ] = ACTIONS(374),
    [anon_sym_PLUS_EQ] = ACTIONS(356),
    [anon_sym_DASH_EQ] = ACTIONS(356),
    [anon_sym_STAR_EQ] = ACTIONS(356),
    [anon_sym_SLASH_EQ] = ACTIONS(356),
    [anon_sym_DQUOTE] = ACTIONS(350),
    [sym__identifier] = ACTIONS(354),
    [anon_sym_linear] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(354),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(354),
    [anon_sym_ease] = ACTIONS(354),
    [anon_sym_ease_DASHin] = ACTIONS(354),
    [anon_sym_ease_DASHout] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(354),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(354),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(354),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(354),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(354),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(354),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(354),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(354),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(354),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(354),
    [anon_sym_cubic_DASHbezier] = ACTIONS(354),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(350),
    [anon_sym_ATlinear_gradient] = ACTIONS(350),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(350),
    [anon_sym_ATradial_gradient] = ACTIONS(350),
    [anon_sym_parent] = ACTIONS(354),
    [anon_sym_root] = ACTIONS(354),
    [anon_sym_self] = ACTIONS(354),
    [sym__int_number] = ACTIONS(354),
    [sym__float_number] = ACTIONS(350),
    [anon_sym_true] = ACTIONS(354),
    [anon_sym_false] = ACTIONS(354),
    [sym_color_value] = ACTIONS(350),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_add_prec_operator] = STATE(126),
    [sym_mult_prec_operator] = STATE(94),
    [sym_comparison_operator] = STATE(92),
    [anon_sym_LBRACE] = ACTIONS(376),
    [anon_sym_RBRACE] = ACTIONS(376),
    [anon_sym_SEMI] = ACTIONS(376),
    [anon_sym_LT] = ACTIONS(378),
    [anon_sym_GT] = ACTIONS(378),
    [anon_sym_return] = ACTIONS(378),
    [anon_sym_COLON] = ACTIONS(376),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(378),
    [anon_sym_LPAREN] = ACTIONS(376),
    [anon_sym_ATtr] = ACTIONS(376),
    [anon_sym_DOT] = ACTIONS(360),
    [sym_logical_and] = ACTIONS(376),
    [sym_logical_or] = ACTIONS(376),
    [anon_sym_QMARK] = ACTIONS(376),
    [anon_sym_ATimage_DASHurl] = ACTIONS(376),
    [anon_sym_BANG] = ACTIONS(378),
    [anon_sym_DASH] = ACTIONS(368),
    [anon_sym_PLUS] = ACTIONS(368),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(376),
    [anon_sym_LT_EQ] = ACTIONS(376),
    [anon_sym_EQ_EQ] = ACTIONS(376),
    [anon_sym_BANG_EQ] = ACTIONS(376),
    [anon_sym_EQ] = ACTIONS(378),
    [anon_sym_PLUS_EQ] = ACTIONS(376),
    [anon_sym_DASH_EQ] = ACTIONS(376),
    [anon_sym_STAR_EQ] = ACTIONS(376),
    [anon_sym_SLASH_EQ] = ACTIONS(376),
    [anon_sym_DQUOTE] = ACTIONS(376),
    [sym__identifier] = ACTIONS(378),
    [anon_sym_linear] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(378),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(378),
    [anon_sym_ease] = ACTIONS(378),
    [anon_sym_ease_DASHin] = ACTIONS(378),
    [anon_sym_ease_DASHout] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(378),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(378),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(378),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(378),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(378),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(378),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(378),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(378),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(378),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(378),
    [anon_sym_cubic_DASHbezier] = ACTIONS(378),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(376),
    [anon_sym_ATlinear_gradient] = ACTIONS(376),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(376),
    [anon_sym_ATradial_gradient] = ACTIONS(376),
    [anon_sym_parent] = ACTIONS(378),
    [anon_sym_root] = ACTIONS(378),
    [anon_sym_self] = ACTIONS(378),
    [sym__int_number] = ACTIONS(378),
    [sym__float_number] = ACTIONS(376),
    [anon_sym_true] = ACTIONS(378),
    [anon_sym_false] = ACTIONS(378),
    [sym_color_value] = ACTIONS(376),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [anon_sym_LBRACE] = ACTIONS(380),
    [anon_sym_COMMA] = ACTIONS(380),
    [anon_sym_RBRACE] = ACTIONS(380),
    [anon_sym_SEMI] = ACTIONS(380),
    [anon_sym_LT] = ACTIONS(382),
    [anon_sym_GT] = ACTIONS(382),
    [anon_sym_return] = ACTIONS(382),
    [anon_sym_COLON] = ACTIONS(380),
    [anon_sym_LBRACK] = ACTIONS(380),
    [anon_sym_if] = ACTIONS(382),
    [anon_sym_LPAREN] = ACTIONS(380),
    [anon_sym_RPAREN] = ACTIONS(380),
    [anon_sym_ATtr] = ACTIONS(380),
    [anon_sym_EQ_GT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(382),
    [sym_logical_and] = ACTIONS(380),
    [sym_logical_or] = ACTIONS(380),
    [anon_sym_QMARK] = ACTIONS(380),
    [anon_sym_ATimage_DASHurl] = ACTIONS(380),
    [anon_sym_BANG] = ACTIONS(382),
    [anon_sym_DASH] = ACTIONS(382),
    [anon_sym_PLUS] = ACTIONS(382),
    [anon_sym_STAR] = ACTIONS(382),
    [anon_sym_SLASH] = ACTIONS(382),
    [anon_sym_GT_EQ] = ACTIONS(380),
    [anon_sym_LT_EQ] = ACTIONS(380),
    [anon_sym_EQ_EQ] = ACTIONS(380),
    [anon_sym_BANG_EQ] = ACTIONS(380),
    [anon_sym_EQ] = ACTIONS(382),
    [anon_sym_PLUS_EQ] = ACTIONS(380),
    [anon_sym_DASH_EQ] = ACTIONS(380),
    [anon_sym_STAR_EQ] = ACTIONS(380),
    [anon_sym_SLASH_EQ] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(380),
    [sym__identifier] = ACTIONS(382),
    [anon_sym_linear] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(382),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(382),
    [anon_sym_ease] = ACTIONS(382),
    [anon_sym_ease_DASHin] = ACTIONS(382),
    [anon_sym_ease_DASHout] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(382),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(382),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(382),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(382),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(382),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(382),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(382),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(382),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(382),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(382),
    [anon_sym_cubic_DASHbezier] = ACTIONS(382),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(380),
    [anon_sym_ATlinear_gradient] = ACTIONS(380),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(380),
    [anon_sym_ATradial_gradient] = ACTIONS(380),
    [anon_sym_parent] = ACTIONS(382),
    [anon_sym_root] = ACTIONS(382),
    [anon_sym_self] = ACTIONS(382),
    [sym__int_number] = ACTIONS(382),
    [sym__float_number] = ACTIONS(380),
    [anon_sym_true] = ACTIONS(382),
    [anon_sym_false] = ACTIONS(382),
    [sym_color_value] = ACTIONS(380),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_add_prec_operator] = STATE(126),
    [sym_mult_prec_operator] = STATE(94),
    [sym_comparison_operator] = STATE(92),
    [anon_sym_LBRACE] = ACTIONS(384),
    [anon_sym_RBRACE] = ACTIONS(384),
    [anon_sym_SEMI] = ACTIONS(384),
    [anon_sym_LT] = ACTIONS(386),
    [anon_sym_GT] = ACTIONS(386),
    [anon_sym_return] = ACTIONS(386),
    [anon_sym_COLON] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(386),
    [anon_sym_LPAREN] = ACTIONS(384),
    [anon_sym_ATtr] = ACTIONS(384),
    [anon_sym_DOT] = ACTIONS(360),
    [sym_logical_and] = ACTIONS(384),
    [sym_logical_or] = ACTIONS(384),
    [anon_sym_QMARK] = ACTIONS(384),
    [anon_sym_ATimage_DASHurl] = ACTIONS(384),
    [anon_sym_BANG] = ACTIONS(386),
    [anon_sym_DASH] = ACTIONS(386),
    [anon_sym_PLUS] = ACTIONS(386),
    [anon_sym_STAR] = ACTIONS(386),
    [anon_sym_SLASH] = ACTIONS(386),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(384),
    [anon_sym_EQ] = ACTIONS(386),
    [anon_sym_PLUS_EQ] = ACTIONS(384),
    [anon_sym_DASH_EQ] = ACTIONS(384),
    [anon_sym_STAR_EQ] = ACTIONS(384),
    [anon_sym_SLASH_EQ] = ACTIONS(384),
    [anon_sym_DQUOTE] = ACTIONS(384),
    [sym__identifier] = ACTIONS(386),
    [anon_sym_linear] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(386),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(386),
    [anon_sym_ease] = ACTIONS(386),
    [anon_sym_ease_DASHin] = ACTIONS(386),
    [anon_sym_ease_DASHout] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(386),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(386),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(386),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(386),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(386),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(386),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(386),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(386),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(386),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(386),
    [anon_sym_cubic_DASHbezier] = ACTIONS(386),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(384),
    [anon_sym_ATlinear_gradient] = ACTIONS(384),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(384),
    [anon_sym_ATradial_gradient] = ACTIONS(384),
    [anon_sym_parent] = ACTIONS(386),
    [anon_sym_root] = ACTIONS(386),
    [anon_sym_self] = ACTIONS(386),
    [sym__int_number] = ACTIONS(386),
    [sym__float_number] = ACTIONS(384),
    [anon_sym_true] = ACTIONS(386),
    [anon_sym_false] = ACTIONS(386),
    [sym_color_value] = ACTIONS(384),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_add_prec_operator] = STATE(126),
    [sym_mult_prec_operator] = STATE(94),
    [sym_comparison_operator] = STATE(92),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_RBRACE] = ACTIONS(388),
    [anon_sym_SEMI] = ACTIONS(388),
    [anon_sym_LT] = ACTIONS(390),
    [anon_sym_GT] = ACTIONS(390),
    [anon_sym_return] = ACTIONS(390),
    [anon_sym_COLON] = ACTIONS(388),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(388),
    [anon_sym_ATtr] = ACTIONS(388),
    [anon_sym_DOT] = ACTIONS(360),
    [sym_logical_and] = ACTIONS(388),
    [sym_logical_or] = ACTIONS(388),
    [anon_sym_QMARK] = ACTIONS(388),
    [anon_sym_ATimage_DASHurl] = ACTIONS(388),
    [anon_sym_BANG] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(388),
    [anon_sym_LT_EQ] = ACTIONS(388),
    [anon_sym_EQ_EQ] = ACTIONS(388),
    [anon_sym_BANG_EQ] = ACTIONS(388),
    [anon_sym_EQ] = ACTIONS(390),
    [anon_sym_PLUS_EQ] = ACTIONS(388),
    [anon_sym_DASH_EQ] = ACTIONS(388),
    [anon_sym_STAR_EQ] = ACTIONS(388),
    [anon_sym_SLASH_EQ] = ACTIONS(388),
    [anon_sym_DQUOTE] = ACTIONS(388),
    [sym__identifier] = ACTIONS(390),
    [anon_sym_linear] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(390),
    [anon_sym_ease] = ACTIONS(390),
    [anon_sym_ease_DASHin] = ACTIONS(390),
    [anon_sym_ease_DASHout] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(390),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(390),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(390),
    [anon_sym_cubic_DASHbezier] = ACTIONS(390),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(388),
    [anon_sym_ATlinear_gradient] = ACTIONS(388),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(388),
    [anon_sym_ATradial_gradient] = ACTIONS(388),
    [anon_sym_parent] = ACTIONS(390),
    [anon_sym_root] = ACTIONS(390),
    [anon_sym_self] = ACTIONS(390),
    [sym__int_number] = ACTIONS(390),
    [sym__float_number] = ACTIONS(388),
    [anon_sym_true] = ACTIONS(390),
    [anon_sym_false] = ACTIONS(390),
    [sym_color_value] = ACTIONS(388),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [anon_sym_LBRACE] = ACTIONS(392),
    [anon_sym_COMMA] = ACTIONS(392),
    [anon_sym_RBRACE] = ACTIONS(392),
    [anon_sym_SEMI] = ACTIONS(392),
    [anon_sym_LT] = ACTIONS(394),
    [anon_sym_GT] = ACTIONS(394),
    [anon_sym_return] = ACTIONS(394),
    [anon_sym_COLON] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(392),
    [anon_sym_if] = ACTIONS(394),
    [anon_sym_LPAREN] = ACTIONS(392),
    [anon_sym_RPAREN] = ACTIONS(392),
    [anon_sym_ATtr] = ACTIONS(392),
    [anon_sym_EQ_GT] = ACTIONS(392),
    [anon_sym_DOT] = ACTIONS(394),
    [sym_logical_and] = ACTIONS(392),
    [sym_logical_or] = ACTIONS(392),
    [anon_sym_QMARK] = ACTIONS(392),
    [anon_sym_ATimage_DASHurl] = ACTIONS(392),
    [anon_sym_BANG] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_STAR] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(394),
    [anon_sym_GT_EQ] = ACTIONS(392),
    [anon_sym_LT_EQ] = ACTIONS(392),
    [anon_sym_EQ_EQ] = ACTIONS(392),
    [anon_sym_BANG_EQ] = ACTIONS(392),
    [anon_sym_EQ] = ACTIONS(394),
    [anon_sym_PLUS_EQ] = ACTIONS(392),
    [anon_sym_DASH_EQ] = ACTIONS(392),
    [anon_sym_STAR_EQ] = ACTIONS(392),
    [anon_sym_SLASH_EQ] = ACTIONS(392),
    [anon_sym_DQUOTE] = ACTIONS(392),
    [sym__identifier] = ACTIONS(394),
    [anon_sym_linear] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(394),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(394),
    [anon_sym_ease] = ACTIONS(394),
    [anon_sym_ease_DASHin] = ACTIONS(394),
    [anon_sym_ease_DASHout] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(394),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(394),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(394),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(394),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(394),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(394),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(394),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(394),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(394),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(394),
    [anon_sym_cubic_DASHbezier] = ACTIONS(394),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(392),
    [anon_sym_ATlinear_gradient] = ACTIONS(392),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(392),
    [anon_sym_ATradial_gradient] = ACTIONS(392),
    [anon_sym_parent] = ACTIONS(394),
    [anon_sym_root] = ACTIONS(394),
    [anon_sym_self] = ACTIONS(394),
    [sym__int_number] = ACTIONS(394),
    [sym__float_number] = ACTIONS(392),
    [anon_sym_true] = ACTIONS(394),
    [anon_sym_false] = ACTIONS(394),
    [sym_color_value] = ACTIONS(392),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_add_prec_operator] = STATE(126),
    [sym_mult_prec_operator] = STATE(94),
    [sym_comparison_operator] = STATE(92),
    [anon_sym_LBRACE] = ACTIONS(396),
    [anon_sym_RBRACE] = ACTIONS(396),
    [anon_sym_SEMI] = ACTIONS(396),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_GT] = ACTIONS(352),
    [anon_sym_return] = ACTIONS(398),
    [anon_sym_COLON] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(396),
    [anon_sym_ATtr] = ACTIONS(396),
    [anon_sym_DOT] = ACTIONS(360),
    [sym_logical_and] = ACTIONS(362),
    [sym_logical_or] = ACTIONS(396),
    [anon_sym_QMARK] = ACTIONS(396),
    [anon_sym_ATimage_DASHurl] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_DASH] = ACTIONS(368),
    [anon_sym_PLUS] = ACTIONS(368),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(372),
    [anon_sym_LT_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_EQ] = ACTIONS(398),
    [anon_sym_PLUS_EQ] = ACTIONS(396),
    [anon_sym_DASH_EQ] = ACTIONS(396),
    [anon_sym_STAR_EQ] = ACTIONS(396),
    [anon_sym_SLASH_EQ] = ACTIONS(396),
    [anon_sym_DQUOTE] = ACTIONS(396),
    [sym__identifier] = ACTIONS(398),
    [anon_sym_linear] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(398),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(398),
    [anon_sym_ease] = ACTIONS(398),
    [anon_sym_ease_DASHin] = ACTIONS(398),
    [anon_sym_ease_DASHout] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(398),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(398),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(398),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(398),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(398),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(398),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(398),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(398),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(398),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(398),
    [anon_sym_cubic_DASHbezier] = ACTIONS(398),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(396),
    [anon_sym_ATlinear_gradient] = ACTIONS(396),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(396),
    [anon_sym_ATradial_gradient] = ACTIONS(396),
    [anon_sym_parent] = ACTIONS(398),
    [anon_sym_root] = ACTIONS(398),
    [anon_sym_self] = ACTIONS(398),
    [sym__int_number] = ACTIONS(398),
    [sym__float_number] = ACTIONS(396),
    [anon_sym_true] = ACTIONS(398),
    [anon_sym_false] = ACTIONS(398),
    [sym_color_value] = ACTIONS(396),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_COMMA] = ACTIONS(400),
    [anon_sym_RBRACE] = ACTIONS(400),
    [anon_sym_SEMI] = ACTIONS(400),
    [anon_sym_LT] = ACTIONS(402),
    [anon_sym_GT] = ACTIONS(402),
    [anon_sym_return] = ACTIONS(402),
    [anon_sym_COLON] = ACTIONS(400),
    [anon_sym_LBRACK] = ACTIONS(400),
    [anon_sym_if] = ACTIONS(402),
    [anon_sym_LPAREN] = ACTIONS(400),
    [anon_sym_RPAREN] = ACTIONS(400),
    [anon_sym_ATtr] = ACTIONS(400),
    [anon_sym_EQ_GT] = ACTIONS(400),
    [anon_sym_DOT] = ACTIONS(402),
    [sym_logical_and] = ACTIONS(400),
    [sym_logical_or] = ACTIONS(400),
    [anon_sym_QMARK] = ACTIONS(400),
    [anon_sym_ATimage_DASHurl] = ACTIONS(400),
    [anon_sym_BANG] = ACTIONS(402),
    [anon_sym_DASH] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(402),
    [anon_sym_STAR] = ACTIONS(402),
    [anon_sym_SLASH] = ACTIONS(402),
    [anon_sym_GT_EQ] = ACTIONS(400),
    [anon_sym_LT_EQ] = ACTIONS(400),
    [anon_sym_EQ_EQ] = ACTIONS(400),
    [anon_sym_BANG_EQ] = ACTIONS(400),
    [anon_sym_EQ] = ACTIONS(402),
    [anon_sym_PLUS_EQ] = ACTIONS(400),
    [anon_sym_DASH_EQ] = ACTIONS(400),
    [anon_sym_STAR_EQ] = ACTIONS(400),
    [anon_sym_SLASH_EQ] = ACTIONS(400),
    [anon_sym_DQUOTE] = ACTIONS(400),
    [sym__identifier] = ACTIONS(402),
    [anon_sym_linear] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(402),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(402),
    [anon_sym_ease] = ACTIONS(402),
    [anon_sym_ease_DASHin] = ACTIONS(402),
    [anon_sym_ease_DASHout] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(402),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(402),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(402),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(402),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(402),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(402),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(402),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(402),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(402),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(402),
    [anon_sym_cubic_DASHbezier] = ACTIONS(402),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(400),
    [anon_sym_ATlinear_gradient] = ACTIONS(400),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(400),
    [anon_sym_ATradial_gradient] = ACTIONS(400),
    [anon_sym_parent] = ACTIONS(402),
    [anon_sym_root] = ACTIONS(402),
    [anon_sym_self] = ACTIONS(402),
    [sym__int_number] = ACTIONS(402),
    [sym__float_number] = ACTIONS(400),
    [anon_sym_true] = ACTIONS(402),
    [anon_sym_false] = ACTIONS(402),
    [sym_color_value] = ACTIONS(400),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [anon_sym_LBRACE] = ACTIONS(404),
    [anon_sym_COMMA] = ACTIONS(404),
    [anon_sym_RBRACE] = ACTIONS(404),
    [anon_sym_SEMI] = ACTIONS(404),
    [anon_sym_LT] = ACTIONS(406),
    [anon_sym_GT] = ACTIONS(406),
    [anon_sym_return] = ACTIONS(406),
    [anon_sym_COLON] = ACTIONS(404),
    [anon_sym_LBRACK] = ACTIONS(404),
    [anon_sym_if] = ACTIONS(406),
    [anon_sym_LPAREN] = ACTIONS(404),
    [anon_sym_RPAREN] = ACTIONS(404),
    [anon_sym_ATtr] = ACTIONS(404),
    [anon_sym_EQ_GT] = ACTIONS(404),
    [anon_sym_DOT] = ACTIONS(406),
    [sym_logical_and] = ACTIONS(404),
    [sym_logical_or] = ACTIONS(404),
    [anon_sym_QMARK] = ACTIONS(404),
    [anon_sym_ATimage_DASHurl] = ACTIONS(404),
    [anon_sym_BANG] = ACTIONS(406),
    [anon_sym_DASH] = ACTIONS(406),
    [anon_sym_PLUS] = ACTIONS(406),
    [anon_sym_STAR] = ACTIONS(406),
    [anon_sym_SLASH] = ACTIONS(406),
    [anon_sym_GT_EQ] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(404),
    [anon_sym_EQ_EQ] = ACTIONS(404),
    [anon_sym_BANG_EQ] = ACTIONS(404),
    [anon_sym_EQ] = ACTIONS(406),
    [anon_sym_PLUS_EQ] = ACTIONS(404),
    [anon_sym_DASH_EQ] = ACTIONS(404),
    [anon_sym_STAR_EQ] = ACTIONS(404),
    [anon_sym_SLASH_EQ] = ACTIONS(404),
    [anon_sym_DQUOTE] = ACTIONS(404),
    [sym__identifier] = ACTIONS(406),
    [anon_sym_linear] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(406),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(406),
    [anon_sym_ease] = ACTIONS(406),
    [anon_sym_ease_DASHin] = ACTIONS(406),
    [anon_sym_ease_DASHout] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(406),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(406),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(406),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(406),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(406),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(406),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(406),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(406),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(406),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(406),
    [anon_sym_cubic_DASHbezier] = ACTIONS(406),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(404),
    [anon_sym_ATlinear_gradient] = ACTIONS(404),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(404),
    [anon_sym_ATradial_gradient] = ACTIONS(404),
    [anon_sym_parent] = ACTIONS(406),
    [anon_sym_root] = ACTIONS(406),
    [anon_sym_self] = ACTIONS(406),
    [sym__int_number] = ACTIONS(406),
    [sym__float_number] = ACTIONS(404),
    [anon_sym_true] = ACTIONS(406),
    [anon_sym_false] = ACTIONS(406),
    [sym_color_value] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_add_prec_operator] = STATE(126),
    [sym_mult_prec_operator] = STATE(94),
    [sym_comparison_operator] = STATE(92),
    [anon_sym_LBRACE] = ACTIONS(408),
    [anon_sym_RBRACE] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(408),
    [anon_sym_LT] = ACTIONS(410),
    [anon_sym_GT] = ACTIONS(410),
    [anon_sym_return] = ACTIONS(410),
    [anon_sym_COLON] = ACTIONS(408),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(410),
    [anon_sym_LPAREN] = ACTIONS(408),
    [anon_sym_ATtr] = ACTIONS(408),
    [anon_sym_DOT] = ACTIONS(410),
    [sym_logical_and] = ACTIONS(408),
    [sym_logical_or] = ACTIONS(408),
    [anon_sym_QMARK] = ACTIONS(408),
    [anon_sym_ATimage_DASHurl] = ACTIONS(408),
    [anon_sym_BANG] = ACTIONS(410),
    [anon_sym_DASH] = ACTIONS(410),
    [anon_sym_PLUS] = ACTIONS(410),
    [anon_sym_STAR] = ACTIONS(410),
    [anon_sym_SLASH] = ACTIONS(410),
    [anon_sym_GT_EQ] = ACTIONS(408),
    [anon_sym_LT_EQ] = ACTIONS(408),
    [anon_sym_EQ_EQ] = ACTIONS(408),
    [anon_sym_BANG_EQ] = ACTIONS(408),
    [anon_sym_EQ] = ACTIONS(410),
    [anon_sym_PLUS_EQ] = ACTIONS(408),
    [anon_sym_DASH_EQ] = ACTIONS(408),
    [anon_sym_STAR_EQ] = ACTIONS(408),
    [anon_sym_SLASH_EQ] = ACTIONS(408),
    [anon_sym_DQUOTE] = ACTIONS(408),
    [sym__identifier] = ACTIONS(410),
    [anon_sym_linear] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(410),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(410),
    [anon_sym_ease] = ACTIONS(410),
    [anon_sym_ease_DASHin] = ACTIONS(410),
    [anon_sym_ease_DASHout] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(410),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(410),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(410),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(410),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(410),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(410),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(410),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(410),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(410),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(410),
    [anon_sym_cubic_DASHbezier] = ACTIONS(410),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(408),
    [anon_sym_ATlinear_gradient] = ACTIONS(408),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(408),
    [anon_sym_ATradial_gradient] = ACTIONS(408),
    [anon_sym_parent] = ACTIONS(410),
    [anon_sym_root] = ACTIONS(410),
    [anon_sym_self] = ACTIONS(410),
    [sym__int_number] = ACTIONS(410),
    [sym__float_number] = ACTIONS(408),
    [anon_sym_true] = ACTIONS(410),
    [anon_sym_false] = ACTIONS(410),
    [sym_color_value] = ACTIONS(408),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_add_prec_operator] = STATE(126),
    [sym_mult_prec_operator] = STATE(94),
    [sym_comparison_operator] = STATE(92),
    [anon_sym_LBRACE] = ACTIONS(412),
    [anon_sym_RBRACE] = ACTIONS(412),
    [anon_sym_SEMI] = ACTIONS(412),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_GT] = ACTIONS(352),
    [anon_sym_return] = ACTIONS(414),
    [anon_sym_COLON] = ACTIONS(412),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(412),
    [anon_sym_ATtr] = ACTIONS(412),
    [anon_sym_DOT] = ACTIONS(360),
    [sym_logical_and] = ACTIONS(412),
    [sym_logical_or] = ACTIONS(412),
    [anon_sym_QMARK] = ACTIONS(412),
    [anon_sym_ATimage_DASHurl] = ACTIONS(412),
    [anon_sym_BANG] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(368),
    [anon_sym_PLUS] = ACTIONS(368),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(372),
    [anon_sym_LT_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_EQ] = ACTIONS(414),
    [anon_sym_PLUS_EQ] = ACTIONS(412),
    [anon_sym_DASH_EQ] = ACTIONS(412),
    [anon_sym_STAR_EQ] = ACTIONS(412),
    [anon_sym_SLASH_EQ] = ACTIONS(412),
    [anon_sym_DQUOTE] = ACTIONS(412),
    [sym__identifier] = ACTIONS(414),
    [anon_sym_linear] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(414),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(414),
    [anon_sym_ease] = ACTIONS(414),
    [anon_sym_ease_DASHin] = ACTIONS(414),
    [anon_sym_ease_DASHout] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(414),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(414),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(414),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(414),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(414),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(414),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(414),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(414),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(414),
    [anon_sym_cubic_DASHbezier] = ACTIONS(414),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(412),
    [anon_sym_ATlinear_gradient] = ACTIONS(412),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(412),
    [anon_sym_ATradial_gradient] = ACTIONS(412),
    [anon_sym_parent] = ACTIONS(414),
    [anon_sym_root] = ACTIONS(414),
    [anon_sym_self] = ACTIONS(414),
    [sym__int_number] = ACTIONS(414),
    [sym__float_number] = ACTIONS(412),
    [anon_sym_true] = ACTIONS(414),
    [anon_sym_false] = ACTIONS(414),
    [sym_color_value] = ACTIONS(412),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_arguments] = STATE(163),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_COMMA] = ACTIONS(416),
    [anon_sym_RBRACE] = ACTIONS(416),
    [anon_sym_SEMI] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(418),
    [anon_sym_GT] = ACTIONS(418),
    [anon_sym_return] = ACTIONS(418),
    [anon_sym_COLON] = ACTIONS(416),
    [anon_sym_LBRACK] = ACTIONS(416),
    [anon_sym_if] = ACTIONS(418),
    [anon_sym_LPAREN] = ACTIONS(420),
    [anon_sym_RPAREN] = ACTIONS(416),
    [anon_sym_ATtr] = ACTIONS(416),
    [anon_sym_DOT] = ACTIONS(418),
    [sym_logical_and] = ACTIONS(416),
    [sym_logical_or] = ACTIONS(416),
    [anon_sym_QMARK] = ACTIONS(416),
    [anon_sym_ATimage_DASHurl] = ACTIONS(416),
    [anon_sym_BANG] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_STAR] = ACTIONS(418),
    [anon_sym_SLASH] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(416),
    [anon_sym_LT_EQ] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(416),
    [anon_sym_BANG_EQ] = ACTIONS(416),
    [anon_sym_EQ] = ACTIONS(418),
    [anon_sym_PLUS_EQ] = ACTIONS(416),
    [anon_sym_DASH_EQ] = ACTIONS(416),
    [anon_sym_STAR_EQ] = ACTIONS(416),
    [anon_sym_SLASH_EQ] = ACTIONS(416),
    [anon_sym_DQUOTE] = ACTIONS(416),
    [sym__identifier] = ACTIONS(418),
    [anon_sym_linear] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(418),
    [anon_sym_ease] = ACTIONS(418),
    [anon_sym_ease_DASHin] = ACTIONS(418),
    [anon_sym_ease_DASHout] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(418),
    [anon_sym_cubic_DASHbezier] = ACTIONS(418),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(416),
    [anon_sym_ATlinear_gradient] = ACTIONS(416),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(416),
    [anon_sym_ATradial_gradient] = ACTIONS(416),
    [anon_sym_parent] = ACTIONS(418),
    [anon_sym_root] = ACTIONS(418),
    [anon_sym_self] = ACTIONS(418),
    [sym__int_number] = ACTIONS(418),
    [sym__float_number] = ACTIONS(416),
    [anon_sym_true] = ACTIONS(418),
    [anon_sym_false] = ACTIONS(418),
    [sym_color_value] = ACTIONS(416),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [anon_sym_LBRACE] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(422),
    [anon_sym_RBRACE] = ACTIONS(422),
    [anon_sym_SEMI] = ACTIONS(422),
    [anon_sym_LT] = ACTIONS(424),
    [anon_sym_GT] = ACTIONS(424),
    [anon_sym_return] = ACTIONS(424),
    [anon_sym_COLON] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(422),
    [anon_sym_if] = ACTIONS(424),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(422),
    [anon_sym_ATtr] = ACTIONS(422),
    [anon_sym_EQ_GT] = ACTIONS(422),
    [anon_sym_DOT] = ACTIONS(424),
    [sym_logical_and] = ACTIONS(422),
    [sym_logical_or] = ACTIONS(422),
    [anon_sym_QMARK] = ACTIONS(422),
    [anon_sym_ATimage_DASHurl] = ACTIONS(422),
    [anon_sym_BANG] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(424),
    [anon_sym_PLUS] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(424),
    [anon_sym_SLASH] = ACTIONS(424),
    [anon_sym_GT_EQ] = ACTIONS(422),
    [anon_sym_LT_EQ] = ACTIONS(422),
    [anon_sym_EQ_EQ] = ACTIONS(422),
    [anon_sym_BANG_EQ] = ACTIONS(422),
    [anon_sym_EQ] = ACTIONS(424),
    [anon_sym_PLUS_EQ] = ACTIONS(422),
    [anon_sym_DASH_EQ] = ACTIONS(422),
    [anon_sym_STAR_EQ] = ACTIONS(422),
    [anon_sym_SLASH_EQ] = ACTIONS(422),
    [anon_sym_DQUOTE] = ACTIONS(422),
    [sym__identifier] = ACTIONS(424),
    [anon_sym_linear] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(424),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(424),
    [anon_sym_ease] = ACTIONS(424),
    [anon_sym_ease_DASHin] = ACTIONS(424),
    [anon_sym_ease_DASHout] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(424),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(424),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(424),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(424),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(424),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(424),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(424),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(424),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(424),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(424),
    [anon_sym_cubic_DASHbezier] = ACTIONS(424),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(422),
    [anon_sym_ATlinear_gradient] = ACTIONS(422),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(422),
    [anon_sym_ATradial_gradient] = ACTIONS(422),
    [anon_sym_parent] = ACTIONS(424),
    [anon_sym_root] = ACTIONS(424),
    [anon_sym_self] = ACTIONS(424),
    [sym__int_number] = ACTIONS(424),
    [sym__float_number] = ACTIONS(422),
    [anon_sym_true] = ACTIONS(424),
    [anon_sym_false] = ACTIONS(424),
    [sym_color_value] = ACTIONS(422),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_add_prec_operator] = STATE(126),
    [sym_mult_prec_operator] = STATE(94),
    [sym_comparison_operator] = STATE(92),
    [anon_sym_LBRACE] = ACTIONS(426),
    [anon_sym_RBRACE] = ACTIONS(426),
    [anon_sym_SEMI] = ACTIONS(426),
    [anon_sym_LT] = ACTIONS(428),
    [anon_sym_GT] = ACTIONS(428),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_COLON] = ACTIONS(426),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_ATtr] = ACTIONS(426),
    [anon_sym_DOT] = ACTIONS(360),
    [sym_logical_and] = ACTIONS(426),
    [sym_logical_or] = ACTIONS(426),
    [anon_sym_QMARK] = ACTIONS(426),
    [anon_sym_ATimage_DASHurl] = ACTIONS(426),
    [anon_sym_BANG] = ACTIONS(428),
    [anon_sym_DASH] = ACTIONS(428),
    [anon_sym_PLUS] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(428),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_GT_EQ] = ACTIONS(426),
    [anon_sym_LT_EQ] = ACTIONS(426),
    [anon_sym_EQ_EQ] = ACTIONS(426),
    [anon_sym_BANG_EQ] = ACTIONS(426),
    [anon_sym_EQ] = ACTIONS(428),
    [anon_sym_PLUS_EQ] = ACTIONS(426),
    [anon_sym_DASH_EQ] = ACTIONS(426),
    [anon_sym_STAR_EQ] = ACTIONS(426),
    [anon_sym_SLASH_EQ] = ACTIONS(426),
    [anon_sym_DQUOTE] = ACTIONS(426),
    [sym__identifier] = ACTIONS(428),
    [anon_sym_linear] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(428),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(428),
    [anon_sym_ease] = ACTIONS(428),
    [anon_sym_ease_DASHin] = ACTIONS(428),
    [anon_sym_ease_DASHout] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(428),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(428),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(428),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(428),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(428),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(428),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(428),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(428),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(428),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(428),
    [anon_sym_cubic_DASHbezier] = ACTIONS(428),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(426),
    [anon_sym_ATlinear_gradient] = ACTIONS(426),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(426),
    [anon_sym_ATradial_gradient] = ACTIONS(426),
    [anon_sym_parent] = ACTIONS(428),
    [anon_sym_root] = ACTIONS(428),
    [anon_sym_self] = ACTIONS(428),
    [sym__int_number] = ACTIONS(428),
    [sym__float_number] = ACTIONS(426),
    [anon_sym_true] = ACTIONS(428),
    [anon_sym_false] = ACTIONS(428),
    [sym_color_value] = ACTIONS(426),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [anon_sym_LBRACE] = ACTIONS(430),
    [anon_sym_COMMA] = ACTIONS(430),
    [anon_sym_RBRACE] = ACTIONS(430),
    [anon_sym_SEMI] = ACTIONS(430),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_GT] = ACTIONS(432),
    [anon_sym_return] = ACTIONS(432),
    [anon_sym_COLON] = ACTIONS(430),
    [anon_sym_LBRACK] = ACTIONS(430),
    [anon_sym_if] = ACTIONS(432),
    [anon_sym_LPAREN] = ACTIONS(430),
    [anon_sym_RPAREN] = ACTIONS(430),
    [anon_sym_ATtr] = ACTIONS(430),
    [anon_sym_EQ_GT] = ACTIONS(430),
    [anon_sym_DOT] = ACTIONS(432),
    [sym_logical_and] = ACTIONS(430),
    [sym_logical_or] = ACTIONS(430),
    [anon_sym_QMARK] = ACTIONS(430),
    [anon_sym_ATimage_DASHurl] = ACTIONS(430),
    [anon_sym_BANG] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_STAR] = ACTIONS(432),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_GT_EQ] = ACTIONS(430),
    [anon_sym_LT_EQ] = ACTIONS(430),
    [anon_sym_EQ_EQ] = ACTIONS(430),
    [anon_sym_BANG_EQ] = ACTIONS(430),
    [anon_sym_EQ] = ACTIONS(432),
    [anon_sym_PLUS_EQ] = ACTIONS(430),
    [anon_sym_DASH_EQ] = ACTIONS(430),
    [anon_sym_STAR_EQ] = ACTIONS(430),
    [anon_sym_SLASH_EQ] = ACTIONS(430),
    [anon_sym_DQUOTE] = ACTIONS(430),
    [sym__identifier] = ACTIONS(432),
    [anon_sym_linear] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(432),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(432),
    [anon_sym_ease] = ACTIONS(432),
    [anon_sym_ease_DASHin] = ACTIONS(432),
    [anon_sym_ease_DASHout] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(432),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(432),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(432),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(432),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(432),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(432),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(432),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(432),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(432),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(432),
    [anon_sym_cubic_DASHbezier] = ACTIONS(432),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(430),
    [anon_sym_ATlinear_gradient] = ACTIONS(430),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(430),
    [anon_sym_ATradial_gradient] = ACTIONS(430),
    [anon_sym_parent] = ACTIONS(432),
    [anon_sym_root] = ACTIONS(432),
    [anon_sym_self] = ACTIONS(432),
    [sym__int_number] = ACTIONS(432),
    [sym__float_number] = ACTIONS(430),
    [anon_sym_true] = ACTIONS(432),
    [anon_sym_false] = ACTIONS(432),
    [sym_color_value] = ACTIONS(430),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_add_prec_operator] = STATE(126),
    [sym_mult_prec_operator] = STATE(94),
    [sym_comparison_operator] = STATE(92),
    [anon_sym_LBRACE] = ACTIONS(412),
    [anon_sym_RBRACE] = ACTIONS(412),
    [anon_sym_SEMI] = ACTIONS(412),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_GT] = ACTIONS(352),
    [anon_sym_return] = ACTIONS(414),
    [anon_sym_COLON] = ACTIONS(412),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(412),
    [anon_sym_ATtr] = ACTIONS(412),
    [anon_sym_DOT] = ACTIONS(360),
    [sym_logical_and] = ACTIONS(362),
    [sym_logical_or] = ACTIONS(412),
    [anon_sym_QMARK] = ACTIONS(412),
    [anon_sym_ATimage_DASHurl] = ACTIONS(412),
    [anon_sym_BANG] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(368),
    [anon_sym_PLUS] = ACTIONS(368),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(372),
    [anon_sym_LT_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_EQ] = ACTIONS(414),
    [anon_sym_PLUS_EQ] = ACTIONS(412),
    [anon_sym_DASH_EQ] = ACTIONS(412),
    [anon_sym_STAR_EQ] = ACTIONS(412),
    [anon_sym_SLASH_EQ] = ACTIONS(412),
    [anon_sym_DQUOTE] = ACTIONS(412),
    [sym__identifier] = ACTIONS(414),
    [anon_sym_linear] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(414),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(414),
    [anon_sym_ease] = ACTIONS(414),
    [anon_sym_ease_DASHin] = ACTIONS(414),
    [anon_sym_ease_DASHout] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(414),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(414),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(414),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(414),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(414),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(414),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(414),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(414),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(414),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(414),
    [anon_sym_cubic_DASHbezier] = ACTIONS(414),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(412),
    [anon_sym_ATlinear_gradient] = ACTIONS(412),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(412),
    [anon_sym_ATradial_gradient] = ACTIONS(412),
    [anon_sym_parent] = ACTIONS(414),
    [anon_sym_root] = ACTIONS(414),
    [anon_sym_self] = ACTIONS(414),
    [sym__int_number] = ACTIONS(414),
    [sym__float_number] = ACTIONS(412),
    [anon_sym_true] = ACTIONS(414),
    [anon_sym_false] = ACTIONS(414),
    [sym_color_value] = ACTIONS(412),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_COMMA] = ACTIONS(434),
    [anon_sym_RBRACE] = ACTIONS(434),
    [anon_sym_SEMI] = ACTIONS(434),
    [anon_sym_LT] = ACTIONS(436),
    [anon_sym_GT] = ACTIONS(436),
    [anon_sym_return] = ACTIONS(436),
    [anon_sym_COLON] = ACTIONS(434),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_LPAREN] = ACTIONS(434),
    [anon_sym_RPAREN] = ACTIONS(434),
    [anon_sym_ATtr] = ACTIONS(434),
    [anon_sym_DOT] = ACTIONS(436),
    [sym_logical_and] = ACTIONS(434),
    [sym_logical_or] = ACTIONS(434),
    [anon_sym_QMARK] = ACTIONS(434),
    [anon_sym_ATimage_DASHurl] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_DASH] = ACTIONS(436),
    [anon_sym_PLUS] = ACTIONS(436),
    [anon_sym_STAR] = ACTIONS(436),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_GT_EQ] = ACTIONS(434),
    [anon_sym_LT_EQ] = ACTIONS(434),
    [anon_sym_EQ_EQ] = ACTIONS(434),
    [anon_sym_BANG_EQ] = ACTIONS(434),
    [anon_sym_EQ] = ACTIONS(436),
    [anon_sym_PLUS_EQ] = ACTIONS(434),
    [anon_sym_DASH_EQ] = ACTIONS(434),
    [anon_sym_STAR_EQ] = ACTIONS(434),
    [anon_sym_SLASH_EQ] = ACTIONS(434),
    [anon_sym_DQUOTE] = ACTIONS(434),
    [sym__identifier] = ACTIONS(436),
    [anon_sym_linear] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(436),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(436),
    [anon_sym_ease] = ACTIONS(436),
    [anon_sym_ease_DASHin] = ACTIONS(436),
    [anon_sym_ease_DASHout] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(436),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(436),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(436),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(436),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(436),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(436),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(436),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(436),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(436),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(436),
    [anon_sym_cubic_DASHbezier] = ACTIONS(436),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(434),
    [anon_sym_ATlinear_gradient] = ACTIONS(434),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(434),
    [anon_sym_ATradial_gradient] = ACTIONS(434),
    [anon_sym_parent] = ACTIONS(436),
    [anon_sym_root] = ACTIONS(436),
    [anon_sym_self] = ACTIONS(436),
    [sym__int_number] = ACTIONS(436),
    [sym__float_number] = ACTIONS(434),
    [anon_sym_true] = ACTIONS(436),
    [anon_sym_false] = ACTIONS(436),
    [sym_color_value] = ACTIONS(434),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [anon_sym_LBRACE] = ACTIONS(438),
    [anon_sym_COMMA] = ACTIONS(438),
    [anon_sym_RBRACE] = ACTIONS(438),
    [anon_sym_SEMI] = ACTIONS(438),
    [anon_sym_LT] = ACTIONS(440),
    [anon_sym_GT] = ACTIONS(440),
    [anon_sym_return] = ACTIONS(440),
    [anon_sym_COLON] = ACTIONS(438),
    [anon_sym_LBRACK] = ACTIONS(438),
    [anon_sym_if] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(438),
    [anon_sym_RPAREN] = ACTIONS(438),
    [anon_sym_ATtr] = ACTIONS(438),
    [anon_sym_DOT] = ACTIONS(440),
    [sym_logical_and] = ACTIONS(438),
    [sym_logical_or] = ACTIONS(438),
    [anon_sym_QMARK] = ACTIONS(438),
    [anon_sym_ATimage_DASHurl] = ACTIONS(438),
    [anon_sym_BANG] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_STAR] = ACTIONS(440),
    [anon_sym_SLASH] = ACTIONS(440),
    [anon_sym_GT_EQ] = ACTIONS(438),
    [anon_sym_LT_EQ] = ACTIONS(438),
    [anon_sym_EQ_EQ] = ACTIONS(438),
    [anon_sym_BANG_EQ] = ACTIONS(438),
    [anon_sym_EQ] = ACTIONS(440),
    [anon_sym_PLUS_EQ] = ACTIONS(438),
    [anon_sym_DASH_EQ] = ACTIONS(438),
    [anon_sym_STAR_EQ] = ACTIONS(438),
    [anon_sym_SLASH_EQ] = ACTIONS(438),
    [anon_sym_DQUOTE] = ACTIONS(438),
    [sym__identifier] = ACTIONS(440),
    [anon_sym_linear] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(440),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(440),
    [anon_sym_ease] = ACTIONS(440),
    [anon_sym_ease_DASHin] = ACTIONS(440),
    [anon_sym_ease_DASHout] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(440),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(440),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(440),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(440),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(440),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(440),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(440),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(440),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(440),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(440),
    [anon_sym_cubic_DASHbezier] = ACTIONS(440),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(438),
    [anon_sym_ATlinear_gradient] = ACTIONS(438),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(438),
    [anon_sym_ATradial_gradient] = ACTIONS(438),
    [anon_sym_parent] = ACTIONS(440),
    [anon_sym_root] = ACTIONS(440),
    [anon_sym_self] = ACTIONS(440),
    [sym__int_number] = ACTIONS(440),
    [sym__float_number] = ACTIONS(438),
    [anon_sym_true] = ACTIONS(440),
    [anon_sym_false] = ACTIONS(440),
    [sym_color_value] = ACTIONS(438),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [anon_sym_LBRACE] = ACTIONS(442),
    [anon_sym_COMMA] = ACTIONS(442),
    [anon_sym_RBRACE] = ACTIONS(442),
    [anon_sym_SEMI] = ACTIONS(442),
    [anon_sym_LT] = ACTIONS(444),
    [anon_sym_GT] = ACTIONS(444),
    [anon_sym_return] = ACTIONS(444),
    [anon_sym_COLON] = ACTIONS(442),
    [anon_sym_LBRACK] = ACTIONS(442),
    [anon_sym_if] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(442),
    [anon_sym_RPAREN] = ACTIONS(442),
    [anon_sym_ATtr] = ACTIONS(442),
    [anon_sym_DOT] = ACTIONS(444),
    [sym_logical_and] = ACTIONS(442),
    [sym_logical_or] = ACTIONS(442),
    [anon_sym_QMARK] = ACTIONS(442),
    [anon_sym_ATimage_DASHurl] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_STAR] = ACTIONS(444),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_GT_EQ] = ACTIONS(442),
    [anon_sym_LT_EQ] = ACTIONS(442),
    [anon_sym_EQ_EQ] = ACTIONS(442),
    [anon_sym_BANG_EQ] = ACTIONS(442),
    [anon_sym_EQ] = ACTIONS(444),
    [anon_sym_PLUS_EQ] = ACTIONS(442),
    [anon_sym_DASH_EQ] = ACTIONS(442),
    [anon_sym_STAR_EQ] = ACTIONS(442),
    [anon_sym_SLASH_EQ] = ACTIONS(442),
    [anon_sym_DQUOTE] = ACTIONS(442),
    [sym__identifier] = ACTIONS(444),
    [anon_sym_linear] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(444),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(444),
    [anon_sym_ease] = ACTIONS(444),
    [anon_sym_ease_DASHin] = ACTIONS(444),
    [anon_sym_ease_DASHout] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(444),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(444),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(444),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(444),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(444),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(444),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(444),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(444),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(444),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(444),
    [anon_sym_cubic_DASHbezier] = ACTIONS(444),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(442),
    [anon_sym_ATlinear_gradient] = ACTIONS(442),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(442),
    [anon_sym_ATradial_gradient] = ACTIONS(442),
    [anon_sym_parent] = ACTIONS(444),
    [anon_sym_root] = ACTIONS(444),
    [anon_sym_self] = ACTIONS(444),
    [sym__int_number] = ACTIONS(444),
    [sym__float_number] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(444),
    [anon_sym_false] = ACTIONS(444),
    [sym_color_value] = ACTIONS(442),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [anon_sym_LBRACE] = ACTIONS(446),
    [anon_sym_COMMA] = ACTIONS(446),
    [anon_sym_RBRACE] = ACTIONS(446),
    [anon_sym_SEMI] = ACTIONS(446),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_GT] = ACTIONS(448),
    [anon_sym_return] = ACTIONS(448),
    [anon_sym_COLON] = ACTIONS(446),
    [anon_sym_LBRACK] = ACTIONS(446),
    [anon_sym_if] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(446),
    [anon_sym_RPAREN] = ACTIONS(446),
    [anon_sym_ATtr] = ACTIONS(446),
    [anon_sym_DOT] = ACTIONS(448),
    [sym_logical_and] = ACTIONS(446),
    [sym_logical_or] = ACTIONS(446),
    [anon_sym_QMARK] = ACTIONS(446),
    [anon_sym_ATimage_DASHurl] = ACTIONS(446),
    [anon_sym_BANG] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(448),
    [anon_sym_PLUS] = ACTIONS(448),
    [anon_sym_STAR] = ACTIONS(448),
    [anon_sym_SLASH] = ACTIONS(448),
    [anon_sym_GT_EQ] = ACTIONS(446),
    [anon_sym_LT_EQ] = ACTIONS(446),
    [anon_sym_EQ_EQ] = ACTIONS(446),
    [anon_sym_BANG_EQ] = ACTIONS(446),
    [anon_sym_EQ] = ACTIONS(448),
    [anon_sym_PLUS_EQ] = ACTIONS(446),
    [anon_sym_DASH_EQ] = ACTIONS(446),
    [anon_sym_STAR_EQ] = ACTIONS(446),
    [anon_sym_SLASH_EQ] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(446),
    [sym__identifier] = ACTIONS(448),
    [anon_sym_linear] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(448),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(448),
    [anon_sym_ease] = ACTIONS(448),
    [anon_sym_ease_DASHin] = ACTIONS(448),
    [anon_sym_ease_DASHout] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(448),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(448),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(448),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(448),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(448),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(448),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(448),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(448),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(448),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(448),
    [anon_sym_cubic_DASHbezier] = ACTIONS(448),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(446),
    [anon_sym_ATlinear_gradient] = ACTIONS(446),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(446),
    [anon_sym_ATradial_gradient] = ACTIONS(446),
    [anon_sym_parent] = ACTIONS(448),
    [anon_sym_root] = ACTIONS(448),
    [anon_sym_self] = ACTIONS(448),
    [sym__int_number] = ACTIONS(448),
    [sym__float_number] = ACTIONS(446),
    [anon_sym_true] = ACTIONS(448),
    [anon_sym_false] = ACTIONS(448),
    [sym_color_value] = ACTIONS(446),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [anon_sym_LBRACE] = ACTIONS(450),
    [anon_sym_COMMA] = ACTIONS(450),
    [anon_sym_RBRACE] = ACTIONS(450),
    [anon_sym_SEMI] = ACTIONS(450),
    [anon_sym_LT] = ACTIONS(452),
    [anon_sym_GT] = ACTIONS(452),
    [anon_sym_return] = ACTIONS(452),
    [anon_sym_COLON] = ACTIONS(450),
    [anon_sym_LBRACK] = ACTIONS(450),
    [anon_sym_if] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(450),
    [anon_sym_RPAREN] = ACTIONS(450),
    [anon_sym_ATtr] = ACTIONS(450),
    [anon_sym_DOT] = ACTIONS(452),
    [sym_logical_and] = ACTIONS(450),
    [sym_logical_or] = ACTIONS(450),
    [anon_sym_QMARK] = ACTIONS(450),
    [anon_sym_ATimage_DASHurl] = ACTIONS(450),
    [anon_sym_BANG] = ACTIONS(452),
    [anon_sym_DASH] = ACTIONS(452),
    [anon_sym_PLUS] = ACTIONS(452),
    [anon_sym_STAR] = ACTIONS(452),
    [anon_sym_SLASH] = ACTIONS(452),
    [anon_sym_GT_EQ] = ACTIONS(450),
    [anon_sym_LT_EQ] = ACTIONS(450),
    [anon_sym_EQ_EQ] = ACTIONS(450),
    [anon_sym_BANG_EQ] = ACTIONS(450),
    [anon_sym_EQ] = ACTIONS(452),
    [anon_sym_PLUS_EQ] = ACTIONS(450),
    [anon_sym_DASH_EQ] = ACTIONS(450),
    [anon_sym_STAR_EQ] = ACTIONS(450),
    [anon_sym_SLASH_EQ] = ACTIONS(450),
    [anon_sym_DQUOTE] = ACTIONS(450),
    [sym__identifier] = ACTIONS(452),
    [anon_sym_linear] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(452),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(452),
    [anon_sym_ease] = ACTIONS(452),
    [anon_sym_ease_DASHin] = ACTIONS(452),
    [anon_sym_ease_DASHout] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(452),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(452),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(452),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(452),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(452),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(452),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(452),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(452),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(452),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(452),
    [anon_sym_cubic_DASHbezier] = ACTIONS(452),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(450),
    [anon_sym_ATlinear_gradient] = ACTIONS(450),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(450),
    [anon_sym_ATradial_gradient] = ACTIONS(450),
    [anon_sym_parent] = ACTIONS(452),
    [anon_sym_root] = ACTIONS(452),
    [anon_sym_self] = ACTIONS(452),
    [sym__int_number] = ACTIONS(452),
    [sym__float_number] = ACTIONS(450),
    [anon_sym_true] = ACTIONS(452),
    [anon_sym_false] = ACTIONS(452),
    [sym_color_value] = ACTIONS(450),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [anon_sym_LBRACE] = ACTIONS(454),
    [anon_sym_COMMA] = ACTIONS(454),
    [anon_sym_RBRACE] = ACTIONS(454),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LT] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(456),
    [anon_sym_return] = ACTIONS(456),
    [anon_sym_COLON] = ACTIONS(454),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_if] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(454),
    [anon_sym_RPAREN] = ACTIONS(454),
    [anon_sym_ATtr] = ACTIONS(454),
    [anon_sym_DOT] = ACTIONS(456),
    [sym_logical_and] = ACTIONS(454),
    [sym_logical_or] = ACTIONS(454),
    [anon_sym_QMARK] = ACTIONS(454),
    [anon_sym_ATimage_DASHurl] = ACTIONS(454),
    [anon_sym_BANG] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(456),
    [anon_sym_SLASH] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(454),
    [anon_sym_LT_EQ] = ACTIONS(454),
    [anon_sym_EQ_EQ] = ACTIONS(454),
    [anon_sym_BANG_EQ] = ACTIONS(454),
    [anon_sym_EQ] = ACTIONS(456),
    [anon_sym_PLUS_EQ] = ACTIONS(454),
    [anon_sym_DASH_EQ] = ACTIONS(454),
    [anon_sym_STAR_EQ] = ACTIONS(454),
    [anon_sym_SLASH_EQ] = ACTIONS(454),
    [anon_sym_DQUOTE] = ACTIONS(454),
    [sym__identifier] = ACTIONS(456),
    [anon_sym_linear] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(456),
    [anon_sym_ease] = ACTIONS(456),
    [anon_sym_ease_DASHin] = ACTIONS(456),
    [anon_sym_ease_DASHout] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(456),
    [anon_sym_cubic_DASHbezier] = ACTIONS(456),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(454),
    [anon_sym_ATlinear_gradient] = ACTIONS(454),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(454),
    [anon_sym_ATradial_gradient] = ACTIONS(454),
    [anon_sym_parent] = ACTIONS(456),
    [anon_sym_root] = ACTIONS(456),
    [anon_sym_self] = ACTIONS(456),
    [sym__int_number] = ACTIONS(456),
    [sym__float_number] = ACTIONS(454),
    [anon_sym_true] = ACTIONS(456),
    [anon_sym_false] = ACTIONS(456),
    [sym_color_value] = ACTIONS(454),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_LT] = ACTIONS(460),
    [anon_sym_GT] = ACTIONS(460),
    [anon_sym_return] = ACTIONS(460),
    [anon_sym_COLON] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(458),
    [anon_sym_if] = ACTIONS(460),
    [anon_sym_LPAREN] = ACTIONS(458),
    [anon_sym_RPAREN] = ACTIONS(458),
    [anon_sym_ATtr] = ACTIONS(458),
    [anon_sym_DOT] = ACTIONS(460),
    [sym_logical_and] = ACTIONS(458),
    [sym_logical_or] = ACTIONS(458),
    [anon_sym_QMARK] = ACTIONS(458),
    [anon_sym_ATimage_DASHurl] = ACTIONS(458),
    [anon_sym_BANG] = ACTIONS(460),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_PLUS] = ACTIONS(460),
    [anon_sym_STAR] = ACTIONS(460),
    [anon_sym_SLASH] = ACTIONS(460),
    [anon_sym_GT_EQ] = ACTIONS(458),
    [anon_sym_LT_EQ] = ACTIONS(458),
    [anon_sym_EQ_EQ] = ACTIONS(458),
    [anon_sym_BANG_EQ] = ACTIONS(458),
    [anon_sym_EQ] = ACTIONS(460),
    [anon_sym_PLUS_EQ] = ACTIONS(458),
    [anon_sym_DASH_EQ] = ACTIONS(458),
    [anon_sym_STAR_EQ] = ACTIONS(458),
    [anon_sym_SLASH_EQ] = ACTIONS(458),
    [anon_sym_DQUOTE] = ACTIONS(458),
    [sym__identifier] = ACTIONS(460),
    [anon_sym_linear] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(460),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(460),
    [anon_sym_ease] = ACTIONS(460),
    [anon_sym_ease_DASHin] = ACTIONS(460),
    [anon_sym_ease_DASHout] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(460),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(460),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(460),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(460),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(460),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(460),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(460),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(460),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(460),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(460),
    [anon_sym_cubic_DASHbezier] = ACTIONS(460),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(458),
    [anon_sym_ATlinear_gradient] = ACTIONS(458),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(458),
    [anon_sym_ATradial_gradient] = ACTIONS(458),
    [anon_sym_parent] = ACTIONS(460),
    [anon_sym_root] = ACTIONS(460),
    [anon_sym_self] = ACTIONS(460),
    [sym__int_number] = ACTIONS(460),
    [sym__float_number] = ACTIONS(458),
    [anon_sym_true] = ACTIONS(460),
    [anon_sym_false] = ACTIONS(460),
    [sym_color_value] = ACTIONS(458),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [anon_sym_LBRACE] = ACTIONS(462),
    [anon_sym_COMMA] = ACTIONS(462),
    [anon_sym_RBRACE] = ACTIONS(462),
    [anon_sym_SEMI] = ACTIONS(462),
    [anon_sym_LT] = ACTIONS(464),
    [anon_sym_GT] = ACTIONS(464),
    [anon_sym_return] = ACTIONS(464),
    [anon_sym_COLON] = ACTIONS(462),
    [anon_sym_LBRACK] = ACTIONS(462),
    [anon_sym_if] = ACTIONS(464),
    [anon_sym_LPAREN] = ACTIONS(462),
    [anon_sym_RPAREN] = ACTIONS(462),
    [anon_sym_ATtr] = ACTIONS(462),
    [anon_sym_DOT] = ACTIONS(464),
    [sym_logical_and] = ACTIONS(462),
    [sym_logical_or] = ACTIONS(462),
    [anon_sym_QMARK] = ACTIONS(462),
    [anon_sym_ATimage_DASHurl] = ACTIONS(462),
    [anon_sym_BANG] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_STAR] = ACTIONS(464),
    [anon_sym_SLASH] = ACTIONS(464),
    [anon_sym_GT_EQ] = ACTIONS(462),
    [anon_sym_LT_EQ] = ACTIONS(462),
    [anon_sym_EQ_EQ] = ACTIONS(462),
    [anon_sym_BANG_EQ] = ACTIONS(462),
    [anon_sym_EQ] = ACTIONS(464),
    [anon_sym_PLUS_EQ] = ACTIONS(462),
    [anon_sym_DASH_EQ] = ACTIONS(462),
    [anon_sym_STAR_EQ] = ACTIONS(462),
    [anon_sym_SLASH_EQ] = ACTIONS(462),
    [anon_sym_DQUOTE] = ACTIONS(462),
    [sym__identifier] = ACTIONS(464),
    [anon_sym_linear] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(464),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(464),
    [anon_sym_ease] = ACTIONS(464),
    [anon_sym_ease_DASHin] = ACTIONS(464),
    [anon_sym_ease_DASHout] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(464),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(464),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(464),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(464),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(464),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(464),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(464),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(464),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(464),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(464),
    [anon_sym_cubic_DASHbezier] = ACTIONS(464),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(462),
    [anon_sym_ATlinear_gradient] = ACTIONS(462),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(462),
    [anon_sym_ATradial_gradient] = ACTIONS(462),
    [anon_sym_parent] = ACTIONS(464),
    [anon_sym_root] = ACTIONS(464),
    [anon_sym_self] = ACTIONS(464),
    [sym__int_number] = ACTIONS(464),
    [sym__float_number] = ACTIONS(462),
    [anon_sym_true] = ACTIONS(464),
    [anon_sym_false] = ACTIONS(464),
    [sym_color_value] = ACTIONS(462),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_COMMA] = ACTIONS(466),
    [anon_sym_RBRACE] = ACTIONS(466),
    [anon_sym_SEMI] = ACTIONS(466),
    [anon_sym_LT] = ACTIONS(468),
    [anon_sym_GT] = ACTIONS(468),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_COLON] = ACTIONS(466),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_if] = ACTIONS(468),
    [anon_sym_LPAREN] = ACTIONS(466),
    [anon_sym_RPAREN] = ACTIONS(466),
    [anon_sym_ATtr] = ACTIONS(466),
    [anon_sym_DOT] = ACTIONS(468),
    [sym_logical_and] = ACTIONS(466),
    [sym_logical_or] = ACTIONS(466),
    [anon_sym_QMARK] = ACTIONS(466),
    [anon_sym_ATimage_DASHurl] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_STAR] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(468),
    [anon_sym_GT_EQ] = ACTIONS(466),
    [anon_sym_LT_EQ] = ACTIONS(466),
    [anon_sym_EQ_EQ] = ACTIONS(466),
    [anon_sym_BANG_EQ] = ACTIONS(466),
    [anon_sym_EQ] = ACTIONS(468),
    [anon_sym_PLUS_EQ] = ACTIONS(466),
    [anon_sym_DASH_EQ] = ACTIONS(466),
    [anon_sym_STAR_EQ] = ACTIONS(466),
    [anon_sym_SLASH_EQ] = ACTIONS(466),
    [anon_sym_DQUOTE] = ACTIONS(466),
    [sym__identifier] = ACTIONS(468),
    [anon_sym_linear] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(468),
    [anon_sym_ease] = ACTIONS(468),
    [anon_sym_ease_DASHin] = ACTIONS(468),
    [anon_sym_ease_DASHout] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(468),
    [anon_sym_cubic_DASHbezier] = ACTIONS(468),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(466),
    [anon_sym_ATlinear_gradient] = ACTIONS(466),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(466),
    [anon_sym_ATradial_gradient] = ACTIONS(466),
    [anon_sym_parent] = ACTIONS(468),
    [anon_sym_root] = ACTIONS(468),
    [anon_sym_self] = ACTIONS(468),
    [sym__int_number] = ACTIONS(468),
    [sym__float_number] = ACTIONS(466),
    [anon_sym_true] = ACTIONS(468),
    [anon_sym_false] = ACTIONS(468),
    [sym_color_value] = ACTIONS(466),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_COMMA] = ACTIONS(466),
    [anon_sym_RBRACE] = ACTIONS(466),
    [anon_sym_SEMI] = ACTIONS(466),
    [anon_sym_LT] = ACTIONS(468),
    [anon_sym_GT] = ACTIONS(468),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_COLON] = ACTIONS(466),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_if] = ACTIONS(468),
    [anon_sym_LPAREN] = ACTIONS(466),
    [anon_sym_RPAREN] = ACTIONS(466),
    [anon_sym_ATtr] = ACTIONS(466),
    [anon_sym_DOT] = ACTIONS(468),
    [sym_logical_and] = ACTIONS(466),
    [sym_logical_or] = ACTIONS(466),
    [anon_sym_QMARK] = ACTIONS(466),
    [anon_sym_ATimage_DASHurl] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_STAR] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(468),
    [anon_sym_GT_EQ] = ACTIONS(466),
    [anon_sym_LT_EQ] = ACTIONS(466),
    [anon_sym_EQ_EQ] = ACTIONS(466),
    [anon_sym_BANG_EQ] = ACTIONS(466),
    [anon_sym_EQ] = ACTIONS(468),
    [anon_sym_PLUS_EQ] = ACTIONS(466),
    [anon_sym_DASH_EQ] = ACTIONS(466),
    [anon_sym_STAR_EQ] = ACTIONS(466),
    [anon_sym_SLASH_EQ] = ACTIONS(466),
    [anon_sym_DQUOTE] = ACTIONS(466),
    [sym__identifier] = ACTIONS(468),
    [anon_sym_linear] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(468),
    [anon_sym_ease] = ACTIONS(468),
    [anon_sym_ease_DASHin] = ACTIONS(468),
    [anon_sym_ease_DASHout] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(468),
    [anon_sym_cubic_DASHbezier] = ACTIONS(468),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(466),
    [anon_sym_ATlinear_gradient] = ACTIONS(466),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(466),
    [anon_sym_ATradial_gradient] = ACTIONS(466),
    [anon_sym_parent] = ACTIONS(468),
    [anon_sym_root] = ACTIONS(468),
    [anon_sym_self] = ACTIONS(468),
    [sym__int_number] = ACTIONS(468),
    [sym__float_number] = ACTIONS(466),
    [anon_sym_true] = ACTIONS(468),
    [anon_sym_false] = ACTIONS(468),
    [sym_color_value] = ACTIONS(466),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [anon_sym_LBRACE] = ACTIONS(470),
    [anon_sym_COMMA] = ACTIONS(470),
    [anon_sym_RBRACE] = ACTIONS(470),
    [anon_sym_SEMI] = ACTIONS(470),
    [anon_sym_LT] = ACTIONS(472),
    [anon_sym_GT] = ACTIONS(472),
    [anon_sym_return] = ACTIONS(472),
    [anon_sym_COLON] = ACTIONS(470),
    [anon_sym_LBRACK] = ACTIONS(470),
    [anon_sym_if] = ACTIONS(472),
    [anon_sym_LPAREN] = ACTIONS(470),
    [anon_sym_RPAREN] = ACTIONS(470),
    [anon_sym_ATtr] = ACTIONS(470),
    [anon_sym_DOT] = ACTIONS(472),
    [sym_logical_and] = ACTIONS(470),
    [sym_logical_or] = ACTIONS(470),
    [anon_sym_QMARK] = ACTIONS(470),
    [anon_sym_ATimage_DASHurl] = ACTIONS(470),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_STAR] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(472),
    [anon_sym_GT_EQ] = ACTIONS(470),
    [anon_sym_LT_EQ] = ACTIONS(470),
    [anon_sym_EQ_EQ] = ACTIONS(470),
    [anon_sym_BANG_EQ] = ACTIONS(470),
    [anon_sym_EQ] = ACTIONS(472),
    [anon_sym_PLUS_EQ] = ACTIONS(470),
    [anon_sym_DASH_EQ] = ACTIONS(470),
    [anon_sym_STAR_EQ] = ACTIONS(470),
    [anon_sym_SLASH_EQ] = ACTIONS(470),
    [anon_sym_DQUOTE] = ACTIONS(470),
    [sym__identifier] = ACTIONS(472),
    [anon_sym_linear] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(472),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(472),
    [anon_sym_ease] = ACTIONS(472),
    [anon_sym_ease_DASHin] = ACTIONS(472),
    [anon_sym_ease_DASHout] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(472),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(472),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(472),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(472),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(472),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(472),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(472),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(472),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(472),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(472),
    [anon_sym_cubic_DASHbezier] = ACTIONS(472),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(470),
    [anon_sym_ATlinear_gradient] = ACTIONS(470),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(470),
    [anon_sym_ATradial_gradient] = ACTIONS(470),
    [anon_sym_parent] = ACTIONS(472),
    [anon_sym_root] = ACTIONS(472),
    [anon_sym_self] = ACTIONS(472),
    [sym__int_number] = ACTIONS(472),
    [sym__float_number] = ACTIONS(470),
    [anon_sym_true] = ACTIONS(472),
    [anon_sym_false] = ACTIONS(472),
    [sym_color_value] = ACTIONS(470),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [anon_sym_LBRACE] = ACTIONS(474),
    [anon_sym_COMMA] = ACTIONS(474),
    [anon_sym_RBRACE] = ACTIONS(474),
    [anon_sym_SEMI] = ACTIONS(474),
    [anon_sym_LT] = ACTIONS(476),
    [anon_sym_GT] = ACTIONS(476),
    [anon_sym_return] = ACTIONS(476),
    [anon_sym_COLON] = ACTIONS(474),
    [anon_sym_LBRACK] = ACTIONS(474),
    [anon_sym_if] = ACTIONS(476),
    [anon_sym_LPAREN] = ACTIONS(474),
    [anon_sym_RPAREN] = ACTIONS(474),
    [anon_sym_ATtr] = ACTIONS(474),
    [anon_sym_DOT] = ACTIONS(476),
    [sym_logical_and] = ACTIONS(474),
    [sym_logical_or] = ACTIONS(474),
    [anon_sym_QMARK] = ACTIONS(474),
    [anon_sym_ATimage_DASHurl] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(476),
    [anon_sym_STAR] = ACTIONS(476),
    [anon_sym_SLASH] = ACTIONS(476),
    [anon_sym_GT_EQ] = ACTIONS(474),
    [anon_sym_LT_EQ] = ACTIONS(474),
    [anon_sym_EQ_EQ] = ACTIONS(474),
    [anon_sym_BANG_EQ] = ACTIONS(474),
    [anon_sym_EQ] = ACTIONS(476),
    [anon_sym_PLUS_EQ] = ACTIONS(474),
    [anon_sym_DASH_EQ] = ACTIONS(474),
    [anon_sym_STAR_EQ] = ACTIONS(474),
    [anon_sym_SLASH_EQ] = ACTIONS(474),
    [anon_sym_DQUOTE] = ACTIONS(474),
    [sym__identifier] = ACTIONS(476),
    [anon_sym_linear] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(476),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(476),
    [anon_sym_ease] = ACTIONS(476),
    [anon_sym_ease_DASHin] = ACTIONS(476),
    [anon_sym_ease_DASHout] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(476),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(476),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(476),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(476),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(476),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(476),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(476),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(476),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(476),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(476),
    [anon_sym_cubic_DASHbezier] = ACTIONS(476),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(474),
    [anon_sym_ATlinear_gradient] = ACTIONS(474),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(474),
    [anon_sym_ATradial_gradient] = ACTIONS(474),
    [anon_sym_parent] = ACTIONS(476),
    [anon_sym_root] = ACTIONS(476),
    [anon_sym_self] = ACTIONS(476),
    [sym__int_number] = ACTIONS(476),
    [sym__float_number] = ACTIONS(474),
    [anon_sym_true] = ACTIONS(476),
    [anon_sym_false] = ACTIONS(476),
    [sym_color_value] = ACTIONS(474),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_COMMA] = ACTIONS(466),
    [anon_sym_RBRACE] = ACTIONS(466),
    [anon_sym_SEMI] = ACTIONS(466),
    [anon_sym_LT] = ACTIONS(468),
    [anon_sym_GT] = ACTIONS(468),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_COLON] = ACTIONS(466),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_if] = ACTIONS(468),
    [anon_sym_LPAREN] = ACTIONS(466),
    [anon_sym_RPAREN] = ACTIONS(466),
    [anon_sym_ATtr] = ACTIONS(466),
    [anon_sym_DOT] = ACTIONS(468),
    [sym_logical_and] = ACTIONS(466),
    [sym_logical_or] = ACTIONS(466),
    [anon_sym_QMARK] = ACTIONS(466),
    [anon_sym_ATimage_DASHurl] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_STAR] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(468),
    [anon_sym_GT_EQ] = ACTIONS(466),
    [anon_sym_LT_EQ] = ACTIONS(466),
    [anon_sym_EQ_EQ] = ACTIONS(466),
    [anon_sym_BANG_EQ] = ACTIONS(466),
    [anon_sym_EQ] = ACTIONS(468),
    [anon_sym_PLUS_EQ] = ACTIONS(466),
    [anon_sym_DASH_EQ] = ACTIONS(466),
    [anon_sym_STAR_EQ] = ACTIONS(466),
    [anon_sym_SLASH_EQ] = ACTIONS(466),
    [anon_sym_DQUOTE] = ACTIONS(466),
    [sym__identifier] = ACTIONS(468),
    [anon_sym_linear] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(468),
    [anon_sym_ease] = ACTIONS(468),
    [anon_sym_ease_DASHin] = ACTIONS(468),
    [anon_sym_ease_DASHout] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(468),
    [anon_sym_cubic_DASHbezier] = ACTIONS(468),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(466),
    [anon_sym_ATlinear_gradient] = ACTIONS(466),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(466),
    [anon_sym_ATradial_gradient] = ACTIONS(466),
    [anon_sym_parent] = ACTIONS(468),
    [anon_sym_root] = ACTIONS(468),
    [anon_sym_self] = ACTIONS(468),
    [sym__int_number] = ACTIONS(468),
    [sym__float_number] = ACTIONS(466),
    [anon_sym_true] = ACTIONS(468),
    [anon_sym_false] = ACTIONS(468),
    [sym_color_value] = ACTIONS(466),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [anon_sym_LBRACE] = ACTIONS(478),
    [anon_sym_COMMA] = ACTIONS(478),
    [anon_sym_RBRACE] = ACTIONS(478),
    [anon_sym_SEMI] = ACTIONS(478),
    [anon_sym_LT] = ACTIONS(480),
    [anon_sym_GT] = ACTIONS(480),
    [anon_sym_return] = ACTIONS(480),
    [anon_sym_COLON] = ACTIONS(478),
    [anon_sym_LBRACK] = ACTIONS(478),
    [anon_sym_if] = ACTIONS(480),
    [anon_sym_LPAREN] = ACTIONS(478),
    [anon_sym_RPAREN] = ACTIONS(478),
    [anon_sym_ATtr] = ACTIONS(478),
    [anon_sym_DOT] = ACTIONS(480),
    [sym_logical_and] = ACTIONS(478),
    [sym_logical_or] = ACTIONS(478),
    [anon_sym_QMARK] = ACTIONS(478),
    [anon_sym_ATimage_DASHurl] = ACTIONS(478),
    [anon_sym_BANG] = ACTIONS(480),
    [anon_sym_DASH] = ACTIONS(480),
    [anon_sym_PLUS] = ACTIONS(480),
    [anon_sym_STAR] = ACTIONS(480),
    [anon_sym_SLASH] = ACTIONS(480),
    [anon_sym_GT_EQ] = ACTIONS(478),
    [anon_sym_LT_EQ] = ACTIONS(478),
    [anon_sym_EQ_EQ] = ACTIONS(478),
    [anon_sym_BANG_EQ] = ACTIONS(478),
    [anon_sym_EQ] = ACTIONS(480),
    [anon_sym_PLUS_EQ] = ACTIONS(478),
    [anon_sym_DASH_EQ] = ACTIONS(478),
    [anon_sym_STAR_EQ] = ACTIONS(478),
    [anon_sym_SLASH_EQ] = ACTIONS(478),
    [anon_sym_DQUOTE] = ACTIONS(478),
    [sym__identifier] = ACTIONS(480),
    [anon_sym_linear] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(480),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(480),
    [anon_sym_ease] = ACTIONS(480),
    [anon_sym_ease_DASHin] = ACTIONS(480),
    [anon_sym_ease_DASHout] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(480),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(480),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(480),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(480),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(480),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(480),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(480),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(480),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(480),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(480),
    [anon_sym_cubic_DASHbezier] = ACTIONS(480),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(478),
    [anon_sym_ATlinear_gradient] = ACTIONS(478),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(478),
    [anon_sym_ATradial_gradient] = ACTIONS(478),
    [anon_sym_parent] = ACTIONS(480),
    [anon_sym_root] = ACTIONS(480),
    [anon_sym_self] = ACTIONS(480),
    [sym__int_number] = ACTIONS(480),
    [sym__float_number] = ACTIONS(478),
    [anon_sym_true] = ACTIONS(480),
    [anon_sym_false] = ACTIONS(480),
    [sym_color_value] = ACTIONS(478),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [anon_sym_LBRACE] = ACTIONS(466),
    [anon_sym_COMMA] = ACTIONS(466),
    [anon_sym_RBRACE] = ACTIONS(466),
    [anon_sym_SEMI] = ACTIONS(466),
    [anon_sym_LT] = ACTIONS(468),
    [anon_sym_GT] = ACTIONS(468),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_COLON] = ACTIONS(466),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_if] = ACTIONS(468),
    [anon_sym_LPAREN] = ACTIONS(466),
    [anon_sym_RPAREN] = ACTIONS(466),
    [anon_sym_ATtr] = ACTIONS(466),
    [anon_sym_DOT] = ACTIONS(468),
    [sym_logical_and] = ACTIONS(466),
    [sym_logical_or] = ACTIONS(466),
    [anon_sym_QMARK] = ACTIONS(466),
    [anon_sym_ATimage_DASHurl] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(468),
    [anon_sym_PLUS] = ACTIONS(468),
    [anon_sym_STAR] = ACTIONS(468),
    [anon_sym_SLASH] = ACTIONS(468),
    [anon_sym_GT_EQ] = ACTIONS(466),
    [anon_sym_LT_EQ] = ACTIONS(466),
    [anon_sym_EQ_EQ] = ACTIONS(466),
    [anon_sym_BANG_EQ] = ACTIONS(466),
    [anon_sym_EQ] = ACTIONS(468),
    [anon_sym_PLUS_EQ] = ACTIONS(466),
    [anon_sym_DASH_EQ] = ACTIONS(466),
    [anon_sym_STAR_EQ] = ACTIONS(466),
    [anon_sym_SLASH_EQ] = ACTIONS(466),
    [anon_sym_DQUOTE] = ACTIONS(466),
    [sym__identifier] = ACTIONS(468),
    [anon_sym_linear] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(468),
    [anon_sym_ease] = ACTIONS(468),
    [anon_sym_ease_DASHin] = ACTIONS(468),
    [anon_sym_ease_DASHout] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(468),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(468),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(468),
    [anon_sym_cubic_DASHbezier] = ACTIONS(468),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(466),
    [anon_sym_ATlinear_gradient] = ACTIONS(466),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(466),
    [anon_sym_ATradial_gradient] = ACTIONS(466),
    [anon_sym_parent] = ACTIONS(468),
    [anon_sym_root] = ACTIONS(468),
    [anon_sym_self] = ACTIONS(468),
    [sym__int_number] = ACTIONS(468),
    [sym__float_number] = ACTIONS(466),
    [anon_sym_true] = ACTIONS(468),
    [anon_sym_false] = ACTIONS(468),
    [sym_color_value] = ACTIONS(466),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [anon_sym_LBRACE] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(482),
    [anon_sym_RBRACE] = ACTIONS(482),
    [anon_sym_SEMI] = ACTIONS(482),
    [anon_sym_LT] = ACTIONS(484),
    [anon_sym_GT] = ACTIONS(484),
    [anon_sym_return] = ACTIONS(484),
    [anon_sym_COLON] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(482),
    [anon_sym_if] = ACTIONS(484),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_RPAREN] = ACTIONS(482),
    [anon_sym_ATtr] = ACTIONS(482),
    [anon_sym_DOT] = ACTIONS(484),
    [sym_logical_and] = ACTIONS(482),
    [sym_logical_or] = ACTIONS(482),
    [anon_sym_QMARK] = ACTIONS(482),
    [anon_sym_ATimage_DASHurl] = ACTIONS(482),
    [anon_sym_BANG] = ACTIONS(484),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_PLUS] = ACTIONS(484),
    [anon_sym_STAR] = ACTIONS(484),
    [anon_sym_SLASH] = ACTIONS(484),
    [anon_sym_GT_EQ] = ACTIONS(482),
    [anon_sym_LT_EQ] = ACTIONS(482),
    [anon_sym_EQ_EQ] = ACTIONS(482),
    [anon_sym_BANG_EQ] = ACTIONS(482),
    [anon_sym_EQ] = ACTIONS(484),
    [anon_sym_PLUS_EQ] = ACTIONS(482),
    [anon_sym_DASH_EQ] = ACTIONS(482),
    [anon_sym_STAR_EQ] = ACTIONS(482),
    [anon_sym_SLASH_EQ] = ACTIONS(482),
    [anon_sym_DQUOTE] = ACTIONS(482),
    [sym__identifier] = ACTIONS(484),
    [anon_sym_linear] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(484),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(484),
    [anon_sym_ease] = ACTIONS(484),
    [anon_sym_ease_DASHin] = ACTIONS(484),
    [anon_sym_ease_DASHout] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(484),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(484),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(484),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(484),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(484),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(484),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(484),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(484),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(484),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(484),
    [anon_sym_cubic_DASHbezier] = ACTIONS(484),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(482),
    [anon_sym_ATlinear_gradient] = ACTIONS(482),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(482),
    [anon_sym_ATradial_gradient] = ACTIONS(482),
    [anon_sym_parent] = ACTIONS(484),
    [anon_sym_root] = ACTIONS(484),
    [anon_sym_self] = ACTIONS(484),
    [sym__int_number] = ACTIONS(484),
    [sym__float_number] = ACTIONS(482),
    [anon_sym_true] = ACTIONS(484),
    [anon_sym_false] = ACTIONS(484),
    [sym_color_value] = ACTIONS(482),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [anon_sym_LBRACE] = ACTIONS(486),
    [anon_sym_COMMA] = ACTIONS(486),
    [anon_sym_RBRACE] = ACTIONS(486),
    [anon_sym_SEMI] = ACTIONS(486),
    [anon_sym_LT] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(488),
    [anon_sym_return] = ACTIONS(488),
    [anon_sym_COLON] = ACTIONS(486),
    [anon_sym_LBRACK] = ACTIONS(486),
    [anon_sym_if] = ACTIONS(488),
    [anon_sym_LPAREN] = ACTIONS(486),
    [anon_sym_RPAREN] = ACTIONS(486),
    [anon_sym_ATtr] = ACTIONS(486),
    [anon_sym_DOT] = ACTIONS(488),
    [sym_logical_and] = ACTIONS(486),
    [sym_logical_or] = ACTIONS(486),
    [anon_sym_QMARK] = ACTIONS(486),
    [anon_sym_ATimage_DASHurl] = ACTIONS(486),
    [anon_sym_BANG] = ACTIONS(488),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_PLUS] = ACTIONS(488),
    [anon_sym_STAR] = ACTIONS(488),
    [anon_sym_SLASH] = ACTIONS(488),
    [anon_sym_GT_EQ] = ACTIONS(486),
    [anon_sym_LT_EQ] = ACTIONS(486),
    [anon_sym_EQ_EQ] = ACTIONS(486),
    [anon_sym_BANG_EQ] = ACTIONS(486),
    [anon_sym_EQ] = ACTIONS(488),
    [anon_sym_PLUS_EQ] = ACTIONS(486),
    [anon_sym_DASH_EQ] = ACTIONS(486),
    [anon_sym_STAR_EQ] = ACTIONS(486),
    [anon_sym_SLASH_EQ] = ACTIONS(486),
    [anon_sym_DQUOTE] = ACTIONS(486),
    [sym__identifier] = ACTIONS(488),
    [anon_sym_linear] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(488),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(488),
    [anon_sym_ease] = ACTIONS(488),
    [anon_sym_ease_DASHin] = ACTIONS(488),
    [anon_sym_ease_DASHout] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(488),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(488),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(488),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(488),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(488),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(488),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(488),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(488),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(488),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(488),
    [anon_sym_cubic_DASHbezier] = ACTIONS(488),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(486),
    [anon_sym_ATlinear_gradient] = ACTIONS(486),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(486),
    [anon_sym_ATradial_gradient] = ACTIONS(486),
    [anon_sym_parent] = ACTIONS(488),
    [anon_sym_root] = ACTIONS(488),
    [anon_sym_self] = ACTIONS(488),
    [sym__int_number] = ACTIONS(488),
    [sym__float_number] = ACTIONS(486),
    [anon_sym_true] = ACTIONS(488),
    [anon_sym_false] = ACTIONS(488),
    [sym_color_value] = ACTIONS(486),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [anon_sym_LBRACE] = ACTIONS(490),
    [anon_sym_COMMA] = ACTIONS(490),
    [anon_sym_RBRACE] = ACTIONS(490),
    [anon_sym_SEMI] = ACTIONS(490),
    [anon_sym_LT] = ACTIONS(492),
    [anon_sym_GT] = ACTIONS(492),
    [anon_sym_return] = ACTIONS(492),
    [anon_sym_COLON] = ACTIONS(490),
    [anon_sym_LBRACK] = ACTIONS(490),
    [anon_sym_if] = ACTIONS(492),
    [anon_sym_LPAREN] = ACTIONS(490),
    [anon_sym_RPAREN] = ACTIONS(490),
    [anon_sym_ATtr] = ACTIONS(490),
    [anon_sym_DOT] = ACTIONS(492),
    [sym_logical_and] = ACTIONS(490),
    [sym_logical_or] = ACTIONS(490),
    [anon_sym_QMARK] = ACTIONS(490),
    [anon_sym_ATimage_DASHurl] = ACTIONS(490),
    [anon_sym_BANG] = ACTIONS(492),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_PLUS] = ACTIONS(492),
    [anon_sym_STAR] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(492),
    [anon_sym_GT_EQ] = ACTIONS(490),
    [anon_sym_LT_EQ] = ACTIONS(490),
    [anon_sym_EQ_EQ] = ACTIONS(490),
    [anon_sym_BANG_EQ] = ACTIONS(490),
    [anon_sym_EQ] = ACTIONS(492),
    [anon_sym_PLUS_EQ] = ACTIONS(490),
    [anon_sym_DASH_EQ] = ACTIONS(490),
    [anon_sym_STAR_EQ] = ACTIONS(490),
    [anon_sym_SLASH_EQ] = ACTIONS(490),
    [anon_sym_DQUOTE] = ACTIONS(490),
    [sym__identifier] = ACTIONS(492),
    [anon_sym_linear] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(492),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(492),
    [anon_sym_ease] = ACTIONS(492),
    [anon_sym_ease_DASHin] = ACTIONS(492),
    [anon_sym_ease_DASHout] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(492),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(492),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(492),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(492),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(492),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(492),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(492),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(492),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(492),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(492),
    [anon_sym_cubic_DASHbezier] = ACTIONS(492),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(490),
    [anon_sym_ATlinear_gradient] = ACTIONS(490),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(490),
    [anon_sym_ATradial_gradient] = ACTIONS(490),
    [anon_sym_parent] = ACTIONS(492),
    [anon_sym_root] = ACTIONS(492),
    [anon_sym_self] = ACTIONS(492),
    [sym__int_number] = ACTIONS(492),
    [sym__float_number] = ACTIONS(490),
    [anon_sym_true] = ACTIONS(492),
    [anon_sym_false] = ACTIONS(492),
    [sym_color_value] = ACTIONS(490),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [anon_sym_LBRACE] = ACTIONS(494),
    [anon_sym_COMMA] = ACTIONS(494),
    [anon_sym_RBRACE] = ACTIONS(494),
    [anon_sym_SEMI] = ACTIONS(494),
    [anon_sym_LT] = ACTIONS(496),
    [anon_sym_GT] = ACTIONS(496),
    [anon_sym_return] = ACTIONS(496),
    [anon_sym_COLON] = ACTIONS(494),
    [anon_sym_LBRACK] = ACTIONS(494),
    [anon_sym_if] = ACTIONS(496),
    [anon_sym_LPAREN] = ACTIONS(494),
    [anon_sym_RPAREN] = ACTIONS(494),
    [anon_sym_ATtr] = ACTIONS(494),
    [anon_sym_DOT] = ACTIONS(496),
    [sym_logical_and] = ACTIONS(494),
    [sym_logical_or] = ACTIONS(494),
    [anon_sym_QMARK] = ACTIONS(494),
    [anon_sym_ATimage_DASHurl] = ACTIONS(494),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_STAR] = ACTIONS(496),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_GT_EQ] = ACTIONS(494),
    [anon_sym_LT_EQ] = ACTIONS(494),
    [anon_sym_EQ_EQ] = ACTIONS(494),
    [anon_sym_BANG_EQ] = ACTIONS(494),
    [anon_sym_EQ] = ACTIONS(496),
    [anon_sym_PLUS_EQ] = ACTIONS(494),
    [anon_sym_DASH_EQ] = ACTIONS(494),
    [anon_sym_STAR_EQ] = ACTIONS(494),
    [anon_sym_SLASH_EQ] = ACTIONS(494),
    [anon_sym_DQUOTE] = ACTIONS(494),
    [sym__identifier] = ACTIONS(496),
    [anon_sym_linear] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(496),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(496),
    [anon_sym_ease] = ACTIONS(496),
    [anon_sym_ease_DASHin] = ACTIONS(496),
    [anon_sym_ease_DASHout] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(496),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(496),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(496),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(496),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(496),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(496),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(496),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(496),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(496),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(496),
    [anon_sym_cubic_DASHbezier] = ACTIONS(496),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(494),
    [anon_sym_ATlinear_gradient] = ACTIONS(494),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(494),
    [anon_sym_ATradial_gradient] = ACTIONS(494),
    [anon_sym_parent] = ACTIONS(496),
    [anon_sym_root] = ACTIONS(496),
    [anon_sym_self] = ACTIONS(496),
    [sym__int_number] = ACTIONS(496),
    [sym__float_number] = ACTIONS(494),
    [anon_sym_true] = ACTIONS(496),
    [anon_sym_false] = ACTIONS(496),
    [sym_color_value] = ACTIONS(494),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [anon_sym_LBRACE] = ACTIONS(498),
    [anon_sym_COMMA] = ACTIONS(498),
    [anon_sym_RBRACE] = ACTIONS(498),
    [anon_sym_SEMI] = ACTIONS(498),
    [anon_sym_LT] = ACTIONS(500),
    [anon_sym_GT] = ACTIONS(500),
    [anon_sym_return] = ACTIONS(500),
    [anon_sym_COLON] = ACTIONS(498),
    [anon_sym_LBRACK] = ACTIONS(498),
    [anon_sym_if] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(498),
    [anon_sym_RPAREN] = ACTIONS(498),
    [anon_sym_ATtr] = ACTIONS(498),
    [anon_sym_DOT] = ACTIONS(500),
    [sym_logical_and] = ACTIONS(498),
    [sym_logical_or] = ACTIONS(498),
    [anon_sym_QMARK] = ACTIONS(498),
    [anon_sym_ATimage_DASHurl] = ACTIONS(498),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_DASH] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(500),
    [anon_sym_STAR] = ACTIONS(500),
    [anon_sym_SLASH] = ACTIONS(500),
    [anon_sym_GT_EQ] = ACTIONS(498),
    [anon_sym_LT_EQ] = ACTIONS(498),
    [anon_sym_EQ_EQ] = ACTIONS(498),
    [anon_sym_BANG_EQ] = ACTIONS(498),
    [anon_sym_EQ] = ACTIONS(500),
    [anon_sym_PLUS_EQ] = ACTIONS(498),
    [anon_sym_DASH_EQ] = ACTIONS(498),
    [anon_sym_STAR_EQ] = ACTIONS(498),
    [anon_sym_SLASH_EQ] = ACTIONS(498),
    [anon_sym_DQUOTE] = ACTIONS(498),
    [sym__identifier] = ACTIONS(500),
    [anon_sym_linear] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(500),
    [anon_sym_ease] = ACTIONS(500),
    [anon_sym_ease_DASHin] = ACTIONS(500),
    [anon_sym_ease_DASHout] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(500),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(500),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(500),
    [anon_sym_cubic_DASHbezier] = ACTIONS(500),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(498),
    [anon_sym_ATlinear_gradient] = ACTIONS(498),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(498),
    [anon_sym_ATradial_gradient] = ACTIONS(498),
    [anon_sym_parent] = ACTIONS(500),
    [anon_sym_root] = ACTIONS(500),
    [anon_sym_self] = ACTIONS(500),
    [sym__int_number] = ACTIONS(500),
    [sym__float_number] = ACTIONS(498),
    [anon_sym_true] = ACTIONS(500),
    [anon_sym_false] = ACTIONS(500),
    [sym_color_value] = ACTIONS(498),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [anon_sym_LBRACE] = ACTIONS(502),
    [anon_sym_COMMA] = ACTIONS(502),
    [anon_sym_RBRACE] = ACTIONS(502),
    [anon_sym_SEMI] = ACTIONS(502),
    [anon_sym_LT] = ACTIONS(504),
    [anon_sym_GT] = ACTIONS(504),
    [anon_sym_return] = ACTIONS(504),
    [anon_sym_COLON] = ACTIONS(502),
    [anon_sym_LBRACK] = ACTIONS(502),
    [anon_sym_if] = ACTIONS(504),
    [anon_sym_LPAREN] = ACTIONS(502),
    [anon_sym_RPAREN] = ACTIONS(502),
    [anon_sym_ATtr] = ACTIONS(502),
    [anon_sym_DOT] = ACTIONS(504),
    [sym_logical_and] = ACTIONS(502),
    [sym_logical_or] = ACTIONS(502),
    [anon_sym_QMARK] = ACTIONS(502),
    [anon_sym_ATimage_DASHurl] = ACTIONS(502),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_DASH] = ACTIONS(504),
    [anon_sym_PLUS] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(504),
    [anon_sym_SLASH] = ACTIONS(504),
    [anon_sym_GT_EQ] = ACTIONS(502),
    [anon_sym_LT_EQ] = ACTIONS(502),
    [anon_sym_EQ_EQ] = ACTIONS(502),
    [anon_sym_BANG_EQ] = ACTIONS(502),
    [anon_sym_EQ] = ACTIONS(504),
    [anon_sym_PLUS_EQ] = ACTIONS(502),
    [anon_sym_DASH_EQ] = ACTIONS(502),
    [anon_sym_STAR_EQ] = ACTIONS(502),
    [anon_sym_SLASH_EQ] = ACTIONS(502),
    [anon_sym_DQUOTE] = ACTIONS(502),
    [sym__identifier] = ACTIONS(504),
    [anon_sym_linear] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(504),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(504),
    [anon_sym_ease] = ACTIONS(504),
    [anon_sym_ease_DASHin] = ACTIONS(504),
    [anon_sym_ease_DASHout] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(504),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(504),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(504),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(504),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(504),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(504),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(504),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(504),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(504),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(504),
    [anon_sym_cubic_DASHbezier] = ACTIONS(504),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(502),
    [anon_sym_ATlinear_gradient] = ACTIONS(502),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(502),
    [anon_sym_ATradial_gradient] = ACTIONS(502),
    [anon_sym_parent] = ACTIONS(504),
    [anon_sym_root] = ACTIONS(504),
    [anon_sym_self] = ACTIONS(504),
    [sym__int_number] = ACTIONS(504),
    [sym__float_number] = ACTIONS(502),
    [anon_sym_true] = ACTIONS(504),
    [anon_sym_false] = ACTIONS(504),
    [sym_color_value] = ACTIONS(502),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [anon_sym_LBRACE] = ACTIONS(506),
    [anon_sym_COMMA] = ACTIONS(506),
    [anon_sym_RBRACE] = ACTIONS(506),
    [anon_sym_SEMI] = ACTIONS(506),
    [anon_sym_LT] = ACTIONS(508),
    [anon_sym_GT] = ACTIONS(508),
    [anon_sym_return] = ACTIONS(508),
    [anon_sym_COLON] = ACTIONS(506),
    [anon_sym_LBRACK] = ACTIONS(506),
    [anon_sym_if] = ACTIONS(508),
    [anon_sym_LPAREN] = ACTIONS(506),
    [anon_sym_RPAREN] = ACTIONS(506),
    [anon_sym_ATtr] = ACTIONS(506),
    [anon_sym_DOT] = ACTIONS(508),
    [sym_logical_and] = ACTIONS(506),
    [sym_logical_or] = ACTIONS(506),
    [anon_sym_QMARK] = ACTIONS(506),
    [anon_sym_ATimage_DASHurl] = ACTIONS(506),
    [anon_sym_BANG] = ACTIONS(508),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_PLUS] = ACTIONS(508),
    [anon_sym_STAR] = ACTIONS(508),
    [anon_sym_SLASH] = ACTIONS(508),
    [anon_sym_GT_EQ] = ACTIONS(506),
    [anon_sym_LT_EQ] = ACTIONS(506),
    [anon_sym_EQ_EQ] = ACTIONS(506),
    [anon_sym_BANG_EQ] = ACTIONS(506),
    [anon_sym_EQ] = ACTIONS(508),
    [anon_sym_PLUS_EQ] = ACTIONS(506),
    [anon_sym_DASH_EQ] = ACTIONS(506),
    [anon_sym_STAR_EQ] = ACTIONS(506),
    [anon_sym_SLASH_EQ] = ACTIONS(506),
    [anon_sym_DQUOTE] = ACTIONS(506),
    [sym__identifier] = ACTIONS(508),
    [anon_sym_linear] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(508),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(508),
    [anon_sym_ease] = ACTIONS(508),
    [anon_sym_ease_DASHin] = ACTIONS(508),
    [anon_sym_ease_DASHout] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(508),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(508),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(508),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(508),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(508),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(508),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(508),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(508),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(508),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(508),
    [anon_sym_cubic_DASHbezier] = ACTIONS(508),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(506),
    [anon_sym_ATlinear_gradient] = ACTIONS(506),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(506),
    [anon_sym_ATradial_gradient] = ACTIONS(506),
    [anon_sym_parent] = ACTIONS(508),
    [anon_sym_root] = ACTIONS(508),
    [anon_sym_self] = ACTIONS(508),
    [sym__int_number] = ACTIONS(508),
    [sym__float_number] = ACTIONS(506),
    [anon_sym_true] = ACTIONS(508),
    [anon_sym_false] = ACTIONS(508),
    [sym_color_value] = ACTIONS(506),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [anon_sym_LBRACE] = ACTIONS(510),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_RBRACE] = ACTIONS(510),
    [anon_sym_SEMI] = ACTIONS(510),
    [anon_sym_LT] = ACTIONS(512),
    [anon_sym_GT] = ACTIONS(512),
    [anon_sym_return] = ACTIONS(512),
    [anon_sym_COLON] = ACTIONS(510),
    [anon_sym_LBRACK] = ACTIONS(510),
    [anon_sym_if] = ACTIONS(512),
    [anon_sym_LPAREN] = ACTIONS(510),
    [anon_sym_RPAREN] = ACTIONS(510),
    [anon_sym_ATtr] = ACTIONS(510),
    [anon_sym_DOT] = ACTIONS(512),
    [sym_logical_and] = ACTIONS(510),
    [sym_logical_or] = ACTIONS(510),
    [anon_sym_QMARK] = ACTIONS(510),
    [anon_sym_ATimage_DASHurl] = ACTIONS(510),
    [anon_sym_BANG] = ACTIONS(512),
    [anon_sym_DASH] = ACTIONS(512),
    [anon_sym_PLUS] = ACTIONS(512),
    [anon_sym_STAR] = ACTIONS(512),
    [anon_sym_SLASH] = ACTIONS(512),
    [anon_sym_GT_EQ] = ACTIONS(510),
    [anon_sym_LT_EQ] = ACTIONS(510),
    [anon_sym_EQ_EQ] = ACTIONS(510),
    [anon_sym_BANG_EQ] = ACTIONS(510),
    [anon_sym_EQ] = ACTIONS(512),
    [anon_sym_PLUS_EQ] = ACTIONS(510),
    [anon_sym_DASH_EQ] = ACTIONS(510),
    [anon_sym_STAR_EQ] = ACTIONS(510),
    [anon_sym_SLASH_EQ] = ACTIONS(510),
    [anon_sym_DQUOTE] = ACTIONS(510),
    [sym__identifier] = ACTIONS(512),
    [anon_sym_linear] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(512),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(512),
    [anon_sym_ease] = ACTIONS(512),
    [anon_sym_ease_DASHin] = ACTIONS(512),
    [anon_sym_ease_DASHout] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(512),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(512),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(512),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(512),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(512),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(512),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(512),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(512),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(512),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(512),
    [anon_sym_cubic_DASHbezier] = ACTIONS(512),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(510),
    [anon_sym_ATlinear_gradient] = ACTIONS(510),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(510),
    [anon_sym_ATradial_gradient] = ACTIONS(510),
    [anon_sym_parent] = ACTIONS(512),
    [anon_sym_root] = ACTIONS(512),
    [anon_sym_self] = ACTIONS(512),
    [sym__int_number] = ACTIONS(512),
    [sym__float_number] = ACTIONS(510),
    [anon_sym_true] = ACTIONS(512),
    [anon_sym_false] = ACTIONS(512),
    [sym_color_value] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [anon_sym_LBRACE] = ACTIONS(514),
    [anon_sym_COMMA] = ACTIONS(514),
    [anon_sym_RBRACE] = ACTIONS(514),
    [anon_sym_SEMI] = ACTIONS(514),
    [anon_sym_LT] = ACTIONS(516),
    [anon_sym_GT] = ACTIONS(516),
    [anon_sym_return] = ACTIONS(516),
    [anon_sym_COLON] = ACTIONS(514),
    [anon_sym_LBRACK] = ACTIONS(514),
    [anon_sym_if] = ACTIONS(516),
    [anon_sym_LPAREN] = ACTIONS(514),
    [anon_sym_RPAREN] = ACTIONS(514),
    [anon_sym_ATtr] = ACTIONS(514),
    [anon_sym_DOT] = ACTIONS(516),
    [sym_logical_and] = ACTIONS(514),
    [sym_logical_or] = ACTIONS(514),
    [anon_sym_QMARK] = ACTIONS(514),
    [anon_sym_ATimage_DASHurl] = ACTIONS(514),
    [anon_sym_BANG] = ACTIONS(516),
    [anon_sym_DASH] = ACTIONS(516),
    [anon_sym_PLUS] = ACTIONS(516),
    [anon_sym_STAR] = ACTIONS(516),
    [anon_sym_SLASH] = ACTIONS(516),
    [anon_sym_GT_EQ] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(514),
    [anon_sym_EQ_EQ] = ACTIONS(514),
    [anon_sym_BANG_EQ] = ACTIONS(514),
    [anon_sym_EQ] = ACTIONS(516),
    [anon_sym_PLUS_EQ] = ACTIONS(514),
    [anon_sym_DASH_EQ] = ACTIONS(514),
    [anon_sym_STAR_EQ] = ACTIONS(514),
    [anon_sym_SLASH_EQ] = ACTIONS(514),
    [anon_sym_DQUOTE] = ACTIONS(514),
    [sym__identifier] = ACTIONS(516),
    [anon_sym_linear] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(516),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(516),
    [anon_sym_ease] = ACTIONS(516),
    [anon_sym_ease_DASHin] = ACTIONS(516),
    [anon_sym_ease_DASHout] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(516),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(516),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(516),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(516),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(516),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(516),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(516),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(516),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(516),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(516),
    [anon_sym_cubic_DASHbezier] = ACTIONS(516),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(514),
    [anon_sym_ATlinear_gradient] = ACTIONS(514),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(514),
    [anon_sym_ATradial_gradient] = ACTIONS(514),
    [anon_sym_parent] = ACTIONS(516),
    [anon_sym_root] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(516),
    [sym__int_number] = ACTIONS(516),
    [sym__float_number] = ACTIONS(514),
    [anon_sym_true] = ACTIONS(516),
    [anon_sym_false] = ACTIONS(516),
    [sym_color_value] = ACTIONS(514),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_COMMA] = ACTIONS(416),
    [anon_sym_RBRACE] = ACTIONS(416),
    [anon_sym_SEMI] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(418),
    [anon_sym_GT] = ACTIONS(418),
    [anon_sym_return] = ACTIONS(418),
    [anon_sym_COLON] = ACTIONS(416),
    [anon_sym_LBRACK] = ACTIONS(416),
    [anon_sym_if] = ACTIONS(418),
    [anon_sym_LPAREN] = ACTIONS(416),
    [anon_sym_RPAREN] = ACTIONS(416),
    [anon_sym_ATtr] = ACTIONS(416),
    [anon_sym_DOT] = ACTIONS(418),
    [sym_logical_and] = ACTIONS(416),
    [sym_logical_or] = ACTIONS(416),
    [anon_sym_QMARK] = ACTIONS(416),
    [anon_sym_ATimage_DASHurl] = ACTIONS(416),
    [anon_sym_BANG] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_STAR] = ACTIONS(418),
    [anon_sym_SLASH] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(416),
    [anon_sym_LT_EQ] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(416),
    [anon_sym_BANG_EQ] = ACTIONS(416),
    [anon_sym_EQ] = ACTIONS(418),
    [anon_sym_PLUS_EQ] = ACTIONS(416),
    [anon_sym_DASH_EQ] = ACTIONS(416),
    [anon_sym_STAR_EQ] = ACTIONS(416),
    [anon_sym_SLASH_EQ] = ACTIONS(416),
    [anon_sym_DQUOTE] = ACTIONS(416),
    [sym__identifier] = ACTIONS(418),
    [anon_sym_linear] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(418),
    [anon_sym_ease] = ACTIONS(418),
    [anon_sym_ease_DASHin] = ACTIONS(418),
    [anon_sym_ease_DASHout] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(418),
    [anon_sym_cubic_DASHbezier] = ACTIONS(418),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(416),
    [anon_sym_ATlinear_gradient] = ACTIONS(416),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(416),
    [anon_sym_ATradial_gradient] = ACTIONS(416),
    [anon_sym_parent] = ACTIONS(418),
    [anon_sym_root] = ACTIONS(418),
    [anon_sym_self] = ACTIONS(418),
    [sym__int_number] = ACTIONS(418),
    [sym__float_number] = ACTIONS(416),
    [anon_sym_true] = ACTIONS(418),
    [anon_sym_false] = ACTIONS(418),
    [sym_color_value] = ACTIONS(416),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [anon_sym_LBRACE] = ACTIONS(518),
    [anon_sym_COMMA] = ACTIONS(518),
    [anon_sym_RBRACE] = ACTIONS(518),
    [anon_sym_SEMI] = ACTIONS(518),
    [anon_sym_LT] = ACTIONS(520),
    [anon_sym_GT] = ACTIONS(520),
    [anon_sym_return] = ACTIONS(520),
    [anon_sym_COLON] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(518),
    [anon_sym_if] = ACTIONS(520),
    [anon_sym_LPAREN] = ACTIONS(518),
    [anon_sym_RPAREN] = ACTIONS(518),
    [anon_sym_ATtr] = ACTIONS(518),
    [anon_sym_DOT] = ACTIONS(520),
    [sym_logical_and] = ACTIONS(518),
    [sym_logical_or] = ACTIONS(518),
    [anon_sym_QMARK] = ACTIONS(518),
    [anon_sym_ATimage_DASHurl] = ACTIONS(518),
    [anon_sym_BANG] = ACTIONS(520),
    [anon_sym_DASH] = ACTIONS(520),
    [anon_sym_PLUS] = ACTIONS(520),
    [anon_sym_STAR] = ACTIONS(520),
    [anon_sym_SLASH] = ACTIONS(520),
    [anon_sym_GT_EQ] = ACTIONS(518),
    [anon_sym_LT_EQ] = ACTIONS(518),
    [anon_sym_EQ_EQ] = ACTIONS(518),
    [anon_sym_BANG_EQ] = ACTIONS(518),
    [anon_sym_EQ] = ACTIONS(520),
    [anon_sym_PLUS_EQ] = ACTIONS(518),
    [anon_sym_DASH_EQ] = ACTIONS(518),
    [anon_sym_STAR_EQ] = ACTIONS(518),
    [anon_sym_SLASH_EQ] = ACTIONS(518),
    [anon_sym_DQUOTE] = ACTIONS(518),
    [sym__identifier] = ACTIONS(520),
    [anon_sym_linear] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(520),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(520),
    [anon_sym_ease] = ACTIONS(520),
    [anon_sym_ease_DASHin] = ACTIONS(520),
    [anon_sym_ease_DASHout] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(520),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(520),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(520),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(520),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(520),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(520),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(520),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(520),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(520),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(520),
    [anon_sym_cubic_DASHbezier] = ACTIONS(520),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(518),
    [anon_sym_ATlinear_gradient] = ACTIONS(518),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(518),
    [anon_sym_ATradial_gradient] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(520),
    [anon_sym_root] = ACTIONS(520),
    [anon_sym_self] = ACTIONS(520),
    [sym__int_number] = ACTIONS(520),
    [sym__float_number] = ACTIONS(518),
    [anon_sym_true] = ACTIONS(520),
    [anon_sym_false] = ACTIONS(520),
    [sym_color_value] = ACTIONS(518),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [anon_sym_LBRACE] = ACTIONS(522),
    [anon_sym_COMMA] = ACTIONS(522),
    [anon_sym_RBRACE] = ACTIONS(522),
    [anon_sym_SEMI] = ACTIONS(522),
    [anon_sym_LT] = ACTIONS(524),
    [anon_sym_GT] = ACTIONS(524),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_COLON] = ACTIONS(522),
    [anon_sym_LBRACK] = ACTIONS(522),
    [anon_sym_if] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(522),
    [anon_sym_RPAREN] = ACTIONS(522),
    [anon_sym_ATtr] = ACTIONS(522),
    [anon_sym_DOT] = ACTIONS(524),
    [sym_logical_and] = ACTIONS(522),
    [sym_logical_or] = ACTIONS(522),
    [anon_sym_QMARK] = ACTIONS(522),
    [anon_sym_ATimage_DASHurl] = ACTIONS(522),
    [anon_sym_BANG] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_STAR] = ACTIONS(524),
    [anon_sym_SLASH] = ACTIONS(524),
    [anon_sym_GT_EQ] = ACTIONS(522),
    [anon_sym_LT_EQ] = ACTIONS(522),
    [anon_sym_EQ_EQ] = ACTIONS(522),
    [anon_sym_BANG_EQ] = ACTIONS(522),
    [anon_sym_EQ] = ACTIONS(524),
    [anon_sym_PLUS_EQ] = ACTIONS(522),
    [anon_sym_DASH_EQ] = ACTIONS(522),
    [anon_sym_STAR_EQ] = ACTIONS(522),
    [anon_sym_SLASH_EQ] = ACTIONS(522),
    [anon_sym_DQUOTE] = ACTIONS(522),
    [sym__identifier] = ACTIONS(524),
    [anon_sym_linear] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(524),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(524),
    [anon_sym_ease] = ACTIONS(524),
    [anon_sym_ease_DASHin] = ACTIONS(524),
    [anon_sym_ease_DASHout] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(524),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(524),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(524),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(524),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(524),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(524),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(524),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(524),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(524),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(524),
    [anon_sym_cubic_DASHbezier] = ACTIONS(524),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(522),
    [anon_sym_ATlinear_gradient] = ACTIONS(522),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(522),
    [anon_sym_ATradial_gradient] = ACTIONS(522),
    [anon_sym_parent] = ACTIONS(524),
    [anon_sym_root] = ACTIONS(524),
    [anon_sym_self] = ACTIONS(524),
    [sym__int_number] = ACTIONS(524),
    [sym__float_number] = ACTIONS(522),
    [anon_sym_true] = ACTIONS(524),
    [anon_sym_false] = ACTIONS(524),
    [sym_color_value] = ACTIONS(522),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [anon_sym_LBRACE] = ACTIONS(526),
    [anon_sym_COMMA] = ACTIONS(526),
    [anon_sym_RBRACE] = ACTIONS(526),
    [anon_sym_SEMI] = ACTIONS(526),
    [anon_sym_LT] = ACTIONS(528),
    [anon_sym_GT] = ACTIONS(528),
    [anon_sym_return] = ACTIONS(528),
    [anon_sym_COLON] = ACTIONS(526),
    [anon_sym_LBRACK] = ACTIONS(526),
    [anon_sym_if] = ACTIONS(528),
    [anon_sym_LPAREN] = ACTIONS(526),
    [anon_sym_RPAREN] = ACTIONS(526),
    [anon_sym_ATtr] = ACTIONS(526),
    [anon_sym_DOT] = ACTIONS(528),
    [sym_logical_and] = ACTIONS(526),
    [sym_logical_or] = ACTIONS(526),
    [anon_sym_QMARK] = ACTIONS(526),
    [anon_sym_ATimage_DASHurl] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_DASH] = ACTIONS(528),
    [anon_sym_PLUS] = ACTIONS(528),
    [anon_sym_STAR] = ACTIONS(528),
    [anon_sym_SLASH] = ACTIONS(528),
    [anon_sym_GT_EQ] = ACTIONS(526),
    [anon_sym_LT_EQ] = ACTIONS(526),
    [anon_sym_EQ_EQ] = ACTIONS(526),
    [anon_sym_BANG_EQ] = ACTIONS(526),
    [anon_sym_EQ] = ACTIONS(528),
    [anon_sym_PLUS_EQ] = ACTIONS(526),
    [anon_sym_DASH_EQ] = ACTIONS(526),
    [anon_sym_STAR_EQ] = ACTIONS(526),
    [anon_sym_SLASH_EQ] = ACTIONS(526),
    [anon_sym_DQUOTE] = ACTIONS(526),
    [sym__identifier] = ACTIONS(528),
    [anon_sym_linear] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(528),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(528),
    [anon_sym_ease] = ACTIONS(528),
    [anon_sym_ease_DASHin] = ACTIONS(528),
    [anon_sym_ease_DASHout] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(528),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(528),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(528),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(528),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(528),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(528),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(528),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(528),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(528),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(528),
    [anon_sym_cubic_DASHbezier] = ACTIONS(528),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(526),
    [anon_sym_ATlinear_gradient] = ACTIONS(526),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(526),
    [anon_sym_ATradial_gradient] = ACTIONS(526),
    [anon_sym_parent] = ACTIONS(528),
    [anon_sym_root] = ACTIONS(528),
    [anon_sym_self] = ACTIONS(528),
    [sym__int_number] = ACTIONS(528),
    [sym__float_number] = ACTIONS(526),
    [anon_sym_true] = ACTIONS(528),
    [anon_sym_false] = ACTIONS(528),
    [sym_color_value] = ACTIONS(526),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [anon_sym_LBRACE] = ACTIONS(530),
    [anon_sym_COMMA] = ACTIONS(530),
    [anon_sym_RBRACE] = ACTIONS(530),
    [anon_sym_SEMI] = ACTIONS(530),
    [anon_sym_LT] = ACTIONS(532),
    [anon_sym_GT] = ACTIONS(532),
    [anon_sym_return] = ACTIONS(532),
    [anon_sym_COLON] = ACTIONS(530),
    [anon_sym_LBRACK] = ACTIONS(530),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(530),
    [anon_sym_RPAREN] = ACTIONS(530),
    [anon_sym_ATtr] = ACTIONS(530),
    [anon_sym_DOT] = ACTIONS(532),
    [sym_logical_and] = ACTIONS(530),
    [sym_logical_or] = ACTIONS(530),
    [anon_sym_QMARK] = ACTIONS(530),
    [anon_sym_ATimage_DASHurl] = ACTIONS(530),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_DASH] = ACTIONS(532),
    [anon_sym_PLUS] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(532),
    [anon_sym_SLASH] = ACTIONS(532),
    [anon_sym_GT_EQ] = ACTIONS(530),
    [anon_sym_LT_EQ] = ACTIONS(530),
    [anon_sym_EQ_EQ] = ACTIONS(530),
    [anon_sym_BANG_EQ] = ACTIONS(530),
    [anon_sym_EQ] = ACTIONS(532),
    [anon_sym_PLUS_EQ] = ACTIONS(530),
    [anon_sym_DASH_EQ] = ACTIONS(530),
    [anon_sym_STAR_EQ] = ACTIONS(530),
    [anon_sym_SLASH_EQ] = ACTIONS(530),
    [anon_sym_DQUOTE] = ACTIONS(530),
    [sym__identifier] = ACTIONS(532),
    [anon_sym_linear] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(532),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(532),
    [anon_sym_ease] = ACTIONS(532),
    [anon_sym_ease_DASHin] = ACTIONS(532),
    [anon_sym_ease_DASHout] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(532),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(532),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(532),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(532),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(532),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(532),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(532),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(532),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(532),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(532),
    [anon_sym_cubic_DASHbezier] = ACTIONS(532),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(530),
    [anon_sym_ATlinear_gradient] = ACTIONS(530),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(530),
    [anon_sym_ATradial_gradient] = ACTIONS(530),
    [anon_sym_parent] = ACTIONS(532),
    [anon_sym_root] = ACTIONS(532),
    [anon_sym_self] = ACTIONS(532),
    [sym__int_number] = ACTIONS(532),
    [sym__float_number] = ACTIONS(530),
    [anon_sym_true] = ACTIONS(532),
    [anon_sym_false] = ACTIONS(532),
    [sym_color_value] = ACTIONS(530),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_arguments] = STATE(163),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_RBRACE] = ACTIONS(416),
    [anon_sym_SEMI] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(418),
    [anon_sym_GT] = ACTIONS(418),
    [anon_sym_return] = ACTIONS(418),
    [anon_sym_COLON] = ACTIONS(534),
    [anon_sym_LBRACK] = ACTIONS(416),
    [anon_sym_if] = ACTIONS(418),
    [anon_sym_LPAREN] = ACTIONS(420),
    [anon_sym_ATtr] = ACTIONS(416),
    [anon_sym_EQ_GT] = ACTIONS(536),
    [anon_sym_DOT] = ACTIONS(418),
    [sym_logical_and] = ACTIONS(416),
    [sym_logical_or] = ACTIONS(416),
    [anon_sym_QMARK] = ACTIONS(416),
    [anon_sym_ATimage_DASHurl] = ACTIONS(416),
    [anon_sym_BANG] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_STAR] = ACTIONS(418),
    [anon_sym_SLASH] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(416),
    [anon_sym_LT_EQ] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(416),
    [anon_sym_BANG_EQ] = ACTIONS(416),
    [anon_sym_EQ] = ACTIONS(418),
    [anon_sym_PLUS_EQ] = ACTIONS(416),
    [anon_sym_DASH_EQ] = ACTIONS(416),
    [anon_sym_STAR_EQ] = ACTIONS(416),
    [anon_sym_SLASH_EQ] = ACTIONS(416),
    [anon_sym_DQUOTE] = ACTIONS(416),
    [sym__identifier] = ACTIONS(418),
    [anon_sym_linear] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(418),
    [anon_sym_ease] = ACTIONS(418),
    [anon_sym_ease_DASHin] = ACTIONS(418),
    [anon_sym_ease_DASHout] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(418),
    [anon_sym_cubic_DASHbezier] = ACTIONS(418),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(416),
    [anon_sym_ATlinear_gradient] = ACTIONS(416),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(416),
    [anon_sym_ATradial_gradient] = ACTIONS(416),
    [anon_sym_parent] = ACTIONS(418),
    [anon_sym_root] = ACTIONS(418),
    [anon_sym_self] = ACTIONS(418),
    [sym__int_number] = ACTIONS(418),
    [sym__float_number] = ACTIONS(416),
    [anon_sym_true] = ACTIONS(418),
    [anon_sym_false] = ACTIONS(418),
    [sym_color_value] = ACTIONS(416),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [anon_sym_LBRACE] = ACTIONS(538),
    [anon_sym_COMMA] = ACTIONS(538),
    [anon_sym_RBRACE] = ACTIONS(538),
    [anon_sym_SEMI] = ACTIONS(538),
    [anon_sym_LT] = ACTIONS(540),
    [anon_sym_GT] = ACTIONS(540),
    [anon_sym_return] = ACTIONS(540),
    [anon_sym_COLON] = ACTIONS(538),
    [anon_sym_LBRACK] = ACTIONS(538),
    [anon_sym_if] = ACTIONS(540),
    [anon_sym_LPAREN] = ACTIONS(538),
    [anon_sym_RPAREN] = ACTIONS(538),
    [anon_sym_ATtr] = ACTIONS(538),
    [anon_sym_DOT] = ACTIONS(540),
    [sym_logical_and] = ACTIONS(538),
    [sym_logical_or] = ACTIONS(538),
    [anon_sym_QMARK] = ACTIONS(538),
    [anon_sym_ATimage_DASHurl] = ACTIONS(538),
    [anon_sym_BANG] = ACTIONS(540),
    [anon_sym_DASH] = ACTIONS(540),
    [anon_sym_PLUS] = ACTIONS(540),
    [anon_sym_STAR] = ACTIONS(540),
    [anon_sym_SLASH] = ACTIONS(540),
    [anon_sym_GT_EQ] = ACTIONS(538),
    [anon_sym_LT_EQ] = ACTIONS(538),
    [anon_sym_EQ_EQ] = ACTIONS(538),
    [anon_sym_BANG_EQ] = ACTIONS(538),
    [anon_sym_EQ] = ACTIONS(540),
    [anon_sym_PLUS_EQ] = ACTIONS(538),
    [anon_sym_DASH_EQ] = ACTIONS(538),
    [anon_sym_STAR_EQ] = ACTIONS(538),
    [anon_sym_SLASH_EQ] = ACTIONS(538),
    [anon_sym_DQUOTE] = ACTIONS(538),
    [sym__identifier] = ACTIONS(540),
    [anon_sym_linear] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(540),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(540),
    [anon_sym_ease] = ACTIONS(540),
    [anon_sym_ease_DASHin] = ACTIONS(540),
    [anon_sym_ease_DASHout] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(540),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(540),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(540),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(540),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(540),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(540),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(540),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(540),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(540),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(540),
    [anon_sym_cubic_DASHbezier] = ACTIONS(540),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(538),
    [anon_sym_ATlinear_gradient] = ACTIONS(538),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(538),
    [anon_sym_ATradial_gradient] = ACTIONS(538),
    [anon_sym_parent] = ACTIONS(540),
    [anon_sym_root] = ACTIONS(540),
    [anon_sym_self] = ACTIONS(540),
    [sym__int_number] = ACTIONS(540),
    [sym__float_number] = ACTIONS(538),
    [anon_sym_true] = ACTIONS(540),
    [anon_sym_false] = ACTIONS(540),
    [sym_color_value] = ACTIONS(538),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [anon_sym_LBRACE] = ACTIONS(542),
    [anon_sym_COMMA] = ACTIONS(542),
    [anon_sym_RBRACE] = ACTIONS(542),
    [anon_sym_SEMI] = ACTIONS(542),
    [anon_sym_LT] = ACTIONS(544),
    [anon_sym_GT] = ACTIONS(544),
    [anon_sym_return] = ACTIONS(544),
    [anon_sym_COLON] = ACTIONS(542),
    [anon_sym_LBRACK] = ACTIONS(542),
    [anon_sym_if] = ACTIONS(544),
    [anon_sym_LPAREN] = ACTIONS(542),
    [anon_sym_RPAREN] = ACTIONS(542),
    [anon_sym_ATtr] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(544),
    [sym_logical_and] = ACTIONS(542),
    [sym_logical_or] = ACTIONS(542),
    [anon_sym_QMARK] = ACTIONS(542),
    [anon_sym_ATimage_DASHurl] = ACTIONS(542),
    [anon_sym_BANG] = ACTIONS(544),
    [anon_sym_DASH] = ACTIONS(544),
    [anon_sym_PLUS] = ACTIONS(544),
    [anon_sym_STAR] = ACTIONS(544),
    [anon_sym_SLASH] = ACTIONS(544),
    [anon_sym_GT_EQ] = ACTIONS(542),
    [anon_sym_LT_EQ] = ACTIONS(542),
    [anon_sym_EQ_EQ] = ACTIONS(542),
    [anon_sym_BANG_EQ] = ACTIONS(542),
    [anon_sym_EQ] = ACTIONS(544),
    [anon_sym_PLUS_EQ] = ACTIONS(542),
    [anon_sym_DASH_EQ] = ACTIONS(542),
    [anon_sym_STAR_EQ] = ACTIONS(542),
    [anon_sym_SLASH_EQ] = ACTIONS(542),
    [anon_sym_DQUOTE] = ACTIONS(542),
    [sym__identifier] = ACTIONS(544),
    [anon_sym_linear] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(544),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(544),
    [anon_sym_ease] = ACTIONS(544),
    [anon_sym_ease_DASHin] = ACTIONS(544),
    [anon_sym_ease_DASHout] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(544),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(544),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(544),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(544),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(544),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(544),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(544),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(544),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(544),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(544),
    [anon_sym_cubic_DASHbezier] = ACTIONS(544),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(542),
    [anon_sym_ATlinear_gradient] = ACTIONS(542),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(542),
    [anon_sym_ATradial_gradient] = ACTIONS(542),
    [anon_sym_parent] = ACTIONS(544),
    [anon_sym_root] = ACTIONS(544),
    [anon_sym_self] = ACTIONS(544),
    [sym__int_number] = ACTIONS(544),
    [sym__float_number] = ACTIONS(542),
    [anon_sym_true] = ACTIONS(544),
    [anon_sym_false] = ACTIONS(544),
    [sym_color_value] = ACTIONS(542),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [anon_sym_LBRACE] = ACTIONS(546),
    [anon_sym_COMMA] = ACTIONS(546),
    [anon_sym_RBRACE] = ACTIONS(546),
    [anon_sym_SEMI] = ACTIONS(546),
    [anon_sym_LT] = ACTIONS(548),
    [anon_sym_GT] = ACTIONS(548),
    [anon_sym_return] = ACTIONS(548),
    [anon_sym_COLON] = ACTIONS(546),
    [anon_sym_LBRACK] = ACTIONS(546),
    [anon_sym_if] = ACTIONS(548),
    [anon_sym_LPAREN] = ACTIONS(546),
    [anon_sym_RPAREN] = ACTIONS(546),
    [anon_sym_ATtr] = ACTIONS(546),
    [anon_sym_DOT] = ACTIONS(548),
    [sym_logical_and] = ACTIONS(546),
    [sym_logical_or] = ACTIONS(546),
    [anon_sym_QMARK] = ACTIONS(546),
    [anon_sym_ATimage_DASHurl] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(548),
    [anon_sym_DASH] = ACTIONS(548),
    [anon_sym_PLUS] = ACTIONS(548),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_SLASH] = ACTIONS(548),
    [anon_sym_GT_EQ] = ACTIONS(546),
    [anon_sym_LT_EQ] = ACTIONS(546),
    [anon_sym_EQ_EQ] = ACTIONS(546),
    [anon_sym_BANG_EQ] = ACTIONS(546),
    [anon_sym_EQ] = ACTIONS(548),
    [anon_sym_PLUS_EQ] = ACTIONS(546),
    [anon_sym_DASH_EQ] = ACTIONS(546),
    [anon_sym_STAR_EQ] = ACTIONS(546),
    [anon_sym_SLASH_EQ] = ACTIONS(546),
    [anon_sym_DQUOTE] = ACTIONS(546),
    [sym__identifier] = ACTIONS(548),
    [anon_sym_linear] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(548),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(548),
    [anon_sym_ease] = ACTIONS(548),
    [anon_sym_ease_DASHin] = ACTIONS(548),
    [anon_sym_ease_DASHout] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(548),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(548),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(548),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(548),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(548),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(548),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(548),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(548),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(548),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(548),
    [anon_sym_cubic_DASHbezier] = ACTIONS(548),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(546),
    [anon_sym_ATlinear_gradient] = ACTIONS(546),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(546),
    [anon_sym_ATradial_gradient] = ACTIONS(546),
    [anon_sym_parent] = ACTIONS(548),
    [anon_sym_root] = ACTIONS(548),
    [anon_sym_self] = ACTIONS(548),
    [sym__int_number] = ACTIONS(548),
    [sym__float_number] = ACTIONS(546),
    [anon_sym_true] = ACTIONS(548),
    [anon_sym_false] = ACTIONS(548),
    [sym_color_value] = ACTIONS(546),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [anon_sym_LBRACE] = ACTIONS(550),
    [anon_sym_COMMA] = ACTIONS(550),
    [anon_sym_RBRACE] = ACTIONS(550),
    [anon_sym_SEMI] = ACTIONS(550),
    [anon_sym_LT] = ACTIONS(552),
    [anon_sym_GT] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_COLON] = ACTIONS(550),
    [anon_sym_LBRACK] = ACTIONS(550),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_LPAREN] = ACTIONS(550),
    [anon_sym_RPAREN] = ACTIONS(550),
    [anon_sym_ATtr] = ACTIONS(550),
    [anon_sym_DOT] = ACTIONS(552),
    [sym_logical_and] = ACTIONS(550),
    [sym_logical_or] = ACTIONS(550),
    [anon_sym_QMARK] = ACTIONS(550),
    [anon_sym_ATimage_DASHurl] = ACTIONS(550),
    [anon_sym_BANG] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(552),
    [anon_sym_STAR] = ACTIONS(552),
    [anon_sym_SLASH] = ACTIONS(552),
    [anon_sym_GT_EQ] = ACTIONS(550),
    [anon_sym_LT_EQ] = ACTIONS(550),
    [anon_sym_EQ_EQ] = ACTIONS(550),
    [anon_sym_BANG_EQ] = ACTIONS(550),
    [anon_sym_EQ] = ACTIONS(552),
    [anon_sym_PLUS_EQ] = ACTIONS(550),
    [anon_sym_DASH_EQ] = ACTIONS(550),
    [anon_sym_STAR_EQ] = ACTIONS(550),
    [anon_sym_SLASH_EQ] = ACTIONS(550),
    [anon_sym_DQUOTE] = ACTIONS(550),
    [sym__identifier] = ACTIONS(552),
    [anon_sym_linear] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(552),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(552),
    [anon_sym_ease] = ACTIONS(552),
    [anon_sym_ease_DASHin] = ACTIONS(552),
    [anon_sym_ease_DASHout] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(552),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(552),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(552),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(552),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(552),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(552),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(552),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(552),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(552),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(552),
    [anon_sym_cubic_DASHbezier] = ACTIONS(552),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(550),
    [anon_sym_ATlinear_gradient] = ACTIONS(550),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(550),
    [anon_sym_ATradial_gradient] = ACTIONS(550),
    [anon_sym_parent] = ACTIONS(552),
    [anon_sym_root] = ACTIONS(552),
    [anon_sym_self] = ACTIONS(552),
    [sym__int_number] = ACTIONS(552),
    [sym__float_number] = ACTIONS(550),
    [anon_sym_true] = ACTIONS(552),
    [anon_sym_false] = ACTIONS(552),
    [sym_color_value] = ACTIONS(550),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_RBRACE] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LT] = ACTIONS(556),
    [anon_sym_GT] = ACTIONS(556),
    [anon_sym_return] = ACTIONS(556),
    [anon_sym_COLON] = ACTIONS(554),
    [anon_sym_LBRACK] = ACTIONS(554),
    [anon_sym_if] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_RPAREN] = ACTIONS(554),
    [anon_sym_ATtr] = ACTIONS(554),
    [anon_sym_DOT] = ACTIONS(556),
    [sym_logical_and] = ACTIONS(554),
    [sym_logical_or] = ACTIONS(554),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_ATimage_DASHurl] = ACTIONS(554),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_DASH] = ACTIONS(556),
    [anon_sym_PLUS] = ACTIONS(556),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_SLASH] = ACTIONS(556),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(556),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_DQUOTE] = ACTIONS(554),
    [sym__identifier] = ACTIONS(556),
    [anon_sym_linear] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(556),
    [anon_sym_ease] = ACTIONS(556),
    [anon_sym_ease_DASHin] = ACTIONS(556),
    [anon_sym_ease_DASHout] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(556),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(556),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(556),
    [anon_sym_cubic_DASHbezier] = ACTIONS(556),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(554),
    [anon_sym_ATlinear_gradient] = ACTIONS(554),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(554),
    [anon_sym_ATradial_gradient] = ACTIONS(554),
    [anon_sym_parent] = ACTIONS(556),
    [anon_sym_root] = ACTIONS(556),
    [anon_sym_self] = ACTIONS(556),
    [sym__int_number] = ACTIONS(556),
    [sym__float_number] = ACTIONS(554),
    [anon_sym_true] = ACTIONS(556),
    [anon_sym_false] = ACTIONS(556),
    [sym_color_value] = ACTIONS(554),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [anon_sym_LBRACE] = ACTIONS(558),
    [anon_sym_COMMA] = ACTIONS(558),
    [anon_sym_RBRACE] = ACTIONS(558),
    [anon_sym_SEMI] = ACTIONS(558),
    [anon_sym_LT] = ACTIONS(560),
    [anon_sym_GT] = ACTIONS(560),
    [anon_sym_return] = ACTIONS(560),
    [anon_sym_COLON] = ACTIONS(558),
    [anon_sym_LBRACK] = ACTIONS(558),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_LPAREN] = ACTIONS(558),
    [anon_sym_RPAREN] = ACTIONS(558),
    [anon_sym_ATtr] = ACTIONS(558),
    [anon_sym_DOT] = ACTIONS(560),
    [sym_logical_and] = ACTIONS(558),
    [sym_logical_or] = ACTIONS(558),
    [anon_sym_QMARK] = ACTIONS(558),
    [anon_sym_ATimage_DASHurl] = ACTIONS(558),
    [anon_sym_BANG] = ACTIONS(560),
    [anon_sym_DASH] = ACTIONS(560),
    [anon_sym_PLUS] = ACTIONS(560),
    [anon_sym_STAR] = ACTIONS(560),
    [anon_sym_SLASH] = ACTIONS(560),
    [anon_sym_GT_EQ] = ACTIONS(558),
    [anon_sym_LT_EQ] = ACTIONS(558),
    [anon_sym_EQ_EQ] = ACTIONS(558),
    [anon_sym_BANG_EQ] = ACTIONS(558),
    [anon_sym_EQ] = ACTIONS(560),
    [anon_sym_PLUS_EQ] = ACTIONS(558),
    [anon_sym_DASH_EQ] = ACTIONS(558),
    [anon_sym_STAR_EQ] = ACTIONS(558),
    [anon_sym_SLASH_EQ] = ACTIONS(558),
    [anon_sym_DQUOTE] = ACTIONS(558),
    [sym__identifier] = ACTIONS(560),
    [anon_sym_linear] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(560),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(560),
    [anon_sym_ease] = ACTIONS(560),
    [anon_sym_ease_DASHin] = ACTIONS(560),
    [anon_sym_ease_DASHout] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(560),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(560),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(560),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(560),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(560),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(560),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(560),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(560),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(560),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(560),
    [anon_sym_cubic_DASHbezier] = ACTIONS(560),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(558),
    [anon_sym_ATlinear_gradient] = ACTIONS(558),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(558),
    [anon_sym_ATradial_gradient] = ACTIONS(558),
    [anon_sym_parent] = ACTIONS(560),
    [anon_sym_root] = ACTIONS(560),
    [anon_sym_self] = ACTIONS(560),
    [sym__int_number] = ACTIONS(560),
    [sym__float_number] = ACTIONS(558),
    [anon_sym_true] = ACTIONS(560),
    [anon_sym_false] = ACTIONS(560),
    [sym_color_value] = ACTIONS(558),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_COMMA] = ACTIONS(562),
    [anon_sym_RBRACE] = ACTIONS(562),
    [anon_sym_SEMI] = ACTIONS(562),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_return] = ACTIONS(564),
    [anon_sym_COLON] = ACTIONS(562),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_if] = ACTIONS(564),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_RPAREN] = ACTIONS(562),
    [anon_sym_ATtr] = ACTIONS(562),
    [anon_sym_DOT] = ACTIONS(564),
    [sym_logical_and] = ACTIONS(562),
    [sym_logical_or] = ACTIONS(562),
    [anon_sym_QMARK] = ACTIONS(562),
    [anon_sym_ATimage_DASHurl] = ACTIONS(562),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(562),
    [anon_sym_LT_EQ] = ACTIONS(562),
    [anon_sym_EQ_EQ] = ACTIONS(562),
    [anon_sym_BANG_EQ] = ACTIONS(562),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(562),
    [anon_sym_DASH_EQ] = ACTIONS(562),
    [anon_sym_STAR_EQ] = ACTIONS(562),
    [anon_sym_SLASH_EQ] = ACTIONS(562),
    [anon_sym_DQUOTE] = ACTIONS(562),
    [sym__identifier] = ACTIONS(564),
    [anon_sym_linear] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(564),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(564),
    [anon_sym_ease] = ACTIONS(564),
    [anon_sym_ease_DASHin] = ACTIONS(564),
    [anon_sym_ease_DASHout] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(564),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(564),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(564),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(564),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(564),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(564),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(564),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(564),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(564),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(564),
    [anon_sym_cubic_DASHbezier] = ACTIONS(564),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(562),
    [anon_sym_ATlinear_gradient] = ACTIONS(562),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(562),
    [anon_sym_ATradial_gradient] = ACTIONS(562),
    [anon_sym_parent] = ACTIONS(564),
    [anon_sym_root] = ACTIONS(564),
    [anon_sym_self] = ACTIONS(564),
    [sym__int_number] = ACTIONS(564),
    [sym__float_number] = ACTIONS(562),
    [anon_sym_true] = ACTIONS(564),
    [anon_sym_false] = ACTIONS(564),
    [sym_color_value] = ACTIONS(562),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [anon_sym_LBRACE] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(566),
    [anon_sym_RBRACE] = ACTIONS(566),
    [anon_sym_SEMI] = ACTIONS(566),
    [anon_sym_LT] = ACTIONS(568),
    [anon_sym_GT] = ACTIONS(568),
    [anon_sym_return] = ACTIONS(568),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_LBRACK] = ACTIONS(566),
    [anon_sym_if] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_RPAREN] = ACTIONS(566),
    [anon_sym_ATtr] = ACTIONS(566),
    [anon_sym_DOT] = ACTIONS(568),
    [sym_logical_and] = ACTIONS(566),
    [sym_logical_or] = ACTIONS(566),
    [anon_sym_QMARK] = ACTIONS(566),
    [anon_sym_ATimage_DASHurl] = ACTIONS(566),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_DASH] = ACTIONS(568),
    [anon_sym_PLUS] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(568),
    [anon_sym_SLASH] = ACTIONS(568),
    [anon_sym_GT_EQ] = ACTIONS(566),
    [anon_sym_LT_EQ] = ACTIONS(566),
    [anon_sym_EQ_EQ] = ACTIONS(566),
    [anon_sym_BANG_EQ] = ACTIONS(566),
    [anon_sym_EQ] = ACTIONS(568),
    [anon_sym_PLUS_EQ] = ACTIONS(566),
    [anon_sym_DASH_EQ] = ACTIONS(566),
    [anon_sym_STAR_EQ] = ACTIONS(566),
    [anon_sym_SLASH_EQ] = ACTIONS(566),
    [anon_sym_DQUOTE] = ACTIONS(566),
    [sym__identifier] = ACTIONS(568),
    [anon_sym_linear] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(568),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(568),
    [anon_sym_ease] = ACTIONS(568),
    [anon_sym_ease_DASHin] = ACTIONS(568),
    [anon_sym_ease_DASHout] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(568),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(568),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(568),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(568),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(568),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(568),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(568),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(568),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(568),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(568),
    [anon_sym_cubic_DASHbezier] = ACTIONS(568),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(566),
    [anon_sym_ATlinear_gradient] = ACTIONS(566),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(566),
    [anon_sym_ATradial_gradient] = ACTIONS(566),
    [anon_sym_parent] = ACTIONS(568),
    [anon_sym_root] = ACTIONS(568),
    [anon_sym_self] = ACTIONS(568),
    [sym__int_number] = ACTIONS(568),
    [sym__float_number] = ACTIONS(566),
    [anon_sym_true] = ACTIONS(568),
    [anon_sym_false] = ACTIONS(568),
    [sym_color_value] = ACTIONS(566),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_COMMA] = ACTIONS(570),
    [anon_sym_RBRACE] = ACTIONS(570),
    [anon_sym_SEMI] = ACTIONS(570),
    [anon_sym_LT] = ACTIONS(572),
    [anon_sym_GT] = ACTIONS(572),
    [anon_sym_return] = ACTIONS(572),
    [anon_sym_COLON] = ACTIONS(570),
    [anon_sym_LBRACK] = ACTIONS(570),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_LPAREN] = ACTIONS(570),
    [anon_sym_RPAREN] = ACTIONS(570),
    [anon_sym_ATtr] = ACTIONS(570),
    [anon_sym_DOT] = ACTIONS(572),
    [sym_logical_and] = ACTIONS(570),
    [sym_logical_or] = ACTIONS(570),
    [anon_sym_QMARK] = ACTIONS(570),
    [anon_sym_ATimage_DASHurl] = ACTIONS(570),
    [anon_sym_BANG] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_STAR] = ACTIONS(572),
    [anon_sym_SLASH] = ACTIONS(572),
    [anon_sym_GT_EQ] = ACTIONS(570),
    [anon_sym_LT_EQ] = ACTIONS(570),
    [anon_sym_EQ_EQ] = ACTIONS(570),
    [anon_sym_BANG_EQ] = ACTIONS(570),
    [anon_sym_EQ] = ACTIONS(572),
    [anon_sym_PLUS_EQ] = ACTIONS(570),
    [anon_sym_DASH_EQ] = ACTIONS(570),
    [anon_sym_STAR_EQ] = ACTIONS(570),
    [anon_sym_SLASH_EQ] = ACTIONS(570),
    [anon_sym_DQUOTE] = ACTIONS(570),
    [sym__identifier] = ACTIONS(572),
    [anon_sym_linear] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(572),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(572),
    [anon_sym_ease] = ACTIONS(572),
    [anon_sym_ease_DASHin] = ACTIONS(572),
    [anon_sym_ease_DASHout] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(572),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(572),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(572),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(572),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(572),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(572),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(572),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(572),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(572),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(572),
    [anon_sym_cubic_DASHbezier] = ACTIONS(572),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(570),
    [anon_sym_ATlinear_gradient] = ACTIONS(570),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(570),
    [anon_sym_ATradial_gradient] = ACTIONS(570),
    [anon_sym_parent] = ACTIONS(572),
    [anon_sym_root] = ACTIONS(572),
    [anon_sym_self] = ACTIONS(572),
    [sym__int_number] = ACTIONS(572),
    [sym__float_number] = ACTIONS(570),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [sym_color_value] = ACTIONS(570),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [anon_sym_LBRACE] = ACTIONS(574),
    [anon_sym_COMMA] = ACTIONS(574),
    [anon_sym_RBRACE] = ACTIONS(574),
    [anon_sym_SEMI] = ACTIONS(574),
    [anon_sym_LT] = ACTIONS(576),
    [anon_sym_GT] = ACTIONS(576),
    [anon_sym_return] = ACTIONS(576),
    [anon_sym_COLON] = ACTIONS(574),
    [anon_sym_LBRACK] = ACTIONS(574),
    [anon_sym_if] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(574),
    [anon_sym_RPAREN] = ACTIONS(574),
    [anon_sym_ATtr] = ACTIONS(574),
    [anon_sym_DOT] = ACTIONS(576),
    [sym_logical_and] = ACTIONS(574),
    [sym_logical_or] = ACTIONS(574),
    [anon_sym_QMARK] = ACTIONS(574),
    [anon_sym_ATimage_DASHurl] = ACTIONS(574),
    [anon_sym_BANG] = ACTIONS(576),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_PLUS] = ACTIONS(576),
    [anon_sym_STAR] = ACTIONS(576),
    [anon_sym_SLASH] = ACTIONS(576),
    [anon_sym_GT_EQ] = ACTIONS(574),
    [anon_sym_LT_EQ] = ACTIONS(574),
    [anon_sym_EQ_EQ] = ACTIONS(574),
    [anon_sym_BANG_EQ] = ACTIONS(574),
    [anon_sym_EQ] = ACTIONS(576),
    [anon_sym_PLUS_EQ] = ACTIONS(574),
    [anon_sym_DASH_EQ] = ACTIONS(574),
    [anon_sym_STAR_EQ] = ACTIONS(574),
    [anon_sym_SLASH_EQ] = ACTIONS(574),
    [anon_sym_DQUOTE] = ACTIONS(574),
    [sym__identifier] = ACTIONS(576),
    [anon_sym_linear] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(576),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(576),
    [anon_sym_ease] = ACTIONS(576),
    [anon_sym_ease_DASHin] = ACTIONS(576),
    [anon_sym_ease_DASHout] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(576),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(576),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(576),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(576),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(576),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(576),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(576),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(576),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(576),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(576),
    [anon_sym_cubic_DASHbezier] = ACTIONS(576),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(574),
    [anon_sym_ATlinear_gradient] = ACTIONS(574),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(574),
    [anon_sym_ATradial_gradient] = ACTIONS(574),
    [anon_sym_parent] = ACTIONS(576),
    [anon_sym_root] = ACTIONS(576),
    [anon_sym_self] = ACTIONS(576),
    [sym__int_number] = ACTIONS(576),
    [sym__float_number] = ACTIONS(574),
    [anon_sym_true] = ACTIONS(576),
    [anon_sym_false] = ACTIONS(576),
    [sym_color_value] = ACTIONS(574),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [anon_sym_LBRACE] = ACTIONS(578),
    [anon_sym_COMMA] = ACTIONS(578),
    [anon_sym_RBRACE] = ACTIONS(578),
    [anon_sym_SEMI] = ACTIONS(578),
    [anon_sym_LT] = ACTIONS(580),
    [anon_sym_GT] = ACTIONS(580),
    [anon_sym_return] = ACTIONS(580),
    [anon_sym_COLON] = ACTIONS(578),
    [anon_sym_LBRACK] = ACTIONS(578),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(578),
    [anon_sym_ATtr] = ACTIONS(578),
    [anon_sym_DOT] = ACTIONS(580),
    [sym_logical_and] = ACTIONS(578),
    [sym_logical_or] = ACTIONS(578),
    [anon_sym_QMARK] = ACTIONS(578),
    [anon_sym_ATimage_DASHurl] = ACTIONS(578),
    [anon_sym_BANG] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(580),
    [anon_sym_GT_EQ] = ACTIONS(578),
    [anon_sym_LT_EQ] = ACTIONS(578),
    [anon_sym_EQ_EQ] = ACTIONS(578),
    [anon_sym_BANG_EQ] = ACTIONS(578),
    [anon_sym_EQ] = ACTIONS(580),
    [anon_sym_PLUS_EQ] = ACTIONS(578),
    [anon_sym_DASH_EQ] = ACTIONS(578),
    [anon_sym_STAR_EQ] = ACTIONS(578),
    [anon_sym_SLASH_EQ] = ACTIONS(578),
    [anon_sym_DQUOTE] = ACTIONS(578),
    [sym__identifier] = ACTIONS(580),
    [anon_sym_linear] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(580),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(580),
    [anon_sym_ease] = ACTIONS(580),
    [anon_sym_ease_DASHin] = ACTIONS(580),
    [anon_sym_ease_DASHout] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(580),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(580),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(580),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(580),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(580),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(580),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(580),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(580),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(580),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(580),
    [anon_sym_cubic_DASHbezier] = ACTIONS(580),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(578),
    [anon_sym_ATlinear_gradient] = ACTIONS(578),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(578),
    [anon_sym_ATradial_gradient] = ACTIONS(578),
    [anon_sym_parent] = ACTIONS(580),
    [anon_sym_root] = ACTIONS(580),
    [anon_sym_self] = ACTIONS(580),
    [sym__int_number] = ACTIONS(580),
    [sym__float_number] = ACTIONS(578),
    [anon_sym_true] = ACTIONS(580),
    [anon_sym_false] = ACTIONS(580),
    [sym_color_value] = ACTIONS(578),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [anon_sym_LBRACE] = ACTIONS(582),
    [anon_sym_COMMA] = ACTIONS(582),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_SEMI] = ACTIONS(582),
    [anon_sym_LT] = ACTIONS(584),
    [anon_sym_GT] = ACTIONS(584),
    [anon_sym_return] = ACTIONS(584),
    [anon_sym_COLON] = ACTIONS(582),
    [anon_sym_LBRACK] = ACTIONS(582),
    [anon_sym_if] = ACTIONS(584),
    [anon_sym_LPAREN] = ACTIONS(582),
    [anon_sym_RPAREN] = ACTIONS(582),
    [anon_sym_ATtr] = ACTIONS(582),
    [anon_sym_DOT] = ACTIONS(584),
    [sym_logical_and] = ACTIONS(582),
    [sym_logical_or] = ACTIONS(582),
    [anon_sym_QMARK] = ACTIONS(582),
    [anon_sym_ATimage_DASHurl] = ACTIONS(582),
    [anon_sym_BANG] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_STAR] = ACTIONS(584),
    [anon_sym_SLASH] = ACTIONS(584),
    [anon_sym_GT_EQ] = ACTIONS(582),
    [anon_sym_LT_EQ] = ACTIONS(582),
    [anon_sym_EQ_EQ] = ACTIONS(582),
    [anon_sym_BANG_EQ] = ACTIONS(582),
    [anon_sym_EQ] = ACTIONS(584),
    [anon_sym_PLUS_EQ] = ACTIONS(582),
    [anon_sym_DASH_EQ] = ACTIONS(582),
    [anon_sym_STAR_EQ] = ACTIONS(582),
    [anon_sym_SLASH_EQ] = ACTIONS(582),
    [anon_sym_DQUOTE] = ACTIONS(582),
    [sym__identifier] = ACTIONS(584),
    [anon_sym_linear] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(584),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(584),
    [anon_sym_ease] = ACTIONS(584),
    [anon_sym_ease_DASHin] = ACTIONS(584),
    [anon_sym_ease_DASHout] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(584),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(584),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(584),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(584),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(584),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(584),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(584),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(584),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(584),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(584),
    [anon_sym_cubic_DASHbezier] = ACTIONS(584),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(582),
    [anon_sym_ATlinear_gradient] = ACTIONS(582),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(582),
    [anon_sym_ATradial_gradient] = ACTIONS(582),
    [anon_sym_parent] = ACTIONS(584),
    [anon_sym_root] = ACTIONS(584),
    [anon_sym_self] = ACTIONS(584),
    [sym__int_number] = ACTIONS(584),
    [sym__float_number] = ACTIONS(582),
    [anon_sym_true] = ACTIONS(584),
    [anon_sym_false] = ACTIONS(584),
    [sym_color_value] = ACTIONS(582),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [anon_sym_LBRACE] = ACTIONS(586),
    [anon_sym_COMMA] = ACTIONS(586),
    [anon_sym_RBRACE] = ACTIONS(586),
    [anon_sym_SEMI] = ACTIONS(586),
    [anon_sym_LT] = ACTIONS(588),
    [anon_sym_GT] = ACTIONS(588),
    [anon_sym_return] = ACTIONS(588),
    [anon_sym_COLON] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(586),
    [anon_sym_if] = ACTIONS(588),
    [anon_sym_LPAREN] = ACTIONS(586),
    [anon_sym_RPAREN] = ACTIONS(586),
    [anon_sym_ATtr] = ACTIONS(586),
    [anon_sym_DOT] = ACTIONS(588),
    [sym_logical_and] = ACTIONS(586),
    [sym_logical_or] = ACTIONS(586),
    [anon_sym_QMARK] = ACTIONS(586),
    [anon_sym_ATimage_DASHurl] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(588),
    [anon_sym_PLUS] = ACTIONS(588),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_SLASH] = ACTIONS(588),
    [anon_sym_GT_EQ] = ACTIONS(586),
    [anon_sym_LT_EQ] = ACTIONS(586),
    [anon_sym_EQ_EQ] = ACTIONS(586),
    [anon_sym_BANG_EQ] = ACTIONS(586),
    [anon_sym_EQ] = ACTIONS(588),
    [anon_sym_PLUS_EQ] = ACTIONS(586),
    [anon_sym_DASH_EQ] = ACTIONS(586),
    [anon_sym_STAR_EQ] = ACTIONS(586),
    [anon_sym_SLASH_EQ] = ACTIONS(586),
    [anon_sym_DQUOTE] = ACTIONS(586),
    [sym__identifier] = ACTIONS(588),
    [anon_sym_linear] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(588),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(588),
    [anon_sym_ease] = ACTIONS(588),
    [anon_sym_ease_DASHin] = ACTIONS(588),
    [anon_sym_ease_DASHout] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(588),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(588),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(588),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(588),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(588),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(588),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(588),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(588),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(588),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(588),
    [anon_sym_cubic_DASHbezier] = ACTIONS(588),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(586),
    [anon_sym_ATlinear_gradient] = ACTIONS(586),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(586),
    [anon_sym_ATradial_gradient] = ACTIONS(586),
    [anon_sym_parent] = ACTIONS(588),
    [anon_sym_root] = ACTIONS(588),
    [anon_sym_self] = ACTIONS(588),
    [sym__int_number] = ACTIONS(588),
    [sym__float_number] = ACTIONS(586),
    [anon_sym_true] = ACTIONS(588),
    [anon_sym_false] = ACTIONS(588),
    [sym_color_value] = ACTIONS(586),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [anon_sym_LBRACE] = ACTIONS(590),
    [anon_sym_COMMA] = ACTIONS(590),
    [anon_sym_RBRACE] = ACTIONS(590),
    [anon_sym_SEMI] = ACTIONS(590),
    [anon_sym_LT] = ACTIONS(592),
    [anon_sym_GT] = ACTIONS(592),
    [anon_sym_return] = ACTIONS(592),
    [anon_sym_COLON] = ACTIONS(590),
    [anon_sym_LBRACK] = ACTIONS(590),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_LPAREN] = ACTIONS(590),
    [anon_sym_RPAREN] = ACTIONS(590),
    [anon_sym_ATtr] = ACTIONS(590),
    [anon_sym_DOT] = ACTIONS(592),
    [sym_logical_and] = ACTIONS(590),
    [sym_logical_or] = ACTIONS(590),
    [anon_sym_QMARK] = ACTIONS(590),
    [anon_sym_ATimage_DASHurl] = ACTIONS(590),
    [anon_sym_BANG] = ACTIONS(592),
    [anon_sym_DASH] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(592),
    [anon_sym_STAR] = ACTIONS(592),
    [anon_sym_SLASH] = ACTIONS(592),
    [anon_sym_GT_EQ] = ACTIONS(590),
    [anon_sym_LT_EQ] = ACTIONS(590),
    [anon_sym_EQ_EQ] = ACTIONS(590),
    [anon_sym_BANG_EQ] = ACTIONS(590),
    [anon_sym_EQ] = ACTIONS(592),
    [anon_sym_PLUS_EQ] = ACTIONS(590),
    [anon_sym_DASH_EQ] = ACTIONS(590),
    [anon_sym_STAR_EQ] = ACTIONS(590),
    [anon_sym_SLASH_EQ] = ACTIONS(590),
    [anon_sym_DQUOTE] = ACTIONS(590),
    [sym__identifier] = ACTIONS(592),
    [anon_sym_linear] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(592),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(592),
    [anon_sym_ease] = ACTIONS(592),
    [anon_sym_ease_DASHin] = ACTIONS(592),
    [anon_sym_ease_DASHout] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(592),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(592),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(592),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(592),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(592),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(592),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(592),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(592),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(592),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(592),
    [anon_sym_cubic_DASHbezier] = ACTIONS(592),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(590),
    [anon_sym_ATlinear_gradient] = ACTIONS(590),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(590),
    [anon_sym_ATradial_gradient] = ACTIONS(590),
    [anon_sym_parent] = ACTIONS(592),
    [anon_sym_root] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(592),
    [sym__int_number] = ACTIONS(592),
    [sym__float_number] = ACTIONS(590),
    [anon_sym_true] = ACTIONS(592),
    [anon_sym_false] = ACTIONS(592),
    [sym_color_value] = ACTIONS(590),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [anon_sym_LBRACE] = ACTIONS(594),
    [anon_sym_COMMA] = ACTIONS(594),
    [anon_sym_RBRACE] = ACTIONS(594),
    [anon_sym_SEMI] = ACTIONS(594),
    [anon_sym_LT] = ACTIONS(596),
    [anon_sym_GT] = ACTIONS(596),
    [anon_sym_return] = ACTIONS(596),
    [anon_sym_COLON] = ACTIONS(594),
    [anon_sym_LBRACK] = ACTIONS(594),
    [anon_sym_if] = ACTIONS(596),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_RPAREN] = ACTIONS(594),
    [anon_sym_ATtr] = ACTIONS(594),
    [anon_sym_DOT] = ACTIONS(596),
    [sym_logical_and] = ACTIONS(594),
    [sym_logical_or] = ACTIONS(594),
    [anon_sym_QMARK] = ACTIONS(594),
    [anon_sym_ATimage_DASHurl] = ACTIONS(594),
    [anon_sym_BANG] = ACTIONS(596),
    [anon_sym_DASH] = ACTIONS(596),
    [anon_sym_PLUS] = ACTIONS(596),
    [anon_sym_STAR] = ACTIONS(596),
    [anon_sym_SLASH] = ACTIONS(596),
    [anon_sym_GT_EQ] = ACTIONS(594),
    [anon_sym_LT_EQ] = ACTIONS(594),
    [anon_sym_EQ_EQ] = ACTIONS(594),
    [anon_sym_BANG_EQ] = ACTIONS(594),
    [anon_sym_EQ] = ACTIONS(596),
    [anon_sym_PLUS_EQ] = ACTIONS(594),
    [anon_sym_DASH_EQ] = ACTIONS(594),
    [anon_sym_STAR_EQ] = ACTIONS(594),
    [anon_sym_SLASH_EQ] = ACTIONS(594),
    [anon_sym_DQUOTE] = ACTIONS(594),
    [sym__identifier] = ACTIONS(596),
    [anon_sym_linear] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(596),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(596),
    [anon_sym_ease] = ACTIONS(596),
    [anon_sym_ease_DASHin] = ACTIONS(596),
    [anon_sym_ease_DASHout] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(596),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(596),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(596),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(596),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(596),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(596),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(596),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(596),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(596),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(596),
    [anon_sym_cubic_DASHbezier] = ACTIONS(596),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(594),
    [anon_sym_ATlinear_gradient] = ACTIONS(594),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(594),
    [anon_sym_ATradial_gradient] = ACTIONS(594),
    [anon_sym_parent] = ACTIONS(596),
    [anon_sym_root] = ACTIONS(596),
    [anon_sym_self] = ACTIONS(596),
    [sym__int_number] = ACTIONS(596),
    [sym__float_number] = ACTIONS(594),
    [anon_sym_true] = ACTIONS(596),
    [anon_sym_false] = ACTIONS(596),
    [sym_color_value] = ACTIONS(594),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_arguments] = STATE(163),
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_RBRACE] = ACTIONS(416),
    [anon_sym_SEMI] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(418),
    [anon_sym_GT] = ACTIONS(418),
    [anon_sym_return] = ACTIONS(418),
    [anon_sym_COLON] = ACTIONS(598),
    [anon_sym_LBRACK] = ACTIONS(416),
    [anon_sym_if] = ACTIONS(418),
    [anon_sym_LPAREN] = ACTIONS(420),
    [anon_sym_ATtr] = ACTIONS(416),
    [anon_sym_EQ_GT] = ACTIONS(536),
    [anon_sym_DOT] = ACTIONS(418),
    [sym_logical_and] = ACTIONS(416),
    [sym_logical_or] = ACTIONS(416),
    [anon_sym_QMARK] = ACTIONS(416),
    [anon_sym_ATimage_DASHurl] = ACTIONS(416),
    [anon_sym_BANG] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_STAR] = ACTIONS(418),
    [anon_sym_SLASH] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(416),
    [anon_sym_LT_EQ] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(416),
    [anon_sym_BANG_EQ] = ACTIONS(416),
    [anon_sym_EQ] = ACTIONS(418),
    [anon_sym_PLUS_EQ] = ACTIONS(416),
    [anon_sym_DASH_EQ] = ACTIONS(416),
    [anon_sym_STAR_EQ] = ACTIONS(416),
    [anon_sym_SLASH_EQ] = ACTIONS(416),
    [anon_sym_DQUOTE] = ACTIONS(416),
    [sym__identifier] = ACTIONS(418),
    [anon_sym_linear] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(418),
    [anon_sym_ease] = ACTIONS(418),
    [anon_sym_ease_DASHin] = ACTIONS(418),
    [anon_sym_ease_DASHout] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(418),
    [anon_sym_cubic_DASHbezier] = ACTIONS(418),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(416),
    [anon_sym_ATlinear_gradient] = ACTIONS(416),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(416),
    [anon_sym_ATradial_gradient] = ACTIONS(416),
    [anon_sym_parent] = ACTIONS(418),
    [anon_sym_root] = ACTIONS(418),
    [anon_sym_self] = ACTIONS(418),
    [sym__int_number] = ACTIONS(418),
    [sym__float_number] = ACTIONS(416),
    [anon_sym_true] = ACTIONS(418),
    [anon_sym_false] = ACTIONS(418),
    [sym_color_value] = ACTIONS(416),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [anon_sym_LBRACE] = ACTIONS(600),
    [anon_sym_COMMA] = ACTIONS(600),
    [anon_sym_RBRACE] = ACTIONS(600),
    [anon_sym_SEMI] = ACTIONS(600),
    [anon_sym_LT] = ACTIONS(602),
    [anon_sym_GT] = ACTIONS(602),
    [anon_sym_return] = ACTIONS(602),
    [anon_sym_COLON] = ACTIONS(600),
    [anon_sym_LBRACK] = ACTIONS(600),
    [anon_sym_if] = ACTIONS(602),
    [anon_sym_LPAREN] = ACTIONS(600),
    [anon_sym_RPAREN] = ACTIONS(600),
    [anon_sym_ATtr] = ACTIONS(600),
    [anon_sym_DOT] = ACTIONS(602),
    [sym_logical_and] = ACTIONS(600),
    [sym_logical_or] = ACTIONS(600),
    [anon_sym_QMARK] = ACTIONS(600),
    [anon_sym_ATimage_DASHurl] = ACTIONS(600),
    [anon_sym_BANG] = ACTIONS(602),
    [anon_sym_DASH] = ACTIONS(602),
    [anon_sym_PLUS] = ACTIONS(602),
    [anon_sym_STAR] = ACTIONS(602),
    [anon_sym_SLASH] = ACTIONS(602),
    [anon_sym_GT_EQ] = ACTIONS(600),
    [anon_sym_LT_EQ] = ACTIONS(600),
    [anon_sym_EQ_EQ] = ACTIONS(600),
    [anon_sym_BANG_EQ] = ACTIONS(600),
    [anon_sym_EQ] = ACTIONS(602),
    [anon_sym_PLUS_EQ] = ACTIONS(600),
    [anon_sym_DASH_EQ] = ACTIONS(600),
    [anon_sym_STAR_EQ] = ACTIONS(600),
    [anon_sym_SLASH_EQ] = ACTIONS(600),
    [anon_sym_DQUOTE] = ACTIONS(600),
    [sym__identifier] = ACTIONS(602),
    [anon_sym_linear] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(602),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(602),
    [anon_sym_ease] = ACTIONS(602),
    [anon_sym_ease_DASHin] = ACTIONS(602),
    [anon_sym_ease_DASHout] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(602),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(602),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(602),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(602),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(602),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(602),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(602),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(602),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(602),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(602),
    [anon_sym_cubic_DASHbezier] = ACTIONS(602),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(600),
    [anon_sym_ATlinear_gradient] = ACTIONS(600),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(600),
    [anon_sym_ATradial_gradient] = ACTIONS(600),
    [anon_sym_parent] = ACTIONS(602),
    [anon_sym_root] = ACTIONS(602),
    [anon_sym_self] = ACTIONS(602),
    [sym__int_number] = ACTIONS(602),
    [sym__float_number] = ACTIONS(600),
    [anon_sym_true] = ACTIONS(602),
    [anon_sym_false] = ACTIONS(602),
    [sym_color_value] = ACTIONS(600),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [anon_sym_LBRACE] = ACTIONS(604),
    [anon_sym_COMMA] = ACTIONS(604),
    [anon_sym_RBRACE] = ACTIONS(604),
    [anon_sym_SEMI] = ACTIONS(604),
    [anon_sym_LT] = ACTIONS(606),
    [anon_sym_GT] = ACTIONS(606),
    [anon_sym_return] = ACTIONS(606),
    [anon_sym_COLON] = ACTIONS(604),
    [anon_sym_LBRACK] = ACTIONS(604),
    [anon_sym_if] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(604),
    [anon_sym_RPAREN] = ACTIONS(604),
    [anon_sym_ATtr] = ACTIONS(604),
    [anon_sym_DOT] = ACTIONS(606),
    [sym_logical_and] = ACTIONS(604),
    [sym_logical_or] = ACTIONS(604),
    [anon_sym_QMARK] = ACTIONS(604),
    [anon_sym_ATimage_DASHurl] = ACTIONS(604),
    [anon_sym_BANG] = ACTIONS(606),
    [anon_sym_DASH] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(606),
    [anon_sym_STAR] = ACTIONS(606),
    [anon_sym_SLASH] = ACTIONS(606),
    [anon_sym_GT_EQ] = ACTIONS(604),
    [anon_sym_LT_EQ] = ACTIONS(604),
    [anon_sym_EQ_EQ] = ACTIONS(604),
    [anon_sym_BANG_EQ] = ACTIONS(604),
    [anon_sym_EQ] = ACTIONS(606),
    [anon_sym_PLUS_EQ] = ACTIONS(604),
    [anon_sym_DASH_EQ] = ACTIONS(604),
    [anon_sym_STAR_EQ] = ACTIONS(604),
    [anon_sym_SLASH_EQ] = ACTIONS(604),
    [anon_sym_DQUOTE] = ACTIONS(604),
    [sym__identifier] = ACTIONS(606),
    [anon_sym_linear] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(606),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(606),
    [anon_sym_ease] = ACTIONS(606),
    [anon_sym_ease_DASHin] = ACTIONS(606),
    [anon_sym_ease_DASHout] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(606),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(606),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(606),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(606),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(606),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(606),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(606),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(606),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(606),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(606),
    [anon_sym_cubic_DASHbezier] = ACTIONS(606),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(604),
    [anon_sym_ATlinear_gradient] = ACTIONS(604),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(604),
    [anon_sym_ATradial_gradient] = ACTIONS(604),
    [anon_sym_parent] = ACTIONS(606),
    [anon_sym_root] = ACTIONS(606),
    [anon_sym_self] = ACTIONS(606),
    [sym__int_number] = ACTIONS(606),
    [sym__float_number] = ACTIONS(604),
    [anon_sym_true] = ACTIONS(606),
    [anon_sym_false] = ACTIONS(606),
    [sym_color_value] = ACTIONS(604),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [anon_sym_LBRACE] = ACTIONS(608),
    [anon_sym_COMMA] = ACTIONS(608),
    [anon_sym_RBRACE] = ACTIONS(608),
    [anon_sym_SEMI] = ACTIONS(608),
    [anon_sym_LT] = ACTIONS(610),
    [anon_sym_GT] = ACTIONS(610),
    [anon_sym_return] = ACTIONS(610),
    [anon_sym_COLON] = ACTIONS(608),
    [anon_sym_LBRACK] = ACTIONS(608),
    [anon_sym_if] = ACTIONS(610),
    [anon_sym_LPAREN] = ACTIONS(608),
    [anon_sym_RPAREN] = ACTIONS(608),
    [anon_sym_ATtr] = ACTIONS(608),
    [anon_sym_DOT] = ACTIONS(610),
    [sym_logical_and] = ACTIONS(608),
    [sym_logical_or] = ACTIONS(608),
    [anon_sym_QMARK] = ACTIONS(608),
    [anon_sym_ATimage_DASHurl] = ACTIONS(608),
    [anon_sym_BANG] = ACTIONS(610),
    [anon_sym_DASH] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(610),
    [anon_sym_SLASH] = ACTIONS(610),
    [anon_sym_GT_EQ] = ACTIONS(608),
    [anon_sym_LT_EQ] = ACTIONS(608),
    [anon_sym_EQ_EQ] = ACTIONS(608),
    [anon_sym_BANG_EQ] = ACTIONS(608),
    [anon_sym_EQ] = ACTIONS(610),
    [anon_sym_PLUS_EQ] = ACTIONS(608),
    [anon_sym_DASH_EQ] = ACTIONS(608),
    [anon_sym_STAR_EQ] = ACTIONS(608),
    [anon_sym_SLASH_EQ] = ACTIONS(608),
    [anon_sym_DQUOTE] = ACTIONS(608),
    [sym__identifier] = ACTIONS(610),
    [anon_sym_linear] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(610),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(610),
    [anon_sym_ease] = ACTIONS(610),
    [anon_sym_ease_DASHin] = ACTIONS(610),
    [anon_sym_ease_DASHout] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(610),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(610),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(610),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(610),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(610),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(610),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(610),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(610),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(610),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(610),
    [anon_sym_cubic_DASHbezier] = ACTIONS(610),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(608),
    [anon_sym_ATlinear_gradient] = ACTIONS(608),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(608),
    [anon_sym_ATradial_gradient] = ACTIONS(608),
    [anon_sym_parent] = ACTIONS(610),
    [anon_sym_root] = ACTIONS(610),
    [anon_sym_self] = ACTIONS(610),
    [sym__int_number] = ACTIONS(610),
    [sym__float_number] = ACTIONS(608),
    [anon_sym_true] = ACTIONS(610),
    [anon_sym_false] = ACTIONS(610),
    [sym_color_value] = ACTIONS(608),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [anon_sym_LBRACE] = ACTIONS(612),
    [anon_sym_COMMA] = ACTIONS(612),
    [anon_sym_RBRACE] = ACTIONS(612),
    [anon_sym_SEMI] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(614),
    [anon_sym_GT] = ACTIONS(614),
    [anon_sym_return] = ACTIONS(614),
    [anon_sym_COLON] = ACTIONS(612),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_if] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(612),
    [anon_sym_RPAREN] = ACTIONS(612),
    [anon_sym_ATtr] = ACTIONS(612),
    [anon_sym_DOT] = ACTIONS(614),
    [sym_logical_and] = ACTIONS(612),
    [sym_logical_or] = ACTIONS(612),
    [anon_sym_QMARK] = ACTIONS(612),
    [anon_sym_ATimage_DASHurl] = ACTIONS(612),
    [anon_sym_BANG] = ACTIONS(614),
    [anon_sym_DASH] = ACTIONS(614),
    [anon_sym_PLUS] = ACTIONS(614),
    [anon_sym_STAR] = ACTIONS(614),
    [anon_sym_SLASH] = ACTIONS(614),
    [anon_sym_GT_EQ] = ACTIONS(612),
    [anon_sym_LT_EQ] = ACTIONS(612),
    [anon_sym_EQ_EQ] = ACTIONS(612),
    [anon_sym_BANG_EQ] = ACTIONS(612),
    [anon_sym_EQ] = ACTIONS(614),
    [anon_sym_PLUS_EQ] = ACTIONS(612),
    [anon_sym_DASH_EQ] = ACTIONS(612),
    [anon_sym_STAR_EQ] = ACTIONS(612),
    [anon_sym_SLASH_EQ] = ACTIONS(612),
    [anon_sym_DQUOTE] = ACTIONS(612),
    [sym__identifier] = ACTIONS(614),
    [anon_sym_linear] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(614),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(614),
    [anon_sym_ease] = ACTIONS(614),
    [anon_sym_ease_DASHin] = ACTIONS(614),
    [anon_sym_ease_DASHout] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(614),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(614),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(614),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(614),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(614),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(614),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(614),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(614),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(614),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(614),
    [anon_sym_cubic_DASHbezier] = ACTIONS(614),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(612),
    [anon_sym_ATlinear_gradient] = ACTIONS(612),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(612),
    [anon_sym_ATradial_gradient] = ACTIONS(612),
    [anon_sym_parent] = ACTIONS(614),
    [anon_sym_root] = ACTIONS(614),
    [anon_sym_self] = ACTIONS(614),
    [sym__int_number] = ACTIONS(614),
    [sym__float_number] = ACTIONS(612),
    [anon_sym_true] = ACTIONS(614),
    [anon_sym_false] = ACTIONS(614),
    [sym_color_value] = ACTIONS(612),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_COMMA] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(616),
    [anon_sym_SEMI] = ACTIONS(616),
    [anon_sym_LT] = ACTIONS(618),
    [anon_sym_GT] = ACTIONS(618),
    [anon_sym_return] = ACTIONS(618),
    [anon_sym_COLON] = ACTIONS(616),
    [anon_sym_LBRACK] = ACTIONS(616),
    [anon_sym_if] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(616),
    [anon_sym_RPAREN] = ACTIONS(616),
    [anon_sym_ATtr] = ACTIONS(616),
    [anon_sym_DOT] = ACTIONS(618),
    [sym_logical_and] = ACTIONS(616),
    [sym_logical_or] = ACTIONS(616),
    [anon_sym_QMARK] = ACTIONS(616),
    [anon_sym_ATimage_DASHurl] = ACTIONS(616),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_DASH] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(618),
    [anon_sym_STAR] = ACTIONS(618),
    [anon_sym_SLASH] = ACTIONS(618),
    [anon_sym_GT_EQ] = ACTIONS(616),
    [anon_sym_LT_EQ] = ACTIONS(616),
    [anon_sym_EQ_EQ] = ACTIONS(616),
    [anon_sym_BANG_EQ] = ACTIONS(616),
    [anon_sym_EQ] = ACTIONS(618),
    [anon_sym_PLUS_EQ] = ACTIONS(616),
    [anon_sym_DASH_EQ] = ACTIONS(616),
    [anon_sym_STAR_EQ] = ACTIONS(616),
    [anon_sym_SLASH_EQ] = ACTIONS(616),
    [anon_sym_DQUOTE] = ACTIONS(616),
    [sym__identifier] = ACTIONS(618),
    [anon_sym_linear] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(618),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(618),
    [anon_sym_ease] = ACTIONS(618),
    [anon_sym_ease_DASHin] = ACTIONS(618),
    [anon_sym_ease_DASHout] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(618),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(618),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(618),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(618),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(618),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(618),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(618),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(618),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(618),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(618),
    [anon_sym_cubic_DASHbezier] = ACTIONS(618),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(616),
    [anon_sym_ATlinear_gradient] = ACTIONS(616),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(616),
    [anon_sym_ATradial_gradient] = ACTIONS(616),
    [anon_sym_parent] = ACTIONS(618),
    [anon_sym_root] = ACTIONS(618),
    [anon_sym_self] = ACTIONS(618),
    [sym__int_number] = ACTIONS(618),
    [sym__float_number] = ACTIONS(616),
    [anon_sym_true] = ACTIONS(618),
    [anon_sym_false] = ACTIONS(618),
    [sym_color_value] = ACTIONS(616),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [anon_sym_LBRACE] = ACTIONS(620),
    [anon_sym_COMMA] = ACTIONS(620),
    [anon_sym_RBRACE] = ACTIONS(620),
    [anon_sym_SEMI] = ACTIONS(620),
    [anon_sym_LT] = ACTIONS(622),
    [anon_sym_GT] = ACTIONS(622),
    [anon_sym_return] = ACTIONS(622),
    [anon_sym_COLON] = ACTIONS(620),
    [anon_sym_LBRACK] = ACTIONS(620),
    [anon_sym_if] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(620),
    [anon_sym_RPAREN] = ACTIONS(620),
    [anon_sym_ATtr] = ACTIONS(620),
    [anon_sym_DOT] = ACTIONS(622),
    [sym_logical_and] = ACTIONS(620),
    [sym_logical_or] = ACTIONS(620),
    [anon_sym_QMARK] = ACTIONS(620),
    [anon_sym_ATimage_DASHurl] = ACTIONS(620),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_DASH] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(622),
    [anon_sym_STAR] = ACTIONS(622),
    [anon_sym_SLASH] = ACTIONS(622),
    [anon_sym_GT_EQ] = ACTIONS(620),
    [anon_sym_LT_EQ] = ACTIONS(620),
    [anon_sym_EQ_EQ] = ACTIONS(620),
    [anon_sym_BANG_EQ] = ACTIONS(620),
    [anon_sym_EQ] = ACTIONS(622),
    [anon_sym_PLUS_EQ] = ACTIONS(620),
    [anon_sym_DASH_EQ] = ACTIONS(620),
    [anon_sym_STAR_EQ] = ACTIONS(620),
    [anon_sym_SLASH_EQ] = ACTIONS(620),
    [anon_sym_DQUOTE] = ACTIONS(620),
    [sym__identifier] = ACTIONS(622),
    [anon_sym_linear] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(622),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(622),
    [anon_sym_ease] = ACTIONS(622),
    [anon_sym_ease_DASHin] = ACTIONS(622),
    [anon_sym_ease_DASHout] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(622),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(622),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(622),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(622),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(622),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(622),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(622),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(622),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(622),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(622),
    [anon_sym_cubic_DASHbezier] = ACTIONS(622),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(620),
    [anon_sym_ATlinear_gradient] = ACTIONS(620),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(620),
    [anon_sym_ATradial_gradient] = ACTIONS(620),
    [anon_sym_parent] = ACTIONS(622),
    [anon_sym_root] = ACTIONS(622),
    [anon_sym_self] = ACTIONS(622),
    [sym__int_number] = ACTIONS(622),
    [sym__float_number] = ACTIONS(620),
    [anon_sym_true] = ACTIONS(622),
    [anon_sym_false] = ACTIONS(622),
    [sym_color_value] = ACTIONS(620),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [anon_sym_LBRACE] = ACTIONS(624),
    [anon_sym_COMMA] = ACTIONS(624),
    [anon_sym_RBRACE] = ACTIONS(624),
    [anon_sym_SEMI] = ACTIONS(624),
    [anon_sym_LT] = ACTIONS(626),
    [anon_sym_GT] = ACTIONS(626),
    [anon_sym_return] = ACTIONS(626),
    [anon_sym_COLON] = ACTIONS(624),
    [anon_sym_LBRACK] = ACTIONS(624),
    [anon_sym_if] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(624),
    [anon_sym_RPAREN] = ACTIONS(624),
    [anon_sym_ATtr] = ACTIONS(624),
    [anon_sym_DOT] = ACTIONS(626),
    [sym_logical_and] = ACTIONS(624),
    [sym_logical_or] = ACTIONS(624),
    [anon_sym_QMARK] = ACTIONS(624),
    [anon_sym_ATimage_DASHurl] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(626),
    [anon_sym_DASH] = ACTIONS(626),
    [anon_sym_PLUS] = ACTIONS(626),
    [anon_sym_STAR] = ACTIONS(626),
    [anon_sym_SLASH] = ACTIONS(626),
    [anon_sym_GT_EQ] = ACTIONS(624),
    [anon_sym_LT_EQ] = ACTIONS(624),
    [anon_sym_EQ_EQ] = ACTIONS(624),
    [anon_sym_BANG_EQ] = ACTIONS(624),
    [anon_sym_EQ] = ACTIONS(626),
    [anon_sym_PLUS_EQ] = ACTIONS(624),
    [anon_sym_DASH_EQ] = ACTIONS(624),
    [anon_sym_STAR_EQ] = ACTIONS(624),
    [anon_sym_SLASH_EQ] = ACTIONS(624),
    [anon_sym_DQUOTE] = ACTIONS(624),
    [sym__identifier] = ACTIONS(626),
    [anon_sym_linear] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(626),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(626),
    [anon_sym_ease] = ACTIONS(626),
    [anon_sym_ease_DASHin] = ACTIONS(626),
    [anon_sym_ease_DASHout] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(626),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(626),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(626),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(626),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(626),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(626),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(626),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(626),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(626),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(626),
    [anon_sym_cubic_DASHbezier] = ACTIONS(626),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(624),
    [anon_sym_ATlinear_gradient] = ACTIONS(624),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(624),
    [anon_sym_ATradial_gradient] = ACTIONS(624),
    [anon_sym_parent] = ACTIONS(626),
    [anon_sym_root] = ACTIONS(626),
    [anon_sym_self] = ACTIONS(626),
    [sym__int_number] = ACTIONS(626),
    [sym__float_number] = ACTIONS(624),
    [anon_sym_true] = ACTIONS(626),
    [anon_sym_false] = ACTIONS(626),
    [sym_color_value] = ACTIONS(624),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_COMMA] = ACTIONS(628),
    [anon_sym_RBRACE] = ACTIONS(628),
    [anon_sym_SEMI] = ACTIONS(628),
    [anon_sym_LT] = ACTIONS(630),
    [anon_sym_GT] = ACTIONS(630),
    [anon_sym_return] = ACTIONS(630),
    [anon_sym_COLON] = ACTIONS(628),
    [anon_sym_LBRACK] = ACTIONS(628),
    [anon_sym_if] = ACTIONS(630),
    [anon_sym_LPAREN] = ACTIONS(628),
    [anon_sym_RPAREN] = ACTIONS(628),
    [anon_sym_ATtr] = ACTIONS(628),
    [anon_sym_DOT] = ACTIONS(630),
    [sym_logical_and] = ACTIONS(628),
    [sym_logical_or] = ACTIONS(628),
    [anon_sym_QMARK] = ACTIONS(628),
    [anon_sym_ATimage_DASHurl] = ACTIONS(628),
    [anon_sym_BANG] = ACTIONS(630),
    [anon_sym_DASH] = ACTIONS(630),
    [anon_sym_PLUS] = ACTIONS(630),
    [anon_sym_STAR] = ACTIONS(630),
    [anon_sym_SLASH] = ACTIONS(630),
    [anon_sym_GT_EQ] = ACTIONS(628),
    [anon_sym_LT_EQ] = ACTIONS(628),
    [anon_sym_EQ_EQ] = ACTIONS(628),
    [anon_sym_BANG_EQ] = ACTIONS(628),
    [anon_sym_EQ] = ACTIONS(630),
    [anon_sym_PLUS_EQ] = ACTIONS(628),
    [anon_sym_DASH_EQ] = ACTIONS(628),
    [anon_sym_STAR_EQ] = ACTIONS(628),
    [anon_sym_SLASH_EQ] = ACTIONS(628),
    [anon_sym_DQUOTE] = ACTIONS(628),
    [sym__identifier] = ACTIONS(630),
    [anon_sym_linear] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(630),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(630),
    [anon_sym_ease] = ACTIONS(630),
    [anon_sym_ease_DASHin] = ACTIONS(630),
    [anon_sym_ease_DASHout] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(630),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(630),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(630),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(630),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(630),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(630),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(630),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(630),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(630),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(630),
    [anon_sym_cubic_DASHbezier] = ACTIONS(630),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(628),
    [anon_sym_ATlinear_gradient] = ACTIONS(628),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(628),
    [anon_sym_ATradial_gradient] = ACTIONS(628),
    [anon_sym_parent] = ACTIONS(630),
    [anon_sym_root] = ACTIONS(630),
    [anon_sym_self] = ACTIONS(630),
    [sym__int_number] = ACTIONS(630),
    [sym__float_number] = ACTIONS(628),
    [anon_sym_true] = ACTIONS(630),
    [anon_sym_false] = ACTIONS(630),
    [sym_color_value] = ACTIONS(628),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_COMMA] = ACTIONS(632),
    [anon_sym_RBRACE] = ACTIONS(632),
    [anon_sym_SEMI] = ACTIONS(632),
    [anon_sym_LT] = ACTIONS(634),
    [anon_sym_GT] = ACTIONS(634),
    [anon_sym_return] = ACTIONS(634),
    [anon_sym_COLON] = ACTIONS(632),
    [anon_sym_LBRACK] = ACTIONS(632),
    [anon_sym_if] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(632),
    [anon_sym_RPAREN] = ACTIONS(632),
    [anon_sym_ATtr] = ACTIONS(632),
    [anon_sym_DOT] = ACTIONS(634),
    [sym_logical_and] = ACTIONS(632),
    [sym_logical_or] = ACTIONS(632),
    [anon_sym_QMARK] = ACTIONS(632),
    [anon_sym_ATimage_DASHurl] = ACTIONS(632),
    [anon_sym_BANG] = ACTIONS(634),
    [anon_sym_DASH] = ACTIONS(634),
    [anon_sym_PLUS] = ACTIONS(634),
    [anon_sym_STAR] = ACTIONS(634),
    [anon_sym_SLASH] = ACTIONS(634),
    [anon_sym_GT_EQ] = ACTIONS(632),
    [anon_sym_LT_EQ] = ACTIONS(632),
    [anon_sym_EQ_EQ] = ACTIONS(632),
    [anon_sym_BANG_EQ] = ACTIONS(632),
    [anon_sym_EQ] = ACTIONS(634),
    [anon_sym_PLUS_EQ] = ACTIONS(632),
    [anon_sym_DASH_EQ] = ACTIONS(632),
    [anon_sym_STAR_EQ] = ACTIONS(632),
    [anon_sym_SLASH_EQ] = ACTIONS(632),
    [anon_sym_DQUOTE] = ACTIONS(632),
    [sym__identifier] = ACTIONS(634),
    [anon_sym_linear] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(634),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(634),
    [anon_sym_ease] = ACTIONS(634),
    [anon_sym_ease_DASHin] = ACTIONS(634),
    [anon_sym_ease_DASHout] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(634),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(634),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(634),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(634),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(634),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(634),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(634),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(634),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(634),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(634),
    [anon_sym_cubic_DASHbezier] = ACTIONS(634),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(632),
    [anon_sym_ATlinear_gradient] = ACTIONS(632),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(632),
    [anon_sym_ATradial_gradient] = ACTIONS(632),
    [anon_sym_parent] = ACTIONS(634),
    [anon_sym_root] = ACTIONS(634),
    [anon_sym_self] = ACTIONS(634),
    [sym__int_number] = ACTIONS(634),
    [sym__float_number] = ACTIONS(632),
    [anon_sym_true] = ACTIONS(634),
    [anon_sym_false] = ACTIONS(634),
    [sym_color_value] = ACTIONS(632),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [anon_sym_LBRACE] = ACTIONS(636),
    [anon_sym_COMMA] = ACTIONS(636),
    [anon_sym_RBRACE] = ACTIONS(636),
    [anon_sym_SEMI] = ACTIONS(636),
    [anon_sym_LT] = ACTIONS(638),
    [anon_sym_GT] = ACTIONS(638),
    [anon_sym_return] = ACTIONS(638),
    [anon_sym_COLON] = ACTIONS(636),
    [anon_sym_LBRACK] = ACTIONS(636),
    [anon_sym_if] = ACTIONS(638),
    [anon_sym_LPAREN] = ACTIONS(636),
    [anon_sym_RPAREN] = ACTIONS(636),
    [anon_sym_ATtr] = ACTIONS(636),
    [anon_sym_DOT] = ACTIONS(638),
    [sym_logical_and] = ACTIONS(636),
    [sym_logical_or] = ACTIONS(636),
    [anon_sym_QMARK] = ACTIONS(636),
    [anon_sym_ATimage_DASHurl] = ACTIONS(636),
    [anon_sym_BANG] = ACTIONS(638),
    [anon_sym_DASH] = ACTIONS(638),
    [anon_sym_PLUS] = ACTIONS(638),
    [anon_sym_STAR] = ACTIONS(638),
    [anon_sym_SLASH] = ACTIONS(638),
    [anon_sym_GT_EQ] = ACTIONS(636),
    [anon_sym_LT_EQ] = ACTIONS(636),
    [anon_sym_EQ_EQ] = ACTIONS(636),
    [anon_sym_BANG_EQ] = ACTIONS(636),
    [anon_sym_EQ] = ACTIONS(638),
    [anon_sym_PLUS_EQ] = ACTIONS(636),
    [anon_sym_DASH_EQ] = ACTIONS(636),
    [anon_sym_STAR_EQ] = ACTIONS(636),
    [anon_sym_SLASH_EQ] = ACTIONS(636),
    [anon_sym_DQUOTE] = ACTIONS(636),
    [sym__identifier] = ACTIONS(638),
    [anon_sym_linear] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(638),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(638),
    [anon_sym_ease] = ACTIONS(638),
    [anon_sym_ease_DASHin] = ACTIONS(638),
    [anon_sym_ease_DASHout] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(638),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(638),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(638),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(638),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(638),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(638),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(638),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(638),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(638),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(638),
    [anon_sym_cubic_DASHbezier] = ACTIONS(638),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(636),
    [anon_sym_ATlinear_gradient] = ACTIONS(636),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(636),
    [anon_sym_ATradial_gradient] = ACTIONS(636),
    [anon_sym_parent] = ACTIONS(638),
    [anon_sym_root] = ACTIONS(638),
    [anon_sym_self] = ACTIONS(638),
    [sym__int_number] = ACTIONS(638),
    [sym__float_number] = ACTIONS(636),
    [anon_sym_true] = ACTIONS(638),
    [anon_sym_false] = ACTIONS(638),
    [sym_color_value] = ACTIONS(636),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [anon_sym_LBRACE] = ACTIONS(640),
    [anon_sym_COMMA] = ACTIONS(640),
    [anon_sym_RBRACE] = ACTIONS(640),
    [anon_sym_SEMI] = ACTIONS(640),
    [anon_sym_LT] = ACTIONS(642),
    [anon_sym_GT] = ACTIONS(642),
    [anon_sym_return] = ACTIONS(642),
    [anon_sym_COLON] = ACTIONS(640),
    [anon_sym_LBRACK] = ACTIONS(640),
    [anon_sym_if] = ACTIONS(642),
    [anon_sym_LPAREN] = ACTIONS(640),
    [anon_sym_RPAREN] = ACTIONS(640),
    [anon_sym_ATtr] = ACTIONS(640),
    [anon_sym_DOT] = ACTIONS(642),
    [sym_logical_and] = ACTIONS(640),
    [sym_logical_or] = ACTIONS(640),
    [anon_sym_QMARK] = ACTIONS(640),
    [anon_sym_ATimage_DASHurl] = ACTIONS(640),
    [anon_sym_BANG] = ACTIONS(642),
    [anon_sym_DASH] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(642),
    [anon_sym_STAR] = ACTIONS(642),
    [anon_sym_SLASH] = ACTIONS(642),
    [anon_sym_GT_EQ] = ACTIONS(640),
    [anon_sym_LT_EQ] = ACTIONS(640),
    [anon_sym_EQ_EQ] = ACTIONS(640),
    [anon_sym_BANG_EQ] = ACTIONS(640),
    [anon_sym_EQ] = ACTIONS(642),
    [anon_sym_PLUS_EQ] = ACTIONS(640),
    [anon_sym_DASH_EQ] = ACTIONS(640),
    [anon_sym_STAR_EQ] = ACTIONS(640),
    [anon_sym_SLASH_EQ] = ACTIONS(640),
    [anon_sym_DQUOTE] = ACTIONS(640),
    [sym__identifier] = ACTIONS(642),
    [anon_sym_linear] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(642),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(642),
    [anon_sym_ease] = ACTIONS(642),
    [anon_sym_ease_DASHin] = ACTIONS(642),
    [anon_sym_ease_DASHout] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(642),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(642),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(642),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(642),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(642),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(642),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(642),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(642),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(642),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(642),
    [anon_sym_cubic_DASHbezier] = ACTIONS(642),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(640),
    [anon_sym_ATlinear_gradient] = ACTIONS(640),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(640),
    [anon_sym_ATradial_gradient] = ACTIONS(640),
    [anon_sym_parent] = ACTIONS(642),
    [anon_sym_root] = ACTIONS(642),
    [anon_sym_self] = ACTIONS(642),
    [sym__int_number] = ACTIONS(642),
    [sym__float_number] = ACTIONS(640),
    [anon_sym_true] = ACTIONS(642),
    [anon_sym_false] = ACTIONS(642),
    [sym_color_value] = ACTIONS(640),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [anon_sym_LBRACE] = ACTIONS(644),
    [anon_sym_COMMA] = ACTIONS(644),
    [anon_sym_RBRACE] = ACTIONS(644),
    [anon_sym_SEMI] = ACTIONS(644),
    [anon_sym_LT] = ACTIONS(646),
    [anon_sym_GT] = ACTIONS(646),
    [anon_sym_return] = ACTIONS(646),
    [anon_sym_COLON] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_if] = ACTIONS(646),
    [anon_sym_LPAREN] = ACTIONS(644),
    [anon_sym_RPAREN] = ACTIONS(644),
    [anon_sym_ATtr] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(646),
    [sym_logical_and] = ACTIONS(644),
    [sym_logical_or] = ACTIONS(644),
    [anon_sym_QMARK] = ACTIONS(644),
    [anon_sym_ATimage_DASHurl] = ACTIONS(644),
    [anon_sym_BANG] = ACTIONS(646),
    [anon_sym_DASH] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(646),
    [anon_sym_STAR] = ACTIONS(646),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_GT_EQ] = ACTIONS(644),
    [anon_sym_LT_EQ] = ACTIONS(644),
    [anon_sym_EQ_EQ] = ACTIONS(644),
    [anon_sym_BANG_EQ] = ACTIONS(644),
    [anon_sym_EQ] = ACTIONS(646),
    [anon_sym_PLUS_EQ] = ACTIONS(644),
    [anon_sym_DASH_EQ] = ACTIONS(644),
    [anon_sym_STAR_EQ] = ACTIONS(644),
    [anon_sym_SLASH_EQ] = ACTIONS(644),
    [anon_sym_DQUOTE] = ACTIONS(644),
    [sym__identifier] = ACTIONS(646),
    [anon_sym_linear] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(646),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(646),
    [anon_sym_ease] = ACTIONS(646),
    [anon_sym_ease_DASHin] = ACTIONS(646),
    [anon_sym_ease_DASHout] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(646),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(646),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(646),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(646),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(646),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(646),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(646),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(646),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(646),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(646),
    [anon_sym_cubic_DASHbezier] = ACTIONS(646),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(644),
    [anon_sym_ATlinear_gradient] = ACTIONS(644),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(644),
    [anon_sym_ATradial_gradient] = ACTIONS(644),
    [anon_sym_parent] = ACTIONS(646),
    [anon_sym_root] = ACTIONS(646),
    [anon_sym_self] = ACTIONS(646),
    [sym__int_number] = ACTIONS(646),
    [sym__float_number] = ACTIONS(644),
    [anon_sym_true] = ACTIONS(646),
    [anon_sym_false] = ACTIONS(646),
    [sym_color_value] = ACTIONS(644),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [anon_sym_LBRACE] = ACTIONS(648),
    [anon_sym_COMMA] = ACTIONS(648),
    [anon_sym_RBRACE] = ACTIONS(648),
    [anon_sym_SEMI] = ACTIONS(648),
    [anon_sym_LT] = ACTIONS(650),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_return] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(648),
    [anon_sym_LBRACK] = ACTIONS(648),
    [anon_sym_if] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_RPAREN] = ACTIONS(648),
    [anon_sym_ATtr] = ACTIONS(648),
    [anon_sym_DOT] = ACTIONS(650),
    [sym_logical_and] = ACTIONS(648),
    [sym_logical_or] = ACTIONS(648),
    [anon_sym_QMARK] = ACTIONS(648),
    [anon_sym_ATimage_DASHurl] = ACTIONS(648),
    [anon_sym_BANG] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_GT_EQ] = ACTIONS(648),
    [anon_sym_LT_EQ] = ACTIONS(648),
    [anon_sym_EQ_EQ] = ACTIONS(648),
    [anon_sym_BANG_EQ] = ACTIONS(648),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_PLUS_EQ] = ACTIONS(648),
    [anon_sym_DASH_EQ] = ACTIONS(648),
    [anon_sym_STAR_EQ] = ACTIONS(648),
    [anon_sym_SLASH_EQ] = ACTIONS(648),
    [anon_sym_DQUOTE] = ACTIONS(648),
    [sym__identifier] = ACTIONS(650),
    [anon_sym_linear] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(650),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(650),
    [anon_sym_ease] = ACTIONS(650),
    [anon_sym_ease_DASHin] = ACTIONS(650),
    [anon_sym_ease_DASHout] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(650),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(650),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(650),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(650),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(650),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(650),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(650),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(650),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(650),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(650),
    [anon_sym_cubic_DASHbezier] = ACTIONS(650),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(648),
    [anon_sym_ATlinear_gradient] = ACTIONS(648),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(648),
    [anon_sym_ATradial_gradient] = ACTIONS(648),
    [anon_sym_parent] = ACTIONS(650),
    [anon_sym_root] = ACTIONS(650),
    [anon_sym_self] = ACTIONS(650),
    [sym__int_number] = ACTIONS(650),
    [sym__float_number] = ACTIONS(648),
    [anon_sym_true] = ACTIONS(650),
    [anon_sym_false] = ACTIONS(650),
    [sym_color_value] = ACTIONS(648),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [anon_sym_LBRACE] = ACTIONS(416),
    [anon_sym_RBRACE] = ACTIONS(416),
    [anon_sym_SEMI] = ACTIONS(416),
    [anon_sym_LT] = ACTIONS(418),
    [anon_sym_GT] = ACTIONS(418),
    [anon_sym_return] = ACTIONS(418),
    [anon_sym_COLON] = ACTIONS(416),
    [anon_sym_LBRACK] = ACTIONS(416),
    [anon_sym_if] = ACTIONS(418),
    [anon_sym_LPAREN] = ACTIONS(416),
    [anon_sym_ATtr] = ACTIONS(416),
    [anon_sym_EQ_GT] = ACTIONS(536),
    [anon_sym_DOT] = ACTIONS(418),
    [sym_logical_and] = ACTIONS(416),
    [sym_logical_or] = ACTIONS(416),
    [anon_sym_QMARK] = ACTIONS(416),
    [anon_sym_ATimage_DASHurl] = ACTIONS(416),
    [anon_sym_BANG] = ACTIONS(418),
    [anon_sym_DASH] = ACTIONS(418),
    [anon_sym_PLUS] = ACTIONS(418),
    [anon_sym_STAR] = ACTIONS(418),
    [anon_sym_SLASH] = ACTIONS(418),
    [anon_sym_GT_EQ] = ACTIONS(416),
    [anon_sym_LT_EQ] = ACTIONS(416),
    [anon_sym_EQ_EQ] = ACTIONS(416),
    [anon_sym_BANG_EQ] = ACTIONS(416),
    [anon_sym_EQ] = ACTIONS(418),
    [anon_sym_PLUS_EQ] = ACTIONS(416),
    [anon_sym_DASH_EQ] = ACTIONS(416),
    [anon_sym_STAR_EQ] = ACTIONS(416),
    [anon_sym_SLASH_EQ] = ACTIONS(416),
    [anon_sym_DQUOTE] = ACTIONS(416),
    [sym__identifier] = ACTIONS(418),
    [anon_sym_linear] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(418),
    [anon_sym_ease] = ACTIONS(418),
    [anon_sym_ease_DASHin] = ACTIONS(418),
    [anon_sym_ease_DASHout] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(418),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(418),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(418),
    [anon_sym_cubic_DASHbezier] = ACTIONS(418),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(416),
    [anon_sym_ATlinear_gradient] = ACTIONS(416),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(416),
    [anon_sym_ATradial_gradient] = ACTIONS(416),
    [anon_sym_parent] = ACTIONS(418),
    [anon_sym_root] = ACTIONS(418),
    [anon_sym_self] = ACTIONS(418),
    [sym__int_number] = ACTIONS(418),
    [sym__float_number] = ACTIONS(416),
    [anon_sym_true] = ACTIONS(418),
    [anon_sym_false] = ACTIONS(418),
    [sym_color_value] = ACTIONS(416),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_add_prec_operator] = STATE(126),
    [sym_mult_prec_operator] = STATE(94),
    [sym_comparison_operator] = STATE(92),
    [anon_sym_LBRACE] = ACTIONS(652),
    [anon_sym_RBRACE] = ACTIONS(652),
    [anon_sym_SEMI] = ACTIONS(652),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_GT] = ACTIONS(352),
    [anon_sym_return] = ACTIONS(654),
    [anon_sym_LBRACK] = ACTIONS(358),
    [anon_sym_if] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(652),
    [anon_sym_ATtr] = ACTIONS(652),
    [anon_sym_DOT] = ACTIONS(360),
    [sym_logical_and] = ACTIONS(362),
    [sym_logical_or] = ACTIONS(364),
    [anon_sym_QMARK] = ACTIONS(366),
    [anon_sym_ATimage_DASHurl] = ACTIONS(652),
    [anon_sym_BANG] = ACTIONS(654),
    [anon_sym_DASH] = ACTIONS(656),
    [anon_sym_PLUS] = ACTIONS(656),
    [anon_sym_STAR] = ACTIONS(658),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(372),
    [anon_sym_LT_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(652),
    [sym__identifier] = ACTIONS(654),
    [anon_sym_linear] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(654),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(654),
    [anon_sym_ease] = ACTIONS(654),
    [anon_sym_ease_DASHin] = ACTIONS(654),
    [anon_sym_ease_DASHout] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(654),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(654),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(654),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(654),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(654),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(654),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(654),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(654),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(654),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(654),
    [anon_sym_cubic_DASHbezier] = ACTIONS(654),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(652),
    [anon_sym_ATlinear_gradient] = ACTIONS(652),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(652),
    [anon_sym_ATradial_gradient] = ACTIONS(652),
    [anon_sym_parent] = ACTIONS(654),
    [anon_sym_root] = ACTIONS(654),
    [anon_sym_self] = ACTIONS(654),
    [sym__int_number] = ACTIONS(654),
    [sym__float_number] = ACTIONS(652),
    [anon_sym_true] = ACTIONS(654),
    [anon_sym_false] = ACTIONS(654),
    [sym_color_value] = ACTIONS(652),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_COMMA] = ACTIONS(454),
    [anon_sym_RBRACE] = ACTIONS(454),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LT] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(456),
    [anon_sym_return] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_if] = ACTIONS(662),
    [anon_sym_LPAREN] = ACTIONS(660),
    [anon_sym_ATtr] = ACTIONS(660),
    [anon_sym_DOT] = ACTIONS(456),
    [sym_logical_and] = ACTIONS(454),
    [sym_logical_or] = ACTIONS(454),
    [anon_sym_QMARK] = ACTIONS(454),
    [anon_sym_ATimage_DASHurl] = ACTIONS(660),
    [anon_sym_BANG] = ACTIONS(662),
    [anon_sym_DASH] = ACTIONS(454),
    [anon_sym_PLUS] = ACTIONS(454),
    [anon_sym_STAR] = ACTIONS(454),
    [anon_sym_SLASH] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(454),
    [anon_sym_LT_EQ] = ACTIONS(454),
    [anon_sym_EQ_EQ] = ACTIONS(454),
    [anon_sym_BANG_EQ] = ACTIONS(454),
    [anon_sym_DQUOTE] = ACTIONS(660),
    [sym__identifier] = ACTIONS(662),
    [anon_sym_linear] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(662),
    [anon_sym_ease] = ACTIONS(662),
    [anon_sym_ease_DASHin] = ACTIONS(662),
    [anon_sym_ease_DASHout] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(662),
    [anon_sym_cubic_DASHbezier] = ACTIONS(662),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(660),
    [anon_sym_ATlinear_gradient] = ACTIONS(660),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(660),
    [anon_sym_ATradial_gradient] = ACTIONS(660),
    [anon_sym_parent] = ACTIONS(662),
    [anon_sym_root] = ACTIONS(662),
    [anon_sym_self] = ACTIONS(662),
    [sym__int_number] = ACTIONS(662),
    [sym__float_number] = ACTIONS(660),
    [anon_sym_true] = ACTIONS(662),
    [anon_sym_false] = ACTIONS(662),
    [sym_color_value] = ACTIONS(660),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [anon_sym_LBRACE] = ACTIONS(664),
    [anon_sym_RBRACE] = ACTIONS(454),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LT] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(456),
    [anon_sym_in] = ACTIONS(666),
    [anon_sym_out] = ACTIONS(666),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(664),
    [anon_sym_ATtr] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(456),
    [sym_logical_and] = ACTIONS(454),
    [sym_logical_or] = ACTIONS(454),
    [anon_sym_QMARK] = ACTIONS(454),
    [anon_sym_ATimage_DASHurl] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(666),
    [anon_sym_DASH] = ACTIONS(454),
    [anon_sym_PLUS] = ACTIONS(454),
    [anon_sym_STAR] = ACTIONS(454),
    [anon_sym_SLASH] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(454),
    [anon_sym_LT_EQ] = ACTIONS(454),
    [anon_sym_EQ_EQ] = ACTIONS(454),
    [anon_sym_BANG_EQ] = ACTIONS(454),
    [anon_sym_DQUOTE] = ACTIONS(664),
    [sym__identifier] = ACTIONS(666),
    [anon_sym_linear] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(666),
    [anon_sym_ease] = ACTIONS(666),
    [anon_sym_ease_DASHin] = ACTIONS(666),
    [anon_sym_ease_DASHout] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(666),
    [anon_sym_cubic_DASHbezier] = ACTIONS(666),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(664),
    [anon_sym_ATlinear_gradient] = ACTIONS(664),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(664),
    [anon_sym_ATradial_gradient] = ACTIONS(664),
    [anon_sym_parent] = ACTIONS(666),
    [anon_sym_root] = ACTIONS(666),
    [anon_sym_self] = ACTIONS(666),
    [sym__int_number] = ACTIONS(666),
    [sym__float_number] = ACTIONS(664),
    [anon_sym_true] = ACTIONS(666),
    [anon_sym_false] = ACTIONS(666),
    [sym_color_value] = ACTIONS(664),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_RBRACE] = ACTIONS(668),
    [anon_sym_LT] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(456),
    [anon_sym_COLON] = ACTIONS(454),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_out] = ACTIONS(670),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_ATtr] = ACTIONS(668),
    [anon_sym_DOT] = ACTIONS(456),
    [sym_logical_and] = ACTIONS(454),
    [sym_logical_or] = ACTIONS(454),
    [anon_sym_QMARK] = ACTIONS(454),
    [anon_sym_ATimage_DASHurl] = ACTIONS(668),
    [anon_sym_BANG] = ACTIONS(670),
    [anon_sym_DASH] = ACTIONS(454),
    [anon_sym_PLUS] = ACTIONS(454),
    [anon_sym_STAR] = ACTIONS(454),
    [anon_sym_SLASH] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(454),
    [anon_sym_LT_EQ] = ACTIONS(454),
    [anon_sym_EQ_EQ] = ACTIONS(454),
    [anon_sym_BANG_EQ] = ACTIONS(454),
    [anon_sym_DQUOTE] = ACTIONS(668),
    [sym__identifier] = ACTIONS(670),
    [anon_sym_linear] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(670),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(670),
    [anon_sym_ease] = ACTIONS(670),
    [anon_sym_ease_DASHin] = ACTIONS(670),
    [anon_sym_ease_DASHout] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(670),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(670),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(670),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(670),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(670),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(670),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(670),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(670),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(670),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(670),
    [anon_sym_cubic_DASHbezier] = ACTIONS(670),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(668),
    [anon_sym_ATlinear_gradient] = ACTIONS(668),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(668),
    [anon_sym_ATradial_gradient] = ACTIONS(668),
    [anon_sym_parent] = ACTIONS(670),
    [anon_sym_root] = ACTIONS(670),
    [anon_sym_self] = ACTIONS(670),
    [sym__int_number] = ACTIONS(670),
    [sym__float_number] = ACTIONS(668),
    [anon_sym_true] = ACTIONS(670),
    [anon_sym_false] = ACTIONS(670),
    [sym_color_value] = ACTIONS(668),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [anon_sym_LBRACE] = ACTIONS(454),
    [anon_sym_RBRACE] = ACTIONS(454),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LT] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(456),
    [anon_sym_return] = ACTIONS(456),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_if] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(454),
    [anon_sym_ATtr] = ACTIONS(454),
    [anon_sym_DOT] = ACTIONS(456),
    [sym_logical_and] = ACTIONS(454),
    [sym_logical_or] = ACTIONS(454),
    [anon_sym_QMARK] = ACTIONS(454),
    [anon_sym_ATimage_DASHurl] = ACTIONS(454),
    [anon_sym_BANG] = ACTIONS(456),
    [anon_sym_DASH] = ACTIONS(454),
    [anon_sym_PLUS] = ACTIONS(454),
    [anon_sym_STAR] = ACTIONS(454),
    [anon_sym_SLASH] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(454),
    [anon_sym_LT_EQ] = ACTIONS(454),
    [anon_sym_EQ_EQ] = ACTIONS(454),
    [anon_sym_BANG_EQ] = ACTIONS(454),
    [anon_sym_DQUOTE] = ACTIONS(454),
    [sym__identifier] = ACTIONS(456),
    [anon_sym_linear] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(456),
    [anon_sym_ease] = ACTIONS(456),
    [anon_sym_ease_DASHin] = ACTIONS(456),
    [anon_sym_ease_DASHout] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(456),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(456),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(456),
    [anon_sym_cubic_DASHbezier] = ACTIONS(456),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(454),
    [anon_sym_ATlinear_gradient] = ACTIONS(454),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(454),
    [anon_sym_ATradial_gradient] = ACTIONS(454),
    [anon_sym_parent] = ACTIONS(456),
    [anon_sym_root] = ACTIONS(456),
    [anon_sym_self] = ACTIONS(456),
    [sym__int_number] = ACTIONS(456),
    [sym__float_number] = ACTIONS(454),
    [anon_sym_true] = ACTIONS(456),
    [anon_sym_false] = ACTIONS(456),
    [sym_color_value] = ACTIONS(454),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_RBRACE] = ACTIONS(660),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LT] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(456),
    [anon_sym_return] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_if] = ACTIONS(662),
    [anon_sym_LPAREN] = ACTIONS(660),
    [anon_sym_ATtr] = ACTIONS(660),
    [anon_sym_DOT] = ACTIONS(456),
    [sym_logical_and] = ACTIONS(454),
    [sym_logical_or] = ACTIONS(454),
    [anon_sym_QMARK] = ACTIONS(454),
    [anon_sym_ATimage_DASHurl] = ACTIONS(660),
    [anon_sym_BANG] = ACTIONS(662),
    [anon_sym_DASH] = ACTIONS(454),
    [anon_sym_PLUS] = ACTIONS(454),
    [anon_sym_STAR] = ACTIONS(454),
    [anon_sym_SLASH] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(454),
    [anon_sym_LT_EQ] = ACTIONS(454),
    [anon_sym_EQ_EQ] = ACTIONS(454),
    [anon_sym_BANG_EQ] = ACTIONS(454),
    [anon_sym_DQUOTE] = ACTIONS(660),
    [sym__identifier] = ACTIONS(662),
    [anon_sym_linear] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(662),
    [anon_sym_ease] = ACTIONS(662),
    [anon_sym_ease_DASHin] = ACTIONS(662),
    [anon_sym_ease_DASHout] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(662),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(662),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(662),
    [anon_sym_cubic_DASHbezier] = ACTIONS(662),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(660),
    [anon_sym_ATlinear_gradient] = ACTIONS(660),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(660),
    [anon_sym_ATradial_gradient] = ACTIONS(660),
    [anon_sym_parent] = ACTIONS(662),
    [anon_sym_root] = ACTIONS(662),
    [anon_sym_self] = ACTIONS(662),
    [sym__int_number] = ACTIONS(662),
    [sym__float_number] = ACTIONS(660),
    [anon_sym_true] = ACTIONS(662),
    [anon_sym_false] = ACTIONS(662),
    [sym_color_value] = ACTIONS(660),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [anon_sym_LBRACE] = ACTIONS(664),
    [anon_sym_RBRACE] = ACTIONS(664),
    [anon_sym_SEMI] = ACTIONS(454),
    [anon_sym_LT] = ACTIONS(456),
    [anon_sym_GT] = ACTIONS(456),
    [anon_sym_in] = ACTIONS(666),
    [anon_sym_out] = ACTIONS(666),
    [anon_sym_LBRACK] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(664),
    [anon_sym_ATtr] = ACTIONS(664),
    [anon_sym_DOT] = ACTIONS(456),
    [sym_logical_and] = ACTIONS(454),
    [sym_logical_or] = ACTIONS(454),
    [anon_sym_QMARK] = ACTIONS(454),
    [anon_sym_ATimage_DASHurl] = ACTIONS(664),
    [anon_sym_BANG] = ACTIONS(666),
    [anon_sym_DASH] = ACTIONS(454),
    [anon_sym_PLUS] = ACTIONS(454),
    [anon_sym_STAR] = ACTIONS(454),
    [anon_sym_SLASH] = ACTIONS(456),
    [anon_sym_GT_EQ] = ACTIONS(454),
    [anon_sym_LT_EQ] = ACTIONS(454),
    [anon_sym_EQ_EQ] = ACTIONS(454),
    [anon_sym_BANG_EQ] = ACTIONS(454),
    [anon_sym_DQUOTE] = ACTIONS(664),
    [sym__identifier] = ACTIONS(666),
    [anon_sym_linear] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHquad] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHquad] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHquad] = ACTIONS(666),
    [anon_sym_ease] = ACTIONS(666),
    [anon_sym_ease_DASHin] = ACTIONS(666),
    [anon_sym_ease_DASHout] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHquart] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHquart] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHquart] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHquint] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHquint] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHquint] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHexpo] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHexpo] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHexpo] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHsine] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHsine] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHsine] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHback] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHback] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHback] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHcirc] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHcirc] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHcirc] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHelastic] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHelastic] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHelastic] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHbounce] = ACTIONS(666),
    [anon_sym_ease_DASHout_DASHbounce] = ACTIONS(666),
    [anon_sym_ease_DASHin_DASHout_DASHbounce] = ACTIONS(666),
    [anon_sym_cubic_DASHbezier] = ACTIONS(666),
    [anon_sym_ATlinear_DASHgradient] = ACTIONS(664),
    [anon_sym_ATlinear_gradient] = ACTIONS(664),
    [anon_sym_ATradial_DASHgradient] = ACTIONS(664),
    [anon_sym_ATradial_gradient] = ACTIONS(664),
    [anon_sym_parent] = ACTIONS(666),
    [anon_sym_root] = ACTIONS(666),
    [anon_sym_self] = ACTIONS(666),
    [sym__int_number] = ACTIONS(666),
    [sym__float_number] = ACTIONS(664),
    [anon_sym_true] = ACTIONS(666),
    [anon_sym_false] = ACTIONS(666),
    [sym_color_value] = ACTIONS(664),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(674), 43,
      anon_sym_return,
      anon_sym_if,
      anon_sym_else,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [68] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(680), 1,
      anon_sym_else,
    ACTIONS(676), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(678), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(662), 43,
      anon_sym_return,
      anon_sym_if,
      anon_sym_else,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(674), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_SEMI,
    ACTIONS(682), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(687), 42,
      anon_sym_in,
      anon_sym_out,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(691), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(695), 42,
      anon_sym_in,
      anon_sym_out,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(699), 1,
      anon_sym_SEMI,
    ACTIONS(697), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(701), 42,
      anon_sym_in,
      anon_sym_out,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym_SEMI,
    ACTIONS(697), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(701), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(662), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(706), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(708), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(710), 1,
      anon_sym_SEMI,
    ACTIONS(682), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(687), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(715), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_SEMI,
    ACTIONS(717), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(721), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(695), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(320), 1,
      anon_sym_SEMI,
    ACTIONS(350), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(354), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(715), 42,
      anon_sym_in,
      anon_sym_out,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(725), 42,
      anon_sym_in,
      anon_sym_out,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(729), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(689), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(691), 42,
      anon_sym_in,
      anon_sym_out,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(733), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(737), 42,
      anon_sym_in,
      anon_sym_out,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(741), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(745), 42,
      anon_sym_in,
      anon_sym_out,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(183), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(747), 42,
      anon_sym_in,
      anon_sym_out,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(751), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(755), 42,
      anon_sym_return,
      anon_sym_if,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 15,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(759), 40,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 15,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(763), 40,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [1942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 15,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(767), 40,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [2005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 15,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(771), 40,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [2068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 15,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(775), 40,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [2131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 15,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_ATtr,
      anon_sym_ATimage_DASHurl,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_DQUOTE,
      anon_sym_ATlinear_DASHgradient,
      anon_sym_ATlinear_gradient,
      anon_sym_ATradial_DASHgradient,
      anon_sym_ATradial_gradient,
      sym__float_number,
      sym_color_value,
    ACTIONS(779), 40,
      sym__identifier,
      anon_sym_linear,
      anon_sym_ease_DASHin_DASHquad,
      anon_sym_ease_DASHout_DASHquad,
      anon_sym_ease_DASHin_DASHout_DASHquad,
      anon_sym_ease,
      anon_sym_ease_DASHin,
      anon_sym_ease_DASHout,
      anon_sym_ease_DASHin_DASHout,
      anon_sym_ease_DASHin_DASHquart,
      anon_sym_ease_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHout_DASHquart,
      anon_sym_ease_DASHin_DASHquint,
      anon_sym_ease_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHout_DASHquint,
      anon_sym_ease_DASHin_DASHexpo,
      anon_sym_ease_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHout_DASHexpo,
      anon_sym_ease_DASHin_DASHsine,
      anon_sym_ease_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHout_DASHsine,
      anon_sym_ease_DASHin_DASHback,
      anon_sym_ease_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHout_DASHback,
      anon_sym_ease_DASHin_DASHcirc,
      anon_sym_ease_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHout_DASHcirc,
      anon_sym_ease_DASHin_DASHelastic,
      anon_sym_ease_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHout_DASHelastic,
      anon_sym_ease_DASHin_DASHbounce,
      anon_sym_ease_DASHout_DASHbounce,
      anon_sym_ease_DASHin_DASHout_DASHbounce,
      anon_sym_cubic_DASHbezier,
      anon_sym_parent,
      anon_sym_root,
      anon_sym_self,
      sym__int_number,
      anon_sym_true,
      anon_sym_false,
  [2194] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 1,
      anon_sym_COMMA,
    ACTIONS(783), 1,
      anon_sym_RBRACE,
    ACTIONS(785), 1,
      anon_sym_property,
    ACTIONS(789), 1,
      anon_sym_transitions,
    ACTIONS(791), 1,
      anon_sym_states,
    ACTIONS(793), 1,
      anon_sym_animate,
    ACTIONS(795), 1,
      anon_sym_if,
    ACTIONS(797), 1,
      anon_sym_for,
    ACTIONS(799), 1,
      anon_sym_callback,
    ACTIONS(801), 1,
      anon_sym_pure,
    ACTIONS(803), 1,
      anon_sym_public,
    ACTIONS(805), 1,
      anon_sym_private,
    ACTIONS(807), 1,
      anon_sym_function,
    ACTIONS(809), 1,
      anon_sym_changed,
    ACTIONS(811), 1,
      sym__identifier,
    ACTIONS(813), 1,
      sym_children_identifier,
    STATE(592), 1,
      sym_simple_identifier,
    STATE(606), 1,
      sym_purity,
    STATE(696), 1,
      sym_property_visibility,
    STATE(819), 1,
      sym_user_type_identifier,
    STATE(864), 1,
      sym_function_call,
    STATE(586), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(787), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(274), 16,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      sym_changed_callback,
      aux_sym_block_repeat1,
  [2288] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_COMMA,
    ACTIONS(785), 1,
      anon_sym_property,
    ACTIONS(789), 1,
      anon_sym_transitions,
    ACTIONS(791), 1,
      anon_sym_states,
    ACTIONS(793), 1,
      anon_sym_animate,
    ACTIONS(795), 1,
      anon_sym_if,
    ACTIONS(797), 1,
      anon_sym_for,
    ACTIONS(799), 1,
      anon_sym_callback,
    ACTIONS(801), 1,
      anon_sym_pure,
    ACTIONS(803), 1,
      anon_sym_public,
    ACTIONS(805), 1,
      anon_sym_private,
    ACTIONS(807), 1,
      anon_sym_function,
    ACTIONS(809), 1,
      anon_sym_changed,
    ACTIONS(811), 1,
      sym__identifier,
    ACTIONS(815), 1,
      anon_sym_RBRACE,
    ACTIONS(817), 1,
      sym_children_identifier,
    STATE(594), 1,
      sym_simple_identifier,
    STATE(606), 1,
      sym_purity,
    STATE(696), 1,
      sym_property_visibility,
    STATE(819), 1,
      sym_user_type_identifier,
    STATE(864), 1,
      sym_function_call,
    STATE(586), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(787), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(275), 16,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      sym_changed_callback,
      aux_sym_block_repeat1,
  [2382] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_COMMA,
    ACTIONS(785), 1,
      anon_sym_property,
    ACTIONS(789), 1,
      anon_sym_transitions,
    ACTIONS(791), 1,
      anon_sym_states,
    ACTIONS(793), 1,
      anon_sym_animate,
    ACTIONS(795), 1,
      anon_sym_if,
    ACTIONS(797), 1,
      anon_sym_for,
    ACTIONS(799), 1,
      anon_sym_callback,
    ACTIONS(801), 1,
      anon_sym_pure,
    ACTIONS(803), 1,
      anon_sym_public,
    ACTIONS(805), 1,
      anon_sym_private,
    ACTIONS(807), 1,
      anon_sym_function,
    ACTIONS(809), 1,
      anon_sym_changed,
    ACTIONS(811), 1,
      sym__identifier,
    ACTIONS(817), 1,
      sym_children_identifier,
    ACTIONS(819), 1,
      anon_sym_RBRACE,
    STATE(594), 1,
      sym_simple_identifier,
    STATE(606), 1,
      sym_purity,
    STATE(696), 1,
      sym_property_visibility,
    STATE(819), 1,
      sym_user_type_identifier,
    STATE(864), 1,
      sym_function_call,
    STATE(586), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(787), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(275), 16,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      sym_changed_callback,
      aux_sym_block_repeat1,
  [2476] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_property,
    ACTIONS(789), 1,
      anon_sym_transitions,
    ACTIONS(791), 1,
      anon_sym_states,
    ACTIONS(793), 1,
      anon_sym_animate,
    ACTIONS(795), 1,
      anon_sym_if,
    ACTIONS(797), 1,
      anon_sym_for,
    ACTIONS(799), 1,
      anon_sym_callback,
    ACTIONS(801), 1,
      anon_sym_pure,
    ACTIONS(803), 1,
      anon_sym_public,
    ACTIONS(805), 1,
      anon_sym_private,
    ACTIONS(807), 1,
      anon_sym_function,
    ACTIONS(809), 1,
      anon_sym_changed,
    ACTIONS(811), 1,
      sym__identifier,
    ACTIONS(821), 1,
      anon_sym_RBRACE,
    ACTIONS(823), 1,
      sym_children_identifier,
    STATE(601), 1,
      sym_simple_identifier,
    STATE(606), 1,
      sym_purity,
    STATE(696), 1,
      sym_property_visibility,
    STATE(819), 1,
      sym_user_type_identifier,
    STATE(864), 1,
      sym_function_call,
    STATE(586), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(787), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(272), 16,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      sym_changed_callback,
      aux_sym_block_repeat1,
  [2567] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_property,
    ACTIONS(789), 1,
      anon_sym_transitions,
    ACTIONS(791), 1,
      anon_sym_states,
    ACTIONS(793), 1,
      anon_sym_animate,
    ACTIONS(795), 1,
      anon_sym_if,
    ACTIONS(797), 1,
      anon_sym_for,
    ACTIONS(799), 1,
      anon_sym_callback,
    ACTIONS(801), 1,
      anon_sym_pure,
    ACTIONS(803), 1,
      anon_sym_public,
    ACTIONS(805), 1,
      anon_sym_private,
    ACTIONS(807), 1,
      anon_sym_function,
    ACTIONS(809), 1,
      anon_sym_changed,
    ACTIONS(811), 1,
      sym__identifier,
    ACTIONS(825), 1,
      anon_sym_RBRACE,
    ACTIONS(827), 1,
      sym_children_identifier,
    STATE(601), 1,
      sym_simple_identifier,
    STATE(606), 1,
      sym_purity,
    STATE(696), 1,
      sym_property_visibility,
    STATE(819), 1,
      sym_user_type_identifier,
    STATE(864), 1,
      sym_function_call,
    STATE(586), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(787), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(273), 16,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      sym_changed_callback,
      aux_sym_block_repeat1,
  [2658] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_property,
    ACTIONS(789), 1,
      anon_sym_transitions,
    ACTIONS(791), 1,
      anon_sym_states,
    ACTIONS(793), 1,
      anon_sym_animate,
    ACTIONS(795), 1,
      anon_sym_if,
    ACTIONS(797), 1,
      anon_sym_for,
    ACTIONS(799), 1,
      anon_sym_callback,
    ACTIONS(801), 1,
      anon_sym_pure,
    ACTIONS(803), 1,
      anon_sym_public,
    ACTIONS(805), 1,
      anon_sym_private,
    ACTIONS(807), 1,
      anon_sym_function,
    ACTIONS(809), 1,
      anon_sym_changed,
    ACTIONS(811), 1,
      sym__identifier,
    ACTIONS(829), 1,
      anon_sym_RBRACE,
    ACTIONS(831), 1,
      sym_children_identifier,
    STATE(601), 1,
      sym_simple_identifier,
    STATE(606), 1,
      sym_purity,
    STATE(696), 1,
      sym_property_visibility,
    STATE(819), 1,
      sym_user_type_identifier,
    STATE(864), 1,
      sym_function_call,
    STATE(586), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(787), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(276), 16,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      sym_changed_callback,
      aux_sym_block_repeat1,
  [2749] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_property,
    ACTIONS(789), 1,
      anon_sym_transitions,
    ACTIONS(791), 1,
      anon_sym_states,
    ACTIONS(793), 1,
      anon_sym_animate,
    ACTIONS(795), 1,
      anon_sym_if,
    ACTIONS(797), 1,
      anon_sym_for,
    ACTIONS(799), 1,
      anon_sym_callback,
    ACTIONS(801), 1,
      anon_sym_pure,
    ACTIONS(803), 1,
      anon_sym_public,
    ACTIONS(805), 1,
      anon_sym_private,
    ACTIONS(807), 1,
      anon_sym_function,
    ACTIONS(809), 1,
      anon_sym_changed,
    ACTIONS(811), 1,
      sym__identifier,
    ACTIONS(831), 1,
      sym_children_identifier,
    ACTIONS(833), 1,
      anon_sym_RBRACE,
    STATE(601), 1,
      sym_simple_identifier,
    STATE(606), 1,
      sym_purity,
    STATE(696), 1,
      sym_property_visibility,
    STATE(819), 1,
      sym_user_type_identifier,
    STATE(864), 1,
      sym_function_call,
    STATE(586), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(787), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(276), 16,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      sym_changed_callback,
      aux_sym_block_repeat1,
  [2840] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_property,
    ACTIONS(789), 1,
      anon_sym_transitions,
    ACTIONS(791), 1,
      anon_sym_states,
    ACTIONS(793), 1,
      anon_sym_animate,
    ACTIONS(795), 1,
      anon_sym_if,
    ACTIONS(797), 1,
      anon_sym_for,
    ACTIONS(799), 1,
      anon_sym_callback,
    ACTIONS(801), 1,
      anon_sym_pure,
    ACTIONS(803), 1,
      anon_sym_public,
    ACTIONS(805), 1,
      anon_sym_private,
    ACTIONS(807), 1,
      anon_sym_function,
    ACTIONS(809), 1,
      anon_sym_changed,
    ACTIONS(811), 1,
      sym__identifier,
    ACTIONS(831), 1,
      sym_children_identifier,
    ACTIONS(835), 1,
      anon_sym_RBRACE,
    STATE(601), 1,
      sym_simple_identifier,
    STATE(606), 1,
      sym_purity,
    STATE(696), 1,
      sym_property_visibility,
    STATE(819), 1,
      sym_user_type_identifier,
    STATE(864), 1,
      sym_function_call,
    STATE(586), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(787), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(276), 16,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      sym_changed_callback,
      aux_sym_block_repeat1,
  [2931] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 1,
      anon_sym_property,
    ACTIONS(789), 1,
      anon_sym_transitions,
    ACTIONS(791), 1,
      anon_sym_states,
    ACTIONS(793), 1,
      anon_sym_animate,
    ACTIONS(795), 1,
      anon_sym_if,
    ACTIONS(797), 1,
      anon_sym_for,
    ACTIONS(799), 1,
      anon_sym_callback,
    ACTIONS(801), 1,
      anon_sym_pure,
    ACTIONS(803), 1,
      anon_sym_public,
    ACTIONS(805), 1,
      anon_sym_private,
    ACTIONS(807), 1,
      anon_sym_function,
    ACTIONS(809), 1,
      anon_sym_changed,
    ACTIONS(811), 1,
      sym__identifier,
    ACTIONS(831), 1,
      sym_children_identifier,
    ACTIONS(837), 1,
      anon_sym_RBRACE,
    STATE(601), 1,
      sym_simple_identifier,
    STATE(606), 1,
      sym_purity,
    STATE(696), 1,
      sym_property_visibility,
    STATE(819), 1,
      sym_user_type_identifier,
    STATE(864), 1,
      sym_function_call,
    STATE(586), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(787), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(276), 16,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      sym_changed_callback,
      aux_sym_block_repeat1,
  [3022] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(839), 1,
      anon_sym_RBRACE,
    ACTIONS(841), 1,
      anon_sym_property,
    ACTIONS(847), 1,
      anon_sym_transitions,
    ACTIONS(850), 1,
      anon_sym_states,
    ACTIONS(853), 1,
      anon_sym_animate,
    ACTIONS(856), 1,
      anon_sym_if,
    ACTIONS(859), 1,
      anon_sym_for,
    ACTIONS(862), 1,
      anon_sym_callback,
    ACTIONS(865), 1,
      anon_sym_pure,
    ACTIONS(868), 1,
      anon_sym_public,
    ACTIONS(871), 1,
      anon_sym_private,
    ACTIONS(874), 1,
      anon_sym_function,
    ACTIONS(877), 1,
      anon_sym_changed,
    ACTIONS(880), 1,
      sym__identifier,
    ACTIONS(883), 1,
      sym_children_identifier,
    STATE(601), 1,
      sym_simple_identifier,
    STATE(606), 1,
      sym_purity,
    STATE(696), 1,
      sym_property_visibility,
    STATE(819), 1,
      sym_user_type_identifier,
    STATE(864), 1,
      sym_function_call,
    STATE(586), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(844), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(276), 16,
      sym_component,
      sym_property,
      sym_binding_alias,
      sym__block_statement,
      sym_property_assignment,
      sym_transitions_definition,
      sym_states_definition,
      sym_animate_statement,
      sym_if_statement,
      sym_for_loop,
      sym_callback,
      sym_function_definition,
      sym_callback_alias,
      sym_callback_event,
      sym_changed_callback,
      aux_sym_block_repeat1,
  [3113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 1,
      sym_children_identifier,
    ACTIONS(456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
    ACTIONS(454), 15,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(662), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [3160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
    ACTIONS(454), 13,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(662), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [3206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT_EQ,
      anon_sym_EQ,
    ACTIONS(400), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT_EQ_GT,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(344), 6,
      anon_sym_phx,
      aux_sym_length_value_token1,
      aux_sym_duration_value_token1,
      aux_sym_angle_value_token1,
      anon_sym_PERCENT2,
      anon_sym_rem,
    ACTIONS(340), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(338), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(344), 6,
      anon_sym_phx,
      aux_sym_length_value_token1,
      aux_sym_duration_value_token1,
      aux_sym_angle_value_token1,
      anon_sym_PERCENT2,
      anon_sym_rem,
    ACTIONS(348), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(346), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3333] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(428), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(426), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3381] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(370), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(378), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ,
    ACTIONS(376), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3433] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(398), 1,
      anon_sym_EQ,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(370), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(396), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(610), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(608), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PERCENT,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3529] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(410), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(408), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3575] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(386), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(384), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3623] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(370), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(390), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_EQ,
    ACTIONS(388), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(646), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(644), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PERCENT,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3711] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(414), 1,
      anon_sym_EQ,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(370), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(412), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3769] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(414), 1,
      anon_sym_EQ,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(370), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(412), 14,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(564), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(562), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PERCENT,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3863] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(892), 1,
      anon_sym_LPAREN,
    STATE(295), 1,
      sym_arguments,
    ACTIONS(418), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(416), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(432), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(430), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(424), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(422), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [3976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(382), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(380), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(404), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(394), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(392), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(606), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(604), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(532), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(530), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(466), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(464), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(462), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(466), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(632), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(476), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(474), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(592), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(590), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(466), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(586), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(614), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(612), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(468), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(466), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(520), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(518), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(560), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(558), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(618), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(616), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(544), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(542), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(596), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(594), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(540), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(538), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(488), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(486), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(484), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(482), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(574), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(568), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(566), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(494), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(556), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(554), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(436), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(434), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(440), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(438), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [4994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(418), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(416), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(600), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(580), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(578), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(492), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(490), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(472), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(470), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(546), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(444), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(442), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(448), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(446), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(480), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(478), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(626), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(624), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(582), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(570), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(458), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(500), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(498), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(642), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(640), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(452), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(450), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(504), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(502), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(552), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(550), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(456), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(454), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(508), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(506), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(630), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(628), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(512), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(510), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(638), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(636), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(650), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(648), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(622), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(620), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(516), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(514), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 1,
      anon_sym_RBRACE,
    ACTIONS(456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
    ACTIONS(662), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
    ACTIONS(454), 13,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [5943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(528), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(526), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [5978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(524), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_EQ,
    ACTIONS(522), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [6013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(340), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      sym__int_number,
    ACTIONS(344), 6,
      anon_sym_phx,
      aux_sym_length_value_token1,
      aux_sym_duration_value_token1,
      aux_sym_angle_value_token1,
      anon_sym_PERCENT2,
      anon_sym_rem,
    ACTIONS(338), 14,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym__float_number,
  [6048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(348), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      sym__int_number,
    ACTIONS(344), 6,
      anon_sym_phx,
      aux_sym_length_value_token1,
      aux_sym_duration_value_token1,
      aux_sym_angle_value_token1,
      anon_sym_PERCENT2,
      anon_sym_rem,
    ACTIONS(346), 14,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym__float_number,
  [6083] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(896), 1,
      anon_sym_COMMA,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    ACTIONS(900), 1,
      anon_sym_RBRACK,
    STATE(656), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6128] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_EQ,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(266), 1,
      sym_assignment_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(368), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(370), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(356), 5,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
  [6187] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    ACTIONS(908), 1,
      anon_sym_RPAREN,
    STATE(744), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6229] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    ACTIONS(910), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6271] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    ACTIONS(912), 1,
      anon_sym_RBRACK,
    STATE(705), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6313] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    ACTIONS(914), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6355] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    ACTIONS(916), 1,
      anon_sym_RBRACK,
    STATE(705), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6397] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6436] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(162), 1,
      sym__identifier,
    ACTIONS(801), 1,
      anon_sym_pure,
    ACTIONS(803), 1,
      anon_sym_public,
    ACTIONS(805), 1,
      anon_sym_private,
    ACTIONS(918), 1,
      anon_sym_RBRACE,
    ACTIONS(920), 1,
      anon_sym_property,
    ACTIONS(922), 1,
      anon_sym_callback,
    ACTIONS(924), 1,
      anon_sym_function,
    STATE(604), 1,
      sym_purity,
    STATE(642), 1,
      sym_simple_identifier,
    STATE(659), 1,
      sym_property_visibility,
    STATE(857), 1,
      sym_function_call,
    STATE(583), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(787), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(366), 6,
      sym_property,
      sym_binding_alias,
      sym_callback,
      sym_function_definition,
      sym_callback_event,
      aux_sym_global_block_repeat1,
  [6493] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    STATE(802), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6532] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(926), 1,
      anon_sym_RBRACE,
    ACTIONS(928), 1,
      anon_sym_property,
    ACTIONS(934), 1,
      anon_sym_callback,
    ACTIONS(937), 1,
      anon_sym_pure,
    ACTIONS(940), 1,
      anon_sym_public,
    ACTIONS(943), 1,
      anon_sym_private,
    ACTIONS(946), 1,
      anon_sym_function,
    ACTIONS(949), 1,
      sym__identifier,
    STATE(604), 1,
      sym_purity,
    STATE(642), 1,
      sym_simple_identifier,
    STATE(659), 1,
      sym_property_visibility,
    STATE(857), 1,
      sym_function_call,
    STATE(583), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(931), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(366), 6,
      sym_property,
      sym_binding_alias,
      sym_callback,
      sym_function_definition,
      sym_callback_event,
      aux_sym_global_block_repeat1,
  [6589] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    STATE(820), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6628] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    STATE(705), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6667] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    STATE(783), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6706] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    STATE(809), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6745] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    STATE(788), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6784] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    STATE(880), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6823] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(162), 1,
      sym__identifier,
    ACTIONS(801), 1,
      anon_sym_pure,
    ACTIONS(803), 1,
      anon_sym_public,
    ACTIONS(805), 1,
      anon_sym_private,
    ACTIONS(920), 1,
      anon_sym_property,
    ACTIONS(922), 1,
      anon_sym_callback,
    ACTIONS(924), 1,
      anon_sym_function,
    ACTIONS(952), 1,
      anon_sym_RBRACE,
    STATE(604), 1,
      sym_purity,
    STATE(642), 1,
      sym_simple_identifier,
    STATE(659), 1,
      sym_property_visibility,
    STATE(857), 1,
      sym_function_call,
    STATE(583), 2,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
    ACTIONS(787), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_in_DASHout,
    STATE(364), 6,
      sym_property,
      sym_binding_alias,
      sym_callback,
      sym_function_definition,
      sym_callback_event,
      aux_sym_global_block_repeat1,
  [6880] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    STATE(790), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6919] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    STATE(810), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6958] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    STATE(746), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [6997] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    STATE(797), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [7036] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(898), 1,
      anon_sym_LBRACK,
    STATE(808), 1,
      sym_type,
    STATE(587), 5,
      sym_struct_block,
      sym_type_list,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [7075] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACK,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(954), 1,
      anon_sym_DOT,
    STATE(141), 1,
      sym_add_prec_operator,
    STATE(143), 1,
      sym_mult_prec_operator,
    STATE(146), 1,
      sym_comparison_operator,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(378), 3,
      anon_sym_LT,
      anon_sym_GT,
      sym__int_number,
    ACTIONS(376), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym__float_number,
  [7121] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACK,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(414), 1,
      sym__int_number,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(954), 1,
      anon_sym_DOT,
    STATE(141), 1,
      sym_add_prec_operator,
    STATE(143), 1,
      sym_mult_prec_operator,
    STATE(146), 1,
      sym_comparison_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(412), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      sym__float_number,
  [7171] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACK,
    ACTIONS(954), 1,
      anon_sym_DOT,
    STATE(141), 1,
      sym_add_prec_operator,
    STATE(143), 1,
      sym_mult_prec_operator,
    STATE(146), 1,
      sym_comparison_operator,
    ACTIONS(386), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__int_number,
    ACTIONS(384), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym__float_number,
  [7211] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACK,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(398), 1,
      sym__int_number,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(954), 1,
      anon_sym_DOT,
    ACTIONS(956), 1,
      sym_logical_and,
    STATE(141), 1,
      sym_add_prec_operator,
    STATE(143), 1,
      sym_mult_prec_operator,
    STATE(146), 1,
      sym_comparison_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(396), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_logical_or,
      anon_sym_QMARK,
      sym__float_number,
  [7263] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(719), 1,
      anon_sym_SEMI,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(958), 1,
      anon_sym_COMMA,
    ACTIONS(960), 1,
      anon_sym_RBRACE,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(711), 1,
      aux_sym_anon_struct_block_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7323] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACK,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(954), 1,
      anon_sym_DOT,
    STATE(141), 1,
      sym_add_prec_operator,
    STATE(143), 1,
      sym_mult_prec_operator,
    STATE(146), 1,
      sym_comparison_operator,
    ACTIONS(390), 3,
      anon_sym_LT,
      anon_sym_GT,
      sym__int_number,
    ACTIONS(388), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym__float_number,
  [7367] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(958), 1,
      anon_sym_COMMA,
    ACTIONS(960), 1,
      anon_sym_RBRACE,
    ACTIONS(962), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(711), 1,
      aux_sym_anon_struct_block_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7427] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(962), 1,
      anon_sym_SEMI,
    ACTIONS(964), 1,
      anon_sym_COMMA,
    ACTIONS(966), 1,
      anon_sym_RBRACE,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(723), 1,
      aux_sym_anon_struct_block_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7487] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACK,
    ACTIONS(954), 1,
      anon_sym_DOT,
    STATE(141), 1,
      sym_add_prec_operator,
    STATE(143), 1,
      sym_mult_prec_operator,
    STATE(146), 1,
      sym_comparison_operator,
    ACTIONS(428), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__int_number,
    ACTIONS(426), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym__float_number,
  [7527] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACK,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(414), 1,
      sym__int_number,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(954), 1,
      anon_sym_DOT,
    ACTIONS(956), 1,
      sym_logical_and,
    STATE(141), 1,
      sym_add_prec_operator,
    STATE(143), 1,
      sym_mult_prec_operator,
    STATE(146), 1,
      sym_comparison_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(412), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_logical_or,
      anon_sym_QMARK,
      sym__float_number,
  [7579] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACK,
    STATE(141), 1,
      sym_add_prec_operator,
    STATE(143), 1,
      sym_mult_prec_operator,
    STATE(146), 1,
      sym_comparison_operator,
    ACTIONS(410), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      sym__int_number,
    ACTIONS(408), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym__float_number,
  [7617] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(358), 1,
      anon_sym_LBRACK,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(954), 1,
      anon_sym_DOT,
    ACTIONS(956), 1,
      sym_logical_and,
    ACTIONS(970), 1,
      sym_logical_or,
    ACTIONS(972), 1,
      anon_sym_QMARK,
    ACTIONS(974), 1,
      sym__int_number,
    STATE(141), 1,
      sym_add_prec_operator,
    STATE(143), 1,
      sym_mult_prec_operator,
    STATE(146), 1,
      sym_comparison_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(968), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym__float_number,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7673] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(976), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7726] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(978), 1,
      anon_sym_COMMA,
    ACTIONS(980), 1,
      anon_sym_RPAREN,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(691), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7783] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(982), 1,
      anon_sym_COMMA,
    ACTIONS(984), 1,
      anon_sym_RPAREN,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(702), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7840] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(986), 1,
      anon_sym_COMMA,
    ACTIONS(988), 1,
      anon_sym_RPAREN,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(716), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7897] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(990), 1,
      anon_sym_COMMA,
    ACTIONS(992), 1,
      anon_sym_RPAREN,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(708), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [7954] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(994), 1,
      anon_sym_COMMA,
    ACTIONS(996), 1,
      anon_sym_RPAREN,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(703), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8011] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(958), 1,
      anon_sym_COMMA,
    ACTIONS(960), 1,
      anon_sym_RBRACE,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(711), 1,
      aux_sym_anon_struct_block_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8068] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(998), 1,
      anon_sym_COMMA,
    ACTIONS(1000), 1,
      anon_sym_RPAREN,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(672), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8125] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1002), 1,
      anon_sym_COMMA,
    ACTIONS(1004), 1,
      anon_sym_RBRACK,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(743), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8182] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(964), 1,
      anon_sym_COMMA,
    ACTIONS(966), 1,
      anon_sym_RBRACE,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(723), 1,
      aux_sym_anon_struct_block_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8239] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1006), 1,
      anon_sym_COMMA,
    ACTIONS(1008), 1,
      anon_sym_RBRACK,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(742), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8296] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1010), 1,
      anon_sym_COMMA,
    ACTIONS(1012), 1,
      anon_sym_RPAREN,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(660), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8353] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1014), 1,
      anon_sym_COMMA,
    ACTIONS(1016), 1,
      anon_sym_RPAREN,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(661), 1,
      aux_sym_tr_repeat1,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8410] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1018), 1,
      anon_sym_COMMA,
    ACTIONS(1020), 1,
      anon_sym_RPAREN,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8464] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1022), 1,
      anon_sym_COMMA,
    ACTIONS(1024), 1,
      anon_sym_RPAREN,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8518] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1026), 1,
      anon_sym_LBRACE,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(492), 1,
      sym_animate_body,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8572] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(652), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8624] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1028), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8676] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(1030), 1,
      anon_sym_RBRACE,
    STATE(666), 1,
      sym_export_type,
    STATE(671), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [8710] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1032), 1,
      anon_sym_COMMA,
    ACTIONS(1034), 1,
      anon_sym_RPAREN,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8764] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(968), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8816] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1036), 1,
      anon_sym_COMMA,
    ACTIONS(1038), 1,
      anon_sym_RPAREN,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8870] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1040), 1,
      anon_sym_LBRACE,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(761), 1,
      sym_animate_body,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8924] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1042), 1,
      anon_sym_LBRACE,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    STATE(235), 1,
      sym_imperative_block,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [8978] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1044), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9029] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1046), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9080] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1048), 1,
      anon_sym_COLON,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(825), 1,
      sym_export_type,
    STATE(671), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [9162] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(719), 1,
      anon_sym_SEMI,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9213] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1050), 1,
      anon_sym_COLON,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9264] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1052), 1,
      anon_sym_RBRACE,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9315] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1054), 1,
      anon_sym_COLON,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9366] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1056), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9417] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1058), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9468] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1060), 1,
      anon_sym_RPAREN,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      sym_children_identifier,
    ACTIONS(674), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [9546] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1062), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9597] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1064), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9648] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1066), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9699] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1068), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9750] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1070), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9801] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1072), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9852] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1074), 1,
      anon_sym_COLON,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(962), 1,
      anon_sym_SEMI,
    ACTIONS(1076), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1078), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [9932] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1080), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [9983] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1082), 1,
      anon_sym_COLON,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10034] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1084), 1,
      anon_sym_COLON,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10085] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1086), 1,
      anon_sym_COLON,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(456), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
    ACTIONS(668), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_RBRACK,
    ACTIONS(454), 13,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10165] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1088), 1,
      anon_sym_RBRACK,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10216] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1090), 1,
      anon_sym_RBRACK,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10267] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1092), 1,
      anon_sym_COLON,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10318] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1094), 1,
      anon_sym_RPAREN,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10369] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1096), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10420] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1098), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10471] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1100), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10522] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1102), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10573] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(962), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10624] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1104), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10675] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1106), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10726] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_SLASH,
    ACTIONS(658), 1,
      anon_sym_STAR,
    ACTIONS(886), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_DOT,
    ACTIONS(890), 1,
      sym_logical_and,
    ACTIONS(904), 1,
      sym_logical_or,
    ACTIONS(906), 1,
      anon_sym_QMARK,
    ACTIONS(1108), 1,
      anon_sym_SEMI,
    STATE(134), 1,
      sym_comparison_operator,
    STATE(139), 1,
      sym_mult_prec_operator,
    STATE(144), 1,
      sym_add_prec_operator,
    ACTIONS(352), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(656), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(372), 4,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [10777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1104), 1,
      anon_sym_SEMI,
    ACTIONS(717), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(721), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [10806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(755), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [10832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1110), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1112), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [10858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1116), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [10884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(860), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [10912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(666), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [10938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1118), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1120), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [10964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(741), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [10990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1122), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1124), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1126), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1128), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1130), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1132), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1134), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1136), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1138), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1140), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1142), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1144), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1148), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1152), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11198] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_export,
    ACTIONS(9), 1,
      anon_sym_import,
    ACTIONS(11), 1,
      anon_sym_component,
    ACTIONS(13), 1,
      anon_sym_global,
    ACTIONS(15), 1,
      anon_sym_struct,
    ACTIONS(17), 1,
      anon_sym_enum,
    ACTIONS(19), 1,
      sym__identifier,
    ACTIONS(1154), 1,
      ts_builtin_sym_end,
    STATE(902), 1,
      sym_user_type_identifier,
    STATE(507), 9,
      sym__definition,
      sym__local_type,
      sym__exported_type,
      sym_import_statement,
      sym_component_definition,
      sym_global_definition,
      sym_struct_definition,
      sym_enum_definition,
      aux_sym_sourcefile_repeat1,
  [11240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1158), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1162), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(695), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1164), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1166), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1170), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1172), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1174), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(884), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [11424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1176), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1178), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1180), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1182), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1184), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1186), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1190), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1192), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1194), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1198), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1202), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(862), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [11634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1204), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1206), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1208), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1210), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1212), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1214), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1216), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1218), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(662), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1220), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1222), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(865), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [11818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1226), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1230), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(836), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [11898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1234), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1236), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1238), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [11950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(840), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [11978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1240), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1242), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [12004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(875), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [12032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1244), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1246), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [12058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(828), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [12086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1248), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1250), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [12112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1252), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1254), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [12138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      sym__identifier,
    STATE(863), 3,
      sym_builtin_type_identifier,
      sym_user_type_identifier,
      sym__type_identifier,
    ACTIONS(902), 14,
      anon_sym_duration,
      anon_sym_easing,
      anon_sym_int,
      anon_sym_float,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_color,
      anon_sym_brush,
      anon_sym_physical_DASHlength,
      anon_sym_length,
      anon_sym_angle,
      anon_sym_percent,
      anon_sym_image,
      anon_sym_relative_DASHfont_DASHsize,
  [12166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1256), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1258), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [12192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1262), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [12218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1264), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1266), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [12244] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1268), 1,
      ts_builtin_sym_end,
    ACTIONS(1270), 1,
      sym_export,
    ACTIONS(1273), 1,
      anon_sym_import,
    ACTIONS(1276), 1,
      anon_sym_component,
    ACTIONS(1279), 1,
      anon_sym_global,
    ACTIONS(1282), 1,
      anon_sym_struct,
    ACTIONS(1285), 1,
      anon_sym_enum,
    ACTIONS(1288), 1,
      sym__identifier,
    STATE(902), 1,
      sym_user_type_identifier,
    STATE(507), 9,
      sym__definition,
      sym__local_type,
      sym__exported_type,
      sym_import_statement,
      sym_component_definition,
      sym_global_definition,
      sym_struct_definition,
      sym_enum_definition,
      aux_sym_sourcefile_repeat1,
  [12286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1293), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [12312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 2,
      anon_sym_RBRACE,
      sym_children_identifier,
    ACTIONS(1297), 16,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_transitions,
      anon_sym_states,
      anon_sym_animate,
      anon_sym_if,
      anon_sym_for,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_changed,
      anon_sym_in_DASHout,
      sym__identifier,
  [12338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(532), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
    ACTIONS(530), 13,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_logical_and,
      sym_logical_or,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [12362] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 1,
      ts_builtin_sym_end,
    ACTIONS(1303), 1,
      anon_sym_LBRACE,
    STATE(902), 1,
      sym_user_type_identifier,
    STATE(578), 5,
      sym__local_type,
      sym_component_definition,
      sym_global_definition,
      sym_struct_definition,
      sym_enum_definition,
    ACTIONS(1301), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [12391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 7,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(1307), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [12413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 7,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(1311), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [12435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 7,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(1315), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [12457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 7,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(1319), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [12479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 7,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(1323), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [12501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 7,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    ACTIONS(1327), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [12523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(674), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 1,
      anon_sym_RBRACE,
    ACTIONS(1064), 1,
      anon_sym_SEMI,
    ACTIONS(721), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1244), 1,
      anon_sym_RBRACE,
    ACTIONS(1246), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1150), 1,
      anon_sym_RBRACE,
    ACTIONS(1152), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1252), 1,
      anon_sym_RBRACE,
    ACTIONS(1254), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_RBRACE,
    ACTIONS(1198), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1232), 1,
      anon_sym_RBRACE,
    ACTIONS(1234), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1192), 1,
      anon_sym_RBRACE,
    ACTIONS(1194), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1184), 1,
      anon_sym_RBRACE,
    ACTIONS(1186), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1212), 1,
      anon_sym_RBRACE,
    ACTIONS(1214), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1146), 1,
      anon_sym_RBRACE,
    ACTIONS(1148), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1224), 1,
      anon_sym_RBRACE,
    ACTIONS(1226), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 1,
      anon_sym_RBRACE,
    ACTIONS(1158), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1126), 1,
      anon_sym_RBRACE,
    ACTIONS(1128), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 1,
      anon_sym_RBRACE,
    ACTIONS(755), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1122), 1,
      anon_sym_RBRACE,
    ACTIONS(1124), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      anon_sym_RBRACE,
    ACTIONS(1293), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 1,
      anon_sym_RBRACE,
    ACTIONS(1202), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      anon_sym_RBRACE,
    ACTIONS(1116), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1264), 1,
      anon_sym_RBRACE,
    ACTIONS(1266), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 1,
      anon_sym_RBRACE,
    ACTIONS(741), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 1,
      anon_sym_RBRACE,
    ACTIONS(662), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 1,
      anon_sym_RBRACE,
    ACTIONS(1262), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_RBRACE,
    ACTIONS(1170), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [12983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1130), 1,
      anon_sym_RBRACE,
    ACTIONS(1132), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [13002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1216), 1,
      anon_sym_RBRACE,
    ACTIONS(1218), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [13021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1172), 1,
      anon_sym_RBRACE,
    ACTIONS(1174), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [13040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1204), 1,
      anon_sym_RBRACE,
    ACTIONS(1206), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [13059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1118), 1,
      anon_sym_RBRACE,
    ACTIONS(1120), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [13078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_RBRACE,
    ACTIONS(1297), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [13097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1142), 1,
      anon_sym_RBRACE,
    ACTIONS(1144), 10,
      anon_sym_property,
      anon_sym_in,
      anon_sym_out,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
      anon_sym_in_DASHout,
      sym__identifier,
  [13116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_inherits,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [13132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 1,
      ts_builtin_sym_end,
    ACTIONS(1333), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 1,
      ts_builtin_sym_end,
    ACTIONS(1337), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 1,
      ts_builtin_sym_end,
    ACTIONS(666), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      ts_builtin_sym_end,
    ACTIONS(1341), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1343), 1,
      ts_builtin_sym_end,
    ACTIONS(1345), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13212] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 1,
      anon_sym_RBRACE,
    STATE(916), 1,
      sym_animate_option_identifier,
    STATE(559), 2,
      sym_animate_option,
      aux_sym_animate_body_repeat1,
    ACTIONS(1349), 4,
      anon_sym_delay,
      anon_sym_duration,
      anon_sym_iteration_DASHcount,
      anon_sym_easing,
  [13232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 1,
      ts_builtin_sym_end,
    ACTIONS(1353), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 1,
      anon_sym_RBRACE,
    STATE(916), 1,
      sym_animate_option_identifier,
    STATE(558), 2,
      sym_animate_option,
      aux_sym_animate_body_repeat1,
    ACTIONS(1349), 4,
      anon_sym_delay,
      anon_sym_duration,
      anon_sym_iteration_DASHcount,
      anon_sym_easing,
  [13268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      anon_sym_RBRACE,
    STATE(916), 1,
      sym_animate_option_identifier,
    STATE(565), 2,
      sym_animate_option,
      aux_sym_animate_body_repeat1,
    ACTIONS(1349), 4,
      anon_sym_delay,
      anon_sym_duration,
      anon_sym_iteration_DASHcount,
      anon_sym_easing,
  [13288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 1,
      anon_sym_RBRACE,
    STATE(916), 1,
      sym_animate_option_identifier,
    STATE(565), 2,
      sym_animate_option,
      aux_sym_animate_body_repeat1,
    ACTIONS(1349), 4,
      anon_sym_delay,
      anon_sym_duration,
      anon_sym_iteration_DASHcount,
      anon_sym_easing,
  [13308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 1,
      ts_builtin_sym_end,
    ACTIONS(1363), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1365), 1,
      ts_builtin_sym_end,
    ACTIONS(1367), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      ts_builtin_sym_end,
    ACTIONS(1371), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 1,
      ts_builtin_sym_end,
    ACTIONS(1375), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      ts_builtin_sym_end,
    ACTIONS(1379), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13388] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 1,
      anon_sym_RBRACE,
    STATE(916), 1,
      sym_animate_option_identifier,
    STATE(565), 2,
      sym_animate_option,
      aux_sym_animate_body_repeat1,
    ACTIONS(1383), 4,
      anon_sym_delay,
      anon_sym_duration,
      anon_sym_iteration_DASHcount,
      anon_sym_easing,
  [13408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1386), 1,
      ts_builtin_sym_end,
    ACTIONS(1388), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 1,
      ts_builtin_sym_end,
    ACTIONS(1392), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1394), 1,
      ts_builtin_sym_end,
    ACTIONS(1396), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      ts_builtin_sym_end,
    ACTIONS(1400), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1402), 1,
      ts_builtin_sym_end,
    ACTIONS(1404), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(693), 1,
      ts_builtin_sym_end,
    ACTIONS(695), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      ts_builtin_sym_end,
    ACTIONS(1408), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1410), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [13534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 1,
      ts_builtin_sym_end,
    ACTIONS(1414), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 1,
      ts_builtin_sym_end,
    ACTIONS(1418), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 1,
      ts_builtin_sym_end,
    ACTIONS(1422), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 1,
      ts_builtin_sym_end,
    ACTIONS(1426), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      ts_builtin_sym_end,
    ACTIONS(1430), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 1,
      ts_builtin_sym_end,
    ACTIONS(1434), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      ts_builtin_sym_end,
    ACTIONS(1438), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 1,
      ts_builtin_sym_end,
    ACTIONS(1442), 7,
      sym_export,
      anon_sym_import,
      anon_sym_component,
      anon_sym_global,
      anon_sym_struct,
      anon_sym_enum,
      sym__identifier,
  [13662] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_COMMA,
    ACTIONS(162), 1,
      sym__identifier,
    ACTIONS(1444), 1,
      anon_sym_RBRACE,
    ACTIONS(1446), 1,
      anon_sym_animate,
    STATE(874), 1,
      sym_simple_identifier,
    STATE(652), 2,
      sym_animate_statement,
      aux_sym_in_out_transition_repeat1,
  [13685] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 1,
      anon_sym_pure,
    ACTIONS(1452), 1,
      anon_sym_function,
    ACTIONS(1450), 2,
      anon_sym_public,
      anon_sym_private,
    STATE(584), 3,
      sym_purity,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
  [13704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_pure,
    ACTIONS(1460), 1,
      anon_sym_function,
    ACTIONS(1457), 2,
      anon_sym_public,
      anon_sym_private,
    STATE(584), 3,
      sym_purity,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
  [13723] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_COMMA,
    ACTIONS(162), 1,
      sym__identifier,
    ACTIONS(1446), 1,
      anon_sym_animate,
    ACTIONS(1462), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_simple_identifier,
    STATE(626), 2,
      sym_animate_statement,
      aux_sym_in_out_transition_repeat1,
  [13746] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 1,
      anon_sym_pure,
    ACTIONS(1464), 1,
      anon_sym_function,
    ACTIONS(1450), 2,
      anon_sym_public,
      anon_sym_private,
    STATE(584), 3,
      sym_purity,
      sym_function_visibility,
      aux_sym_function_definition_repeat1,
  [13765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [13777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 1,
      sym__int_number,
    ACTIONS(1472), 1,
      sym__float_number,
    STATE(796), 1,
      sym_percent_value,
    STATE(873), 1,
      sym__number,
    ACTIONS(1468), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [13797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [13809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(170), 1,
      sym__int_number,
    ACTIONS(172), 1,
      sym__float_number,
    STATE(888), 1,
      sym__number,
    STATE(918), 3,
      sym_int_value,
      sym_float_value,
      sym_angle_value,
  [13827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [13839] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(892), 1,
      anon_sym_LPAREN,
    ACTIONS(1478), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1480), 1,
      anon_sym_COLON,
    ACTIONS(1482), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(1484), 1,
      anon_sym_EQ_GT,
    STATE(295), 1,
      sym_arguments,
  [13861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [13873] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(892), 1,
      anon_sym_LPAREN,
    ACTIONS(1478), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1482), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(1484), 1,
      anon_sym_EQ_GT,
    ACTIONS(1488), 1,
      anon_sym_COLON,
    STATE(295), 1,
      sym_arguments,
  [13895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [13907] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      anon_sym_phx,
    ACTIONS(1494), 1,
      aux_sym_length_value_token1,
    ACTIONS(1496), 1,
      aux_sym_duration_value_token1,
    ACTIONS(1498), 1,
      aux_sym_angle_value_token1,
    ACTIONS(1500), 1,
      anon_sym_PERCENT2,
    ACTIONS(1502), 1,
      anon_sym_rem,
  [13929] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 1,
      anon_sym_phx,
    ACTIONS(1506), 1,
      aux_sym_length_value_token1,
    ACTIONS(1508), 1,
      aux_sym_duration_value_token1,
    ACTIONS(1510), 1,
      aux_sym_angle_value_token1,
    ACTIONS(1512), 1,
      anon_sym_PERCENT2,
    ACTIONS(1514), 1,
      anon_sym_rem,
  [13951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(402), 1,
      anon_sym_COLON,
    ACTIONS(1329), 1,
      anon_sym_LBRACE,
    ACTIONS(400), 4,
      anon_sym_COLON_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
  [13967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(170), 1,
      sym__int_number,
    ACTIONS(172), 1,
      sym__float_number,
    STATE(888), 1,
      sym__number,
    STATE(890), 3,
      sym_int_value,
      sym_float_value,
      sym_angle_value,
  [13985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 2,
      anon_sym_property,
      sym__identifier,
    ACTIONS(1518), 4,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
  [13999] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(892), 1,
      anon_sym_LPAREN,
    ACTIONS(1478), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1482), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(1484), 1,
      anon_sym_EQ_GT,
    ACTIONS(1520), 1,
      anon_sym_COLON,
    STATE(295), 1,
      sym_arguments,
  [14021] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 1,
      anon_sym_LBRACE,
    ACTIONS(1524), 1,
      anon_sym_LPAREN,
    ACTIONS(1526), 1,
      anon_sym_DASH_GT,
    STATE(541), 1,
      sym_imperative_block,
    STATE(732), 1,
      sym__function_signature,
  [14040] = 5,
    ACTIONS(1528), 1,
      anon_sym_DQUOTE,
    ACTIONS(1530), 1,
      sym__unescaped_string_fragment,
    ACTIONS(1532), 1,
      anon_sym_BSLASH,
    ACTIONS(1534), 1,
      sym_comment,
    STATE(608), 2,
      sym_escape_sequence,
      aux_sym__string_repeat1,
  [14057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 1,
      anon_sym_callback,
    ACTIONS(1538), 4,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
  [14070] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 1,
      anon_sym_LPAREN,
    ACTIONS(1540), 1,
      anon_sym_LBRACE,
    ACTIONS(1542), 1,
      anon_sym_DASH_GT,
    STATE(499), 1,
      sym_imperative_block,
    STATE(655), 1,
      sym__function_signature,
  [14089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_callback,
    ACTIONS(1538), 4,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
  [14102] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1546), 1,
      anon_sym_SEMI,
    ACTIONS(1548), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(1550), 1,
      anon_sym_LPAREN,
    ACTIONS(1552), 1,
      anon_sym_DASH_GT,
    STATE(780), 1,
      sym__callback_signature,
  [14121] = 5,
    ACTIONS(1532), 1,
      anon_sym_BSLASH,
    ACTIONS(1534), 1,
      sym_comment,
    ACTIONS(1554), 1,
      anon_sym_DQUOTE,
    ACTIONS(1556), 1,
      sym__unescaped_string_fragment,
    STATE(612), 2,
      sym_escape_sequence,
      aux_sym__string_repeat1,
  [14138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 5,
      anon_sym_callback,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
  [14149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1563), 1,
      anon_sym_RBRACK,
    ACTIONS(1560), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(610), 2,
      sym_in_out_transition,
      aux_sym_transitions_definition_repeat1,
  [14164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_RBRACK,
    ACTIONS(1565), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(610), 2,
      sym_in_out_transition,
      aux_sym_transitions_definition_repeat1,
  [14179] = 5,
    ACTIONS(1534), 1,
      sym_comment,
    ACTIONS(1569), 1,
      anon_sym_DQUOTE,
    ACTIONS(1571), 1,
      sym__unescaped_string_fragment,
    ACTIONS(1574), 1,
      anon_sym_BSLASH,
    STATE(612), 2,
      sym_escape_sequence,
      aux_sym__string_repeat1,
  [14196] = 5,
    ACTIONS(1532), 1,
      anon_sym_BSLASH,
    ACTIONS(1534), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_DQUOTE,
    ACTIONS(1579), 1,
      sym__unescaped_string_fragment,
    STATE(616), 2,
      sym_escape_sequence,
      aux_sym__string_repeat1,
  [14213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1581), 5,
      anon_sym_RBRACE,
      anon_sym_delay,
      anon_sym_duration,
      anon_sym_iteration_DASHcount,
      anon_sym_easing,
  [14224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1583), 1,
      anon_sym_LBRACE,
    ACTIONS(1585), 4,
      anon_sym_DQUOTE,
      anon_sym_BSLASH,
      aux_sym_escape_sequence_token1,
      anon_sym_n,
  [14237] = 5,
    ACTIONS(1532), 1,
      anon_sym_BSLASH,
    ACTIONS(1534), 1,
      sym_comment,
    ACTIONS(1556), 1,
      sym__unescaped_string_fragment,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    STATE(612), 2,
      sym_escape_sequence,
      aux_sym__string_repeat1,
  [14254] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 1,
      anon_sym_LPAREN,
    ACTIONS(1589), 1,
      anon_sym_SEMI,
    ACTIONS(1591), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(1593), 1,
      anon_sym_DASH_GT,
    STATE(789), 1,
      sym__callback_signature,
  [14273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 1,
      anon_sym_RBRACK,
    ACTIONS(1565), 2,
      anon_sym_in,
      anon_sym_out,
    STATE(611), 2,
      sym_in_out_transition,
      aux_sym_transitions_definition_repeat1,
  [14288] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 1,
      anon_sym_LBRACE,
    ACTIONS(1524), 1,
      anon_sym_LPAREN,
    ACTIONS(1597), 1,
      anon_sym_DASH_GT,
    STATE(520), 1,
      sym_imperative_block,
    STATE(745), 1,
      sym__function_signature,
  [14307] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 1,
      anon_sym_LPAREN,
    ACTIONS(1540), 1,
      anon_sym_LBRACE,
    ACTIONS(1599), 1,
      anon_sym_DASH_GT,
    STATE(473), 1,
      sym_imperative_block,
    STATE(735), 1,
      sym__function_signature,
  [14326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 1,
      anon_sym_LPAREN,
    ACTIONS(1601), 1,
      anon_sym_SEMI,
    ACTIONS(1603), 1,
      anon_sym_DASH_GT,
    STATE(772), 1,
      sym__callback_signature,
  [14342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 1,
      anon_sym_LT,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(830), 1,
      sym__property_type,
    STATE(847), 1,
      sym_simple_identifier,
  [14358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1609), 1,
      anon_sym_COMMA,
    ACTIONS(1611), 1,
      anon_sym_RPAREN,
    ACTIONS(1613), 1,
      anon_sym_EQ_GT,
    ACTIONS(1615), 1,
      anon_sym_PIPE,
  [14374] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    ACTIONS(1617), 1,
      anon_sym_COMMA,
    ACTIONS(1619), 1,
      anon_sym_RBRACE,
    STATE(852), 1,
      sym_simple_identifier,
  [14390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 1,
      anon_sym_COMMA,
    ACTIONS(1623), 1,
      anon_sym_RBRACE,
    ACTIONS(1625), 1,
      sym__identifier,
    STATE(697), 1,
      sym_user_type_identifier,
  [14406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 1,
      anon_sym_RBRACE,
    ACTIONS(1629), 1,
      anon_sym_animate,
    STATE(649), 2,
      sym_animate_statement,
      aux_sym_in_out_transition_repeat1,
  [14420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_COMMA,
    ACTIONS(1633), 1,
      anon_sym_RPAREN,
    ACTIONS(1635), 1,
      anon_sym_EQ_GT,
    ACTIONS(1637), 1,
      anon_sym_PIPE,
  [14436] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1639), 1,
      sym__identifier,
    STATE(464), 1,
      sym_component,
    STATE(819), 1,
      sym_user_type_identifier,
    STATE(917), 1,
      sym_simple_identifier,
  [14452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    ACTIONS(1641), 1,
      anon_sym_RPAREN,
    STATE(741), 1,
      sym_typed_identifier,
    STATE(882), 1,
      sym_simple_identifier,
  [14468] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    ACTIONS(1643), 1,
      anon_sym_RBRACK,
    STATE(636), 1,
      aux_sym_states_definition_repeat2,
    STATE(883), 1,
      sym_simple_identifier,
  [14484] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 1,
      sym__identifier,
    ACTIONS(1645), 1,
      anon_sym_RBRACE,
    STATE(674), 1,
      sym_import_type,
    STATE(679), 1,
      sym_user_type_identifier,
  [14500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1647), 1,
      anon_sym_LBRACE,
    ACTIONS(1649), 1,
      anon_sym_if,
    STATE(244), 2,
      sym_imperative_block,
      sym_if_expr,
  [14514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1639), 1,
      sym__identifier,
    STATE(495), 1,
      sym_component,
    STATE(819), 1,
      sym_user_type_identifier,
    STATE(917), 1,
      sym_simple_identifier,
  [14530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 1,
      anon_sym_LT,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(816), 1,
      sym__property_type,
    STATE(901), 1,
      sym_simple_identifier,
  [14546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 1,
      anon_sym_animate,
    ACTIONS(1651), 1,
      anon_sym_RBRACE,
    STATE(649), 2,
      sym_animate_statement,
      aux_sym_in_out_transition_repeat1,
  [14560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    ACTIONS(1653), 1,
      anon_sym_RBRACK,
    STATE(640), 1,
      aux_sym_states_definition_repeat2,
    STATE(883), 1,
      sym_simple_identifier,
  [14576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 1,
      anon_sym_LPAREN,
    ACTIONS(1655), 1,
      anon_sym_SEMI,
    ACTIONS(1657), 1,
      anon_sym_DASH_GT,
    STATE(784), 1,
      sym__callback_signature,
  [14592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_COMMA,
    ACTIONS(1607), 1,
      sym__identifier,
    ACTIONS(1659), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_simple_identifier,
  [14608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 1,
      anon_sym_COMMA,
    ACTIONS(1607), 1,
      sym__identifier,
    ACTIONS(1661), 1,
      anon_sym_RBRACE,
    STATE(904), 1,
      sym_simple_identifier,
  [14624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1663), 1,
      anon_sym_RBRACK,
    ACTIONS(1665), 1,
      sym__identifier,
    STATE(640), 1,
      aux_sym_states_definition_repeat2,
    STATE(883), 1,
      sym_simple_identifier,
  [14640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 4,
      anon_sym_pure,
      anon_sym_public,
      anon_sym_private,
      anon_sym_function,
  [14650] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(892), 1,
      anon_sym_LPAREN,
    ACTIONS(1670), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(1672), 1,
      anon_sym_EQ_GT,
    STATE(295), 1,
      sym_arguments,
  [14666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    ACTIONS(1674), 1,
      anon_sym_RPAREN,
    STATE(826), 1,
      sym_typed_identifier,
    STATE(882), 1,
      sym_simple_identifier,
  [14682] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 1,
      anon_sym_animate,
    ACTIONS(1676), 1,
      anon_sym_RBRACE,
    STATE(653), 2,
      sym_animate_statement,
      aux_sym_in_out_transition_repeat1,
  [14696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
    ACTIONS(976), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [14710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    ACTIONS(1681), 1,
      anon_sym_RPAREN,
    STATE(826), 1,
      sym_typed_identifier,
    STATE(882), 1,
      sym_simple_identifier,
  [14726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 1,
      anon_sym_LT,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(800), 1,
      sym__property_type,
    STATE(905), 1,
      sym_simple_identifier,
  [14742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 1,
      anon_sym_animate,
    ACTIONS(1683), 1,
      anon_sym_RBRACE,
    STATE(635), 2,
      sym_animate_statement,
      aux_sym_in_out_transition_repeat1,
  [14756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 1,
      anon_sym_RBRACE,
    ACTIONS(1687), 1,
      anon_sym_animate,
    STATE(649), 2,
      sym_animate_statement,
      aux_sym_in_out_transition_repeat1,
  [14770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1605), 1,
      anon_sym_LT,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(778), 1,
      sym__property_type,
    STATE(885), 1,
      sym_simple_identifier,
  [14786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_COMMA,
    STATE(651), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(1693), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [14800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 1,
      anon_sym_animate,
    ACTIONS(1695), 1,
      anon_sym_RBRACE,
    STATE(649), 2,
      sym_animate_statement,
      aux_sym_in_out_transition_repeat1,
  [14814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 1,
      anon_sym_animate,
    ACTIONS(1697), 1,
      anon_sym_RBRACE,
    STATE(649), 2,
      sym_animate_statement,
      aux_sym_in_out_transition_repeat1,
  [14828] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    ACTIONS(1699), 1,
      anon_sym_LBRACE,
    STATE(292), 1,
      sym__string,
    STATE(898), 1,
      sym_string_value,
  [14844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 1,
      anon_sym_LBRACE,
    ACTIONS(1701), 1,
      anon_sym_DASH_GT,
    STATE(487), 1,
      sym_imperative_block,
  [14857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1703), 1,
      anon_sym_COMMA,
    ACTIONS(1705), 1,
      anon_sym_RBRACK,
    STATE(728), 1,
      aux_sym_type_list_repeat1,
  [14870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym__string,
    STATE(911), 1,
      sym_string_value,
  [14883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym__string,
    STATE(907), 1,
      sym_string_value,
  [14896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(162), 1,
      sym__identifier,
    ACTIONS(1707), 1,
      anon_sym_property,
    STATE(903), 1,
      sym_simple_identifier,
  [14909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(296), 1,
      anon_sym_RPAREN,
    ACTIONS(1709), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [14922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(312), 1,
      anon_sym_RPAREN,
    ACTIONS(1711), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [14935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_LBRACE,
    ACTIONS(1715), 1,
      anon_sym_inherits,
    STATE(572), 1,
      sym_block,
  [14948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LBRACE,
    ACTIONS(1719), 1,
      anon_sym_COLON_EQ,
    STATE(576), 1,
      sym_global_block,
  [14961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1721), 1,
      anon_sym_COMMA,
    ACTIONS(1724), 1,
      anon_sym_RPAREN,
    STATE(664), 1,
      aux_sym_gradient_call_repeat1,
  [14974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    ACTIONS(1726), 1,
      anon_sym_COLON_EQ,
    STATE(568), 1,
      sym_struct_block,
  [14987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_COMMA,
    ACTIONS(1730), 1,
      anon_sym_RBRACE,
    STATE(681), 1,
      aux_sym__exported_type_repeat1,
  [15000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1732), 1,
      anon_sym_RPAREN,
    ACTIONS(1734), 1,
      sym__int_number,
    STATE(670), 1,
      aux_sym_image_call_repeat1,
  [15013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_COMMA,
    ACTIONS(1738), 1,
      anon_sym_RPAREN,
    STATE(664), 1,
      aux_sym_gradient_call_repeat1,
  [15026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 1,
      anon_sym_COMMA,
    ACTIONS(1742), 1,
      anon_sym_RPAREN,
    STATE(664), 1,
      aux_sym_gradient_call_repeat1,
  [15039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 1,
      anon_sym_RPAREN,
    ACTIONS(1746), 1,
      sym__int_number,
    STATE(670), 1,
      aux_sym_image_call_repeat1,
  [15052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 1,
      anon_sym_as,
    ACTIONS(1749), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [15063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(326), 1,
      anon_sym_RPAREN,
    ACTIONS(1753), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [15076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_RPAREN,
    ACTIONS(1757), 1,
      sym__int_number,
    STATE(667), 1,
      aux_sym_image_call_repeat1,
  [15089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_COMMA,
    ACTIONS(1761), 1,
      anon_sym_RBRACE,
    STATE(685), 1,
      aux_sym_import_statement_repeat1,
  [15102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_RBRACK,
  [15111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_COMMA,
    ACTIONS(1765), 1,
      anon_sym_RPAREN,
    STATE(668), 1,
      aux_sym_gradient_call_repeat1,
  [15124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_COMMA,
    ACTIONS(1769), 1,
      anon_sym_RPAREN,
    STATE(669), 1,
      aux_sym_gradient_call_repeat1,
  [15137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1734), 1,
      sym__int_number,
    ACTIONS(1771), 1,
      anon_sym_RPAREN,
    STATE(670), 1,
      aux_sym_image_call_repeat1,
  [15150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_as,
    ACTIONS(1773), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [15161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym__string,
    STATE(722), 1,
      sym_string_value,
  [15174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_COMMA,
    ACTIONS(1777), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym__exported_type_repeat1,
  [15187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym__string,
    STATE(846), 1,
      sym_string_value,
  [15200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(826), 1,
      sym_typed_identifier,
    STATE(882), 1,
      sym_simple_identifier,
  [15213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 1,
      sym__identifier,
    STATE(679), 1,
      sym_user_type_identifier,
    STATE(829), 1,
      sym_import_type,
  [15226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_COMMA,
    ACTIONS(1779), 1,
      anon_sym_RBRACE,
    STATE(701), 1,
      aux_sym_import_statement_repeat1,
  [15239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_RBRACK,
  [15248] = 3,
    ACTIONS(1534), 1,
      sym_comment,
    ACTIONS(1783), 1,
      sym__unescaped_string_fragment,
    ACTIONS(1781), 2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH,
  [15259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(827), 1,
      sym_simple_identifier,
    STATE(850), 1,
      sym_simple_indexed_identifier,
  [15272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1785), 1,
      anon_sym_RPAREN,
    ACTIONS(1787), 1,
      sym__int_number,
    STATE(678), 1,
      aux_sym_image_call_repeat1,
  [15285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym__string,
    STATE(896), 1,
      sym_string_value,
  [15298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(324), 1,
      anon_sym_RPAREN,
    ACTIONS(1789), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [15311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_COMMA,
    ACTIONS(1794), 1,
      anon_sym_RBRACE,
    STATE(692), 1,
      aux_sym_anon_struct_block_repeat1,
  [15324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    ACTIONS(1796), 1,
      anon_sym_RBRACE,
    STATE(868), 1,
      sym_simple_identifier,
  [15337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym__string,
    STATE(775), 1,
      sym_string_value,
  [15350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym__string,
    STATE(627), 1,
      sym_string_value,
  [15363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(162), 1,
      sym__identifier,
    ACTIONS(1798), 1,
      anon_sym_property,
    STATE(861), 1,
      sym_simple_identifier,
  [15376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1800), 1,
      anon_sym_COMMA,
    ACTIONS(1802), 1,
      anon_sym_RBRACE,
    STATE(720), 1,
      aux_sym_enum_block_repeat1,
  [15389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1807), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym__exported_type_repeat1,
  [15402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_COMMA,
    ACTIONS(1812), 1,
      anon_sym_RPAREN,
    STATE(699), 1,
      aux_sym__function_signature_repeat1,
  [15415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym__string,
    STATE(866), 1,
      sym_string_value,
  [15428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_COMMA,
    ACTIONS(1817), 1,
      anon_sym_RBRACE,
    STATE(701), 1,
      aux_sym_import_statement_repeat1,
  [15441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(314), 1,
      anon_sym_RPAREN,
    ACTIONS(1819), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [15454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(322), 1,
      anon_sym_RPAREN,
    ACTIONS(1821), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [15467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 3,
      anon_sym_in,
      anon_sym_out,
      anon_sym_RBRACK,
  [15476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [15485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1823), 1,
      anon_sym_COMMA,
    ACTIONS(1825), 1,
      anon_sym_RPAREN,
    STATE(664), 1,
      aux_sym_gradient_call_repeat1,
  [15498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_COMMA,
    ACTIONS(1829), 1,
      anon_sym_RPAREN,
    STATE(664), 1,
      aux_sym_gradient_call_repeat1,
  [15511] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(302), 1,
      anon_sym_RPAREN,
    ACTIONS(1831), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [15524] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1833), 1,
      anon_sym_COMMA,
    ACTIONS(1835), 1,
      anon_sym_RPAREN,
    STATE(706), 1,
      aux_sym_gradient_call_repeat1,
  [15537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_COMMA,
    ACTIONS(1839), 1,
      anon_sym_RPAREN,
    ACTIONS(1841), 1,
      anon_sym_PIPE,
  [15550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 1,
      anon_sym_COMMA,
    ACTIONS(1845), 1,
      anon_sym_RBRACE,
    STATE(692), 1,
      aux_sym_anon_struct_block_repeat1,
  [15563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    ACTIONS(1845), 1,
      anon_sym_RBRACE,
    STATE(868), 1,
      sym_simple_identifier,
  [15576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      anon_sym_COMMA,
    ACTIONS(1850), 1,
      anon_sym_RBRACE,
    STATE(713), 1,
      aux_sym_struct_block_repeat1,
  [15589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    ACTIONS(1852), 1,
      anon_sym_RBRACE,
    STATE(858), 1,
      sym_simple_identifier,
  [15602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1854), 1,
      anon_sym_COMMA,
    ACTIONS(1856), 1,
      anon_sym_RPAREN,
    STATE(707), 1,
      aux_sym_gradient_call_repeat1,
  [15615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_RPAREN,
    ACTIONS(1858), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [15628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1860), 1,
      anon_sym_COMMA,
    ACTIONS(1863), 1,
      anon_sym_RPAREN,
    STATE(717), 1,
      aux_sym_arguments_repeat1,
  [15641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    ACTIONS(1865), 1,
      anon_sym_RBRACE,
    STATE(868), 1,
      sym_simple_identifier,
  [15654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 1,
      sym__identifier,
    ACTIONS(1867), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_user_type_identifier,
  [15667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 1,
      anon_sym_COMMA,
    ACTIONS(1871), 1,
      anon_sym_RBRACE,
    STATE(747), 1,
      aux_sym_enum_block_repeat1,
  [15680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_RPAREN,
    ACTIONS(1873), 1,
      anon_sym_COMMA,
    STATE(699), 1,
      aux_sym__function_signature_repeat1,
  [15693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_COMMA,
    ACTIONS(1877), 1,
      anon_sym_RPAREN,
    ACTIONS(1879), 1,
      anon_sym_PIPE,
  [15706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1881), 1,
      anon_sym_COMMA,
    ACTIONS(1883), 1,
      anon_sym_RBRACE,
    STATE(692), 1,
      aux_sym_anon_struct_block_repeat1,
  [15719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(914), 1,
      anon_sym_RPAREN,
    ACTIONS(1885), 1,
      anon_sym_COMMA,
    STATE(651), 1,
      aux_sym_type_list_repeat1,
  [15732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    ACTIONS(1883), 1,
      anon_sym_RBRACE,
    STATE(868), 1,
      sym_simple_identifier,
  [15745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym__string,
    STATE(886), 1,
      sym_string_value,
  [15758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym__string,
    STATE(623), 1,
      sym_string_value,
  [15771] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(916), 1,
      anon_sym_RBRACK,
    ACTIONS(1887), 1,
      anon_sym_COMMA,
    STATE(651), 1,
      aux_sym_type_list_repeat1,
  [15784] = 3,
    ACTIONS(1534), 1,
      sym_comment,
    ACTIONS(1891), 1,
      sym__unescaped_string_fragment,
    ACTIONS(1889), 2,
      anon_sym_DQUOTE,
      anon_sym_BSLASH,
  [15795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym__string,
    STATE(855), 1,
      sym_string_value,
  [15808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym__string,
    STATE(710), 1,
      sym_string_value,
  [15821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 1,
      anon_sym_LBRACE,
    ACTIONS(1893), 1,
      anon_sym_DASH_GT,
    STATE(546), 1,
      sym_imperative_block,
  [15834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1895), 1,
      anon_sym_COMMA,
    ACTIONS(1897), 1,
      anon_sym_RBRACE,
    STATE(713), 1,
      aux_sym_struct_block_repeat1,
  [15847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    ACTIONS(1899), 1,
      anon_sym_RBRACE,
    STATE(858), 1,
      sym_simple_identifier,
  [15860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 1,
      anon_sym_LBRACE,
    ACTIONS(1901), 1,
      anon_sym_DASH_GT,
    STATE(458), 1,
      sym_imperative_block,
  [15873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(278), 1,
      anon_sym_RPAREN,
    ACTIONS(1903), 1,
      anon_sym_COMMA,
    STATE(717), 1,
      aux_sym_arguments_repeat1,
  [15886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1905), 1,
      anon_sym_SEMI,
    ACTIONS(1907), 1,
      anon_sym_COLON,
    ACTIONS(1909), 1,
      anon_sym_LT_EQ_GT,
  [15899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(280), 1,
      anon_sym_RPAREN,
    ACTIONS(1911), 1,
      anon_sym_COMMA,
    STATE(717), 1,
      aux_sym_arguments_repeat1,
  [15912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1913), 1,
      anon_sym_SEMI,
    ACTIONS(1915), 1,
      anon_sym_COLON,
    ACTIONS(1917), 1,
      anon_sym_LT_EQ_GT,
  [15925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_SEMI,
    ACTIONS(1921), 1,
      anon_sym_COLON,
    ACTIONS(1923), 1,
      anon_sym_LT_EQ_GT,
  [15938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1925), 1,
      anon_sym_COMMA,
    ACTIONS(1927), 1,
      anon_sym_RPAREN,
    STATE(721), 1,
      aux_sym__function_signature_repeat1,
  [15951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(292), 1,
      anon_sym_RBRACK,
    ACTIONS(1929), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [15964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(330), 1,
      anon_sym_RBRACK,
    ACTIONS(1931), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym_tr_repeat1,
  [15977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1933), 1,
      anon_sym_COMMA,
    ACTIONS(1935), 1,
      anon_sym_RPAREN,
    STATE(724), 1,
      aux_sym_type_list_repeat1,
  [15990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 1,
      anon_sym_LBRACE,
    ACTIONS(1937), 1,
      anon_sym_DASH_GT,
    STATE(543), 1,
      sym_imperative_block,
  [16003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(1941), 1,
      anon_sym_RBRACE,
    STATE(733), 1,
      aux_sym_struct_block_repeat1,
  [16016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_COMMA,
    ACTIONS(1946), 1,
      anon_sym_RBRACE,
    STATE(747), 1,
      aux_sym_enum_block_repeat1,
  [16029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_COMMA,
    ACTIONS(1950), 1,
      anon_sym_RPAREN,
    STATE(738), 1,
      aux_sym_arguments_repeat1,
  [16042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 1,
      sym__identifier,
    ACTIONS(1952), 1,
      anon_sym_RBRACE,
    STATE(774), 1,
      sym_user_type_identifier,
  [16055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1954), 1,
      anon_sym_COMMA,
    ACTIONS(1956), 1,
      anon_sym_RPAREN,
    STATE(736), 1,
      aux_sym_arguments_repeat1,
  [16068] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_SEMI,
    ACTIONS(1960), 1,
      anon_sym_COLON,
    ACTIONS(1962), 1,
      anon_sym_LT_EQ_GT,
  [16081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(160), 1,
      anon_sym_DQUOTE,
    STATE(292), 1,
      sym__string,
    STATE(807), 1,
      sym_string_value,
  [16094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_circle,
    STATE(895), 1,
      sym_radial_gradient_kind,
  [16104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(892), 1,
      anon_sym_LPAREN,
    STATE(333), 1,
      sym_arguments,
  [16114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_circle,
    STATE(919), 1,
      sym_radial_gradient_kind,
  [16124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1966), 2,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
  [16132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 1,
      sym__identifier,
    STATE(663), 1,
      sym_user_type_identifier,
  [16142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1240), 2,
      anon_sym_RBRACE,
      anon_sym_animate,
  [16150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 1,
      sym__identifier,
    STATE(665), 1,
      sym_user_type_identifier,
  [16160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 1,
      sym__identifier,
    STATE(765), 1,
      sym_user_type_identifier,
  [16170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1228), 2,
      anon_sym_RBRACE,
      anon_sym_animate,
  [16178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1968), 2,
      anon_sym_RBRACK,
      sym__identifier,
  [16186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(420), 1,
      anon_sym_LPAREN,
    STATE(180), 1,
      sym_arguments,
  [16196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_RBRACE,
    ACTIONS(1972), 1,
      anon_sym_SEMI,
  [16206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_LBRACE,
    STATE(566), 1,
      sym_enum_block,
  [16216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_imperative_block,
  [16226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 1,
      sym__identifier,
    STATE(786), 1,
      sym_user_type_identifier,
  [16236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1976), 2,
      anon_sym_RBRACK,
      sym__identifier,
  [16244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(148), 1,
      anon_sym_RBRACE,
    ACTIONS(1972), 1,
      anon_sym_SEMI,
  [16254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 2,
      anon_sym_RBRACK,
      sym__identifier,
  [16262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1980), 2,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
  [16270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1982), 1,
      anon_sym_SEMI,
    ACTIONS(1984), 1,
      anon_sym_DASH_GT,
  [16280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 1,
      sym__identifier,
    STATE(822), 1,
      sym_user_type_identifier,
  [16290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [16298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1988), 1,
      anon_sym_COMMA,
    ACTIONS(1990), 1,
      anon_sym_RPAREN,
  [16308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_LBRACE,
    STATE(477), 1,
      sym_block,
  [16318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_LBRACE,
    STATE(570), 1,
      sym_global_block,
  [16328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(737), 1,
      sym_simple_identifier,
  [16338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 1,
      anon_sym_LBRACE,
    STATE(485), 1,
      sym_imperative_block,
  [16348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1994), 1,
      anon_sym_SEMI,
    ACTIONS(1996), 1,
      anon_sym_DASH_GT,
  [16358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(894), 1,
      anon_sym_LBRACE,
    STATE(577), 1,
      sym_struct_block,
  [16368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(920), 1,
      sym_simple_identifier,
  [16378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 1,
      anon_sym_LBRACE,
    STATE(521), 1,
      sym_imperative_block,
  [16388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1998), 1,
      anon_sym_SEMI,
    ACTIONS(2000), 1,
      anon_sym_DASH_GT,
  [16398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 1,
      sym__identifier,
    STATE(774), 1,
      sym_user_type_identifier,
  [16408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_LBRACE,
    STATE(580), 1,
      sym_block,
  [16418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(868), 1,
      sym_simple_identifier,
  [16428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 1,
      anon_sym_LBRACE,
    STATE(467), 1,
      sym_imperative_block,
  [16438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2002), 1,
      anon_sym_SEMI,
    ACTIONS(2004), 1,
      anon_sym_DASH_GT,
  [16448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2006), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [16456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 2,
      anon_sym_RBRACE,
      anon_sym_animate,
  [16464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [16472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2008), 2,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
  [16480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2010), 2,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
  [16488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2012), 2,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
  [16496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2014), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [16504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 1,
      anon_sym_LBRACE,
    STATE(526), 1,
      sym_imperative_block,
  [16514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 1,
      sym__identifier,
    STATE(835), 1,
      sym_user_type_identifier,
  [16524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 2,
      anon_sym_property,
      sym__identifier,
  [16532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(740), 1,
      sym_simple_identifier,
  [16542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(607), 1,
      sym_simple_identifier,
  [16552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 1,
      anon_sym_LBRACE,
    STATE(527), 1,
      sym_imperative_block,
  [16562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(605), 1,
      sym_simple_identifier,
  [16572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2016), 2,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
  [16580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(856), 1,
      sym_simple_identifier,
  [16590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(858), 1,
      sym_simple_identifier,
  [16600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_COMMA,
    ACTIONS(2020), 1,
      anon_sym_RPAREN,
  [16610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 1,
      anon_sym_LBRACE,
    STATE(505), 1,
      sym_imperative_block,
  [16620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 1,
      anon_sym_LBRACE,
    STATE(478), 1,
      sym_imperative_block,
  [16630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 1,
      anon_sym_LBRACE,
    STATE(540), 1,
      sym_imperative_block,
  [16640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(602), 1,
      sym_simple_identifier,
  [16650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(637), 1,
      sym_simple_identifier,
  [16660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [16668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(620), 1,
      sym_simple_identifier,
  [16678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 1,
      sym__identifier,
    STATE(776), 1,
      sym_user_type_identifier,
  [16688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(751), 1,
      sym_simple_identifier,
  [16698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 1,
      anon_sym_LBRACE,
    STATE(453), 1,
      sym_imperative_block,
  [16708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(617), 1,
      sym_simple_identifier,
  [16718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1992), 1,
      anon_sym_LBRACE,
    STATE(463), 1,
      sym_block,
  [16728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 1,
      anon_sym_LBRACE,
    STATE(486), 1,
      sym_imperative_block,
  [16738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(619), 1,
      sym_simple_identifier,
  [16748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_LBRACE,
    STATE(569), 1,
      sym_block,
  [16758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(621), 1,
      sym_simple_identifier,
  [16768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [16776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1807), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [16784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1812), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [16792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2024), 1,
      anon_sym_in,
    ACTIONS(2026), 1,
      anon_sym_LBRACK,
  [16802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2028), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [16810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1817), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [16818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      sym__identifier,
    STATE(739), 1,
      sym_simple_identifier,
  [16828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1625), 1,
      sym__identifier,
    STATE(662), 1,
      sym_user_type_identifier,
  [16838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 2,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
  [16846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1647), 1,
      anon_sym_LBRACE,
    STATE(260), 1,
      sym_imperative_block,
  [16856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2032), 2,
      anon_sym_SEMI,
      anon_sym_DASH_GT,
  [16864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2034), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [16872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2036), 1,
      anon_sym_SEMI,
  [16879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_LPAREN,
  [16886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
  [16893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2042), 1,
      anon_sym_LBRACE,
  [16900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2044), 1,
      anon_sym_SEMI,
  [16907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2046), 1,
      anon_sym_COMMA,
  [16914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2048), 1,
      anon_sym_from,
  [16921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2050), 1,
      anon_sym_LPAREN,
  [16928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2052), 1,
      anon_sym_LPAREN,
  [16935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_LPAREN,
  [16942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2056), 1,
      anon_sym_SEMI,
  [16949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2058), 1,
      anon_sym_LT_EQ_GT,
  [16956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2060), 1,
      anon_sym_COMMA,
  [16963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2062), 1,
      anon_sym_LPAREN,
  [16970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2064), 1,
      anon_sym_in,
  [16977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2066), 1,
      anon_sym_RBRACE,
  [16984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 1,
      anon_sym_COLON,
  [16991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2070), 1,
      anon_sym_RBRACE,
  [16998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2072), 1,
      anon_sym_RPAREN,
  [17005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2074), 1,
      anon_sym_PERCENT,
  [17012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2076), 1,
      anon_sym_EQ_GT,
  [17019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_EQ_GT,
  [17026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2078), 1,
      anon_sym_COLON,
  [17033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 1,
      anon_sym_RPAREN,
  [17040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2082), 1,
      anon_sym_SEMI,
  [17047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2084), 1,
      anon_sym_LT_EQ_GT,
  [17054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2086), 1,
      anon_sym_SEMI,
  [17061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_SEMI,
  [17068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_EQ_GT,
  [17075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2090), 1,
      anon_sym_SEMI,
  [17082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2092), 1,
      anon_sym_SEMI,
  [17089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2094), 1,
      anon_sym_in,
  [17096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_COLON,
  [17103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2098), 1,
      anon_sym_LBRACK,
  [17110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_LBRACE,
  [17117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2102), 1,
      anon_sym_LBRACK,
  [17124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2104), 1,
      anon_sym_RBRACE,
  [17131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 1,
      anon_sym_PERCENT2,
  [17138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2106), 1,
      anon_sym_COLON,
  [17145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym_SEMI,
  [17152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_from,
  [17159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1004), 1,
      anon_sym_RBRACK,
  [17166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2112), 1,
      anon_sym_nine_DASHslice,
  [17173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2114), 1,
      anon_sym_LPAREN,
  [17180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2116), 1,
      anon_sym_GT,
  [17187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 1,
      anon_sym_LBRACE,
  [17194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2120), 1,
      anon_sym_COLON,
  [17201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_when,
  [17208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_SEMI,
  [17215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2126), 1,
      anon_sym_LT_EQ_GT,
  [17222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2128), 1,
      anon_sym_SEMI,
  [17229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2130), 1,
      anon_sym_RPAREN,
  [17236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 1,
      aux_sym_angle_value_token1,
  [17243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2132), 1,
      anon_sym_from,
  [17250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
  [17257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      anon_sym_RPAREN,
  [17264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_RBRACK,
  [17271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2138), 1,
      anon_sym_RBRACE,
  [17278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2140), 1,
      anon_sym_COMMA,
  [17285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2142), 1,
      anon_sym_COMMA,
  [17292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2144), 1,
      anon_sym_PERCENT,
  [17299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_RBRACK,
  [17306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2146), 1,
      anon_sym_SEMI,
  [17313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_LPAREN,
  [17320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2150), 1,
      anon_sym_LPAREN,
  [17327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2152), 1,
      anon_sym_LT_EQ_GT,
  [17334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2154), 1,
      anon_sym_COLON_EQ,
  [17341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2156), 1,
      anon_sym_LT_EQ_GT,
  [17348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2158), 1,
      anon_sym_COLON,
  [17355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2160), 1,
      anon_sym_LT_EQ_GT,
  [17362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2162), 1,
      ts_builtin_sym_end,
  [17369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2164), 1,
      anon_sym_PERCENT,
  [17376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2166), 1,
      anon_sym_LPAREN,
  [17383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_COMMA,
  [17390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_COMMA,
  [17397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_PERCENT,
  [17404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1972), 1,
      anon_sym_SEMI,
  [17411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2174), 1,
      sym__identifier,
  [17418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_nine_DASHslice,
  [17425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2178), 1,
      anon_sym_COLON,
  [17432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2180), 1,
      anon_sym_COLON,
  [17439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1478), 1,
      anon_sym_COLON_EQ,
  [17446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_COMMA,
  [17453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 1,
      anon_sym_COMMA,
  [17460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 1,
      anon_sym_RBRACK,
  [17467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2188), 1,
      anon_sym_COLON,
  [17474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
  [17481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2192), 1,
      anon_sym_LPAREN,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(234)] = 0,
  [SMALL_STATE(235)] = 68,
  [SMALL_STATE(236)] = 138,
  [SMALL_STATE(237)] = 206,
  [SMALL_STATE(238)] = 273,
  [SMALL_STATE(239)] = 342,
  [SMALL_STATE(240)] = 409,
  [SMALL_STATE(241)] = 476,
  [SMALL_STATE(242)] = 545,
  [SMALL_STATE(243)] = 614,
  [SMALL_STATE(244)] = 681,
  [SMALL_STATE(245)] = 748,
  [SMALL_STATE(246)] = 817,
  [SMALL_STATE(247)] = 884,
  [SMALL_STATE(248)] = 953,
  [SMALL_STATE(249)] = 1020,
  [SMALL_STATE(250)] = 1089,
  [SMALL_STATE(251)] = 1156,
  [SMALL_STATE(252)] = 1222,
  [SMALL_STATE(253)] = 1288,
  [SMALL_STATE(254)] = 1354,
  [SMALL_STATE(255)] = 1420,
  [SMALL_STATE(256)] = 1486,
  [SMALL_STATE(257)] = 1552,
  [SMALL_STATE(258)] = 1618,
  [SMALL_STATE(259)] = 1684,
  [SMALL_STATE(260)] = 1750,
  [SMALL_STATE(261)] = 1816,
  [SMALL_STATE(262)] = 1879,
  [SMALL_STATE(263)] = 1942,
  [SMALL_STATE(264)] = 2005,
  [SMALL_STATE(265)] = 2068,
  [SMALL_STATE(266)] = 2131,
  [SMALL_STATE(267)] = 2194,
  [SMALL_STATE(268)] = 2288,
  [SMALL_STATE(269)] = 2382,
  [SMALL_STATE(270)] = 2476,
  [SMALL_STATE(271)] = 2567,
  [SMALL_STATE(272)] = 2658,
  [SMALL_STATE(273)] = 2749,
  [SMALL_STATE(274)] = 2840,
  [SMALL_STATE(275)] = 2931,
  [SMALL_STATE(276)] = 3022,
  [SMALL_STATE(277)] = 3113,
  [SMALL_STATE(278)] = 3160,
  [SMALL_STATE(279)] = 3206,
  [SMALL_STATE(280)] = 3247,
  [SMALL_STATE(281)] = 3290,
  [SMALL_STATE(282)] = 3333,
  [SMALL_STATE(283)] = 3381,
  [SMALL_STATE(284)] = 3433,
  [SMALL_STATE(285)] = 3491,
  [SMALL_STATE(286)] = 3529,
  [SMALL_STATE(287)] = 3575,
  [SMALL_STATE(288)] = 3623,
  [SMALL_STATE(289)] = 3673,
  [SMALL_STATE(290)] = 3711,
  [SMALL_STATE(291)] = 3769,
  [SMALL_STATE(292)] = 3825,
  [SMALL_STATE(293)] = 3863,
  [SMALL_STATE(294)] = 3904,
  [SMALL_STATE(295)] = 3940,
  [SMALL_STATE(296)] = 3976,
  [SMALL_STATE(297)] = 4012,
  [SMALL_STATE(298)] = 4048,
  [SMALL_STATE(299)] = 4084,
  [SMALL_STATE(300)] = 4119,
  [SMALL_STATE(301)] = 4154,
  [SMALL_STATE(302)] = 4189,
  [SMALL_STATE(303)] = 4224,
  [SMALL_STATE(304)] = 4259,
  [SMALL_STATE(305)] = 4294,
  [SMALL_STATE(306)] = 4329,
  [SMALL_STATE(307)] = 4364,
  [SMALL_STATE(308)] = 4399,
  [SMALL_STATE(309)] = 4434,
  [SMALL_STATE(310)] = 4469,
  [SMALL_STATE(311)] = 4504,
  [SMALL_STATE(312)] = 4539,
  [SMALL_STATE(313)] = 4574,
  [SMALL_STATE(314)] = 4609,
  [SMALL_STATE(315)] = 4644,
  [SMALL_STATE(316)] = 4679,
  [SMALL_STATE(317)] = 4714,
  [SMALL_STATE(318)] = 4749,
  [SMALL_STATE(319)] = 4784,
  [SMALL_STATE(320)] = 4819,
  [SMALL_STATE(321)] = 4854,
  [SMALL_STATE(322)] = 4889,
  [SMALL_STATE(323)] = 4924,
  [SMALL_STATE(324)] = 4959,
  [SMALL_STATE(325)] = 4994,
  [SMALL_STATE(326)] = 5029,
  [SMALL_STATE(327)] = 5064,
  [SMALL_STATE(328)] = 5099,
  [SMALL_STATE(329)] = 5134,
  [SMALL_STATE(330)] = 5169,
  [SMALL_STATE(331)] = 5204,
  [SMALL_STATE(332)] = 5239,
  [SMALL_STATE(333)] = 5274,
  [SMALL_STATE(334)] = 5309,
  [SMALL_STATE(335)] = 5344,
  [SMALL_STATE(336)] = 5379,
  [SMALL_STATE(337)] = 5414,
  [SMALL_STATE(338)] = 5449,
  [SMALL_STATE(339)] = 5484,
  [SMALL_STATE(340)] = 5519,
  [SMALL_STATE(341)] = 5554,
  [SMALL_STATE(342)] = 5589,
  [SMALL_STATE(343)] = 5624,
  [SMALL_STATE(344)] = 5659,
  [SMALL_STATE(345)] = 5694,
  [SMALL_STATE(346)] = 5729,
  [SMALL_STATE(347)] = 5764,
  [SMALL_STATE(348)] = 5799,
  [SMALL_STATE(349)] = 5834,
  [SMALL_STATE(350)] = 5869,
  [SMALL_STATE(351)] = 5904,
  [SMALL_STATE(352)] = 5943,
  [SMALL_STATE(353)] = 5978,
  [SMALL_STATE(354)] = 6013,
  [SMALL_STATE(355)] = 6048,
  [SMALL_STATE(356)] = 6083,
  [SMALL_STATE(357)] = 6128,
  [SMALL_STATE(358)] = 6187,
  [SMALL_STATE(359)] = 6229,
  [SMALL_STATE(360)] = 6271,
  [SMALL_STATE(361)] = 6313,
  [SMALL_STATE(362)] = 6355,
  [SMALL_STATE(363)] = 6397,
  [SMALL_STATE(364)] = 6436,
  [SMALL_STATE(365)] = 6493,
  [SMALL_STATE(366)] = 6532,
  [SMALL_STATE(367)] = 6589,
  [SMALL_STATE(368)] = 6628,
  [SMALL_STATE(369)] = 6667,
  [SMALL_STATE(370)] = 6706,
  [SMALL_STATE(371)] = 6745,
  [SMALL_STATE(372)] = 6784,
  [SMALL_STATE(373)] = 6823,
  [SMALL_STATE(374)] = 6880,
  [SMALL_STATE(375)] = 6919,
  [SMALL_STATE(376)] = 6958,
  [SMALL_STATE(377)] = 6997,
  [SMALL_STATE(378)] = 7036,
  [SMALL_STATE(379)] = 7075,
  [SMALL_STATE(380)] = 7121,
  [SMALL_STATE(381)] = 7171,
  [SMALL_STATE(382)] = 7211,
  [SMALL_STATE(383)] = 7263,
  [SMALL_STATE(384)] = 7323,
  [SMALL_STATE(385)] = 7367,
  [SMALL_STATE(386)] = 7427,
  [SMALL_STATE(387)] = 7487,
  [SMALL_STATE(388)] = 7527,
  [SMALL_STATE(389)] = 7579,
  [SMALL_STATE(390)] = 7617,
  [SMALL_STATE(391)] = 7673,
  [SMALL_STATE(392)] = 7726,
  [SMALL_STATE(393)] = 7783,
  [SMALL_STATE(394)] = 7840,
  [SMALL_STATE(395)] = 7897,
  [SMALL_STATE(396)] = 7954,
  [SMALL_STATE(397)] = 8011,
  [SMALL_STATE(398)] = 8068,
  [SMALL_STATE(399)] = 8125,
  [SMALL_STATE(400)] = 8182,
  [SMALL_STATE(401)] = 8239,
  [SMALL_STATE(402)] = 8296,
  [SMALL_STATE(403)] = 8353,
  [SMALL_STATE(404)] = 8410,
  [SMALL_STATE(405)] = 8464,
  [SMALL_STATE(406)] = 8518,
  [SMALL_STATE(407)] = 8572,
  [SMALL_STATE(408)] = 8624,
  [SMALL_STATE(409)] = 8676,
  [SMALL_STATE(410)] = 8710,
  [SMALL_STATE(411)] = 8764,
  [SMALL_STATE(412)] = 8816,
  [SMALL_STATE(413)] = 8870,
  [SMALL_STATE(414)] = 8924,
  [SMALL_STATE(415)] = 8978,
  [SMALL_STATE(416)] = 9029,
  [SMALL_STATE(417)] = 9080,
  [SMALL_STATE(418)] = 9131,
  [SMALL_STATE(419)] = 9162,
  [SMALL_STATE(420)] = 9213,
  [SMALL_STATE(421)] = 9264,
  [SMALL_STATE(422)] = 9315,
  [SMALL_STATE(423)] = 9366,
  [SMALL_STATE(424)] = 9417,
  [SMALL_STATE(425)] = 9468,
  [SMALL_STATE(426)] = 9519,
  [SMALL_STATE(427)] = 9546,
  [SMALL_STATE(428)] = 9597,
  [SMALL_STATE(429)] = 9648,
  [SMALL_STATE(430)] = 9699,
  [SMALL_STATE(431)] = 9750,
  [SMALL_STATE(432)] = 9801,
  [SMALL_STATE(433)] = 9852,
  [SMALL_STATE(434)] = 9903,
  [SMALL_STATE(435)] = 9932,
  [SMALL_STATE(436)] = 9983,
  [SMALL_STATE(437)] = 10034,
  [SMALL_STATE(438)] = 10085,
  [SMALL_STATE(439)] = 10136,
  [SMALL_STATE(440)] = 10165,
  [SMALL_STATE(441)] = 10216,
  [SMALL_STATE(442)] = 10267,
  [SMALL_STATE(443)] = 10318,
  [SMALL_STATE(444)] = 10369,
  [SMALL_STATE(445)] = 10420,
  [SMALL_STATE(446)] = 10471,
  [SMALL_STATE(447)] = 10522,
  [SMALL_STATE(448)] = 10573,
  [SMALL_STATE(449)] = 10624,
  [SMALL_STATE(450)] = 10675,
  [SMALL_STATE(451)] = 10726,
  [SMALL_STATE(452)] = 10777,
  [SMALL_STATE(453)] = 10806,
  [SMALL_STATE(454)] = 10832,
  [SMALL_STATE(455)] = 10858,
  [SMALL_STATE(456)] = 10884,
  [SMALL_STATE(457)] = 10912,
  [SMALL_STATE(458)] = 10938,
  [SMALL_STATE(459)] = 10964,
  [SMALL_STATE(460)] = 10990,
  [SMALL_STATE(461)] = 11016,
  [SMALL_STATE(462)] = 11042,
  [SMALL_STATE(463)] = 11068,
  [SMALL_STATE(464)] = 11094,
  [SMALL_STATE(465)] = 11120,
  [SMALL_STATE(466)] = 11146,
  [SMALL_STATE(467)] = 11172,
  [SMALL_STATE(468)] = 11198,
  [SMALL_STATE(469)] = 11240,
  [SMALL_STATE(470)] = 11266,
  [SMALL_STATE(471)] = 11292,
  [SMALL_STATE(472)] = 11318,
  [SMALL_STATE(473)] = 11344,
  [SMALL_STATE(474)] = 11370,
  [SMALL_STATE(475)] = 11396,
  [SMALL_STATE(476)] = 11424,
  [SMALL_STATE(477)] = 11450,
  [SMALL_STATE(478)] = 11476,
  [SMALL_STATE(479)] = 11502,
  [SMALL_STATE(480)] = 11528,
  [SMALL_STATE(481)] = 11554,
  [SMALL_STATE(482)] = 11580,
  [SMALL_STATE(483)] = 11606,
  [SMALL_STATE(484)] = 11634,
  [SMALL_STATE(485)] = 11660,
  [SMALL_STATE(486)] = 11686,
  [SMALL_STATE(487)] = 11712,
  [SMALL_STATE(488)] = 11738,
  [SMALL_STATE(489)] = 11764,
  [SMALL_STATE(490)] = 11790,
  [SMALL_STATE(491)] = 11818,
  [SMALL_STATE(492)] = 11844,
  [SMALL_STATE(493)] = 11870,
  [SMALL_STATE(494)] = 11898,
  [SMALL_STATE(495)] = 11924,
  [SMALL_STATE(496)] = 11950,
  [SMALL_STATE(497)] = 11978,
  [SMALL_STATE(498)] = 12004,
  [SMALL_STATE(499)] = 12032,
  [SMALL_STATE(500)] = 12058,
  [SMALL_STATE(501)] = 12086,
  [SMALL_STATE(502)] = 12112,
  [SMALL_STATE(503)] = 12138,
  [SMALL_STATE(504)] = 12166,
  [SMALL_STATE(505)] = 12192,
  [SMALL_STATE(506)] = 12218,
  [SMALL_STATE(507)] = 12244,
  [SMALL_STATE(508)] = 12286,
  [SMALL_STATE(509)] = 12312,
  [SMALL_STATE(510)] = 12338,
  [SMALL_STATE(511)] = 12362,
  [SMALL_STATE(512)] = 12391,
  [SMALL_STATE(513)] = 12413,
  [SMALL_STATE(514)] = 12435,
  [SMALL_STATE(515)] = 12457,
  [SMALL_STATE(516)] = 12479,
  [SMALL_STATE(517)] = 12501,
  [SMALL_STATE(518)] = 12523,
  [SMALL_STATE(519)] = 12543,
  [SMALL_STATE(520)] = 12565,
  [SMALL_STATE(521)] = 12584,
  [SMALL_STATE(522)] = 12603,
  [SMALL_STATE(523)] = 12622,
  [SMALL_STATE(524)] = 12641,
  [SMALL_STATE(525)] = 12660,
  [SMALL_STATE(526)] = 12679,
  [SMALL_STATE(527)] = 12698,
  [SMALL_STATE(528)] = 12717,
  [SMALL_STATE(529)] = 12736,
  [SMALL_STATE(530)] = 12755,
  [SMALL_STATE(531)] = 12774,
  [SMALL_STATE(532)] = 12793,
  [SMALL_STATE(533)] = 12812,
  [SMALL_STATE(534)] = 12831,
  [SMALL_STATE(535)] = 12850,
  [SMALL_STATE(536)] = 12869,
  [SMALL_STATE(537)] = 12888,
  [SMALL_STATE(538)] = 12907,
  [SMALL_STATE(539)] = 12926,
  [SMALL_STATE(540)] = 12945,
  [SMALL_STATE(541)] = 12964,
  [SMALL_STATE(542)] = 12983,
  [SMALL_STATE(543)] = 13002,
  [SMALL_STATE(544)] = 13021,
  [SMALL_STATE(545)] = 13040,
  [SMALL_STATE(546)] = 13059,
  [SMALL_STATE(547)] = 13078,
  [SMALL_STATE(548)] = 13097,
  [SMALL_STATE(549)] = 13116,
  [SMALL_STATE(550)] = 13132,
  [SMALL_STATE(551)] = 13148,
  [SMALL_STATE(552)] = 13164,
  [SMALL_STATE(553)] = 13180,
  [SMALL_STATE(554)] = 13196,
  [SMALL_STATE(555)] = 13212,
  [SMALL_STATE(556)] = 13232,
  [SMALL_STATE(557)] = 13248,
  [SMALL_STATE(558)] = 13268,
  [SMALL_STATE(559)] = 13288,
  [SMALL_STATE(560)] = 13308,
  [SMALL_STATE(561)] = 13324,
  [SMALL_STATE(562)] = 13340,
  [SMALL_STATE(563)] = 13356,
  [SMALL_STATE(564)] = 13372,
  [SMALL_STATE(565)] = 13388,
  [SMALL_STATE(566)] = 13408,
  [SMALL_STATE(567)] = 13424,
  [SMALL_STATE(568)] = 13440,
  [SMALL_STATE(569)] = 13456,
  [SMALL_STATE(570)] = 13472,
  [SMALL_STATE(571)] = 13488,
  [SMALL_STATE(572)] = 13504,
  [SMALL_STATE(573)] = 13520,
  [SMALL_STATE(574)] = 13534,
  [SMALL_STATE(575)] = 13550,
  [SMALL_STATE(576)] = 13566,
  [SMALL_STATE(577)] = 13582,
  [SMALL_STATE(578)] = 13598,
  [SMALL_STATE(579)] = 13614,
  [SMALL_STATE(580)] = 13630,
  [SMALL_STATE(581)] = 13646,
  [SMALL_STATE(582)] = 13662,
  [SMALL_STATE(583)] = 13685,
  [SMALL_STATE(584)] = 13704,
  [SMALL_STATE(585)] = 13723,
  [SMALL_STATE(586)] = 13746,
  [SMALL_STATE(587)] = 13765,
  [SMALL_STATE(588)] = 13777,
  [SMALL_STATE(589)] = 13797,
  [SMALL_STATE(590)] = 13809,
  [SMALL_STATE(591)] = 13827,
  [SMALL_STATE(592)] = 13839,
  [SMALL_STATE(593)] = 13861,
  [SMALL_STATE(594)] = 13873,
  [SMALL_STATE(595)] = 13895,
  [SMALL_STATE(596)] = 13907,
  [SMALL_STATE(597)] = 13929,
  [SMALL_STATE(598)] = 13951,
  [SMALL_STATE(599)] = 13967,
  [SMALL_STATE(600)] = 13985,
  [SMALL_STATE(601)] = 13999,
  [SMALL_STATE(602)] = 14021,
  [SMALL_STATE(603)] = 14040,
  [SMALL_STATE(604)] = 14057,
  [SMALL_STATE(605)] = 14070,
  [SMALL_STATE(606)] = 14089,
  [SMALL_STATE(607)] = 14102,
  [SMALL_STATE(608)] = 14121,
  [SMALL_STATE(609)] = 14138,
  [SMALL_STATE(610)] = 14149,
  [SMALL_STATE(611)] = 14164,
  [SMALL_STATE(612)] = 14179,
  [SMALL_STATE(613)] = 14196,
  [SMALL_STATE(614)] = 14213,
  [SMALL_STATE(615)] = 14224,
  [SMALL_STATE(616)] = 14237,
  [SMALL_STATE(617)] = 14254,
  [SMALL_STATE(618)] = 14273,
  [SMALL_STATE(619)] = 14288,
  [SMALL_STATE(620)] = 14307,
  [SMALL_STATE(621)] = 14326,
  [SMALL_STATE(622)] = 14342,
  [SMALL_STATE(623)] = 14358,
  [SMALL_STATE(624)] = 14374,
  [SMALL_STATE(625)] = 14390,
  [SMALL_STATE(626)] = 14406,
  [SMALL_STATE(627)] = 14420,
  [SMALL_STATE(628)] = 14436,
  [SMALL_STATE(629)] = 14452,
  [SMALL_STATE(630)] = 14468,
  [SMALL_STATE(631)] = 14484,
  [SMALL_STATE(632)] = 14500,
  [SMALL_STATE(633)] = 14514,
  [SMALL_STATE(634)] = 14530,
  [SMALL_STATE(635)] = 14546,
  [SMALL_STATE(636)] = 14560,
  [SMALL_STATE(637)] = 14576,
  [SMALL_STATE(638)] = 14592,
  [SMALL_STATE(639)] = 14608,
  [SMALL_STATE(640)] = 14624,
  [SMALL_STATE(641)] = 14640,
  [SMALL_STATE(642)] = 14650,
  [SMALL_STATE(643)] = 14666,
  [SMALL_STATE(644)] = 14682,
  [SMALL_STATE(645)] = 14696,
  [SMALL_STATE(646)] = 14710,
  [SMALL_STATE(647)] = 14726,
  [SMALL_STATE(648)] = 14742,
  [SMALL_STATE(649)] = 14756,
  [SMALL_STATE(650)] = 14770,
  [SMALL_STATE(651)] = 14786,
  [SMALL_STATE(652)] = 14800,
  [SMALL_STATE(653)] = 14814,
  [SMALL_STATE(654)] = 14828,
  [SMALL_STATE(655)] = 14844,
  [SMALL_STATE(656)] = 14857,
  [SMALL_STATE(657)] = 14870,
  [SMALL_STATE(658)] = 14883,
  [SMALL_STATE(659)] = 14896,
  [SMALL_STATE(660)] = 14909,
  [SMALL_STATE(661)] = 14922,
  [SMALL_STATE(662)] = 14935,
  [SMALL_STATE(663)] = 14948,
  [SMALL_STATE(664)] = 14961,
  [SMALL_STATE(665)] = 14974,
  [SMALL_STATE(666)] = 14987,
  [SMALL_STATE(667)] = 15000,
  [SMALL_STATE(668)] = 15013,
  [SMALL_STATE(669)] = 15026,
  [SMALL_STATE(670)] = 15039,
  [SMALL_STATE(671)] = 15052,
  [SMALL_STATE(672)] = 15063,
  [SMALL_STATE(673)] = 15076,
  [SMALL_STATE(674)] = 15089,
  [SMALL_STATE(675)] = 15102,
  [SMALL_STATE(676)] = 15111,
  [SMALL_STATE(677)] = 15124,
  [SMALL_STATE(678)] = 15137,
  [SMALL_STATE(679)] = 15150,
  [SMALL_STATE(680)] = 15161,
  [SMALL_STATE(681)] = 15174,
  [SMALL_STATE(682)] = 15187,
  [SMALL_STATE(683)] = 15200,
  [SMALL_STATE(684)] = 15213,
  [SMALL_STATE(685)] = 15226,
  [SMALL_STATE(686)] = 15239,
  [SMALL_STATE(687)] = 15248,
  [SMALL_STATE(688)] = 15259,
  [SMALL_STATE(689)] = 15272,
  [SMALL_STATE(690)] = 15285,
  [SMALL_STATE(691)] = 15298,
  [SMALL_STATE(692)] = 15311,
  [SMALL_STATE(693)] = 15324,
  [SMALL_STATE(694)] = 15337,
  [SMALL_STATE(695)] = 15350,
  [SMALL_STATE(696)] = 15363,
  [SMALL_STATE(697)] = 15376,
  [SMALL_STATE(698)] = 15389,
  [SMALL_STATE(699)] = 15402,
  [SMALL_STATE(700)] = 15415,
  [SMALL_STATE(701)] = 15428,
  [SMALL_STATE(702)] = 15441,
  [SMALL_STATE(703)] = 15454,
  [SMALL_STATE(704)] = 15467,
  [SMALL_STATE(705)] = 15476,
  [SMALL_STATE(706)] = 15485,
  [SMALL_STATE(707)] = 15498,
  [SMALL_STATE(708)] = 15511,
  [SMALL_STATE(709)] = 15524,
  [SMALL_STATE(710)] = 15537,
  [SMALL_STATE(711)] = 15550,
  [SMALL_STATE(712)] = 15563,
  [SMALL_STATE(713)] = 15576,
  [SMALL_STATE(714)] = 15589,
  [SMALL_STATE(715)] = 15602,
  [SMALL_STATE(716)] = 15615,
  [SMALL_STATE(717)] = 15628,
  [SMALL_STATE(718)] = 15641,
  [SMALL_STATE(719)] = 15654,
  [SMALL_STATE(720)] = 15667,
  [SMALL_STATE(721)] = 15680,
  [SMALL_STATE(722)] = 15693,
  [SMALL_STATE(723)] = 15706,
  [SMALL_STATE(724)] = 15719,
  [SMALL_STATE(725)] = 15732,
  [SMALL_STATE(726)] = 15745,
  [SMALL_STATE(727)] = 15758,
  [SMALL_STATE(728)] = 15771,
  [SMALL_STATE(729)] = 15784,
  [SMALL_STATE(730)] = 15795,
  [SMALL_STATE(731)] = 15808,
  [SMALL_STATE(732)] = 15821,
  [SMALL_STATE(733)] = 15834,
  [SMALL_STATE(734)] = 15847,
  [SMALL_STATE(735)] = 15860,
  [SMALL_STATE(736)] = 15873,
  [SMALL_STATE(737)] = 15886,
  [SMALL_STATE(738)] = 15899,
  [SMALL_STATE(739)] = 15912,
  [SMALL_STATE(740)] = 15925,
  [SMALL_STATE(741)] = 15938,
  [SMALL_STATE(742)] = 15951,
  [SMALL_STATE(743)] = 15964,
  [SMALL_STATE(744)] = 15977,
  [SMALL_STATE(745)] = 15990,
  [SMALL_STATE(746)] = 16003,
  [SMALL_STATE(747)] = 16016,
  [SMALL_STATE(748)] = 16029,
  [SMALL_STATE(749)] = 16042,
  [SMALL_STATE(750)] = 16055,
  [SMALL_STATE(751)] = 16068,
  [SMALL_STATE(752)] = 16081,
  [SMALL_STATE(753)] = 16094,
  [SMALL_STATE(754)] = 16104,
  [SMALL_STATE(755)] = 16114,
  [SMALL_STATE(756)] = 16124,
  [SMALL_STATE(757)] = 16132,
  [SMALL_STATE(758)] = 16142,
  [SMALL_STATE(759)] = 16150,
  [SMALL_STATE(760)] = 16160,
  [SMALL_STATE(761)] = 16170,
  [SMALL_STATE(762)] = 16178,
  [SMALL_STATE(763)] = 16186,
  [SMALL_STATE(764)] = 16196,
  [SMALL_STATE(765)] = 16206,
  [SMALL_STATE(766)] = 16216,
  [SMALL_STATE(767)] = 16226,
  [SMALL_STATE(768)] = 16236,
  [SMALL_STATE(769)] = 16244,
  [SMALL_STATE(770)] = 16254,
  [SMALL_STATE(771)] = 16262,
  [SMALL_STATE(772)] = 16270,
  [SMALL_STATE(773)] = 16280,
  [SMALL_STATE(774)] = 16290,
  [SMALL_STATE(775)] = 16298,
  [SMALL_STATE(776)] = 16308,
  [SMALL_STATE(777)] = 16318,
  [SMALL_STATE(778)] = 16328,
  [SMALL_STATE(779)] = 16338,
  [SMALL_STATE(780)] = 16348,
  [SMALL_STATE(781)] = 16358,
  [SMALL_STATE(782)] = 16368,
  [SMALL_STATE(783)] = 16378,
  [SMALL_STATE(784)] = 16388,
  [SMALL_STATE(785)] = 16398,
  [SMALL_STATE(786)] = 16408,
  [SMALL_STATE(787)] = 16418,
  [SMALL_STATE(788)] = 16428,
  [SMALL_STATE(789)] = 16438,
  [SMALL_STATE(790)] = 16448,
  [SMALL_STATE(791)] = 16456,
  [SMALL_STATE(792)] = 16464,
  [SMALL_STATE(793)] = 16472,
  [SMALL_STATE(794)] = 16480,
  [SMALL_STATE(795)] = 16488,
  [SMALL_STATE(796)] = 16496,
  [SMALL_STATE(797)] = 16504,
  [SMALL_STATE(798)] = 16514,
  [SMALL_STATE(799)] = 16524,
  [SMALL_STATE(800)] = 16532,
  [SMALL_STATE(801)] = 16542,
  [SMALL_STATE(802)] = 16552,
  [SMALL_STATE(803)] = 16562,
  [SMALL_STATE(804)] = 16572,
  [SMALL_STATE(805)] = 16580,
  [SMALL_STATE(806)] = 16590,
  [SMALL_STATE(807)] = 16600,
  [SMALL_STATE(808)] = 16610,
  [SMALL_STATE(809)] = 16620,
  [SMALL_STATE(810)] = 16630,
  [SMALL_STATE(811)] = 16640,
  [SMALL_STATE(812)] = 16650,
  [SMALL_STATE(813)] = 16660,
  [SMALL_STATE(814)] = 16668,
  [SMALL_STATE(815)] = 16678,
  [SMALL_STATE(816)] = 16688,
  [SMALL_STATE(817)] = 16698,
  [SMALL_STATE(818)] = 16708,
  [SMALL_STATE(819)] = 16718,
  [SMALL_STATE(820)] = 16728,
  [SMALL_STATE(821)] = 16738,
  [SMALL_STATE(822)] = 16748,
  [SMALL_STATE(823)] = 16758,
  [SMALL_STATE(824)] = 16768,
  [SMALL_STATE(825)] = 16776,
  [SMALL_STATE(826)] = 16784,
  [SMALL_STATE(827)] = 16792,
  [SMALL_STATE(828)] = 16802,
  [SMALL_STATE(829)] = 16810,
  [SMALL_STATE(830)] = 16818,
  [SMALL_STATE(831)] = 16828,
  [SMALL_STATE(832)] = 16838,
  [SMALL_STATE(833)] = 16846,
  [SMALL_STATE(834)] = 16856,
  [SMALL_STATE(835)] = 16864,
  [SMALL_STATE(836)] = 16872,
  [SMALL_STATE(837)] = 16879,
  [SMALL_STATE(838)] = 16886,
  [SMALL_STATE(839)] = 16893,
  [SMALL_STATE(840)] = 16900,
  [SMALL_STATE(841)] = 16907,
  [SMALL_STATE(842)] = 16914,
  [SMALL_STATE(843)] = 16921,
  [SMALL_STATE(844)] = 16928,
  [SMALL_STATE(845)] = 16935,
  [SMALL_STATE(846)] = 16942,
  [SMALL_STATE(847)] = 16949,
  [SMALL_STATE(848)] = 16956,
  [SMALL_STATE(849)] = 16963,
  [SMALL_STATE(850)] = 16970,
  [SMALL_STATE(851)] = 16977,
  [SMALL_STATE(852)] = 16984,
  [SMALL_STATE(853)] = 16991,
  [SMALL_STATE(854)] = 16998,
  [SMALL_STATE(855)] = 17005,
  [SMALL_STATE(856)] = 17012,
  [SMALL_STATE(857)] = 17019,
  [SMALL_STATE(858)] = 17026,
  [SMALL_STATE(859)] = 17033,
  [SMALL_STATE(860)] = 17040,
  [SMALL_STATE(861)] = 17047,
  [SMALL_STATE(862)] = 17054,
  [SMALL_STATE(863)] = 17061,
  [SMALL_STATE(864)] = 17068,
  [SMALL_STATE(865)] = 17075,
  [SMALL_STATE(866)] = 17082,
  [SMALL_STATE(867)] = 17089,
  [SMALL_STATE(868)] = 17096,
  [SMALL_STATE(869)] = 17103,
  [SMALL_STATE(870)] = 17110,
  [SMALL_STATE(871)] = 17117,
  [SMALL_STATE(872)] = 17124,
  [SMALL_STATE(873)] = 17131,
  [SMALL_STATE(874)] = 17138,
  [SMALL_STATE(875)] = 17145,
  [SMALL_STATE(876)] = 17152,
  [SMALL_STATE(877)] = 17159,
  [SMALL_STATE(878)] = 17166,
  [SMALL_STATE(879)] = 17173,
  [SMALL_STATE(880)] = 17180,
  [SMALL_STATE(881)] = 17187,
  [SMALL_STATE(882)] = 17194,
  [SMALL_STATE(883)] = 17201,
  [SMALL_STATE(884)] = 17208,
  [SMALL_STATE(885)] = 17215,
  [SMALL_STATE(886)] = 17222,
  [SMALL_STATE(887)] = 17229,
  [SMALL_STATE(888)] = 17236,
  [SMALL_STATE(889)] = 17243,
  [SMALL_STATE(890)] = 17250,
  [SMALL_STATE(891)] = 17257,
  [SMALL_STATE(892)] = 17264,
  [SMALL_STATE(893)] = 17271,
  [SMALL_STATE(894)] = 17278,
  [SMALL_STATE(895)] = 17285,
  [SMALL_STATE(896)] = 17292,
  [SMALL_STATE(897)] = 17299,
  [SMALL_STATE(898)] = 17306,
  [SMALL_STATE(899)] = 17313,
  [SMALL_STATE(900)] = 17320,
  [SMALL_STATE(901)] = 17327,
  [SMALL_STATE(902)] = 17334,
  [SMALL_STATE(903)] = 17341,
  [SMALL_STATE(904)] = 17348,
  [SMALL_STATE(905)] = 17355,
  [SMALL_STATE(906)] = 17362,
  [SMALL_STATE(907)] = 17369,
  [SMALL_STATE(908)] = 17376,
  [SMALL_STATE(909)] = 17383,
  [SMALL_STATE(910)] = 17390,
  [SMALL_STATE(911)] = 17397,
  [SMALL_STATE(912)] = 17404,
  [SMALL_STATE(913)] = 17411,
  [SMALL_STATE(914)] = 17418,
  [SMALL_STATE(915)] = 17425,
  [SMALL_STATE(916)] = 17432,
  [SMALL_STATE(917)] = 17439,
  [SMALL_STATE(918)] = 17446,
  [SMALL_STATE(919)] = 17453,
  [SMALL_STATE(920)] = 17460,
  [SMALL_STATE(921)] = 17467,
  [SMALL_STATE(922)] = 17474,
  [SMALL_STATE(923)] = 17481,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sourcefile, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [75] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(639),
  [78] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0),
  [80] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(70),
  [83] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(30),
  [86] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(79),
  [89] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(88),
  [92] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(899),
  [95] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(900),
  [98] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(264),
  [101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(603),
  [104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(158),
  [107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(209),
  [110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(763),
  [113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(843),
  [116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(844),
  [119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(206),
  [122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(149),
  [125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(150),
  [128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(201),
  [131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_imperative_block_repeat1, 2, 0, 0), SHIFT_REPEAT(195),
  [134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(638),
  [183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0),
  [185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(81),
  [188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(41),
  [191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(114),
  [194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(838),
  [197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(879),
  [200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(264),
  [203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(613),
  [206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(279),
  [209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(308),
  [212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(754),
  [215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(843),
  [218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(844),
  [221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(319),
  [224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(280),
  [227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(281),
  [230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(322),
  [233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(300),
  [236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int_value, 1, 0, 0),
  [340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int_value, 1, 0, 0),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 1, 0, 0),
  [344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 1, 0, 0),
  [346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float_value, 1, 0, 0),
  [348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float_value, 1, 0, 0),
  [350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__imperative_block_statement, 1, 0, 0),
  [352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__imperative_block_statement, 1, 0, 0),
  [356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comparison_binary_expression, 3, 0, 20),
  [378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__comparison_binary_expression, 3, 0, 20),
  [380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mult_binary_expression, 3, 0, 20),
  [386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__mult_binary_expression, 3, 0, 20),
  [388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__add_binary_expression, 3, 0, 20),
  [390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__add_binary_expression, 3, 0, 20),
  [392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 49),
  [398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, 0, 49),
  [400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_identifier, 1, 0, 0),
  [402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_identifier, 1, 0, 0),
  [404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access, 3, 0, 19),
  [410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access, 3, 0, 19),
  [412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__logic_binary_expression, 3, 0, 20),
  [414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__logic_binary_expression, 3, 0, 20),
  [416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 2, 0, 10),
  [424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 2, 0, 10),
  [426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 13),
  [428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 13),
  [430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_font_size_value, 2, 0, 0),
  [436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_font_size_value, 2, 0, 0),
  [438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_percent_value, 2, 0, 0),
  [440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_percent_value, 2, 0, 0),
  [442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_image_call, 9, 0, 33),
  [444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_image_call, 9, 0, 33),
  [446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 6, 0, 63),
  [448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 6, 0, 63),
  [450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_list, 2, 0, 0),
  [452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_list, 2, 0, 0),
  [454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anon_struct_block, 2, 0, 0),
  [456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anon_struct_block, 2, 0, 0),
  [458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 11, 0, 84),
  [460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 11, 0, 84),
  [462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 6, 0, 62),
  [464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 6, 0, 62),
  [466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 1, 0, 8),
  [468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 1, 0, 8),
  [470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 12, 0, 85),
  [472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 12, 0, 85),
  [474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anon_struct_block, 6, 0, 0),
  [476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anon_struct_block, 6, 0, 0),
  [478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_easing_kind_identifier, 2, 0, 0),
  [480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_easing_kind_identifier, 2, 0, 0),
  [482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 9, 0, 74),
  [484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 9, 0, 74),
  [486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_call, 8, 0, 73),
  [488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gradient_call, 8, 0, 73),
  [490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_physical_length_value, 2, 0, 0),
  [492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_physical_length_value, 2, 0, 0),
  [494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 12, 0, 86),
  [496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 12, 0, 86),
  [498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_call, 9, 0, 76),
  [500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gradient_call, 9, 0, 76),
  [502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_call, 9, 0, 77),
  [504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gradient_call, 9, 0, 77),
  [506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_call, 9, 0, 78),
  [508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gradient_call, 9, 0, 78),
  [510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 10, 0, 79),
  [512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 10, 0, 79),
  [514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 10, 0, 80),
  [516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 10, 0, 80),
  [518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parens_op, 3, 0, 18),
  [520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parens_op, 3, 0, 18),
  [522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 10, 0, 81),
  [524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 10, 0, 81),
  [526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_call, 10, 0, 82),
  [528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gradient_call, 10, 0, 82),
  [530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value, 1, 0, 0),
  [532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value, 1, 0, 0),
  [534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_call, 8, 0, 72),
  [540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gradient_call, 8, 0, 72),
  [542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_image_call, 8, 0, 33),
  [544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_image_call, 8, 0, 33),
  [546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_list, 3, 0, 0),
  [548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_list, 3, 0, 0),
  [550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anon_struct_block, 3, 0, 0),
  [552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anon_struct_block, 3, 0, 0),
  [554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bool_value, 1, 0, 0),
  [556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bool_value, 1, 0, 0),
  [558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 8, 0, 71),
  [560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 8, 0, 71),
  [562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_value, 1, 0, 0),
  [564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_value, 1, 0, 0),
  [566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 13, 0, 87),
  [568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 13, 0, 87),
  [570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anon_struct_block, 7, 0, 0),
  [572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anon_struct_block, 7, 0, 0),
  [574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_identifier, 1, 0, 0),
  [576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_identifier, 1, 0, 0),
  [578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_length_value, 2, 0, 0),
  [580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_length_value, 2, 0, 0),
  [582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 7, 0, 68),
  [584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 7, 0, 68),
  [586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_easing_kind_identifier, 1, 0, 0),
  [588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_easing_kind_identifier, 1, 0, 0),
  [590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 8, 0, 69),
  [592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 8, 0, 69),
  [594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 14, 0, 88),
  [596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 14, 0, 88),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_duration_value, 2, 0, 0),
  [602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_duration_value, 2, 0, 0),
  [604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_angle_value, 2, 0, 0),
  [606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_angle_value, 2, 0, 0),
  [608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 3, 0, 0),
  [610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 3, 0, 0),
  [612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 8, 0, 70),
  [614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 8, 0, 70),
  [616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anon_struct_block, 5, 0, 0),
  [618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anon_struct_block, 5, 0, 0),
  [620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_op, 4, 0, 34),
  [622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_op, 4, 0, 34),
  [624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_call, 9, 0, 75),
  [626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gradient_call, 9, 0, 75),
  [628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_list, 4, 0, 0),
  [630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_list, 4, 0, 0),
  [632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_list, 5, 0, 0),
  [634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_list, 5, 0, 0),
  [636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tr, 4, 0, 32),
  [638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tr, 4, 0, 32),
  [640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_call, 10, 0, 83),
  [642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gradient_call, 10, 0, 83),
  [644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 2, 0, 0),
  [646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 2, 0, 0),
  [648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_image_call, 4, 0, 33),
  [650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_image_call, 4, 0, 33),
  [652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expr, 2, 0, 42),
  [654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expr, 2, 0, 42),
  [656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imperative_block, 2, 0, 0),
  [662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imperative_block, 2, 0, 0),
  [664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_in_out_transition, 3, 0, 0),
  [670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_in_out_transition, 3, 0, 0),
  [672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imperative_block, 3, 0, 0),
  [674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imperative_block, 3, 0, 0),
  [676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expr, 3, 0, 24),
  [678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expr, 3, 0, 24),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_value_block, 1, 0, 4),
  [684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__assignment_value_block, 1, 0, 4), SHIFT(250),
  [687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assignment_value_block, 1, 0, 4),
  [689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_block, 3, 0, 41),
  [691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_block, 3, 0, 41),
  [693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_block, 2, 0, 41),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_block, 2, 0, 41),
  [703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_assignment_block, 2, 0, 41), SHIFT(239),
  [706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expr, 5, 0, 24),
  [708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expr, 5, 0, 24),
  [710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__assignment_value_block, 1, 0, 4), SHIFT(246),
  [713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_value_block, 2, 0, 55),
  [715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assignment_value_block, 2, 0, 55),
  [717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding, 1, 0, 35),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding, 1, 0, 35),
  [723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_in_out_transition, 4, 0, 0),
  [725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_in_out_transition, 4, 0, 0),
  [727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__imperative_block_statement, 2, 0, 0),
  [729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__imperative_block_statement, 2, 0, 0),
  [731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 3, 0, 56),
  [733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binding, 3, 0, 56),
  [735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_in_out_transition, 5, 0, 0),
  [737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_in_out_transition, 5, 0, 0),
  [739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding, 2, 0, 50),
  [741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding, 2, 0, 50),
  [743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_in_out_transition, 6, 0, 0),
  [745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_in_out_transition, 6, 0, 0),
  [747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_states_definition_repeat1, 2, 0, 0),
  [749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__imperative_block_statement, 3, 0, 0),
  [751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__imperative_block_statement, 3, 0, 0),
  [753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback_event, 3, 0, 14),
  [755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback_event, 3, 0, 14),
  [757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mult_prec_operator, 1, 0, 0),
  [759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mult_prec_operator, 1, 0, 0),
  [761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_prec_operator, 1, 0, 0),
  [763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_prec_operator, 1, 0, 0),
  [765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 1, 0, 0),
  [767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 1, 0, 0),
  [769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_prec_operator, 1, 0, 0),
  [771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_prec_operator, 1, 0, 0),
  [773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_prec_operator, 1, 0, 0),
  [775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_prec_operator, 1, 0, 0),
  [777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_setup, 2, 0, 43),
  [779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assignment_setup, 2, 0, 43),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0),
  [841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(622),
  [844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(799),
  [847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(871),
  [850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(869),
  [853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(136),
  [856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(103),
  [859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(688),
  [862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(801),
  [865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(609),
  [868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(641),
  [871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(600),
  [874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(803),
  [877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(805),
  [880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(598),
  [883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(276),
  [886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_block_repeat1, 2, 0, 0),
  [928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_block_repeat1, 2, 0, 0), SHIFT_REPEAT(634),
  [931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_block_repeat1, 2, 0, 0), SHIFT_REPEAT(799),
  [934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_block_repeat1, 2, 0, 0), SHIFT_REPEAT(823),
  [937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_block_repeat1, 2, 0, 0), SHIFT_REPEAT(609),
  [940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_block_repeat1, 2, 0, 0), SHIFT_REPEAT(641),
  [943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_block_repeat1, 2, 0, 0), SHIFT_REPEAT(600),
  [946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_block_repeat1, 2, 0, 0), SHIFT_REPEAT(821),
  [949] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_block_repeat1, 2, 0, 0), SHIFT_REPEAT(279),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument, 1, 0, 0),
  [976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [1006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anon_struct_block_repeat1, 4, 0, 0),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [1040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_assignment, 3, 0, 15),
  [1078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_assignment, 3, 0, 15),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [1084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_range, 1, 0, 0),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback_alias, 5, 0, 37),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback_alias, 5, 0, 37),
  [1114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback, 5, 0, 44),
  [1116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback, 5, 0, 44),
  [1118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 44),
  [1120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 44),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 6, 0, 51),
  [1124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 6, 0, 51),
  [1126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_alias, 5, 0, 37),
  [1128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binding_alias, 5, 0, 37),
  [1130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 5, 0, 45),
  [1132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 5, 0, 45),
  [1134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 2, 0, 11),
  [1136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 2, 0, 11),
  [1138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_loop, 6, 0, 52),
  [1140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_loop, 6, 0, 52),
  [1142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 5, 0, 36),
  [1144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 5, 0, 36),
  [1146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback, 6, 0, 54),
  [1148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback, 6, 0, 54),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 40),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 40),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sourcefile, 1, 0, 0),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback, 5, 0, 40),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback, 5, 0, 40),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animate_body, 3, 0, 0),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animate_body, 3, 0, 0),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transitions_definition, 3, 0, 0),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transitions_definition, 3, 0, 0),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 27),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 27),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_alias, 4, 0, 30),
  [1174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binding_alias, 4, 0, 30),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_assignment, 4, 0, 29),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_assignment, 4, 0, 29),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component, 4, 0, 28),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component, 4, 0, 28),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 54),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 54),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback_alias, 6, 0, 58),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback_alias, 6, 0, 58),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback, 6, 0, 59),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback, 6, 0, 59),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 6, 0, 60),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 6, 0, 60),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_alias, 6, 0, 61),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binding_alias, 6, 0, 61),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback, 4, 0, 27),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback, 4, 0, 27),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_changed_callback, 4, 0, 26),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_changed_callback, 4, 0, 26),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 59),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 59),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 25),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 25),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_states_definition, 3, 0, 0),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_states_definition, 3, 0, 0),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback, 4, 0, 25),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback, 4, 0, 25),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animate_statement, 3, 0, 0),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animate_statement, 3, 0, 0),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback, 3, 0, 3),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback, 3, 0, 3),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 24),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 24),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animate_body, 2, 0, 0),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_animate_body, 2, 0, 0),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 3),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 3),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_states_definition, 4, 0, 23),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_states_definition, 4, 0, 23),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_alias, 5, 0, 46),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binding_alias, 5, 0, 46),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transitions_definition, 4, 0, 0),
  [1258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transitions_definition, 4, 0, 0),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 66),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 66),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 7, 0, 67),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 7, 0, 67),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sourcefile_repeat1, 2, 0, 0),
  [1270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sourcefile_repeat1, 2, 0, 0), SHIFT_REPEAT(511),
  [1273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sourcefile_repeat1, 2, 0, 0), SHIFT_REPEAT(654),
  [1276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sourcefile_repeat1, 2, 0, 0), SHIFT_REPEAT(831),
  [1279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sourcefile_repeat1, 2, 0, 0), SHIFT_REPEAT(757),
  [1282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sourcefile_repeat1, 2, 0, 0), SHIFT_REPEAT(759),
  [1285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sourcefile_repeat1, 2, 0, 0), SHIFT_REPEAT(760),
  [1288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sourcefile_repeat1, 2, 0, 0), SHIFT_REPEAT(549),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_callback, 7, 0, 66),
  [1293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_callback, 7, 0, 66),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 4, 0, 22),
  [1297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 4, 0, 22),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exported_type, 1, 0, 0),
  [1301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__exported_type, 1, 0, 0),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_block, 2, 0, 0),
  [1307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_block, 2, 0, 0),
  [1309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_block, 5, 0, 31),
  [1311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_block, 5, 0, 31),
  [1313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_block, 7, 0, 47),
  [1315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_block, 7, 0, 47),
  [1317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_block, 6, 0, 31),
  [1319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_block, 6, 0, 31),
  [1321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_block, 6, 0, 47),
  [1323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_block, 6, 0, 47),
  [1325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_block, 3, 0, 0),
  [1327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_block, 3, 0, 0),
  [1329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_type_identifier, 1, 0, 0),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_block, 4, 0, 3),
  [1333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_block, 4, 0, 3),
  [1335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exported_type, 5, 0, 0),
  [1337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__exported_type, 5, 0, 0),
  [1339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_block, 5, 0, 16),
  [1341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_block, 5, 0, 16),
  [1343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 8, 0, 0),
  [1345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 8, 0, 0),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 0),
  [1353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 0),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_block, 2, 0, 0),
  [1363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_block, 2, 0, 0),
  [1365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exported_type, 4, 0, 0),
  [1367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__exported_type, 4, 0, 0),
  [1369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 6, 0, 0),
  [1371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 6, 0, 0),
  [1373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_block, 3, 0, 3),
  [1375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_block, 3, 0, 3),
  [1377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_block, 3, 0, 0),
  [1379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_block, 3, 0, 0),
  [1381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_animate_body_repeat1, 2, 0, 0),
  [1383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_animate_body_repeat1, 2, 0, 0), SHIFT_REPEAT(915),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_definition, 3, 0, 3),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_definition, 3, 0, 3),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_block, 3, 0, 0),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_block, 3, 0, 0),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 3, 0, 3),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 3, 0, 3),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_definition, 5, 0, 12),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_definition, 5, 0, 12),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_definition, 4, 0, 3),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_definition, 4, 0, 3),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_definition, 3, 0, 3),
  [1408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_definition, 3, 0, 3),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_builtin_type_identifier, 1, 0, 0),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_block, 4, 0, 16),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_block, 4, 0, 16),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 7, 0, 0),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 7, 0, 0),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_definition, 3, 0, 3),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_definition, 3, 0, 3),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 4, 0, 3),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 4, 0, 3),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exported_type, 2, 0, 0),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__exported_type, 2, 0, 0),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exported_type, 3, 0, 0),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__exported_type, 3, 0, 0),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_component_definition, 4, 0, 5),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_component_definition, 4, 0, 5),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_block, 2, 0, 0),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_block, 2, 0, 0),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [1454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(609),
  [1457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(641),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 2, 0, 0),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_color, 1, 0, 0),
  [1470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 4, 0, 0),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 3, 0, 0),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 5, 0, 0),
  [1488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_visibility, 1, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_visibility, 1, 0, 4),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_definition_repeat1, 1, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [1542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [1546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_purity, 1, 0, 4),
  [1560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transitions_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(128),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_transitions_definition_repeat1, 2, 0, 0),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [1569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__string_repeat1, 2, 0, 0),
  [1571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_repeat1, 2, 0, 0), SHIFT_REPEAT(612),
  [1574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__string_repeat1, 2, 0, 0), SHIFT_REPEAT(615),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animate_option, 4, 0, 64),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat2, 2, 0, 17),
  [1665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat2, 2, 0, 17), SHIFT_REPEAT(279),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_visibility, 1, 0, 4),
  [1670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [1674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tr_repeat1, 2, 0, 0), SHIFT_REPEAT(137),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_in_out_transition_repeat1, 2, 0, 0),
  [1687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_in_out_transition_repeat1, 2, 0, 0), SHIFT_REPEAT(93),
  [1690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(368),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [1721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gradient_call_repeat1, 2, 0, 0), SHIFT_REPEAT(28),
  [1724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gradient_call_repeat1, 2, 0, 0),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [1744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_image_call_repeat1, 2, 0, 0),
  [1746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_image_call_repeat1, 2, 0, 0), SHIFT_REPEAT(670),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_type, 1, 0, 1),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [1773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_type, 1, 0, 2),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [1781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 2, 0, 0),
  [1783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 2, 0, 0),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anon_struct_block_repeat1, 2, 0, 0), SHIFT_REPEAT(787),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anon_struct_block_repeat1, 2, 0, 0),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__exported_type_repeat1, 2, 0, 0), SHIFT_REPEAT(418),
  [1807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__exported_type_repeat1, 2, 0, 0),
  [1809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_signature_repeat1, 2, 0, 0), SHIFT_REPEAT(683),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_signature_repeat1, 2, 0, 0),
  [1814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(684),
  [1817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_statement_repeat1, 2, 0, 0),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_block_repeat1, 2, 0, 48), SHIFT_REPEAT(806),
  [1850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_block_repeat1, 2, 0, 48),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [1860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(56),
  [1863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 4, 0, 0),
  [1891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 4, 0, 0),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [1943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_block_repeat1, 2, 0, 17), SHIFT_REPEAT(785),
  [1946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_block_repeat1, 2, 0, 17),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [1950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callback_signature, 2, 0, 0),
  [1968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat2, 8, 0, 9),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat2, 7, 0, 9),
  [1978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_states_definition_repeat2, 6, 0, 9),
  [1980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_signature, 3, 0, 39),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_block_repeat1, 2, 0, 3),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_block_repeat1, 4, 0, 31),
  [2008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_signature, 5, 0, 65),
  [2010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callback_signature, 5, 0, 65),
  [2012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_signature, 2, 0, 0),
  [2014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gradient_color, 2, 0, 0),
  [2016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callback_signature, 3, 0, 39),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_identifier, 3, 0, 57),
  [2024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_indexed_identifier, 1, 0, 9),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_type, 3, 0, 6),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_signature, 4, 0, 53),
  [2032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callback_signature, 4, 0, 53),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_type, 3, 0, 7),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [2050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linear_gradient_identifier, 1, 0, 0),
  [2052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_radial_gradient_identifier, 1, 0, 0),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [2064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_indexed_identifier, 4, 0, 38),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_radial_gradient_kind, 1, 0, 0),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2162] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_type, 3, 0, 21),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [2178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_animate_option_identifier, 1, 0, 0),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_slint(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
